<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Configuration - Users interface personalization
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/config_features.php";
$tabname="configstab";

require_once("includes.php");
set_include_path("../includes/");
require('header.inc.php');

if (isset($_GET["error"])) echo "<font color='#ff0000'>".lg("errorPluginsInstall")."</font>";
?>


<script type="text/javascript">
/* <![CDATA[*/
	function featuresHeadlinkObj(id,label,comment,clss,image,fct,status,seq,anonymous,connected,admin)
	{
		this.id=id;
		this.label=label;
		this.comment=comment;
		this.clss=clss;
		this.image=image;
		this.fct=fct;
		this.status=status;
		this.seq=seq;
		this.anonymous=anonymous;
		this.connected=connected;
		this.admin=admin;
	}
	function featuresDisplayLink()
	{
		featuresHeadlink.sort(featuresSort);
		var l_s="<table><tr>";
		var l_maxWidth=0,l_currId=1,l_currSeq=0;
		for (var i=0;i<featuresHeadlink.length;i++)
		{
			if (featuresHeadlink[i].id>l_maxWidth)
			{
				l_maxWidth=featuresHeadlink[i].id;
				l_s+='<td><a href="#" onclick="featuresAddLink('+featuresHeadlink[i].id+')">+ <?php echo lg("addSubMenu");?><\/a><\/td>';
			}
		}
		l_s+='<td><\/td><\/tr><tr>'
		
		//var l_s="<table><tr style='background-color:#c6c3c6'><td style='width: 160px'>label<\/td><td style='width: 170px'>commentaire<\/td><td style='width: 130px'>classe <sup>(1)<\/sup><\/td><td style='width: 130px'>image <sup>(2)<\/sup><\/td><td style='width: 160px'>fonction <sup>(3)<\/sup><\/td><td><\/td><\/tr>";
		if (featuresHeadlink.length==0)
		{
			l_s+='<td><a href="#" onclick="featuresAddLink(1)">+ <?php echo lg("addLink");?><\/a><\/td>';
		}
		else
		{
			for (var i=0;i<featuresHeadlink.length;i++)
			{
				//l_s+='<tr><td style="white-space:nowrap;"><input type="text" name="id'+i+'" value="'+featuresHeadlink[i].id+'" /><input type="text" name="seq'+i+'" value="'+featuresHeadlink[i].seq+'" />'+(featuresHeadlink[i].seq==0?'':'&raquo;&raquo; ')+'<input type="text" name="label'+i+'" value="'+featuresHeadlink[i].label+'" size="22" maxlength="60" /><\/td><td><input type="text" name="comment'+i+'" value="'+featuresHeadlink[i].comment+'" size="30" maxlength="150" /><\/td><td><input type="text" name="clss'+i+'" value="'+featuresHeadlink[i].clss+'" size="22" maxlength="30" /><\/td><td><input type="text" name="image'+i+'" value="'+featuresHeadlink[i].image+'" size="22" maxlength="60" /><\/td><td><input type="text" name="fct'+i+'" value="'+featuresHeadlink[i].fct+'" size="30" maxlength="100" /><\/td><td style="white-space: nowrap;"><a href="#" onclick="featuresRemLink('+i+')">'+img("ico_close.gif",9,9)+'<\/a>'+(featuresHeadlink[i].seq==0?' <a href="#" onclick="featuresAddLink('+featuresHeadlink[i].id+')">+ <?php echo lg("addSubMenu");?><\/a>':'')+'<\/td><\/tr>';*
				//fill empty spaces
				while (featuresHeadlink[i].id>l_currId || (featuresHeadlink[i].seq>l_currSeq))
				{
					l_s+="<td><\/td>";
					l_currId++;
					if (l_currId==l_maxWidth+1)
					{
						if (l_currSeq==0)
						{
							l_s+='<td><a href="#" onclick="featuresAddLink('+(l_maxWidth+1)+')">+ <?php echo lg("addLink");?><\/a><\/td><\/tr><tr>';
						}
						else
						{
							l_s+="<td><\/tr><tr>";
						}
						l_currId=1;
						l_currSeq++;
					}
				}
				//add menu items
				if (featuresHeadlink[i].id==l_currId)
				{
					l_s+='<td style="background-color:#c6c3c6" align="center"><a href="#" title="'+featuresEscape(featuresHeadlink[i].comment)+'" onclick="featuresAddLink('+featuresHeadlink[i].id+','+i+')">'+(featuresHeadlink[i].image==""?"":img(featuresHeadlink[i].image)+" ")+featuresHeadlink[i].label+'<\/a> <a href="#" onclick="featuresRemLink('+i+')">'+img("ico_close.gif",9,9)+'<\/a><\/td>';
					l_currId++;
				}
				//manage sub menus display
				if (l_currId==l_maxWidth+1)
				{
					if (l_currSeq==0)
					{
						l_s+='<td><a href="#" onclick="featuresAddLink('+(l_maxWidth+1)+')">+ <?php echo lg("addLink");?><\/a><\/td><\/tr><tr>';
					}
					else
					{
						l_s+="<td><\/td><\/tr><tr>";
					}
					l_currId=1;
					l_currSeq++;
				}
			}
		}
		//if (featuresHeadlink.length==0) l_s+="<tr><td><\/td><td><?php echo lg("noLinkDefined");?><\/td><td><\/td><td><\/td><td><\/td><td><\/td><\/tr>";
		l_s+="<\/tr><\/table>";
		for (var i=0;i<featuresHeadlink.length;i++)
		{
			l_s+='<input type="hidden" name="id'+i+'" value="'+featuresEscape(featuresHeadlink[i].id)+'" />';
			l_s+='<input type="hidden" name="seq'+i+'" value="'+featuresEscape(featuresHeadlink[i].seq)+'" />';
			l_s+='<input type="hidden" name="label'+i+'" value="'+featuresEscape(featuresHeadlink[i].label)+'" />';
			l_s+='<input type="hidden" name="comment'+i+'" value="'+featuresEscape(featuresHeadlink[i].comment)+'" />';
			l_s+='<input type="hidden" name="clss'+i+'" value="'+featuresEscape(featuresHeadlink[i].clss)+'" />';
			l_s+='<input type="hidden" name="image'+i+'" value="'+featuresEscape(featuresHeadlink[i].image)+'" />';
			l_s+='<input type="hidden" name="fct'+i+'" value="'+featuresEscape(featuresHeadlink[i].fct)+'" />';
			l_s+='<input type="hidden" name="anonymous'+i+'" value="'+featuresEscape(featuresHeadlink[i].anonymous)+'" />';
			l_s+='<input type="hidden" name="connected'+i+'" value="'+featuresEscape(featuresHeadlink[i].connected)+'" />';
			l_s+='<input type="hidden" name="admin'+i+'" value="'+featuresEscape(featuresHeadlink[i].admin)+'" />';
		}
		navPrint("headlinks",l_s);
	}
	function featuresSort(a,b)
	{
		if (a.seq==b.seq && a.id>b.id) return 1;
		if (a.seq==b.seq && a.id<b.id) return -1;
		if (a.seq>b.seq) return 1;
		if (a.seq<b.seq) return -1;
		return 0;
	}
	/*
	 * Escapes the char " for writing the text as a double quoted value of <input 
	 */
	function featuresEscape(toreplace)
	{
		toreplace = toreplace.toString();
		var reg = new RegExp("<","g");
	    toreplace = toreplace.replace(reg, "&lt;" );
	    toreplace = toreplace.replace(/>/g, "&gt;" ); 
	    toreplace = toreplace.replace(/"/g, "&#34;" ); 
		return toreplace;
	}
	function featuresAddLink(v_id,v_i)
	{
		var l_s="<form onsubmit=\"return featuresSaveLink(this"+(v_i==indef?'':','+v_i)+")\"><table>";
		l_s+="<tr><td><label for=\"label\"><?php echo lg("label");?><\/label><\/td><td><input type=\"text\" id=\"label\" name=\"label\" size=\"30\" maxlength=\"60\" value=\""+featuresEscape(v_i==indef?"":featuresHeadlink[v_i].label)+"\" /> (<?php echo addslashes(lg("linkLabelHelp"));?>)<\/td><\/tr>";
		l_s+="<tr><td><label for=\"comment\"><?php echo lg("comment");?><\/label><\/td><td><input type=\"text\" id=\"comment\" name=\"comment\" size=\"60\" maxlength=\"150\" value=\""+featuresEscape(v_i==indef?"":featuresHeadlink[v_i].comment)+"\" /> (<?php echo addslashes(lg("linkCommentHelp"));?>)<\/td><\/tr>";
		l_s+="<tr><td><label for=\"clss\"><?php echo lg("class");?><\/label><\/td><td><input type=\"text\" id=\"clss\" name=\"clss\" size=\"30\" maxlength=\"30\" value=\""+featuresEscape(v_i==indef?"":featuresHeadlink[v_i].clss)+"\" /> (<?php echo addslashes(lg("linkClassHelp"));?>)<\/td><\/tr>";
		l_s+="<tr><td><label for=\"icon\"><?php echo lg("icon");?><\/label><\/td><td><input type=\"text\" id=\"icon\" name=\"icon\" size=\"30\" maxlength=\"60\" value=\""+featuresEscape(v_i==indef?"":featuresHeadlink[v_i].image)+"\" /> (<?php echo addslashes(lg("linkIconHelp"));?>)<\/td><\/tr>";
		l_s+="<tr><td><label for=\"fct\"><?php echo lg("function");?><\/label><\/td><td><input type=\"text\" id=\"fct\" name=\"fct\" size=\"60\" maxlength=\"100\" value=\""+featuresEscape(v_i==indef?"":featuresHeadlink[v_i].fct)+"\" /> (<?php echo addslashes(lg("linkFunctionHelp"));?>)<\/td><\/tr>";
		l_s+="<tr><td><label for=\"anonymous\"><?php echo lg("showInAnonymousMode");?><\/label><\/td><td><input type=\"checkbox\" id=\"anonymous\" name=\"anonymous\" "+(v_i==indef?"":(featuresHeadlink[v_i].anonymous=="1"?" checked=checked":""))+" /><\/td><\/tr>";
		l_s+="<tr><td><label for=\"connected\"><?php echo lg("showInConnectedMode");?><\/label><\/td><td><input type=\"checkbox\" id=\"connected\" name=\"connected\" "+(v_i==indef?"":(featuresHeadlink[v_i].connected=="1"?" checked=checked":""))+" /><\/td><\/tr>";
		l_s+="<tr><td><label for=\"admin\"><?php echo lg("showInAdminMode");?><\/label><\/td><td><input type=\"checkbox\" id=\"admin\" name=\"admin\" "+(v_i==indef?"":(featuresHeadlink[v_i].admin=="1"?" checked=checked":""))+" /><\/td><\/tr>";
		l_s+="<tr><td><\/td><td><input type=\"submit\" style=\"font-weight: bold\" value=\""+featuresEscape(v_i==indef?"+ <?php echo lg("add");?>":"<?php echo lg("modify");?>")+"\" /> <a href=\"#\" onclick=\"featuresCloseInput()\"><?php echo lg("cancel");?><\/a><\/td><\/tr>";
		l_s+="<\/table><input type=\"hidden\" name=\"id\" value=\""+featuresEscape(v_id)+"\" /><\/form>";
		l_s+="(*) <?php echo lg("standardFunctions");?>";
		navPrint("headlinksinput",l_s);
	}
	function featuresCloseInput()
	{
		navPrint("headlinksinput","");
	}
	function featuresSaveLink(v_form,v_i)
	{
		var l_id=parseInt(v_form.id.value,10);
		var l_label=v_form.label.value;
		var l_comment=v_form.comment.value;
		var l_clss=v_form.clss.value;
		var l_icon=v_form.icon.value;
		var l_fct=v_form.fct.value;
		var l_anonymous=(v_form.anonymous.checked?"1":"0");
		var l_connected=(v_form.connected.checked?"1":"0");
		var l_admin=(v_form.admin.checked?"1":"0");
		if (v_i==indef)
		{
			var l_seq=0;
			//compute sequence value for concerned menu
			for (var i=0;i<featuresHeadlink.length;i++)
			{
				if (featuresHeadlink[i].id==l_id && featuresHeadlink[i].seq>=l_seq) l_seq=featuresHeadlink[i].seq+1;
			}
			featuresHeadlink.push(new featuresHeadlinkObj(l_id,l_label,l_comment,l_clss,l_icon,l_fct,"O",l_seq,l_anonymous,l_connected,l_admin));
		}
		else
		{
			var l_seq=featuresHeadlink[v_i].seq;
			//find the link concerned
			featuresHeadlink[v_i].label=l_label;
			featuresHeadlink[v_i].comment=l_comment;
			featuresHeadlink[v_i].clss=l_clss;
			featuresHeadlink[v_i].image=l_icon;
			featuresHeadlink[v_i].fct=l_fct;
			featuresHeadlink[v_i].anonymous=l_anonymous;
			featuresHeadlink[v_i].connected=l_connected;
			featuresHeadlink[v_i].admin=l_admin;
		}
		featuresDisplayLink();
		navPrint("headlinksinput","");
		return false;
	}
	function featuresRemLink(v_id)
	{
		//if sublinks, remove them, else updates sequence
		if (featuresHeadlink[v_id].seq==0)
		{
			var i=0;
			while (featuresHeadlink[i])
			{
				if (featuresHeadlink[i].id>featuresHeadlink[v_id].id) featuresHeadlink[i].id--;
				if (featuresHeadlink[i].id==featuresHeadlink[v_id].id && featuresHeadlink[i].seq>0) featuresHeadlink.splice(i,1);
				else {i++;}
			}
			featuresHeadlink.splice(v_id,1);
		}
		else
		{
			for (var i=0;i<featuresHeadlink.length;i++)
			{
				if (featuresHeadlink[i].id==featuresHeadlink[v_id].id && featuresHeadlink[i].seq>featuresHeadlink[v_id].seq) featuresHeadlink[i].seq--;
			}
			featuresHeadlink.splice(v_id,1);
		}
		featuresDisplayLink();
	}
	var featuresHeadlink=[];


<?php
	$DB->getResults($configfeatures_getHeadLinks);
	while ($row=$DB->fetch(0))
	{
		echo 'featuresHeadlink.push(new featuresHeadlinkObj('
			.htmlspecialchars($row["id"]).',"'
			.htmlspecialchars($row["label"]).'","'
			.htmlspecialchars($row["comment"]).'","'
			.htmlspecialchars($row["clss"]).'","'
			.htmlspecialchars($row["images"]).'","'
			.htmlspecialchars($row["fct"]).'","'
			.htmlspecialchars($row["status"]).'",'
			.htmlspecialchars($row["seq"]).','
			.htmlspecialchars($row["anonymous"]).','
			.htmlspecialchars($row["connected"]).','
			.htmlspecialchars($row["admin"]).'));'."\n";
	}
	$DB->freeResults();
	
	//initialize edit & add menus
	$usereader="true";
	$showtabicon="true";
	$columnchange="true";
	$ctrlhiding="true";
	$doubleprotection="true";
	$showrsscell="true";
	$showModuleSearch="true";
	$showModuleExpl="true";
	$moduleAlign="true";
	
	$DB->getResults($configfeatures_getParameters);
	while ($row=$DB->fetch(0))
	{
		if ($row["parameter"]=="usereader") $usereader=$row["value"];
		if ($row["parameter"]=="showtabicon") $showtabicon=$row["value"];
		if ($row["parameter"]=="columnchange") $columnchange=$row["value"];
		if ($row["parameter"]=="ctrlhiding") $ctrlhiding=$row["value"];
		if ($row["parameter"]=="doubleprotection") $doubleprotection=$row["value"];
		if ($row["parameter"]=="showrsscell") $showrsscell=$row["value"];
		if ($row["parameter"]=="showModuleSearch") $showModuleSearch=$row["value"];
		if ($row["parameter"]=="showModuleExpl") $showModuleExpl=$row["value"];
		if ($row["parameter"]=="moduleAlign") $moduleAlign=$row["value"];
	}
	$DB->freeResults();

/*]]>*/
?>


</script>
	
	<h1><img src="../images/ico_adm_config.gif" alt="" /> <?php echo lg("featuresAccess");?> :</h1>
	<p><a href="config.php"><?php echo lg("backPrevPage");?></a></p>
	<div class="box">
	<form id="f" action="scr_config_features.php" method="post">
	<h2><?php echo lg("headlinksMenu");?></h2>
	<div id="headlinks"></div>
	<input type="hidden" name="menuheader" value="1" />
	<input type='submit' value='<?php echo lg("saveMenu");?>' />
	</form>
	<div id="headlinksinput" style="background-color:#efefef"></div>
	</div>
	
	<div class="box">
	<form id="f3" action="scr_config_features.php" method="post">
	<h2><?php echo lg("editMenu");?></h2>
	<table>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("proposeReader");?></td><td><input type="checkbox" name="usereader"<?php if ($usereader=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("allowColumnChange");?></td><td><input type="checkbox" name="columnchange"<?php if ($columnchange=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("allowControlsHiding");?></td><td><input type="checkbox" name="ctrlhiding"<?php if ($ctrlhiding=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("allowModuleNotAligned");?></td><td><input type="checkbox" name="modulealign"<?php if ($moduleAlign=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("allowDoubleProtection");?></td><td><input type="checkbox" name="doubleprotection"<?php if ($doubleprotection=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showtabicon");?></td><td><input type="checkbox" name="showtabicon"<?php if ($showtabicon=="true") echo " checked='checked'";?> /></td></tr>
	</table>
	<input type="hidden" name="menuedit" value="1" />
	<p class='submit'>
	<input type='submit' value='<?php echo lg("saveMenu");?>' />
	</p>
	</form>
	</div>
	<div class="box">
	<form id="f2" action="scr_config_features.php" method="post">
	<h2><?php echo lg("addMenu");?></h2>
	<table>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showRssAddCell");?></td><td><input type="checkbox" name="showrsscell"<?php if ($showrsscell=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showModuleSearch");?></td><td><input type="checkbox" name="showModuleSearch"<?php if ($showModuleSearch=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showModuleExplorer");?></td><td><input type="checkbox" name="showModuleExpl"<?php if ($showModuleExpl=="true") echo " checked='checked'";?> /></td></tr>	
	</table>
	<input type="hidden" name="menuadd" value="1" />
	<p class='submit'><input type='submit' value='<?php echo lg("saveMenu");?>' /></p>
	</form>
	</div>

<script type="text/javascript">


<?php
	write_admin_tabs($tabname,false);
?>


featuresDisplayLink();
</script>


<?php
require('footer.inc.php');
?>