<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Configuration - General variables
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/config_general.php";
$tabname="configstab";

require_once('includes.php');
set_include_path("../includes/");
require('header.inc.php');

$maxModNb=15;
$maxPageNb=30;
$footer="&copy Portaneo";
$server="localhost";
$ipadd="localhost/myapp ou www.monsite.com";
$login="DB login";
$db="DB name";
$localfolder="http://";
$supportemail="support@monsite.com";
$friendemail="invitation@monsite.com";
$appname="MyPortal";
$usegroup="false";
$usermodule="false";
$useconditions="false";
//$rssinfo="";
$homebar=1;
$txtnote="";
$menupos="v";
$rssrefreshdelay="10";
$defaultmode="0";
$showicon=true;
$useproxy="false";
$proxyserver="";
$proxyport="";
$proxypacfile="";
$useoverview="true";
$debugmode="false";
$displayrssdesc="false";
$accounttype="mail";
$blockedModulePreventPageRemoval=true;
$moduleAlignDefault=true;
$loadlatestpageonstart=true;

$DB->getResults($config_getParameters);
while ($row=$DB->fetch(0))
{
	if ($row["parameter"]=="maxModNb") $maxModNb=$row["value"];
	if ($row["parameter"]=="maxPageNb") $maxPageNb=$row["value"];
	if ($row["parameter"]=="footer") $footer=$row["value"];
	if ($row["parameter"]=="useGroup") $usegroup=$row["value"];
	if ($row["parameter"]=="USERMODULE") $usermodule=$row["value"];
	if ($row["parameter"]=="useConditions") $useconditions=$row["value"];
	if ($row["parameter"]=="SERVER") $server=$row["value"];
	if ($row["parameter"]=="IPADD") $ipadd=$row["value"];
	if ($row["parameter"]=="LOGIN") $login=$row["value"];
	if ($row["parameter"]=="DB") $db=$row["value"];
	if ($row["parameter"]=="LOCALFOLDER") $localfolder=$row["value"];
	if ($row["parameter"]=="SUPPORTEMAIL") $supportemail=$row["value"];
	if ($row["parameter"]=="FRIENDEMAIL") $friendemail=$row["value"];
	if ($row["parameter"]=="APPNAME") $appname=$row["value"];
	if ($row["parameter"]=="showHomeBar") $homebar=$row["value"];
	if ($row["parameter"]=="txtnote") $txtnote=$row["value"];
	if ($row["parameter"]=="menuposition") $menupos=$row["value"];
	if ($row["parameter"]=="rssrefreshdelay") $rssrefreshdelay=(((int) $row["value"])/6);
	if ($row["parameter"]=="defaultmode") $defaultmode=$row["value"];
	if ($row["parameter"]=="showicon") $showicon=$row["value"];
	if ($row["parameter"]=="useproxy") $useproxy=$row["value"];
	if ($row["parameter"]=="PROXYSERVER") $proxyserver=$row["value"];
	if ($row["parameter"]=="PROXYPORT") $proxyport=$row["value"];
	if ($row["parameter"]=="proxypacfile") $proxypacfile=$row["value"];
	if ($row["parameter"]=="useoverview") $useoverview=$row["value"];
	if ($row["parameter"]=="debugmode") $debugmode=$row["value"];
	if ($row["parameter"]=="displayrssdesc") $displayrssdesc=$row["value"];
	if ($row["parameter"]=="accountType") $accounttype=$row["value"];
	if ($row["parameter"]=="blockedModulePreventPageRemoval") $blockedModulePreventPageRemoval=$row["value"];
	if ($row["parameter"]=="moduleAlignDefault") $moduleAlignDefault=$row["value"];
	if ($row["parameter"]=="loadlatestpageonstart") $loadlatestpageonstart=$row["value"];
}
$DB->freeResults();

$txtnote=str_replace("&lt;","<",$txtnote);
$txtnote=str_replace("&gt;",">",$txtnote);
$txtnote=str_replace("<br>","\r\n",$txtnote);
$txtnote=str_replace("&amp;","&",$txtnote);
$txtnote=str_replace("&nbsp; ","  ",$txtnote);
?>


	<h1><img src="../images/ico_adm_config.gif" alt='' /> <?php echo lg("appGeneralConfiguration");?> :</h1>
	<a href="config.php"><?php echo lg("backPrevPage");?></a>
	<form name="f" action="scr_config_general.php" method="post">
	
	<div class="box">
	<table cellpadding="0" cellspacing="0">
	<tr><td colspan="2"><b><?php echo lg("yourApplication");?> :</b><br /><br /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("appName");?></td><td><input type="text" name="appname" value="<?php echo $appname;?>" size="60" /></td></tr>
<!--	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("appDomain");?></td><td><input type=text name="ipadd" value="<?php echo $ipadd;?>" size=60 /></td></tr>-->
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("appRoot");?></td><td><input type="text" name="localfolder" value="<?php echo $localfolder;?>" size="60" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("usersCreateModule");?></td><td><input type="checkbox" name="usermodule"<?php if ($usermodule=="I") echo " checked='checked'";?> /></td></tr>
	</table>
	</div>
	
	<div class="box">
	<table cellpadding="0" cellspacing="0">
	<tr><td colspan=2><b><?php echo lg("dbConnection");?> :</b><br /><br /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("server");?></td><td><input type="text" name="dbportaneoserver" value="<?php echo $server;?>" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("login");?></td><td><input type="text" name="dbportaneologin" value="<?php echo $login;?>" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("password");?></td><td><input type="password" name="dbportaneopass" value="xxxxxxx" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("db");?></td><td><input type="text" name="dbportaneodb" value="<?php echo $db;?>" /></td></tr>
	</table>
	</div>


<?php
if ($useproxy=="true"){
?>	


	<div class="box">
	<table cellpadding="0" cellspacing="0">
	<tr><td colspan=2><b><?php echo lg("proxysettings");?> :</b><br /><br /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("proxypacfile");?></td><td><input type="text" name="proxypacfile" value="<?php echo $proxypacfile;?>" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("server");?></td><td><input type="text" name="proxyserver" value="<?php echo $proxyserver;?>" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("port");?></td><td><input type="text" name="proxyport" value="<?php echo $proxyport;?>" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("login");?></td><td><input type="text" name="proxyuser" value="xxxxxxx" /></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("password");?></td><td><input type="password" name="proxypass" value="xxxxxxx" /></td></tr>
	</table>
	</div>


<?php
}	
?>


	<div class="box">
	<table cellpadding="0" cellspacing="0">
		<tr><td colspan="2"><b><?php echo lg("adminInterface");?> :</b><br /><br /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("manageUsers");?></td><td><input type="checkbox" name="usegroup"<?php if ($usegroup=="true") echo " checked='checked'";?> /></td></tr>
	</table>
	</div>
	<div class="box">
	<table cellpadding="0" cellspacing="0">
		<tr><td colspan="2"><b><?php echo lg("thePortals");?> :</b><br /><br /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("defaultmode");?></td><td><input type="radio" name="defaultmode" value="anonymous"<?php if ($defaultmode=="anonymous") echo " checked='checked'";?> /><?php echo lg("portalscreen");?> <input type="radio" name="defaultmode" value="connected"<?php if ($defaultmode=="connected") echo " checked='checked'";?> /><?php echo lg("loginscreen");?></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("loadlatestpageonstart");?></td><td><input type="checkbox" name="loadlatestpageonstart"<?php if ($loadlatestpageonstart=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("accountType");?></td><td><input type="radio" name="accounttype" value="mail"<?php if ($accounttype=="mail") echo " checked='checked'";?> /><?php echo lg("emails");?> <input type="radio" name="accounttype" value="login"<?php if ($accounttype=="login") echo " checked='checked'";?> /><?php echo lg("pseudos");?></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("menuPosition");?></td><td><input type="radio" name="menuposition" value="v"<?php if ($menupos=="v") echo " checked='checked'";?> /><?php echo lg("vertical");?> <input type="radio" name="menuposition" value="h"<?php if ($menupos=="h") echo " checked='checked'";?> /><?php echo lg("horizontal");?></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("moduleAlignDefault");?></td><td><input type="radio" name="modulealigndefault" value="true"<?php if ($moduleAlignDefault=="true") echo " checked='checked'";?> /><?php echo lg("aligned");?> <input type="radio" name="modulealigndefault" value="false"<?php if ($moduleAlignDefault=="false") echo " checked='checked'";?> /><?php echo lg("freePlacement");?></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("displayrssdesc");?></td><td><input type="checkbox" name="displayrssdesc"<?php if ($displayrssdesc=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showHomebar");?></td><td><input type="radio" name="homebar" value="0"<?php if ($homebar==0) echo " checked='checked'";?> /><?php echo lg("no");?> <input type="radio" name="homebar" value="1"<?php if ($homebar==1) echo " checked='checked'";?> /><?php echo lg("once");?> <input type="radio" name="homebar" value="2"<?php if ($homebar==2) echo " checked='checked'";?> /><?php echo lg("always");?> </td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("maxNbPages");?></td><td><input type="text" name="maxpagenb" size="2" maxlength="2" value="<?php echo $maxPageNb;?>" /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("maxNbMod");?></td><td><input type="text" name="maxmodnb" size="2" maxlength="2" value="<?php echo $maxModNb;?>" /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showoverview");?></td><td><input type="checkbox" name="useoverview"<?php if ($useoverview=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showicon");?></td><td><input type="checkbox" name="showicon"<?php if ($showicon=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("blockedModulePreventPageRemoval");?></td><td><input type="checkbox" name="blockedModulePreventPageRemoval"<?php if ($blockedModulePreventPageRemoval=="true") echo " checked='checked'";?> /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("useConditions");?></td><td><input type="checkbox" name="useconditions"<?php if ($useconditions=="true") echo " checked='checked'";?> /> (<?php echo lg("useConditionsNote");?>)</td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("showFooter");?></td><td><textarea name="footer" cols="80" rows="5"><?php echo $footer;?></textarea></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("debugmode");?></td><td><input type="checkbox" name="debugmode"<?php if ($debugmode=="true") echo " checked='checked'";?> /> <a href='#' onclick="getDebugCookie();return false;"><?php echo lg("getCookieDebug");?></a> </td></tr>
	</table>
	</div>
	<div class="box">
	<table cellpadding="0" cellspacing="0">
		<tr><td colspan="2"><b><?php echo lg("theModules");?> :</b><br /><br /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("defaultTxtNote");?></td><td><textarea name="txtnote" cols="80" rows="5"><?php echo $txtnote;?></textarea></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("rssRefreshDelay");?></td><td><input type="text" name="rssrefreshdelay" size="2" maxlength="2" value="<?php echo $rssrefreshdelay;?>" /> <?php echo lg("rssRefreshComment");?></td></tr>
	</table>
	</div>
	<div class="box">
	<table cellpadding="0" cellspacing="0">
		<tr><td colspan="2"><b><?php echo lg("emailSending");?> :</b><br /><br /></td></tr>
		<tr><td class="label"><img src="../images/puce.gif" /> <?php echo lg("supportEmail");?></td><td><input type="text" name="supportemail" value="<?php echo $supportemail;?>" size="60" /></td></tr>
	</table>
	</div>
	<p class='submit'><input type="submit" value="<?php echo lg("saveModifications");?>" /> <a href='config_general_advanced.php'><?php echo lg("advancedOptions");?></a></p>


<?php
	launch_hook('admin_config_general');
?>


	</form>

	
<?php
write_admin_tabs($tabname);

require('footer.inc.php');
?>