<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH User management - User modification and adding form
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/frm_user_modify_add.php";

$user=(isset($_GET["id"])?$_GET["id"]:0);
require_once("includes.php");
require_once("header_inframe.php");
?>


<script type="text/javascript">
admUsers.selId=<?php echo $user;?>;
var selGroup=[];
var groups=[];
var selGroupId=-1;
var selAvailGroupId=-1;

function groupObj(id,name){
	this.id=id;
	this.name=name;
}
function suppress(){
	l_response=confirm(lg("msgUserRemoving"));
	if (l_response==1)
	{
		window.location="scr_user_suppress.php?id=<?php echo $user;?>";
	}
	return false;
}
</script>


<?php
if (isset($_GET["treated"]))
{
	echo lg("modifProcessed")." !";
	echo "<script type='text/javascript'>parent.admUsers.refreshGroup();</script>";
}

if ($user==0) //user adding
{
	$username="";
	$long_name="";
	$user_type="I";
	$password="";
	$sellang="";
}
else //user modification
{
	$DB->getResults($users_getUserInformation,$DB->escape($user));
	$row = $DB->fetch(0);
	$username=$row["username"];
	$long_name=$row["long_name"];
	$user_type=$row["typ"];
	$password="xxxxxxxx";
	$sellang=$row["lang"];
	$DB->freeResults();
}
?>


<form id="f" action="scr_user_modify_add.php" method="post">
<table cellpadding="20"><tr><td valign="top">
<table cellpadding="2">
<tr><td><?php echo (__accountType=="mail"?lg("email"):lg("login"));?></td><td><input type="text" name="username" size="50" maxlength="64" value="<?php echo $username;?>" /></td></tr>
<tr><td><?php echo lg("name");?></td><td><input type="text" name="long_name" size="50" maxlength="100" value="<?php echo $long_name;?>" /></td></tr>
<tr><td nowrap="nowrap"><?php echo lg("password");?></td><td><input type="password" name="pass" size="16" maxlength="16" value="<?php echo $password;?>" /></td></tr>
<tr><td nowrap="nowrap"><?php echo lg("userType");?></td><td><select name="usertype" onchange='admUsers.changeType()'><option value="I"<?php if ($user_type=="I") echo "selected";?>><?php echo lg("portalUser");?></option><option value="A"<?php if ($user_type=="A") echo "selected";?>><?php echo lg("administrator");?></option><?php //if (__allowredactor) echo "<option value='R'".($user_type=="R"?" selected='selected'":"").">".lg("redactor")."</option>";?></td></tr>
<tr><td nowrap="nowrap"><?php echo lg("language");?></td><td>


<?php
	if (count($__AVLANGS)==1)
	{
		echo $__AVLANGS[0]."<input type='hidden' name='lang' value='".$__AVLANGS[0]."' />";
	}
	else
	{
		echo "<select name='lang'>";
		foreach ($__AVLANGS as $userlang)
		{
			echo "<option value='".$userlang."'".($userlang==$sellang?" selected='selected'":"").">".$userlang."</option>";
		}
		echo "</select>";
	}
?>


</td></tr>
<?php echo "<tr><td></td><td><input type='checkbox' name='notify' /> ".lg("notifyUserModification").($user==0?"":" (".lg("passwordReset").")")."</td></tr>";?>
</table></td><td id="groupdiv" valign="top">
	<table>
		<tr>
		<td><?php echo lg("userGroups");?> :<br /><br /><div id="selgroupdiv" style="width: 200px;height: 100px;overflow: auto;border: 1px solid #c6c3c6;padding: 2px;"></div></td>
		<td><input type="button" value="<" onclick="return admUsers.addSelectedGroup();" style="font-size: 10pt"><br /><br /><input type="button" value=">" onclick="return admUsers.supSelectedGroup();" style="font-size: 10pt"></td>
		<td><?php echo lg("availableGroups");?> :<br /><br /><div id="allgroupdiv" style="width: 200px;height: 100px;overflow: auto;border: 1px solid #c6c3c6;padding: 2px;"><div id="exp0"></div></div></td>
		</tr>
	</table>
	<div id="groupinputs"></div>
</td></tr><tr><td valign="top" colspan="2" align="center">
<input type="hidden" name='user' value="<?php echo $user;?>" />
<script type="text/javascript">


<?php
if ($user!=0)
{
	$group=array();
	$DB->getResults($users_getUserGroup,$DB->escape($user));
	while ($row = $DB->fetch(0))
	{
		echo "selGroup.push(new groupObj(".$row["id"].",\"".$row["name"]."\"));";
	}
	$DB->freeResults();
}
?>


admUsers.changeType();
document.forms["f"].username.focus();
</script>
<div id="validationbtn">


<?php
if ($user==0)
{
	echo '<input class="btn" type="submit" value="'.lg("add").'" style="width:200px" />';
}
else
{
	echo '<input class="btn" type="submit" value="'.lg("saveModifications").'" /><br /><br />';
	echo '<a href="#" onclick="return suppress();"><img src="../images/ico_suppress.gif" /> '.lg("suppressUser").'</a>';
}
?>


</div>


<?php 
	launch_hook('scrusermodifyadd_end');
?>

</td></tr></table>
</form>
</body>
</html>