<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Pages management - Manage and publish the tabs
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/pages_tabs.php";
$tabname="pagestab";

require_once('includes.php');
set_include_path("../includes/");
require('header.inc.php');

?>

<div id="moveddiv" style="display: none;position: absolute;cursor: move;background: #c6c3c6;padding-bottom:0px;"></div>
<h1><img src="../images/ico_adm_page.gif" alt='' /> <?php echo lg("tabMgmt");?> :</h1>
<p>
<a href="pages.php"><?php echo lg("backPrevPage");?></a>
</p>

<?php
$group=isset($_GET["group"])?$_GET["group"]:0;
if (__defaultmode=="anonymous")
{
	echo lg("tabMgmtTxt").'<input type="button" class="btn" value="'.lg("setOnline").'" style="color: #ff0000;font-size: 10pt;" onclick="admPages.setOnline()" /><br /><br />';
}
if (__useGroup && __defaultmode=="connected")
{
	echo '<form name="f" method="get" action="pages_tabs.php">'.lg("assignToGroup").' : <select name="group" onchange=\'document.forms["f"].submit();\'><option value="0">--'.lg("pageDefault").'--</option>';
	$DB->getResults($pages_selectMainGroups);
	while ($row=$DB->fetch(0))
	{
		echo '<option value="'.$row["id"].'"'.($group==$row["id"]?' selected="selected"':'').'>'.$row["name"].'</option>';
	}
	$DB->freeResults();
	echo '</select></form><br />';
}
?>

<div id="pages">

<?php
$DB->getResults($pages_getTabsList,$DB->escape($group));
while($row = $DB->fetch(0)){
?>

	<div id="admpage<?php echo $row["id"];?>" class="module" style="font-size: 1em">
	<table class="bmod">
		<tr><td width="20" style="cursor:move;height:100px;background-image:url(../images/fmove.gif);" id="admpage<?php echo $row["id"];?>_h">&nbsp;</td>
		<td valign="top" style="padding:4px">
			<h3><?php echo $row["name"];?></h3>
			<p><?php echo $row["description"];?></p>
			<p><?php echo lg("mode");?> : <?php echo $row["mode"];?></p>
			<p><?php echo lg("type");?> : <?php echo $row["type"];?> (<?php echo $row["param"];?>)</p>
			<?php launch_hook('display_page',$row); ?>
			<p><a href="pages_modify_add.php?act=upd&amp;id=<?php echo $row["id"];?>&amp;group=<?php echo $group;?>">[<?php echo lg("modifyThisPage");?>]</a> <a href="#" onclick="return admPages.suppress(<?php echo $row["id"];?>,'<?php echo addslashes($row["name"]);?>',<?php echo $group;?>);">[<?php echo lg("suppressThisPage");?>]</a></p>
		</td>
		</tr>
	</table>
	</div>
	
<?php
}
$DB->freeResults();
?>
<div><a href="pages_modify_add.php?act=add&amp;group=<?php echo $group;?>">+ <?php echo lg("addPage");?></a></div>
</div><br />

<?php
write_admin_tabs($tabname);
?>
<script type="text/javascript">
/*<![CDATA[*/
var allowSave=true;
createDivDynamically=false; //added with 1.4.3 due to issue with appendChild and IE
admPages.initme();

/*]]>*/
</script>
<?php
require('footer.inc.php');
?>