<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Configuration - save general parameters 
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted="A";
$pagename="admin/scr_config_general.php";
//includes
require_once('includes.php');
global $DB;


launch_hook('admin_scr_config_general');

$DB->execute($config_setMaxModNb,$DB->escape($_POST["maxmodnb"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertMaxModNb,$DB->escape($_POST["maxmodnb"]));
}

$DB->execute($config_setMaxPageNb,$DB->escape($_POST["maxpagenb"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertMaxPageNb,$DB->escape($_POST["maxpagenb"]));
}

$footer=stripslashes ($_POST["footer"]);
$DB->execute($config_setFooter,$DB->quote($footer));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertFooter,$DB->quote($footer));
}

$DB->execute($config_setServer,$DB->quote($_POST["dbportaneoserver"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertServer,$DB->quote($_POST["dbportaneoserver"]));
}

$DB->execute($config_setDbLogin,$DB->quote($_POST["dbportaneologin"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertDbLogin,$DB->quote($_POST["dbportaneologin"]));
}

if ($_POST["dbportaneopass"]!="xxxxxxx")
{
	$DB->execute($config_setDbPass,$DB->quote($_POST["dbportaneopass"]));
	if ($DB->nbAffected()==0)
	{
		$DB->execute($config_insertDbPass,$DB->quote($_POST["dbportaneopass"]));
	}
}

$DB->execute($config_setDb,$DB->quote($_POST["dbportaneodb"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertDb,$DB->quote($_POST["dbportaneodb"]));
}

$DB->execute($config_setLocalfolder,$DB->quote($_POST["localfolder"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertLocalfolder,$DB->quote($_POST["localfolder"]));
}

$DB->execute($config_setSupportemail,$DB->quote($_POST["supportemail"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertSupportemail,$DB->quote($_POST["supportemail"]));
}

$DB->execute($config_setAppname,$DB->quote($_POST["appname"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertAppname,$DB->quote($_POST["appname"]));
}

$DB->execute($config_setApname,$DB->quote($_POST["appname"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertApname,$DB->quote($_POST["appname"]));
}

$usegroup=isset($_POST["usegroup"])?"true":"false";
$DB->execute($config_setUseGroup,$DB->quote($usegroup));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertUseGroup,$DB->quote($usegroup));
}

$usermodule=isset($_POST["usermodule"])?"I":"A";
$DB->execute($config_setUsermodule,$DB->quote($usermodule));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertUsermodule,$DB->quote($usermodule));
}

$DB->execute($config_setUserModuleJs,$DB->quote($usermodule));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertUserModuleJs,$DB->quote($usermodule));
}

$useconditions=isset($_POST["useconditions"])?"true":"false";
$DB->execute($config_setUseConditions,$DB->quote($useconditions));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertUseConditions,$DB->quote($useconditions));
}

$DB->execute($config_setShowHomeBar,$DB->quote($_POST["homebar"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertShowHomeBar,$DB->quote($_POST["homebar"]));
}

$loadlatestpageonstart=isset($_POST["loadlatestpageonstart"])?"true":"false";
$DB->execute($config_setloadlatestpageonstart,$DB->quote($loadlatestpageonstart));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertloadlatestpageonstart,$DB->quote($loadlatestpageonstart));
}

$txtnote=str_replace("<","&lt;",$_POST["txtnote"]);
$txtnote=str_replace(">","&gt;",$txtnote);
$txtnote=str_replace("\r\n","<br>",$txtnote);
$txtnote=str_replace("&","&amp;",$txtnote);
$txtnote=str_replace("  ","&nbsp; ",$txtnote);
$DB->execute($config_setTxtNote,$DB->quote($txtnote));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertTxtNote,$DB->quote($txtnote));
}

$DB->execute($config_setMenuPosition,$DB->quote($_POST["menuposition"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertMenuPosition,$DB->quote($_POST["menuposition"]));
}

$DB->execute($config_setModuleAlignDefault,$DB->quote($_POST["modulealigndefault"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertModuleAlignDefault,$DB->quote($_POST["modulealigndefault"]));
}

$rssrefminuts=((int) $_POST["rssrefreshdelay"])*6;
$DB->execute($config_setRssRefreshDelay,$DB->escape($rssrefminuts));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertRssRefreshDelay,$DB->escape($rssrefminuts));
}

$DB->execute($config_setDefaultMode,$DB->quote($_POST["defaultmode"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertDefaultMode,$DB->quote($_POST["defaultmode"]));
}

$useoverview=isset($_POST["useoverview"])?"true":"false";
$DB->execute($config_setUseoverview,$DB->quote($useoverview));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertUseoverview,$DB->quote($useoverview));
}

$displayrssdesc=isset($_POST["displayrssdesc"])?"true":"false";
$DB->execute($config_setDisplayrssdesc,$DB->quote($displayrssdesc));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertDisplayrssdesc,$DB->quote($displayrssdesc));
}

$showicon=isset($_POST["showicon"])?"true":"false";
$DB->execute($config_setShowicon,$DB->quote($showicon));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertShowicon,$DB->quote($showicon));
}

$debugmode=isset($_POST["debugmode"])?"true":"false";
$DB->execute($config_setDebugmode,$DB->quote($debugmode));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertDebugmode,$DB->quote($debugmode));
}

if (defined('__useproxy') &&__useproxy && isset($_POST["proxypass"]) && $_POST["proxypass"]!="xxxxxxx")
{
	$DB->execute($config_setProxyServer,$DB->quote($_POST["proxyserver"]));
	if ($DB->nbAffected()==0)
	{
		$DB->execute($config_insertProxyServer,$DB->quote($_POST["proxyserver"]));
	}

	$DB->execute($config_setProxyPort,$DB->quote($_POST["proxyport"]));
	if ($DB->nbAffected()==0)
	{
		$DB->execute($config_insertProxyPort,$DB->quote($_POST["proxyport"]));
	}

	$proxyconnection=base64_encode ($_POST["proxyuser"].":".$_POST["proxypass"]);
	$DB->execute($config_setProxyConnection,$DB->quote($proxyconnection));
	if ($DB->nbAffected()==0)
	{
		$DB->execute($config_insertProxyConnection,$DB->quote($proxyconnection));
	}
	
	$DB->execute($config_setProxyPac,$DB->quote($_POST["proxypacfile"]));
	if ($DB->nbAffected()==0)
	{
		$DB->execute($config_insertProxyPac,$DB->quote($_POST["proxypacfile"]));
	}
}

$DB->execute($config_setAccountType,$DB->quote($_POST["accounttype"]));
if ($DB->nbAffected()==0)
{
	$DB->execute($config_insertAccountType,$DB->quote($_POST["accounttype"]));
}

$blockedModulePreventPageRemoval=isset($_POST["blockedModulePreventPageRemoval"])?"true":"false";
$DB->execute($config_setBlockedAndRemoval,$DB->quote($blockedModulePreventPageRemoval));
if ($DB->nbAffected()==0){
	$DB->execute($config_insertBlockedAndRemoval,$DB->quote($blockedModulePreventPageRemoval));
}


header("location:scr_config_generate_configfiles.php?redirect=config");
?>