<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Users management - Apply user modifications
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted="A";
$pagename="admin/scr_user_modify_add.php";
//includes
require_once('includes.php');;
require_once('../l10n/'.__LANG.'/admin.lang.php');

$userid=$_POST["user"];
$user=$_POST["username"];
$password=$_POST["pass"];
$key=md5($user.$password);

// userid=0 => new user
if ($userid==0)
{
	//add the new user
	$DB->execute($users_addNew,$DB->quote($user),$DB->quote($_POST["long_name"]),$DB->quote($_POST["usertype"]),$DB->quote($password),$DB->quote($key),$DB->quote($_POST["lang"]));
	// new user_id
	$userid=$DB->getId();
	//add to log
	$DB->execute($users_logUserAdd,$userid);
	
	
	launch_hook('admin_create_user',$userid);
	
}
else
{
	//modify the user information
	if ($user!="" && $password!="" && $password!="xxxxxxxx")
	{
		$DB->execute($users_updateWithPass,$DB->quote($user),$DB->quote($_POST["long_name"]),$DB->quote($_POST["usertype"]),$DB->quote($password),$DB->quote($key),$DB->quote($_POST["lang"]),$DB->escape($userid));
	}
	else
	{
		$DB->execute($users_updateWithoutPass,$DB->quote($user),$DB->quote($_POST["long_name"]),$DB->quote($_POST["usertype"]),$DB->quote($_POST["lang"]),$DB->escape($userid));
	}

	// change portals languages
	$DB->execute($users_updatePortalsLanguage,$DB->quote($_POST["lang"]),$DB->escape($userid));

	launch_hook('admin_modify_user',$userid);
	
}

//group management (for type I only)
//Suppress the old group mapping
$DB->execute($user_removeFromGroup,$DB->escape($userid));
$i=0;
while (isset($_POST["group".$i]))
{
	$DB->execute($users_addInGroup,$DB->escape($userid),$DB->escape($_POST["group".$i]));
	
	launch_hook('admin_set_user_group',$userid,$_POST["group".$i]);
	
	$i++;
}

//notification
if (isset($_POST["notify"]))
{
	if ($password=="xxxxxxxx")
	{
		//Generate a new password
		$str = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
		$password="";
		srand((double)microtime()*1000000);
		for($i=0;$i<10;$i++) $password.= $str[rand()%62]; 
		
		// update password
		$DB->setUtf8();
		$DB->execute($users_updatePassword,$DB->quote(md5($password)),$DB->escape($userid));
	}
	mail($user,utf8_decode(lg("subscribeConfirmation").__APPNAME),utf8_decode(lg("subscribeConfirmationBody","email: ".$user."\r\nPassword: ".$password)."\r\n\r\n".__APPNAME."\r\n".__LOCALFOLDER),"From: ".__SUPPORTEMAIL."\r\n");
}


header("location:frm_user_modify_add.php?treated=1&id=".$userid);
?>