<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH stats - main page
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/stats_show.php";
$tabname="statstab";

require_once('includes.php');
set_include_path("../includes/");
require('header.inc.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
?>


<table cellpadding="10" cellspacing="0" border="0" width="100%">
<tr>
<td valign="top">
<h1><img src="../images/ico_adm_stat.gif" align="absmiddle" /> <?php echo lg("appStats");?> :</h1>
<?php if (__enterprise) echo "<a href='stats.php'>".lg("backPrevPage")."</a><br />";?>
<br />


<?php
	//get time range for statistics
	if (isset($_GET["month"]))
	{
		$ref="month";
		$month=$_GET["month"];
	}
	else if (isset($_GET["year"]))
	{
		$ref="year";
		$year=$_GET["year"];
	}
	else
	{
		$ref="month";
		$month=date("m");
	}
	if ($ref=="month")
	{
		echo "<form name='f' action='stats_modules.php' method='get'><a class='sellist' style='font-size:11pt;font-weight:bold;'>".lg("month")." ";
		echo "<select name='month' onchange=\"document.forms['f'].submit();\"><option value='01'".($month=="01"?" selected='selected'":"").">".lg("Jan")."</option><option value='02'".($month=="02"?" selected='selected'":"").">".lg("Feb")."</option><option value='03'".($month=="03"?" selected='selected'":"").">".lg("Mar")."</option><option value='04'".($month=="04"?" selected='selected'":"").">".lg("Apr")."</option><option value='05'".($month=="05"?" selected='selected'":"").">".lg("Mai")."</option><option value='06'".($month=="06"?" selected='selected'":"").">".lg("Jun")."</option><option value='07'".($month=="07"?" selected='selected'":"").">".lg("Jul")."</option><option value='08'".($month=="08"?" selected='selected'":"").">".lg("Aug")."</option><option value='09'".($month=="09"?" selected='selected'":"").">".lg("Sep")."</option><option value='10'".($month=="10"?" selected='selected'":"").">".lg("Oct")."</option><option value='11'".($month=="11"?" selected='selected'":"").">".lg("Nov")."</option><option value='12'".($month=="12"?" selected='selected'":"").">".lg("Dec")."</option></select>";
		echo "</a> | <a href='stats_modules.php?year=".date("Y")."' class='optlist' style='font-size:11pt;font-weight:bold;'>".lg("wholeYear")."</a><br /><br />";
	}
	else
	{
		echo "<h2><a href='stats_modules.php' class='optlist' style='font-size:11pt;font-weight:bold;'>".lg("currentMonth")."</a> | <a href='#' class='sellist'>".lg("wholeYear")."</a><br /><br />";
	}
?>


<div class="subtitle"><?php echo lg("statsModules");?></div><br />
<div id="stat1"></div><br />
<div class="subtitle"><?php echo lg("statsRssDirectory");?></div><br />
<div id="stat2"></div><br />
<div class="subtitle"><?php echo lg("statsRssUsers");?></div><br />
<div id="stat3"></div><br />
</td>
</tr>
</table>
<script type="text/javascript">


<?php
// generate best modules ranking
echo "p_stats.table.init('stat1');";
echo "p_stats.table.createCol(0,'".lg("rank")."');";
echo "p_stats.table.createCol(1,'".lg("modules")." (".lg("displays").")');";
if ($ref=="month")
{
	$DB->getResults($statsmodules_getDailyTopModules,$DB->quote($month));
}
else
{
	$DB->getResults($statsmodules_getMonthlyTopModules,$DB->quote($year));
}

$inc=1;
while ($row=$DB->fetch(0))
{
	echo "p_stats.table.addInCol(0,".$inc.");p_stats.table.addInCol(1,'".addslashes($row["name"])." (".$row["tot"].")');";
	$inc++;
}
echo "p_stats.table.create();";

//generate best rss widget (of library) ranking
echo "p_stats.table.init('stat2');";
echo "p_stats.table.createCol(0,'".lg("rank")."');";
echo "p_stats.table.createCol(1,'".lg("modules")." (".lg("displays").")');";
if ($ref=="month")
{
	$DB->getResults($statsmodules_getDailyTopDirRss,$DB->quote($month));
}
else
{
	$DB->getResults($statsmodules_getMonthlyTopDirRss,$DB->quote($year));
}
$inc=1;
while ($row=$DB->fetch(0))
{
	echo "p_stats.table.addInCol(0,".$inc.");p_stats.table.addInCol(1,'".addslashes($row["name"])." (".$row["tot"].")');";
	$inc++;
}
echo "p_stats.table.create();";

//generate best rss widgets ranking
echo "p_stats.table.init('stat3');";
echo "p_stats.table.createCol(0,'".lg("rank")."');";
echo "p_stats.table.createCol(1,'".lg("rss")." (".lg("displays").")');";
if ($ref=="month")
{
	$DB->getResults($statsmodules_getDailyTopRss,$DB->quote($month));
}
else
{
	$DB->getResults($statsmodules_getMonthlyTopRss,$DB->quote($year));
}

$inc=1;
while ($row=$DB->fetch(0))
{
	echo "p_stats.table.addInCol(0,".$inc.");p_stats.table.addInCol(1,'".$row["result1"]." (".$row["tot"].")');";
	$inc++;
}
echo "p_stats.table.create();";

write_admin_tabs($tabname,false);

$DB->close();
?>
</script>
<?php
require('footer.inc.php');
?>