<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH stats - main page
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/stats_show.php";
$tabname="statstab";

require_once('includes.php');
set_include_path("../includes/");

launch_hook('admin_stats_show');

require('header.inc.php');

?>

<h1><img src="../images/ico_adm_stat.gif" alt="" /> <?php echo lg("appStats");?> :</h1>
<?php if (__enterprise) echo "<p><a href='stats.php'>".lg("backPrevPage")."</a></p>";?>

<?php
	if (isset($_GET["month"]))
	{
		$ref="month";
		$month=$_GET["month"];
	}
	else if (isset($_GET["year"]))
	{
		$ref="year";
		$year=$_GET["year"];
	}
	else
	{
		$ref="month";
		$month=date("m");
	}
	if ($ref=="month")
	{
		echo "<form name='f' action='stats_show.php' method='get'><a class='sellist' style='font-size:11pt;font-weight:bold;'>".lg("month")." ";
		echo "<select name='month' onchange=\"document.forms['f'].submit();\"><option value='01'".($month=="01"?" selected='selected'":"").">".lg("Jan")."</option><option value='02'".($month=="02"?" selected='selected'":"").">".lg("Feb")."</option><option value='03'".($month=="03"?" selected='selected'":"").">".lg("Mar")."</option><option value='04'".($month=="04"?" selected='selected'":"").">".lg("Apr")."</option><option value='05'".($month=="05"?" selected='selected'":"").">".lg("Mai")."</option><option value='06'".($month=="06"?" selected='selected'":"").">".lg("Jun")."</option><option value='07'".($month=="07"?" selected='selected'":"").">".lg("Jul")."</option><option value='08'".($month=="08"?" selected='selected'":"").">".lg("Aug")."</option><option value='09'".($month=="09"?" selected='selected'":"").">".lg("Sep")."</option><option value='10'".($month=="10"?" selected='selected'":"").">".lg("Oct")."</option><option value='11'".($month=="11"?" selected='selected'":"").">".lg("Nov")."</option><option value='12'".($month=="12"?" selected='selected'":"").">".lg("Dec")."</option></select>";
		echo "</a> | <a href='stats_show.php?year=".date("Y")."' class='optlist' style='font-size:11pt;font-weight:bold;'>".lg("wholeYear")."</a><br /><br />";
	}
	else
	{
		echo "<h2><a href='stats_show.php' class='optlist' style='font-size:11pt;font-weight:bold;'>".lg("currentMonth")."</a> | <a href='#' class='sellist'>".lg("wholeYear")."</a><br /><br />";
	}
?>
<div class="subtitle"><?php echo lg("uniqVisitors");?></div>
<div id="stat1"></div>
<div class="subtitle"><?php echo lg("stat1");?></div>
<div id="stat2"></div>
<div class="subtitle"><?php echo lg("stat2");?></div>
<div id="stat3"></div>

<script type="text/javascript">
/*<![CDATA[*/
<?php
echo 'p_stats.chart.init("stat1","'.lg("uniqVisitors").'","'.($ref=="month"?lg("days"):lg("months")).'");';
if ($ref=="month")
{
	$DB->getResults($stats_getDailyVisitors,$DB->quote($month));
	$day=1;
	$currday=($month==date("m"))?date("d"):31;
	$row=$DB->fetch(0);
	while ($day<$currday)
	{
		if ($row["absc"]==$day)
		{
			echo "p_stats.chart.addCoord(".$row["ord"].",'".$row["absc"]."');";
			$row=$DB->fetch(0);
		}
		else
		{
			echo "p_stats.chart.addCoord(0,'".$day."');";
		}
		$day++;
	}
}
else
{
	$DB->getResults($stats_getMonthlyVisitors,$DB->quote($year));
	$month=1;
	$currmonth=date("m");
	$row=$DB->fetch(0);
	while ($month<=$currmonth)
	{
		if ($row["absc"]==$month)
		{
			echo "p_stats.chart.addCoord(".$row["ord"].",'".lg(date("M",mktime(0, 0, 0, $month, 1, 2000)))."');";
			$row=$DB->fetch(0);
		}
		else
		{
			echo "p_stats.chart.addCoord(0,'".lg(date("M",mktime(0, 0, 0, $month, 1, 2000)))."');";
		}
		$month++;
	}
}
echo "p_stats.chart.create();";

echo 'p_stats.chart.init("stat2","'.lg("stat1").'","'.($ref=="month"?lg("days"):lg("months")).'");';
if ($ref=="month")
{
	$DB->getResults($stats_getDailyNewUsers,$DB->quote($month));
	$day=1;
	$currday=($month==date("m"))?date("d"):31;
	$row=$DB->fetch(0);
	while ($day<$currday)
	{
		if ($row["absc"]==$day)
		{
			echo "p_stats.chart.addCoord(".$row["ord"].",'".$row["absc"]."');";
			$row=$DB->fetch(0);
		}
		else
		{
			echo "p_stats.chart.addCoord(0,'".$day."');";
		}
		$day++;
	}
}
else
{
	$DB->getResults($stats_getMonthlyNewUsers,$DB->quote($year));
	$month=1;
	$currmonth=date("m");
	$row=$DB->fetch(0);
	while ($month<=$currmonth)
	{
		if ($row["absc"]==$month)
		{
			echo "p_stats.chart.addCoord(".$row["ord"].",'".lg(date("M",mktime(0, 0, 0, $month, 1, 2000)))."');";
			$row=$DB->fetch(0);
		}
		else
		{
			echo "p_stats.chart.addCoord(0,'".lg(date("M",mktime(0, 0, 0, $month, 1, 2000)))."');";
		}
		$month++;
	}
}
echo "p_stats.chart.create();";

echo 'p_stats.chart.init("stat3","'.lg("stat2").'","'.($ref=="month"?lg("days"):lg("months")).'");';
if ($ref=="month"){
	$DB->getResults($stats_getDailyOpenings,$DB->quote($month));
	$day=1;
	$currday=($month==date("m"))?date("d"):31;
	$row=$DB->fetch(0);
	while ($day<$currday)
	{
		if ($row["absc"]==$day)
		{
			echo "p_stats.chart.addCoord(".$row["ord"].",'".$row["absc"]."');";
			$row=$DB->fetch(0);
		}
		else
		{
			echo "p_stats.chart.addCoord(0,'".$day."');";
		}
		$day++;
	}
}
else
{
	$DB->getResults($stats_getMonthlyOpenings,$DB->quote($year));
	$month=1;
	$currmonth=date("m");
	$row=$DB->fetch(0);
	while ($month<=$currmonth)
	{
		if ($row["absc"]==$month)
		{
			echo "p_stats.chart.addCoord(".$row["ord"].",'".lg(date("M",mktime(0, 0, 0, $month, 1, 2000)))."');";
			$row=$DB->fetch(0);
		}
		else
		{
			echo "p_stats.chart.addCoord(0,'".lg(date("M",mktime(0, 0, 0, $month, 1, 2000)))."');";
		}
		$month++;
	}
}
echo "p_stats.chart.create();";


launch_hook('admin_stats_showed');


write_admin_tabs($tabname,false);
?>
/*]]>*/
</script>
<?php
require('footer.inc.php');
?>