<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Modules management - Cache XML List of the directories
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=0;
//includes
require('includes.php');
require_once('../includes/xml.inc.php');

$file=new xmlFile();

$file->header("channel");

$id=isset($_GET["catid"])?$_GET["catid"]:0;

if ($id>0)
{
	$curcat = $id;
	$curcattext = "";
	$curcatname = "";
	while ($curcat>0)
	{
		$DB->getResults($cache_getDirectoryInformation,$DB->escape($curcat));
		$row = $DB->fetch(0);
		if ($curcat==$id)
		{
			$curcatname = $row["name"];
			$curquantity=$row["quantity"];
			$curcattext = "> " . $curcatname;
			echo "<parent>".$row["parent_id"]."</parent>";
		}
		else
		{
			$curcattext = "> <a href=# onclick='p_addContent.getDir(".$row["id"].")' style='color:#000000;text-decoration:underline;'>" . $row["name"] . "</a> " . $curcattext;
		}
		$curcat = $row["parent_id"];
		$DB->freeResults();
	}
	echo "<dirname><![CDATA[".$curcatname." (".$curquantity.")]]></dirname>";
	echo "<path><![CDATA[ <A href=# onclick='p_addContent.getDir(0)' style='color:#000000;text-decoration:underline;'>Accueil</A> " . $curcattext . " ]]></path>";
}
else
{
	echo "<path> Accueil du catalogue</path><parent>0</parent>";
}

if ($id==0)
{
	$DB->getResults($cache_getRootDirectoryChildren,$DB->escape($id));
}
else
{
	$DB->getResults($cache_getDirectoryChildren,$DB->escape($id));
}

$number = $DB->nbResults();
if ($number>0)
{
	while ($row = $DB->fetch(0))
	{
		echo "<dir>";
		echo "<dirid>".$row['id']."</dirid>";
		echo "<dirname><![CDATA[".$row['name']."]]></dirname>";
		echo "<quantity>".$row['quantity']."</quantity>";
		echo "<lang>".$row['lang']."</lang>";
		echo "</dir>";
	}
}
$DB->freeResults();

$DB->getResults($module_getModuleInformationXml,$DB->escape($id));
if ($DB->nbResults()>0)
{
	while ($row = $DB->fetch(0))
	{
		echo "<item>";
		echo "<id>".$row['id']."</id>";
		echo "<name><![CDATA[".$row['name']."]]></name>";
		echo "<rank>".$row['nota']."</rank>";
		echo "</item>";
	}
}
$DB->freeResults();

$file->footer("channel");
?>