<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Users management - XML List of the groups
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$granted="A";
$pagename="admin/xml_group.php";
//includes
require('includes.php');
require_once('../includes/xml.inc.php');

$file=new xmlFile();

$file->header("channel");

$id=$DB->escape(isset($_GET["group"])?$_GET["group"]:0);

// selected group information
$DB->getResults($users_getGroupXml,$id);
$row=$DB->fetch(0);
echo "<selgroupname><![CDATA[".$row['name']."]]></selgroupname>";
$DB->freeResults();

//childs groups information
$DB->getResults($users_getChildrenGroupsXml,$id);
$number = $DB->nbResults();
echo "<nb>".$number."</nb>";
if ($number>0)
{
	while ($row = $DB->fetch(0))
	{
		echo "<group>";
		echo "<groupid>".$row['id']."</groupid>";
		echo "<groupname><![CDATA[".$row['name']."]]></groupname>";
		echo "</group>";
	}
}
$DB->freeResults();

$DB->getResults($users_getUsersOfGroupXml,$id);
if ($DB->nbResults()>0)
{
	while ($row = $DB->fetch(0))
	{
		echo "<user>";
		echo "<id>".$row["id"]."</id>";
		echo "<username><![CDATA[".$row["username"]."]]></username>";
		echo "<name><![CDATA[".$row["long_name"]."]]></name>";
		echo "<typ><![CDATA[".$row["typ"]."]]></typ>";
		echo "</user>";
	}
}
$DB->freeResults();

$file->footer("channel");
?>