<?php
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
$authentif_getUser = "SELECT username,typ,lang,long_name FROM users WHERE id=%u AND md5pass=%s AND typ NOT IN ('S','D')";
$authentif_getUserByName = "SELECT id,md5pass AS password,typ,lang,long_name FROM users WHERE username=%s AND typ NOT IN ('S','D')";
$xmltabs_getTabs = "SELECT id,name,md5pass,seq,icon,controls,loadonstart,type,param FROM profile WHERE user_id=%u ORDER BY seq ASC ";
$xmlsearch_searchModule = "SELECT DISTINCT dir_item.id, SUM(weight) AS wei, dir_item.name FROM search_index, search_keyword, dir_item, dir_cat_item, dir_category 
		WHERE dir_item.id=search_index.item_id AND search_keyword.id=kw_id AND status='O' AND label_simplified IN ('%s') AND dir_item.id=dir_cat_item.item_id AND category_id=dir_category.id AND secured=0 
		GROUP BY search_index.item_id ORDER BY wei DESC,notation DESC LIMIT %u,11 ";
$xmlpages_getTabs = "SELECT id FROM profile WHERE user_id=%u ORDER BY seq ASC ";
$xmlpages_getGroup = "SELECT group_id FROM users_group_map WHERE user_id=%u ";
$xmlpages_getParentGroup = "SELECT parent_id FROM users_group WHERE id=%u ";
$xmlpages_getPageForGroup = "SELECT id FROM pages WHERE group_id=%u ";
$xmlpages_getPageInformation = "SELECT id,name,description,position,type,param,seq,nbcol,showtype,npnb,style,modulealign FROM pages WHERE group_id=%u ORDER BY seq ";
$xmlpages_getModules = "SELECT item_id,posx,posy,posj,x,y,variables,uniq,blocked,minimized FROM pages_module WHERE page_id=%u ";
$opmlexport_getPortal = "SELECT id,name FROM profile WHERE user_id=%u ";
$opmlexport_getModules = "SELECT variables,website,name FROM module,dir_item WHERE item_id=id AND format='R' AND profile_id=%u AND user_id=%u ";
$xmlmymodules_getModules = "SELECT dir_item.id,dir_item.name,dir_item.typ,secured FROM dir_item,dir_cat_item,dir_category WHERE editor_id=%u AND status='O' AND item_id=dir_item.id AND category_id=dir_category.id ORDER BY name ";
$xmlmymodules_getTempModules = "SELECT id,name FROM temp_dir_item WHERE editor_id=%u AND status='N' ORDER BY name ";
$xmlmodules_getTabInfo = "SELECT name,style,def,md5pass,width,controls,advise,showtype,usereader,nbnews,modulealign FROM profile WHERE user_id=%u AND id=%u ";
$xmlmodules_getModules = "SELECT id,dir_item.url AS url,posx,posy,posj,x,y,variables,height,minwidth,sizable,name,website,status,uniq,format,nbvariables,blocked,minimized,usereader,autorefresh FROM dir_item, module 
	WHERE module.user_id=%u AND module.profile_id=%u AND module.item_id=dir_item.id ORDER BY posx,posy,uniq ";
$xmlfeeds_getRefreshDate = "SELECT title,(NOW()-lastloadedtime) AS delai,lastloadedid FROM dir_rss WHERE id=%u ";
$xmlfeeds_setLoadDate = "UPDATE dir_rss SET lastloadedtime=NOW() WHERE id=%u AND (NOW()-lastloadedtime)>%u ";
$xmlfeeds_setLastId = "UPDATE dir_rss SET lastloadedid=%s WHERE id=%u ";
$xmlfeeds_setTitle = "UPDATE dir_rss SET title=%s WHERE id=%u ";
$xmlfeeds_getItemsWithStatus = "SELECT DISTINCT id,title,link,description,image,video,audio,pubdate,status FROM feed_articles LEFT JOIN feed_articles_read ON article_id=id AND user_id=%u WHERE feed_id=%u ORDER BY id DESC LIMIT %u,%u ";
$xmlfeeds_getItems = "SELECT id,title,link,description,image,video,audio,pubdate,0 AS status FROM feed_articles WHERE feed_id=%u ORDER BY id DESC LIMIT %u,%u ";
$xmlcheckfeed_getIcon = "SELECT id,icon FROM dir_rss WHERE url=%s ";
$xmlcheckfeed_setUrl = "INSERT INTO dir_rss (url,icon,title,lastloadedid) VALUES (%s,0,'','') ";
$xmlgroup_getName = "SELECT name FROM users_group WHERE id=%u ";
$xmlgroup_getChildrenName = "SELECT id, name FROM users_group WHERE parent_id = %u ORDER BY name ";
$scrunlock_checkPass = "SELECT user_id FROM profile WHERE user_id=%u AND id=%u AND md5pass=%s ";
$scrsuppersonal_deleteTab = "DELETE FROM profile WHERE user_id=%u AND id=%u ";
$scrsuppersonal_deleteModules = "DELETE FROM module WHERE user_id=%u AND profile_id=%u ";
$scrsuppersonal_updateTabPos = "UPDATE profile SET seq=seq-1 WHERE user_id=%u AND seq>%u ";
$scrsubscribe_checkUser = "SELECT * FROM users WHERE username=%s AND typ IN ('I','N')";
$scrsubscribe_addUser = "INSERT INTO users(username,pass,typ,lastconnect_date,md5pass,long_name,md5user,lang) VALUES (%s,'','I',CURRENT_DATE,%s,%s,%s,%s)";
$scrsubscribe_log = "INSERT INTO log (action,pubdate,param1) VALUES (3,CURRENT_DATE,%u) ";
$scrsubscribe_addNewsletter = "INSERT INTO portaneo_newsletter_users (email, status, reg_date) VALUES (%s,'Y', CURRENT_DATE) ";
$scrsubscribe_updNewsletter = "UPDATE portaneo_newsletter_users SET status='Y' WHERE email=%s ";
$scrsetshowtype_update = "UPDATE profile SET showtype=%s WHERE user_id=%u AND id=%u ";
$scrsetdefault_setDefault = "UPDATE profile SET def='N' WHERE user_id=%u ";
$scrsetdefault_chooseDefault = "UPDATE profile SET def='Y' WHERE user_id=%u AND id=%u ";
$scrsavevar_updateVar = "UPDATE module SET variables=%s WHERE user_id=%u AND profile_id=%u AND uniq=%u ";
$scrnewspaper_setNbNews = "UPDATE profile SET nbnews=%u WHERE user_id=%u AND id=%u ";
$scrmymodules_removeTempMod = "DELETE FROM temp_dir_item WHERE editor_id=%u AND id=%u ";
$scrmymodules_removeTempModDirectory = "DELETE FROM temp_dir_cat_item WHERE item_id=%u ";
$scrmovetab_moveRight = "UPDATE profile SET seq=seq+1 WHERE user_id=%u AND seq>=%u ";
$scrmovetab_movedTab = "UPDATE profile SET seq=%u WHERE user_id=%u AND id=%u ";
$scrmovetab_moveLeft = "UPDATE profile SET seq=seq-1 WHERE user_id=%u AND seq>%u ";
$scrminimize_minimizeModule = "UPDATE module SET minimized=%u WHERE user_id=%u AND profile_id=%u AND uniq=%u ";
$scrfeed_setAsRead = "INSERT INTO feed_articles_read (article_id,user_id,status) VALUES (%u,%u,1) ";
$scrfeed_setAsUnread = "DELETE FROM feed_articles_read WHERE article_id=%u AND user_id=%u ";
$screxchangemod_update = "UPDATE module SET item_id=%u, variables='' WHERE user_id=%u AND profile_id=%u AND item_id=%u ";
$scrcreateportal_getTabs = "SELECT id FROM profile WHERE user_id=%u ORDER BY id ASC ";
$createportal_addModule = "INSERT INTO module (item_id, user_id, profile_id, posx, posy, posj,x,y, typ, variables,uniq,blocked,minimized) 
	SELECT id, %s, %u,%u,%u,%u,%u,%u,'D',%s,%u,%u,%u FROM dir_item WHERE id=%u ";
$scrcreateportal_addTab = "INSERT INTO profile (user_id, id, name, width, style, def, creation_date, modif_date, height, cacheurl,showtype,nbnews,seq,icon,modulealign,type,param) 
	VALUES (%u, %u, %s, %u, %u,'N', CURRENT_DATE, CURRENT_DATE, 5,%s,%s,%u,%u,%s,%s,%s,%s) ";
$scrcontrols_updateCtrl = "UPDATE profile SET controls=%s WHERE user_id=%u AND id=%u ";
$scrconfig_addNewModule = "INSERT INTO module (item_id, user_id, profile_id, posx, posy,x,y, typ, variables,uniq) SELECT id,%u,%u,1,99,0,0,'D',%s,0  FROM dir_item WHERE id=%u ";
$scrconfigplace_addNewMod = "INSERT INTO module (item_id,user_id,profile_id,posx,posy,posj,x,y,typ,variables,uniq) VALUES (%u,%u,%u,%u,%u,%u,%u,%u,'D',%s,%u) ";
$scrconfigplace_removeMod = "DELETE FROM module WHERE user_id=%u AND profile_id=%u AND item_id=%u AND uniq=%u ";
$scrconfigplace_updateMod = "UPDATE module SET posx=%u, posy=%u, posj=%u, x=%u, y=%u WHERE user_id=%u AND profile_id=%u AND item_id=%u AND uniq=%u ";
$scrconfigoptions_setDefAll = "UPDATE profile SET def='N' WHERE user_id=%u ";
$scrconfigoptions_setDef = "UPDATE profile SET def='Y' WHERE user_id=%u AND id=%u ";
$scrconfigoptions_getPass = "SELECT md5pass FROM users WHERE id=%s ";
$scrchangeuniq_setUniq = "UPDATE module SET uniq=%u WHERE user_id=%u AND profile_id=%u AND posx=%u AND posy=%u ";
$scrchangepwd_changePass = "UPDATE users SET pass='',md5pass=MD5(%s) WHERE id=%u AND md5pass=MD5(%s) ";
$scrchangepwd_changePortalPass = "UPDATE profile SET md5pass=MD5(%s) WHERE user_id=%u and md5pass=MD5(%s) ";
$scraddstats_logPortalOpening = "INSERT INTO log (action,pubdate,param1,param2) VALUES (2,CURRENT_DATE,%u,%u) ";
$scraddstats_logModuleOpening = "INSERT INTO log (action,pubdate,param1,param2,param3) SELECT 1,CURRENT_DATE,user_id,item_id,variables FROM module WHERE user_id=%u AND profile_id=%u ";
$scrothertab_getNewPos = "SELECT MAX(posy)+1 AS newpos FROM module WHERE posx=1 AND profile_id=%u AND user_id=%u ";
$scrothertab_updateModule = "UPDATE module SET profile_id=%u,posx=1,posy=%u,x=30,y=150,uniq=0 WHERE user_id=%u AND uniq=%u AND profile_id=%u ";
$scrintab_getNewPos = "SELECT MAX(posy)+1 AS newpos FROM module WHERE posx=1 AND profile_id=%u AND user_id=%u ";
$scrintab_addModule = "INSERT INTO module (item_id, user_id,profile_id,posx,posy,x,y,typ,variables,uniq,blocked,minimized) SELECT id,%u,%u,1,%u,30,150,typ,defvar,0,0,0 FROM dir_item WHERE id=%u ";
$passwordmissing_updatePass = "UPDATE users SET md5pass=%s WHERE username=%s AND typ!='A' ";
$addtoapplication_getModule = 'SELECT id,name,url,height,format,vars,nbvariables FROM dir_item,dir_item_shared WHERE chk=%s AND item_id=%u AND id=item_id LIMIT 0,1 ';
$addtoapplication_getRssInfo = "SELECT id,name,url,height,format,'rssurl=%s',nbvariables,defvar FROM dir_item,dir_cat_item WHERE id=item_id AND id=%u LIMIT 0,1 ";
$addtoapplication_getUserRssInfo = "SELECT id,name,url,height,format,'rssurl=%s',nbvariables,defvar FROM dir_item WHERE id=86 LIMIT 0,1 ";
$addtoapplication_getModuleById = "SELECT id,name,url,height,format,defvar,nbvariables FROM dir_item,dir_cat_item WHERE id=item_id AND id=%u LIMIT 0,1 ";
$widtask_RemoveTask = "DELETE users_tasks FROM users_tasks,users_tasks_id WHERE task_id=%u AND users_tasks.id=users_tasks_id.id AND user_id=%u ";
$widtask_createNewId = "INSERT INTO users_tasks_id (user_id,status) VALUES(%u,'A') ";
$widtask_copyTasks = "INSERT INTO users_tasks (id,comments,name,done) SELECT %u,comments,name,done FROM users_tasks WHERE id=%u AND task_id!=%u ";
$widtask_addNewTaskId = "INSERT INTO users_tasks_id (user_id,status) VALUES(%u,'A') ";
$widtask_addNewTask = "INSERT INTO users_tasks (id,comments,name) VALUES (%u,%s,%s) ";
$widtask_addNewTaskOnExistingMod = "INSERT INTO users_tasks (id,comments,name) SELECT %u,%s,%s FROM users_tasks_id WHERE id=%u AND user_id=%u ";
$widtask_updateTask = "UPDATE users_tasks, users_tasks_id SET name=%s,comments=%s WHERE task_id=%u AND users_tasks.id=users_tasks_id.id AND user_id=%u ";
$widtask_createNewMod = "INSERT INTO users_tasks_id (user_id,status) VALUES(%u,'A') ";
$widtask_insertExistingTasks = "INSERT INTO users_tasks (id,comments,name,done) SELECT %u,comments,name,done FROM users_tasks WHERE id=%u ";
$widtask_newModInsertTask = "INSERT INTO users_tasks (id,comments,name) VALUES (%u,%s,%s) ";
$widtask_newModUpdateTask = "UPDATE users_tasks SET name=%s,comments=%s WHERE task_id=%u ";
$widtask_changeStatus = "UPDATE users_tasks SET done=%s WHERE task_id=%u ";
$widnote_newNote = "INSERT INTO users_notes (user_id, notes) VALUES (%u,%s) ";
$widnote_updateNote = 'UPDATE users_notes SET notes=%s WHERE id=%u AND user_id=%u ';
$widnote_addNote = "INSERT INTO users_notes (user_id, notes) VALUES (%u,%s) ";
$widmail_checkProvider = "SELECT provider,webmail,serveur,port,protocole FROM users_mail_providers WHERE provider_ext=%s ";
$widmail_configure = "INSERT INTO users_mail (user_id,provider, webmail, serveur, port, protocole, username, pass) VALUES (%u,%s,%s,%s,%s,%s,%s,%s) ";
$widmail_getMailInfo = "SELECT serveur,port,protocole,username,pass,webmail FROM users_mail WHERE id=%u AND user_id=%u ";
$widlink_removeLink = "DELETE FROM users_favorites AS uf,users_favorites_id AS ufi WHERE link_id=%u AND uf.id=ufi.id AND user_id=%u ";
$widlink_createNewId = "INSERT INTO users_favorites_id (user_id,status) VALUES(%u,'A') ";
$widlink_copyLinks = 'INSERT INTO users_favorites (id,name,url,tags) SELECT %u,name,url,tags FROM users_favorites WHERE id=%u AND link_id!=%u ';
$widlink_addNewLinkId = "INSERT INTO users_favorites_id (user_id,status) VALUES(%u,'A') ";
$widlink_addNewLink = "INSERT INTO users_favorites (id,name,url,tags) VALUES (%u,%s,%s,%s) ";
$widlink_addNewLinkOnExistingMod = "INSERT INTO users_favorites (id,name,url,tags) SELECT %u,%s,%s,%s FROM users_favorites_id WHERE id=%u AND user_id=%u ";
$widlink_updateLink = "UPDATE users_favorites,users_favorites_id SET name=%s,url=%s,tags=%s WHERE link_id=%u AND users_favorites.id=users_favorites_id.id AND user_id=%u ";
$widlink_createNewMod = "INSERT INTO users_favorites_id (user_id,status) VALUES(%u,'A') ";
$widlink_insertExistingLink = "INSERT INTO users_favorites (id,name,url,tags) SELECT %u,name,url,tags FROM users_favorites WHERE id=%u ";
$widlink_newModInsertLink = "INSERT INTO users_favorites (id,name,url,tags) VALUES (%u,%s,%s,%s) ";
$widlink_newModUpdateLink = "UPDATE users_favorites SET name=%s,url=%s,tags=%s WHERE link_id=%u ";
$widcal_removeEvent = "DELETE FROM users_calendar AS uc,users_calendar_id AS uci WHERE cal_id=%u AND uc.id=uci.id AND user_id=%u ";
$widcal_createNewId = "INSERT INTO users_calendar_id (user_id,status) VALUES(%u,'A') ";
$widcal_createNewEvent = "INSERT INTO users_calendar (id,title,comments,pubdate,time,endtime) SELECT %u,title,comments,pubdate,time,endtime FROM users_calendar WHERE id=%u AND cal_id!=%u ";
$widcal_newModuleId = "INSERT INTO users_calendar_id (user_id,status) VALUES(%u,'A') ";
$widcal_newModuleEvent = "INSERT INTO users_calendar (id,title,comments,pubdate,time,endtime) VALUES (%u,%s,%s,%s,%s,%s) ";
$widcal_addEvent = "INSERT INTO users_calendar (id,title,comments,pubdate,time,endtime) SELECT %u,%s,%s,%s,%s,%s FROM users_calendar_id WHERE id=%u AND user_id=%u ";
$widcal_addNewModId = "INSERT INTO users_calendar_id (user_id,status) VALUES(%u,'A') ";
$widcal_addNewModEvent = "INSERT INTO users_calendar (id,title,comments,pubdate,time,endtime) SELECT %u,title,comments,pubdate,time,endtime FROM users_calendar WHERE id=%u ";
$widcal_addNewModOldEvents = "INSERT INTO users_calendar (id,title,comments,pubdate,time,endtime) VALUES (%u,%s,%s,%s,%s,%s) ";
$widcal_getEvents = "SELECT cal_id, title, comments, time, endtime FROM users_calendar WHERE id=%u AND pubdate=%s ORDER BY time ";			
$widcal_getMonthEvents = "SELECT cal_id, DAYOFMONTH(pubdate) as day, title, time, endtime FROM users_calendar WHERE id=%u AND MONTH(pubdate)=%s AND YEAR(pubdate)=%s ORDER BY pubdate,time ";
$xmlsearch_searchSecuredModule = "SELECT DISTINCT dir_item.id, SUM(weight) AS wei, dir_item.name FROM search_index, search_keyword, dir_item, dir_cat_item, users_group_category_map, users_group_map 
		WHERE dir_item.id=search_index.item_id AND search_keyword.id=kw_id AND status='O' AND label_simplified IN ('%s') AND dir_item.id=dir_cat_item.item_id AND dir_cat_item.category_id=users_group_category_map.category_id AND users_group_category_map.group_id=users_group_map.group_id AND users_group_map.user_id=%u 
		GROUP BY search_index.item_id ORDER BY wei DESC,notation DESC ";
$xmlexplorer_getItems = "SELECT dir_item.id,dir_item.name FROM dir_item,dir_cat_item,users_group_category_map,users_group_map WHERE dir_item.id=item_id AND dir_cat_item.category_id=users_group_category_map.category_id AND users_group_category_map.group_id=users_group_map.group_id AND user_id=%u ";
$xmldirectory_getChildrenDirectoryXml = "SELECT id, name, quantity, secured FROM dir_category WHERE parent_id = %u ORDER BY name ";
$xmlautocompletion_get="SELECT id,label FROM search_keyword WHERE label_simplified LIKE %s ORDER BY label_simplified LIMIT 0,10 ";
$getKeyWordId = "SELECT id FROM search_keyword WHERE label_simplified=%s ";
$addKeyword = "INSERT INTO search_keyword (label,label_simplified) VALUES (%s,%s) ";
?>