// ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
// ***************************************
// POSH Admin specific javascript
//
// be careful, this file must be saved under uft8 format, and display an e accentuated here : é
//
// ***************************************

var widgetDecalY=314;

var admModule={
	catid:0,
	catname:0,
	levCatid:[],
	currLevel:0,
	isModuleShown:true,
	init:function(v_reload)
	{
		navPrint("optmod",admModule.menu());
		if (!v_reload) admModule.getList(1,0);
		admModule.getNbModule();
		admModule.getNbValidate();
	},
	menu:function()
	{
		var l_s="<a id='btn0' class='optlist' style='font-size:11pt;font-weight:bold;' href='#' onclick='return admModule.getList(1,0)'>"+lg("lblModules")+" <span id='btn0nb'></span></a> | ";
		l_s+="<a id='btn1' class='optlist' style='font-size:11pt;font-weight:bold;' href='#' onclick='return admModule.initDir()'>"+lg("lblDirectories")+"</a> | ";
		l_s+="<a id='btn2' class='optlist' style='font-size:11pt;font-weight:bold;' href='#' onclick='admModule.getList(1,1)'>"+lg("lblToValidate")+" <span id='btn2nb'></span></a> |";
		//l_s+="<u>"+lg("lblRootDirs")+"</u><br />";
		admModule.catSel(0,0);
		return l_s;
	},
	activateBtn:function(v_id)
	{
		for (var i=0;i<3;i++)
		{
			navClass("btn"+i,"optlist");
		}
		navClass("btn"+v_id,"sellist");	
	},
	initDir:function(v_id,v_name)
	{
		// Initialize modules directory menu
		var l_s="<table border='0'><tr>";
		l_s+="<td><div id='level0' class='dirdiva' style='width:170px;'>";
		l_s+="<table cellpadding='0' cellspacing='0' width='90%'>";
		for (var i=0;i<__dimension.length;i++)
		{
			if (__dimension[i]["id"]!=0)
			{
				if (v_id==indef){v_id=__dimension[i]["id"];v_name=__dimension[i]["name"];}
				l_s+="<tr><td id='dir"+__dimension[i]["id"]+"' class='"+((v_id==__dimension[i]["id"])?"catopta":"catopti")+"' onmouseover='catOptOver(\"dir"+__dimension[i]["id"]+"\")' onmouseout='catOptOut(\"dir"+__dimension[i]["id"]+"\")'><a href='#' onclick=\"return admModule.initDir('"+__dimension[i]["id"]+"','"+formatString(__dimension[i]["name"])+"')\">"+__dimension[i]["name"]+"("+__dimension[i]["lg"]+")</a></td></tr>";
			}
		}
		l_s+="</table><br />[<a href='#' onclick='return admModule.mainDirModify();'>"+lg("lblModifyTheDir")+"</a>]";
		l_s+="</div></td>";
		l_s+="<td><div id='level1' class='dirdivi' style='width:210px;'></div></td>";
		l_s+="<td><div id='level2' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level3' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level4' class='dirdivi' style='width:170px;'></div></td>";
		l_s+="</tr></table>"+img("",7,7)+"<br />";
		admModule.activateBtn(1);
		navShow("listmod","block");
		navPrint("listmod",l_s);
		navPrint("level1","Chargement ...");
		admModule.getDir(v_id,1);
		admModule.catSel(v_id,v_name);
		return false;
	},
	getDir:function(v_cat,v_level,v_norefresh,v_secured)
	{
		// Open the modules directory
		if (!v_norefresh) v_norefresh=false;
		admModule.levCatid[v_level]=v_cat;
		admModule.currLevel=v_level;
		getXml("xml_directory.php?catid="+v_cat,admModule.displayDir,new Array(v_level,v_cat,v_norefresh,v_secured));
	},
	displayDir:function(response,vars)
	{
		var l_s="";
		if (response.getElementsByTagName("dir")[0]||response.getElementsByTagName("item")[0])
		{
			l_s+="<table cellpadding='0' cellspacing='1' border='0' style='width:90%'>";
			if (response.getElementsByTagName("dir")[0])
			{
				var l_i=0,l_dirid;
				while (response.getElementsByTagName("dir")[l_i])
				{
					var l_result=response.getElementsByTagName("dir")[l_i];
					l_dirid=getXMLval(l_result,"dirid","int",false,0);
					l_dirname=getXMLval(l_result,"dirname","str",false,"...");
					l_secured=getXMLval(l_result,"secured","int",false,0);
					var l_quantity=getXMLval(l_result,"quantity","int",false,0);
					l_s+="<tr><td id='dir"+l_dirid+"' class='catopt"+(l_secured==0?"":"s")+"i' onmouseover='catOptOver(\""+l_dirid+"\","+l_secured+")' onmouseout='catOptOut(\""+l_dirid+"\","+l_secured+")'> <a href='#' class='menul' onclick='admModule.getDir(\""+l_dirid+"\","+(vars[0]+1)+",indef,"+l_secured+");admModule.catSel(\""+l_dirid+"\",\""+formatString(l_dirname)+"\");return false;' "+(l_quantity==0?"style='color: #aaaaaa'":"")+">"+l_dirname+" ("+l_quantity+")</a></td></tr>";
					l_i++;
				}
			}
			if (response.getElementsByTagName("item")[0])
			{
				var l_i=0,l_itemid;
				while (response.getElementsByTagName("item")[l_i])
				{
					var l_result=response.getElementsByTagName("item")[l_i];
					l_itemid=getXMLval(l_result,"id","int",false,0);
					l_s+="<tr><td>"+img("../modules/pictures/box0_"+l_itemid+".ico",16,16,"","imgmid")+" <a href='#' class='menul' onclick='admModule.loadMod("+l_itemid+");return false;'>"+getXMLval(l_result,"name","str",false,"--")+"</a></td></tr>";
					l_i++;
				}
			}
			l_s+="</table>";
		}
		else
		{
			l_s+=lg("lblNoModule");
		}

		navClass("level"+vars[0],"dirdiva");
		navPrint("level"+vars[0],l_s);
		//clear unused div
		if (!vars[2])
		{
			for (var i=vars[0]+1;i<5;i++)
			{
				navPrint("level"+i,"");
				navClass("level"+i,"dirdivi");
			}
		}
		catOptSel(vars[1],vars[0]-1,vars[3]);
	},
	moduleBar:function()
	{
		var l_s="<div style='padding:5px;'><form name='search' onsubmit='admModule.getSearch(document.search.searchtxt.value,0);return false;'>"+lg("searchMod")+" : <input class='thinbox' name='searchtxt' type='text' size='20' style='height:20px' value='' /><input type='submit' name='buts' class='btn' value='Go' />";
		l_s+=" &nbsp; | &nbsp; <img src='../images/ico_ownmodule.gif' align='absmiddle' /> <a href='../tutorial/'>"+lg("createNewModule")+"</a>";
		l_s+="</form></div>";
		return l_s;
	},
	validateModuleBar:function()
	{
		var l_s="<div style='padding:5px;'><form name='search' onsubmit='admModule.getSearch(document.search.searchtxt.value,0);return false;'>"+lg("searchMod")+" : <input class='thinbox' name='searchtxt' type='text' size='20' style='height:20px' value='' /><input type='submit' name='buts' class='btn' value='Go' />";
		l_s+=" &nbsp; | &nbsp; <a href='scr_module_validateall.php'>"+lg("validateAllModules")+"</a>";
		l_s+="</form></div>";
		return l_s;
	},
	getNbModule:function()
	{
		getXml("xmlnbmodules.php",admModule.updateVar,"btn0nb");
	},
	getNbValidate:function()
	{
		getXml("xmlnbtovalidate.php",admModule.updateVar,"btn2nb");
	},
	updateVar:function(response,vars)
	{
		navPrint(vars,"("+getXMLval(response,"return","str",false,"?")+")");
	},
	refreshDir:function(v_prev)
	{
		if (admModule.currLevel!=0)
		{
			var l_currLevel=(v_prev&&admModule.currLevel>1)?(admModule.currLevel-1):admModule.currLevel;
			//re apply current dir selection
			admModule.getDir(admModule.levCatid[l_currLevel],l_currLevel,true,dirOptSelSec[l_currLevel-1]);
			if (l_currLevel<4)
			{
				navPrint("level"+(l_currLevel+1),"");
				navClass("level"+(l_currLevel+1),"dirdivi");
			}
			//if group suppressed or changed, hide the options
			if (v_prev)
			{
				admModule.catSel(0,0);
			}
			admModule.getNbModule();
			admModule.getNbValidate();
		}
		else
		{
			admModule.init();
		}
	},
	catSel:function(v_id,v_name)
	{
		admModule.catid=v_id;
		admModule.catname=v_name;
		admModule.showDirOptions();
	},
	loadMod:function(v_id)
	{
		admModule.hideFrame();
		navPrint("newmod","<h2>"+lg("lblModifyModule")+"</h2><iframe id='frm' src='frm_module_modify.php?itemid="+v_id+"' width='1200' height='1200' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
	},
	loadValMod:function(v_id)
	{
		admModule.hideFrame();
		navPrint("newmod","<h2>"+lg("lblValidateModule")+"</h2><iframe id='frm' src='frm_module_validate.php?itemid="+v_id+"' width='980' height='1000' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
	},
	dirModify:function(v_id)
	{
		admModule.hideFrame();
		navPrint("newmod","<h2>"+lg("lblModifydir")+"</h2><iframe id='frm' src='frm_directory_modify.php?catid="+v_id+"' width='980' height='300' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	dirAdd:function(v_id)
	{
		admModule.hideFrame();
		navPrint("newmod","<h2>"+lg("lblCategoryAdd")+"</h2><iframe id='frm' src='frm_directory_add.php?catid="+v_id+"' width='980' height='300' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	dirSuppress:function(v_id)
	{
		l_response=confirm(lg("msgDirSup",admModule.catname));
		if (l_response==1)
		{
			admModule.hideFrame();
			navPrint("newmod","<h2>"+lg("lblSuppressDir")+"</h2><iframe id='frm' src='frm_directory_suppress.php?catid="+v_id+"' width='980' height='150' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		}
		return false;
	},
	dirMove:function(v_id)
	{
		admModule.hideFrame();
		navPrint("newmod","<h2>"+lg("lblMoveaDir")+"</h2><iframe id='frm' src='frm_directory_move.php?catid="+v_id+"' width='980' height='100' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	mainDirModify:function()
	{
		admModule.hideFrame();
		navPrint("newmod","<h2>"+lg("lblModifyTheDir")+"</h2><iframe id='frm' src='frm_rootdirectory_modify.php' width='980' height='400' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	getList:function(v_page,v_type)
	{
		var l_link=(v_type==1)?"xml_tovalidate.php":"xml_allservices.php";
		admModule.hideFrame();
		admModule.currLevel=0;
		admModule.activateBtn((v_type==1)?2:0);
		getXml(l_link+"?p="+v_page,admModule.displayList,new Array(v_page,v_type));
		admModule.hideDirOptions();
		return false;
	},
	displayList:function(response,vars)
	{
		var l_s="",l_action="loadMod";
		l_s+=vars[1]==0?admModule.moduleBar():admModule.validateModuleBar();
		if (vars[1]==1) {l_action="loadValMod";}
		l_s+="<table cellpadding='0' cellspacing='0'>";
		if (response.getElementsByTagName("page")[0])
		{
			var l_id;
			l_s+="<tr><td><table style='width:760px'>";
			l_s+="<tr><td valign='top' class='dirdiva'><table cellpadding='0' cellspacing='0'><tr><td valign='top'><table cellpadding='0' cellspacing='1' style='width:233px'>";
			var i=0;
			while (response.getElementsByTagName("item")[i])
			{
				result=response.getElementsByTagName("item")[i];
				l_id=getXMLval(result,"id","int",false,0);
				if (vars[1]==0) l_s+="<tr><td width='20'>"+img("../modules/pictures/box0_"+l_id+".ico",16,16)+"</td><td style='border-bottom:1px solid #c6c3c6'><a class='menul' href='#' onclick='admModule."+l_action+"("+l_id+")'"+((getXMLval(result,"status","str",false,"")=='O')?"":" style='color:#c6c3c6;text-decoration: line-through;'")+">"+getXMLval(result,"name","str",false,"--")+"</a></td></tr>";
				else l_s+="<tr><td width='20'>"+img("../modules/quarantine/icon"+l_id+".ico",16,16)+"</td><td style='border-bottom:1px solid #c6c3c6;'><a class='menul' href='#' onclick='admModule."+l_action+"("+l_id+")'"+((getXMLval(result,"status","str",false,"")=='O' || vars[1]==1)?"":" style='color:#c6c3c6;text-decoration: line-through;'")+">"+getXMLval(result,"name","str",false,"--")+"</a></td></tr>";
				i++;
				if (i%7==0&&i<21) l_s+="</table></td><td valign='top'><table cellpadding='0' cellspacing='1' style='width:233px'>"
			}
			if (i==0) l_s+="<tr><td>"+lg("lblNoModule")+"</td></tr>";
			l_s+="</table></td></tr>";
			l_s+="<br /><table width='100%'><tr>";
			if (vars[0]>1){l_s+="<td><a href='#' onclick='admModule.getList("+(vars[0]-1)+","+vars[1]+");return false;'>"+img("ico_previous2.gif",12,11,lg("lblPrevMods"))+" "+lg("lblPrevMods")+"</a></td>";}
			if (i==21){l_s+="<td align='right'><a href='#' onclick='admModule.getList("+(vars[0]+1)+","+vars[1]+");return false;'>"+lg("lblNextMods")+" "+img("ico_next2.gif",12,11,lg("lblNextMods"))+"</a></td>";}
			l_s+="</tr></table>";
		}
		else
		{
			l_s+=lg("lblDisplayErr");
		}
		l_s+="</td></tr></table>";
		navShow("listmod","block");
		navPrint("listmod",l_s);
	},
	getSearch:function(v_s,v_page)
	{
		// Open the search results
		v_s=formatSearch(v_s);
		admModule.hideFrame();
		admModule.currLevel=0;
		admModule.hideDirOptions();
		admModule.activateBtn();
		navPrint("listmod","Recherche en cours ...");
		getXml("xmlsearch.php?searchtxt="+_esc(v_s)+"&p="+v_page,admModule.displaySearch,new Array(v_s,v_page));
	},
	displaySearch:function(response,vars)
	{
		var l_s="",l_result;
		l_s+=admModule.moduleBar();
		l_s+="<table cellpadding='0' cellspacing='0'>";
		if (response.getElementsByTagName("nbres")[0])
		{
			var l_id;
			l_s+="<tr><td><table style='width:760px'>";
			l_s+="<tr><td valign='top' class='dirdiva'><table cellpadding='0' cellspacing='0'><tr><td valign='top'><table cellpadding='0' cellspacing='1' style='width:230px'>";
			var i=0;
			while (response.getElementsByTagName("item")[i])
			{
				l_result=response.getElementsByTagName("item")[i];
				var l_id=getXMLval(l_result,"id","int",false,0);
				l_s+="<tr><td width='20'>"+img("../modules/pictures/box0_"+l_id+".ico",16,16)+"</td><td style='border-bottom:1px solid #c6c3c6'> <a class='menul' href='#' onclick='admModule.loadMod("+l_id+")'>"+getXMLval(l_result,"name","str",false,"...")+"</a></td></tr>";
				i++;
				if (i%7==0&&i<21) l_s+="</table></td><td valign='top'><table cellpadding='0' cellspacing='1' style='width:230px'>"
			}
			if (i==0) l_s+="<tr><td>"+lg("lblSrchNoMod")+"</td></tr>";
			l_s+="</table></td></tr>";
			l_s+="<br /><table width='100%'><tr>";
			if (vars[1]!=0){l_s+="<td><a href='#' onclick=\"admModule.getSearch('"+vars[0]+"',"+(parseInt(vars[1])-1)+");return false;\">"+img("ico_previous2.gif",12,11,lg("lblPrevMods"))+" "+lg("lblPrevMods")+"</a></td>";}
			if (i==21){l_s+="<td align='right'><a href='#' onclick=\"admModule.getSearch('"+vars[0]+"',"+(parseInt(vars[1])+1)+");return false;\">"+lg("lblNextMods")+" "+img("ico_next2.gif",12,11,lg("lblNextMods"))+"</a></td>";}
			l_s+="</tr></table>";
		}
		else
		{
			l_s+="<tr><td><table><tr><td style='color:#ff0000'>"+lg("lblSrch3car");
		}
		l_s+="</td></tr></table></td></tr></table>";
		navShow("listmod","block");
		navPrint("listmod",l_s);
	},
	showDirOptions:function()
	{
		var l_s="";
		l_s+=lg("lblDirSelected")+" : <b><font color='#ff0000'>"+admModule.catname+"</font></b>";
		if (admModule.currLevel>1)
		{
			l_s+=" | <a href='#' onclick='return admModule.dirModify(admModule.catid);'>"+lg("lblCategoryModify")+"</a>";
			l_s+=" | <a href='#' onclick='return admModule.dirSuppress(admModule.catid);'>"+lg("lblCategorySuppress")+"</a>";
			l_s+=" | <a href='#' onclick='return admModule.dirMove(admModule.catid);'>"+lg("lblCategoryMove")+"</a>";
		}
		if (admModule.currLevel<3) l_s+=" | <a href='#' onclick='return admModule.dirAdd(admModule.catid);'>+ "+lg("lblCategoryAdd")+"</a>";
		navPrint("directory",l_s);
	},
	hideDirOptions:function()
	{
		navPrint("directory","");
	},
	hideFrame:function()
	{
		p_area.clean(_gel("newmod"));
	},
	displayKeywords:function()
	{
		var l_s="";
		if (keys.length>0)
		{
			l_s+="<table cellpadding='2' cellspacing='0' border='0'><tr><td>"+lg("lblKeyword")+"</td><td>"+lg("lblPriority")+"</td></tr>";
			for (var i=0;i<keys.length;i++)
			{
				l_s+="<tr><td><input type='text' name='kw"+i+"' value='"+keys[i].name+"' size='20' maxlength='30' /></td>";
				l_s+="<td><select name='w"+i+"'><option value='3'"+(keys[i].priority==3?" selected='selected'":"")+">"+lg("high")+"</option><option value='2'"+(keys[i].priority==2?" selected='selected'":"")+">"+lg("normal")+"</option><option value='1'"+(keys[i].priority==1?" selected='selected'":"")+">"+lg("low")+"</option></select></td>";
				l_s+="<td><a href='#' onclick='admModule.suppKeyword("+i+")'>"+img("ico_suppress.gif",13,10,lg("lblSuppress"))+"</a></td></tr>";
			}
			l_s+="</table>";
		}
		else
		{
			l_s+=lg("noKeyword");
		}
		l_s+="<br /><br />";
		l_s+="<b>+ "+lg("addKeyword")+"</b><br />";
		l_s+="<input type='text' name='kw' value='' size='20' maxlength='30' />";
		l_s+="<select name='weight'><option value='3'>"+lg("high")+"</option><option value='2' selected='selected'>"+lg("normal")+"</option><option value='1'>"+lg("low")+"</option></select>";
		l_s+="<br /><input type='button' value='"+lg("lblAdd")+"' onclick='admModule.addKeyword()' />";
		navPrint("keywordlist",l_s);
	},
	addKeyword:function()
	{
		l_form=document.forms["f"];
		keys[keys.length]=new keywordObj(keys.length,l_form.weight.value,l_form.kw.value);
		admModule.displayKeywords();
	},
	suppKeyword:function(v_id)
	{
		keys.splice(v_id,1);
		admModule.displayKeywords();
	},
	security:function()
	{
		if (tab[0].module[0].format=="I")
		{
			_gel("col1").innerHTML="<table width='100%' height='200px' border='1'><tr><td align='center' valign='middle'>"+lg("moduleDisplaySecurity")+"<br /><a href='#' onclick='admModule.securityPassed();return false;'>"+lg("yes")+"</a> <a href='../modules/quarantine/module"+tab[0].module[0].id+".xml' target='_blank'>"+lg("checkSourceCode")+"</a></td></tr></table>";
			admModule.isModuleShown=false;
		}
		else
		{
			admModule.securityPassed();
		}
	},
	securityPassed:function()
	{
		_gel("col1").innerHTML="";
		tab[0].module[0].create();
		tab[0].module[0].show();
		admModule.isModuleShown=true;
	}
}
var admUsers={
	groupid:0,
	groupname:0,
	levGroupid:[],
	currLevel:0,
	selId:0,
	init:function(v_id)
	{
		// Initialize user lists
		navPrint("optmod",admUsers.menu());
		if (__useGroup) {admUsers.initGroup(0);} else {admUsers.loadAll(1);}
		admUsers.getNbUsers();
	},
	menu:function()
	{
		var l_s="<a id='listlink' class='optlist' style='font-size:11pt;font-weight:bold;' href='#' onclick='admUsers.loadAll(1)'>"+lg("users")+" <span id='listlinknb'></span></a>";
		if (__useGroup) l_s+=" | <a id='dirlink' class='optlist' style='font-size:11pt;font-weight:bold;' href='#' onclick='admUsers.initGroup(0)'>"+lg("lblUsersbyGroup")+"</a>";
		return l_s;
	},
	getNbUsers:function()
	{
		getXml("xmlnbusers.php",admUsers.updateVar,"listlinknb");
	},
	updateVar:function(response,vars)
	{
		_gel(vars).innerHTML="("+getXMLval(response,"return","str",false,"?")+")";
	},
	getSearch:function(v_s,v_page)
	{
		// Open the search results
		navClass("dirlink","optlist");
		navClass("listlink","optlist");
		admUsers.hideGroupOptions();
		admUsers.currLevel=0;
		admUsers.hideFrame();
		v_s=formatSearch(v_s);
		navPrint("listmod","Recherche en cours ...");
		getXml("xml_search_user.php?searchtxt="+_esc(v_s)+"&p="+v_page,admUsers.displaySearch,new Array(v_s,v_page));
	},
	displaySearch:function(response,vars)
	{
		var l_s="",l_result;
		l_s+=admUsers.userBar();
		l_s+="<table cellpadding='0' cellspacing='0'>";
		if (response.getElementsByTagName("nbres")[0])
		{
			var l_id;
			l_s+="<tr><td><br /><b>"+lg("searchUser")+" : "+vars[0]+"</b> <a href='#' onclick='return admUsers.loadAll(1)'>"+lg("returnWholeUsersList")+"</a><br /></td></tr>";
			l_s+="<tr><td><table width='960'>";
			l_s+="<tr><td valign='top' class='dirdiva'><table cellpadding='0' cellspacing='0' width='900'><tr><td valign='top'><table cellpadding='1' cellspacing='1' width='300'>";
			var i=0;
			while (response.getElementsByTagName("user")[i])
			{
				l_result=response.getElementsByTagName("user")[i];
				l_s+="<tr><td style='border-bottom:1px solid #c6c3c6'>"+img("ico_user_"+getXMLval(l_result,"typ","str",false,"I")+".gif",11,9)+" <a class='menul' href='#' onclick='admUsers.loadUser("+getXMLval(l_result,"id","int",false,0)+")'>"+getXMLval(l_result,"name","str",false,getXMLval(l_result,"username","str",false,"???"))+"</a></td></tr>";
				i++;
				if (i%7==0&&i<21) l_s+="</table></td><td valign='top'><table cellpadding='1' cellspacing='1' width='300'>"
			}
			if (i==0) l_s+="<tr><td>"+lg("lblSrchNoUser")+"</td></tr>";
			l_s+="</table></td></tr>";
			l_s+="</table><br /><table width='100%'><tr>";
			if (vars[1]!=0){l_s+="<td><a href='#' onclick=\"admUsers.getSearch('"+vars[0]+"',"+(parseInt(vars[1])-1)+");return false;\">"+img("ico_previous2.gif",12,11,lg("lblPrevUsers"))+" "+lg("lblPrevUsers")+"</a></td>";}
			if (i==21){l_s+="<td align='right'><a href='#' onclick=\"admUsers.getSearch('"+vars[0]+"',"+(parseInt(vars[1])+1)+");return false;\">"+lg("lblNextUsers")+" "+img("ico_next2.gif",12,11,lg("lblNextUsers"))+"</a></td>";}
			l_s+="</tr></table></td></tr></table>";
			l_s+="<br />";
		}
		else
		{
			l_s+="<tr><td><table><tr><td style='color:#ff0000'>"+lg("lblSrch3car");
		}
		l_s+="</td></tr></table></td></tr></table>";
		navShow("listmod","block");
		navPrint("listmod",l_s);
	},
	userBar:function()
	{
		var l_s="<div style='padding:5px;'><form name='search' onsubmit='admUsers.getSearch(document.search.searchtxt.value,0);return false;'>"+img("ico_search.gif",13,13)+" "+lg("searchUser")+" : <input class='thinbox' name='searchtxt' type='text' size='20' style='height:20px' value='' /><INPUT type='submit' name='buts' class='btn' value='Go' />";
		l_s+="&nbsp; | &nbsp; <a href='#' onclick='return admUsers.newUser()'>"+img("ico_adm_add.gif",12,12)+" "+lg("addUser")+"</a>";
		l_s+=" &nbsp; | &nbsp; "+img("ico_user_I.gif",11,9)+" "+lg("users")+" . "+img("ico_user_A.gif",11,9)+" "+lg("administrators");
		l_s+="</form></div>";
		return l_s;
	},
	loadUser:function(v_id)
	{
		admUsers.hideFrame();
		navPrint("newmod","<iframe id='frm' src='frm_user_modify.php?id="+v_id+"' width='980' height='1000' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
	},
	loadAll:function(v_page,v_keepframe)
	{
		navClass("dirlink","optlist");
		navClass("listlink","sellist");
		admUsers.currLevel=0;
		if (v_keepframe==indef || !v_keepframe) admUsers.hideFrame();
		getXml("xml_all_users.php?p="+v_page,admUsers.displayAll,v_page);
		admUsers.hideGroupOptions();
		return false;
	},
	displayAll:function(response,vars)
	{
		var l_s="";
		l_s+=admUsers.userBar();
		l_s+="<table cellpadding='0' cellspacing='0'>";
		if (response.getElementsByTagName("page")[0])
		{
			var l_id;
			l_s+="<tr><td><table width='960'>";
			l_s+="<tr><td valign='top' class='dirdiva'><table cellpadding='0' cellspacing='0' width='900'><tr><td valign='top'><table cellpadding='1' cellspacing='1' width='300'>";
			var lastValid=0;
			for (var i=0;i<21;i++)
			{
				if (response.getElementsByTagName("user")[i])
				{
					l_result=response.getElementsByTagName("user")[i];
					l_s+="<tr><td style='border-bottom:1px solid #c6c3c6'>"+img("ico_user_"+getXMLval(l_result,"typ","str",false,"I")+".gif",11,9)+" <a class='menul' href='#' onclick='admUsers.loadUser("+getXMLval(l_result,"id","int",false,0)+")'>"+getXMLval(l_result,"name","str",false,getXMLval(l_result,"username","str",false,"???"))+"</a></td></tr>";
					lastvalid=i;
				}
				else
				{
					l_s+="<tr><td></td></tr>";
				}
				if (i%7==6&&i<20) l_s+="</table></td><td valign='top'><table cellpadding='1' cellspacing='1' width='300'>"
			}
			if (lastvalid==0) l_s+="<tr><td>"+lg("lblNoUser")+"</td></tr>";
			l_s+="</table></td></tr></table>";
			l_s+="<br /><table width='100%'><tr>";
			if (vars>1){l_s+="<td><a href='#' onclick='admUsers.loadAll("+(vars-1)+");return false;'>"+img("ico_previous2.gif",12,11,lg("lblPrevUsers"))+" "+lg("lblPrevUsers")+"</a></td>";}
			if (lastvalid==20){l_s+="<td align='right'><a href='#' onclick='admUsers.loadAll("+(vars+1)+");return false;'>"+lg("lblNextUsers")+" "+img("ico_next2.gif",12,11,lg("lblNextUsers"))+"</a></td>";}
			l_s+="</tr></table>";
		}
		else
		{
			l_s+=lg("lblDisplayErr");
		}
		l_s+="</td></tr></table>";
		navShow("listmod","block");
		navPrint("listmod",l_s);
	},
	initGroup:function(v_id)
	{
		navClass("dirlink","sellist");
		navClass("listlink","optlist");
		var l_s="<table>";
		l_s+="<td><div id='level1' class='dirdivi' style='width:230px;'></div></td>";
		l_s+="<td><div id='level2' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level3' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level4' class='dirdivi' style='width:170px;'></div></td>";
		l_s+="</tr></table><br />";
		navShow("listmod","block");
		navPrint("listmod",l_s);
		navPrint("level1","Chargement ...");
		admUsers.loadGroup(v_id,1);
		admUsers.groupSel(0,"");
	},
	loadGroup:function(v_group,v_level,v_norefresh)
	{
		// Open the modules directory
		if (!v_norefresh) v_norefresh=false;
		admUsers.levGroupid[v_level]=v_group;
		admUsers.currLevel=v_level;
		getXml("xml_group.php?group="+v_group,admUsers.displayGroup,new Array(v_level,v_group,v_norefresh));
	},
	displayGroup:function(response,vars)
	{
		var l_s="";
		if (response.getElementsByTagName("group")[0]||response.getElementsByTagName("user")[0])
		{
			if (response.getElementsByTagName("group")[0])
			{
				var i=0,l_groupid;
				l_s+="<table cellpadding='0' cellspacing='1' border='0' style='width:90%'>";
				while (response.getElementsByTagName("group")[i])
				{
					var l_result=response.getElementsByTagName("group")[i];
					l_groupid=getXMLval(l_result,"groupid","int",false,0);
					l_groupname=getXMLval(l_result,"groupname","str",false,"...");
					l_s+="<tr><td id='dir"+l_groupid+"' class='diropti' onmouseover='dirOptOver("+l_groupid+")' onmouseout='dirOptOut("+l_groupid+")'>"+img("ico_group.gif",11,9)+" <a href='#' class='menul' onclick='admUsers.groupSel("+l_groupid+",\""+formatString(l_groupname)+"\","+vars[0]+");admUsers.loadGroup("+l_groupid+","+(vars[0]+1)+");return false;'>"+l_groupname+"</a></td></tr>";
					i++;
				}
				l_s+="</table>";
			}
			if (response.getElementsByTagName("user")[0])
			{
				var i=0,l_userid;
				l_s+="<table cellpadding='0' cellspacing='1' border='0' style='width:90%'>";
				while (response.getElementsByTagName("user")[i])
				{
					l_result=response.getElementsByTagName("user")[i];
					l_s+="<tr><td>"+img("ico_user_"+getXMLval(l_result,"typ","str",false,"I")+".gif",11,9)+" <a class='menul' href='#' onclick='admUsers.loadUser("+getXMLval(l_result,"id","int",false,0)+")'>"+getXMLval(l_result,"name","str",false,getXMLval(l_result,"username","str",false,"???"))+"</a></td></tr>";
					i++;
				}
				l_s+="</table>";
			}
		}
		else
		{
			l_s+=lg("lblNoGroup")+"/"+lg("lblNoUser");
		}

		navClass("level"+vars[0],"dirdiva");
		navPrint("level"+vars[0],l_s);
		//clear unused div
		if (!vars[2])
		{
			for (var i=vars[0]+1;i<5;i++)
			{
				navPrint("level"+i,"");
				navClass("level"+i,"dirdivi");
			}
		}
		dirOptSel(vars[1],vars[0]-1);
	},
	groupSel:function(v_id,v_name,v_level)
	{
		admUsers.groupid=v_id;
		admUsers.groupname=v_name;
		admUsers.currLevel=(v_level==indef?1:v_level);
		admUsers.showGroupOptions();
	},
	refreshGroup:function(v_prev)
	{
		if (admUsers.currLevel!=0)
		{
			var l_currLevel=(v_prev&&admUsers.currLevel>1)?(admUsers.currLevel-1):admUsers.currLevel;
			admUsers.loadGroup(admUsers.levGroupid[l_currLevel],l_currLevel,true);
			if (l_currLevel<4) {navPrint("level"+(l_currLevel+1),"");navClass("level"+(l_currLevel+1),"dirdivi");}
			//if group suppressed or changed, hide the options
			if (v_prev) {admUsers.groupSel(0,0);}
		}
		else
		{
			admUsers.loadAll(1,true);
		}
		admUsers.getNbUsers();
	},
	showGroupOptions:function()
	{
		var l_s="";
		if (admUsers.groupid!=0)
		{
			l_s+="<b>"+lg("lblGroupSelected")+" : <font color='#ff0000'>"+admUsers.groupname;
			l_s+="</font></b> | <a href='#' onclick='return admUsers.groupModify(admUsers.groupid);'>"+lg("lblGroupModify")+"</a>";
			l_s+=" | <a href='#' onclick='return admUsers.groupSuppress(admUsers.groupid);'>"+lg("lblGroupSuppress")+"</a>";
			l_s+=" | <a href='#' onclick='return admUsers.groupMove(admUsers.groupid);'>"+lg("lblGroupMove")+"</a>";
			if (admUsers.currLevel<3) l_s+=" | <a href='#' onclick='return admUsers.groupAdd(admUsers.groupid);'>+ "+lg("lblGroupAdd")+"</a>";
		}
		else
		{
			l_s+="<b>"+lg("youAreOnGroupRoot")+"</b> | <a href='#' onclick='return admUsers.groupAdd(admUsers.groupid);'>+ "+lg("lblRootGroupAdd")+"</a>";
		}
		navPrint("directory",l_s);
	},
	hideGroupOptions:function()
	{
		navPrint("directory","");
	},
	hideFrame:function()
	{
		p_area.clean(_gel("newmod"));
	},
	groupModify:function(v_id)
	{
		admUsers.hideFrame();
		navPrint("newmod","<h2>"+lg("lblModifyGroup")+"</h2><iframe id='frm' src='frm_group_modify.php?group="+v_id+"' width='980' height='100' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	groupAdd:function(v_id)
	{
		admUsers.hideFrame();
		navPrint("newmod","<h2>"+lg("lblAddGroup")+"</h2><iframe id='frm' src='frm_group_add.php?group="+v_id+"' width='980' height='100' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	groupSuppress:function(v_id)
	{
		l_response=confirm(lg("msgGroupSup",admUsers.groupname));
		if (l_response==1)
		{
			admUsers.hideFrame();
			navPrint("newmod","<h2>"+lg("lblSuppressGroup")+"</h2><iframe id='frm' src='frm_group_suppress.php?group="+v_id+"' width='980' height='150' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		}
		return false;
	},
	groupMove:function(v_id)
	{
		admUsers.hideFrame();
		navPrint("newmod","<h2>"+lg("lblMoveGroup")+"</h2><iframe id='frm' src='frm_group_move.php?group="+v_id+"' width='980' height='100' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
		return false;
	},
	loadUser:function(v_id)
	{
		admUsers.hideFrame();
		navPrint("newmod","<h2>"+lg("lblEditNewUser")+"</h2><iframe id='frm' src='frm_user_modify_add.php?id="+v_id+"' width='980' height='450' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
	},
	newUser:function()
	{
		admUsers.hideFrame();
		navPrint("newmod","<h2>"+lg("lblAddNewUser")+"</h2><iframe id='frm' src='frm_user_modify_add.php?id=0' width='980' height='450' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
	},
	changeType:function()
	{
		var v_form=document.forms["f"];
		if (v_form.usertype.value=="I")
		{
			navShow("groupdiv","block");
			admUsers.showSelectedGroups();
			admUsers.loadAvailGroups(0);
		}
		if (v_form.usertype.value=="A")
		{
			navPrint("groupinputs","");
			navShow("groupdiv","none");
		}
		if (v_form.usertype.value=="R")
		{
			var l_s="";
			l_s+="<input type='checkbox' name='feedcreator'"+(redacCreator?" checked='checked'":"")+" />"+lg("userCanCreateFeeds")+"<br /><br />";
			l_s+=lg("availableFeeds")+" :<br /><select name='feedlist' size='4' style='width:300px'></select><br />";
			l_s+="<input type='checkbox' name='feedadmin' /> "+lg("administrator");
			l_s+="<input type='button' value='"+lg("lblAdd")+"' onclick='admUsers.addRedactorFeed()' /><br /><br />";
			l_s+=lg("feedsForThisRedactor")+" :<br /><div id='selfeed' style='border: 1px solid #c6c3c6'></div>";
			navPrint("groupdiv",l_s);
			admUsers.loadFeeds();
			admUsers.loadRedactorFeeds();
		}
	},
	loadFeeds:function()
	{
		getXml("xml_feeds.php",admUsers.displayFeeds,"");
	},
	displayFeeds:function(response,vars)
	{
		if (response.getElementsByTagName("feed")[0])
		{
			var i=0,l_form=document.forms["f"];
			while (response.getElementsByTagName("feed")[i])
			{
				var l_result=response.getElementsByTagName("feed")[i];
				l_form.feedlist.options[l_form.feedlist.length] = new Option(getXMLval(l_result,"title","str",false,"--"),getXMLval(l_result,"id","int",false,0));
				i++;
			}
			l_form.feedlist.selectedIndex=0;
		}
	},
	loadRedactorFeeds:function()
	{
		getXml("xml_redactor_feeds.php?id="+admUsers.selId,admUsers.getRedactorFeeds,"");
	},
	getRedactorFeeds:function(response,vars)
	{
		if (response.getElementsByTagName("feed")[0])
		{
			var i=0,l_form=document.forms["f"];
			while (response.getElementsByTagName("feed")[i])
			{
				var l_result=response.getElementsByTagName("feed")[i];
				redacfeedid.push(getXMLval(l_result,"id","int",false,0));
				redacfeedname.push(getXMLval(l_result,"title","str",false,"--"));
				redacfeedadmin.push(getXMLval(l_result,"admin","int",false,0));
				i++;
			}
		}
		admUsers.displayRedactorFeeds();
	},
	displayRedactorFeeds:function()
	{
		var l_s="";
		if (redacfeedid.length==0)
		{
			l_s=lg("noFeedForUser");
		}
		else
		{
			for (var i=0;i<redacfeedid.length;i++)
			{
				l_s+=redacfeedname[i]+(redacfeedadmin[i]==1?" (admin)":"")+"<input type='hidden' name='feedid"+i+"' value='"+redacfeedid[i]+"' /><input type='hidden' name='feedadmin"+i+"' value='"+redacfeedadmin[i]+"' /> <a href='#' onclick='return admUsers.supRedactorFeed("+i+")'>"+img("ico_close.gif",9,9)+"</a><br />";
			}
		}
		navPrint("selfeed",l_s);
	},
	addRedactorFeed:function()
	{
		var l_form=document.forms["f"];
		if (l_form.feedlist.selectedIndex>=0)
		{
			var ind=l_form.feedlist.selectedIndex;
			redacfeedid.push(l_form.feedlist.options[ind].value);
			redacfeedname.push(l_form.feedlist.options[ind].text);
			redacfeedadmin.push((l_form.feedadmin.checked?1:0));
			admUsers.displayRedactorFeeds();
		}
	},
	supRedactorFeed:function(v_id)
	{
		redacfeedid.splice(v_id,1);
		redacfeedname.splice(v_id,1);
		redacfeedadmin.splice(v_id,1);
		admUsers.displayRedactorFeeds();
		return false;
	},
	showSelectedGroups:function()
	{
		var l_s="",l_input="";
		for (var i=0;i<selGroup.length;i++)
		{
			l_s+="<a href='#' onclick='return admUsers.selectSelectedGroup("+i+");'"+(selGroupId==i?" style='background-color:#c6c3c6;'":"")+">"+selGroup[i].name+"</a><br />";
			l_input+="<input type='hidden' name='group"+i+"' value='"+selGroup[i].id+"' />";
		}
		navPrint("selgroupdiv",l_s);
		navPrint("groupinputs",l_input);
	},
	selectSelectedGroup:function(v_id)
	{
		selGroupId=v_id;
		admUsers.showSelectedGroups();
		return false;
	},
	supSelectedGroup:function()
	{
		//suppress a group from user list
		if (selGroupId==-1) return false;
		selGroup.splice(selGroupId,1);
		selGroupId=-1;
		admUsers.showSelectedGroups();
		return false;
	},
	addSelectedGroup:function()
	{
		//add a group from group list to user list
		if (selAvailGroupId==-1) return false;
		//check if group is already added for this user
		for (var i=0;i<selGroup.length;i++)
		{
			if (selGroup[i].id==groups[selAvailGroupId].id) return false;
		}
		selGroup.push(new groupObj(groups[selAvailGroupId].id,groups[selAvailGroupId].name));
		selAvailGroupId=-1;
		selGroupId=-1;
		admUsers.showSelectedGroups();
		//clean up all groups list
		admUsers.selectAvailGroup(-1);
		return false;
	},
	loadAvailGroups:function(v_group,v_open)
	{
		if (v_open==indef) v_open=1;
		getXml("xml_group.php?group="+v_group,admUsers.displayAvailGroups,new Array(v_group,v_open));
		return false;
	},
	displayAvailGroups:function(response,vars)
	{
		var l_s="";
		if (vars[0]!=0) l_s+="<a href='#' class='dirlink' onclick='return admUsers.loadAvailGroups("+vars[0]+","+(vars[1]==0?"1":"0")+");'>"+img((vars[1]==1?"ico_minus.gif":"ico_plus.gif"),9,9)+"</a> <a id='expa"+vars[0]+"' href='#' onclick='return admUsers.selectAvailGroup("+vars[0]+");'>"+getXMLval(response,"selgroupname","str",true,"--")+"</a><br />";
		if (response.getElementsByTagName("group")[0] && vars[1]==1)
		{
			if (response.getElementsByTagName("group")[0])
			{
				var i=0,l_groupid,l_groupname;
				while (response.getElementsByTagName("group")[i])
				{
					var l_result=response.getElementsByTagName("group")[i];
					l_groupid=getXMLval(l_result,"groupid","int",false,0);
					l_groupname=getXMLval(l_result,"groupname","str",false,"...");
					groups.push(new groupObj(l_groupid,l_groupname));
					l_s+="<div class='expdir' id='exp"+l_groupid+"'><a href='#' onclick='return admUsers.loadAvailGroups("+l_groupid+");'>"+img("ico_plus.gif",9,9)+"</a> <a id='expa"+l_groupid+"' href='#' onclick='return admUsers.selectAvailGroup("+l_groupid+");'>"+l_groupname+"</a></div>";
					i++;
				}
			}
		}
		navPrint("exp"+vars[0],l_s);
		//navPrint("allgroupdiv",l_s);
	},
	selectAvailGroup:function(v_id)
	{
		for (var i=0;i<groups.length;i++)
		{
			if (_gel("expa"+groups[i].id)!=null)
			{
				if (groups[i].id==v_id)
				{
					selAvailGroupId=i;
					(_gel("expa"+groups[i].id)).style.backgroundColor="#c6c3c6";
				}
				else
				{
					(_gel("expa"+groups[i].id)).style.backgroundColor="#ffffff";
				}
			}
		}
		return false;
	}
}
var admPages={
	initialize:false,
	init:function()
	{
		this.initme();
	},
	initme:function()
	{
		// init pages moves
		if(admPages.initialize)return;
		
		admPages.initialize=true;
		var l_pages=_gel("pages");
		for(var i=0;i<l_pages.childNodes.length-1;i++){
			var l_mod=l_pages.childNodes[i];
			initMove(l_mod,"admpage",l_pages,"vertical",false);
		}
	},
	save:function(v_id)
	{
		// Save the pages order changes
		var l_pages=_gel("pages");
		var l_seq=0;
		for(var i=0;i<l_pages.childNodes.length-1;i++)
		{
			if (l_pages.childNodes[i].id && (l_pages.childNodes[i].id).indexOf("admpage")!=-1)
			{
				l_id=(l_pages.childNodes[i].id).replace("admpage","");
				if (l_id==v_id)
				{
					executescr("scr_pages_move.php","id="+v_id+"&seq="+l_seq,false);
				}
				l_seq++;
			}
		}
	},
	suppress:function(v_id,v_name,v_group)
	{
		if (v_group==indef) v_group=0;
		l_response=confirm(lg("msgPagesSup",v_name));
		if (l_response==1)
		{
			window.location="scr_pages_suppress.php?id="+v_id+"&group="+v_group;
		}
		return false;
	},
	typeSelection:function()
	{
		var l_s;
		switch(document.forms["f"].type.value)
		{
			case "1":
				l_s="<input type='hidden' name='param' value='/' />"+lg("lblAdmPagePortal");
				admPages.showModules();
				break;
			case "2":
				l_s='URL de la page : <input class="thinbox" type="text" name="param" value="'+admParam+'" maxlength="150" size="80" />';
				admPages.hideModules();
				break;
			case "3":
				l_s='Fonction javascript : <input class="thinbox" type="text" name="param" value="'+admParam+'" maxlength="150" />';
				admPages.hideModules();
				break;
			case "4":
				l_s='URL de la page destination : <input class="thinbox" type="text" name="param" value="'+admParam+'" maxlength="150" size="80" />';
				admPages.hideModules();
				break;
		}
		navPrint("paramctl",l_s);
	},
	setOnline:function()
	{
		executescr("scr_pages_setonline.php","",true);	
	},
	showModules:function()
	{
		navShow("modulesctl","block");
		navShow("header","block");
		navShow("modules","block");
		navShow("newmod","block");
		navShow("box","block");
		if ((_gel("modulesctl")).innerHTML=="")
		{
			admPages.modulesBar();
			p_area.init();
			p_cache.init();
		}
	},
	hideModules:function()
	{
		navShow("modulesctl","none");
		navShow("header","none");
		navShow("modules","none");
		navShow("newmod","none");
		navShow("box","none");
	},
	modulesBar:function()
	{
		var l_s="<table cellpadding='3' cellspacing='0' border='0' width='100%'><tr><td class='advise' align='center'><form name='option'>";
		l_s+="<a href='#' id='addBtn' class='iconei' onclick='return p_addContent.menu()'><img class='imgmid' src='../images/ico_menu_add.gif' alt='"+lg("lblAddContent2")+"' /> "+lg("lblAddContent")+"</a>";
		l_s+=" | "+lg("lblColNb")+" <input type='button' value='-' style='width:20px' onclick='admPages.supCol()' /> <input type='text' name='nbcol' value='"+tab[p_tabs.sel].colnb+"' style='text-align:right;width:20px;' size='1' disabled /> <input type='button' value='+' style='width:20px' onclick='admPages.addCol()' />";
		if (__themeNb>1) l_s+=" | "+lg("lblColors")+" <input type='button' value='<' style='width:20px' onclick='prevstyle();' /> <input type='text' name='selstyle' value='style "+tab[p_tabs.sel].style+"' style='text-align:center;width:40px;' size='7' disabled /> <input type='button' value='>' style='width:20px' onclick='nextstyle();' />";
		l_s+=" | "+lg("lblModuleAlign")+" <input type='checkbox' name='modulealign' onclick='p_area.module.align(tab[p_tabs.sel].moduleAlign);'"+(tab[p_tabs.sel].moduleAlign?" checked='checked'":"")+" />";
		l_s+=" | "+lg("lblMoveMods")+" <input type='checkbox' name='modulecontrol' onclick='p_area.module.switchHdr();'"+(tab[p_tabs.sel].controls=='Y'?" checked='checked'":"")+" />";
		l_s+="</form>";
		l_s+="</td></tr></table>";
		navPrint("modulesctl",l_s);
	},
	saveModules:function()
	{
		//check if anonymous or connected page :
		var l_mode=document.forms["f"].mode.value;
		//adjust module position
		var l_s="<input type='hidden' name='showtype' value='"+tab[p_tabs.sel].showType+"' /><input type='hidden' name='npnb' value='"+tab[p_tabs.sel].newspapernb+"' /><input type='hidden' name='nbcol' value='"+tab[p_tabs.sel].colnb+"' /><input type='hidden' name='style' value='"+tab[p_tabs.sel].style+"' /><input type='hidden' name='modulealign' value='"+(tab[p_tabs.sel].moduleAlign?"Y":"N")+"' /><input type='hidden' name='controls' value='"+tab[p_tabs.sel].controls+"' />";
		for (var i=0;i!=tab[p_tabs.sel].module.length;i++)
		{
			var widgetX=tab[p_tabs.sel].module[i].newx>0?tab[p_tabs.sel].module[i].newx:10;
			var widgetY=tab[p_tabs.sel].module[i].newy>0?tab[p_tabs.sel].module[i].newy:150;

			l_s+='<input type="hidden" name="i'+i+'" value="'+tab[p_tabs.sel].module[i].id+'" /><input type="hidden" name="p'+i+'" value="'+tab[p_tabs.sel].module[i].newpos+'" /><input type="hidden" name="c'+i+'" value="'+tab[p_tabs.sel].module[i].newcol+'" /><input type="hidden" name="pj'+i+'" value="'+tab[p_tabs.sel].module[i].newposj+'" /><input type="hidden" name="x'+i+'" value="'+widgetX+'" /><input type="hidden" name="y'+i+'" value="'+widgetY+'" /><input type="hidden" name="v'+i+'" value="'+tab[p_tabs.sel].module[i].vars+'" /><input type="hidden" name="b'+i+'" value="'+(l_mode=='2'?'1':(tab[p_tabs.sel].module[i].blocked?'1':'0'))+'" /><input type="hidden" name="m'+i+'" value="'+(tab[p_tabs.sel].module[i].minimized?'1':'0')+'" />';
		}

		navPrint("moduleslist",l_s);
		return true;
	},
	setColNb:function(v_nb)
	{
		var l_allowSuppress=p_area.col.check(v_nb);
		if (l_allowSuppress)
		{
			var l_nbCol=v_nb;
			if (tab[p_tabs.sel].showType==1&&l_nbCol!=tab[p_tabs.sel].colnb) alert(lg("lblColNbErr"));
			if (l_nbCol>tab[p_tabs.sel].colnb)
			{
				p_area.col.add(l_nbCol);
			}
			else if (l_nbCol<tab[p_tabs.sel].colnb)
			{
				p_area.col.sup(l_nbCol);
			}
			tab[p_tabs.sel].colnb=l_nbCol;
			return true;
		}
		else
		{
			document.forms['option'].nbcol[(tab[p_tabs.sel].colnb-2)].checked=true;
			return false;
		}
	},
	addCol:function()
	{
		l_nbCol=tab[p_tabs.sel].colnb+1;
		var l_allowSuppress=p_area.col.check(l_nbCol);
		if (l_allowSuppress && tab[p_tabs.sel].colnb<9)
		{
			p_area.col.add(l_nbCol);
			tab[p_tabs.sel].colnb=l_nbCol;
			document.forms['option'].nbcol.value=tab[p_tabs.sel].colnb;
		}
	},
	supCol:function()
	{
		l_nbCol=tab[p_tabs.sel].colnb-1;
		var l_allowSuppress=p_area.col.check(l_nbCol);
		if (l_allowSuppress && tab[p_tabs.sel].colnb>1)
		{
			p_area.col.sup(l_nbCol);
			tab[p_tabs.sel].colnb=l_nbCol;
			document.forms['option'].nbcol.value=tab[p_tabs.sel].colnb;
		}
	}
}
var admPortals={
	catid:0,
	catname:0,
	levCatid:[],
	currLevel:0,
	init:function(v_reload)
	{
		navPrint("optmod",admPortals.menu());
		if (!v_reload) admPortals.getList(1,0);
		admPortals.getNbModule();
	},
	menu:function(v_sel)
	{
		var l_s="<a id='btn0' class='optlist' style='font-size:11pt;font-weight:bold;' href='#' onclick='return admPortals.getList(1,0)'>"+lg("portals")+" <span id='btn0nb'></span></a> | ";
		admPortals.catSel(0,0);
		return l_s+"<br /><br />";
	},
	portalBar:function(v_id)
	{
		var l_s="";
		for (var i=0;i<__dimension.length;i++)
		{
			if (__dimension[i]["id"]!=0)
			{
				l_s+="<a id='rootdir"+__dimension[i]["id"]+"' class='optlist' href='#' onclick='return admPortals.initDir("+__dimension[i]["id"]+","+__dimension[i]["seq"]+")'>"+__dimension[i]["name"]+"</a> | ";
			}
			if (__dimension[i]["id"]==v_id)
			{
				admPortals.catid=v_id;
				admPortals.catname=__dimension[i]["name"];
			}
		}
		return l_s;
	},
	activateBtn:function(v_id)
	{
		for (var i=0;i<3;i++)
		{
			navClass("btn"+i,"optlist");
		}
		navClass("btn"+v_id,"sellist");	
	},
	catSel:function(v_id,v_name)
	{
		admPortals.catid=v_id;
		admPortals.catname=v_name;
	},
	getList:function(v_page,v_type,v_seq)
	{
		var l_link="xml_allportals.php";
		admPortals.hideFrame();
		admPortals.currLevel=0;
		admPortals.activateBtn(v_type);
		if (v_type==1) l_link="xml_portalstovalidate.php";
		getXml(l_link+"?p="+v_page,admPortals.displayList,new Array(v_page,v_type));
		return false;
	},
	displayList:function(response,vars)
	{
		var l_s="";
		l_s+="<table cellpadding='0' cellspacing='0'>";
		if (response.getElementsByTagName("page")[0])
		{
			var l_id;
			l_s+="<tr><td><table width='960'>";
			l_s+="<tr><td valign='top' class='dirdiva'><table cellpadding='0' cellspacing='0' width='900'><tr><td valign='top'><table cellpadding='1' cellspacing='1' width='300'>";
			var i=0;
			while (response.getElementsByTagName("portal")[i])
			{
				result=response.getElementsByTagName("portal")[i];
				l_id=getXMLval(result,"id","int",false,0);
				l_s+="<tr><td style='border-bottom:1px solid #c6c3c6'><a class='menul' href='#' onclick='admPortals.loadPortal("+l_id+")' "+((getXMLval(result,"status","str",false,"")=='O')?"":" style='color:#c6c3c6;text-decoration: line-through;'")+">"+getXMLval(result,"name","str",false,"--")+"</a></td></tr>";
				i++;
				if (i%7==0&&i<21) l_s+="</table></td><td valign='top'><table cellpadding='1' cellspacing='1' width='300'>"
			}
			if (i==0) l_s+="<tr><td>"+lg("lblNoPortal")+"</td></tr>";
			l_s+="</table></td></tr></table>";
			l_s+="<br /><table width='100%'><tr>";
			if (vars[0]>1)
			{
				l_s+="<td><a href='#' onclick='admPortals.getList("+(vars[0]-1)+");return false;'>"+img("prev.gif",14,27,lg("lblPrevPortal"))+"</a></td>";
			}
			if (i==21)
			{
				l_s+="<td align='right'><a href='#' onclick='admPortals.getList("+(vars[0]+1)+");return false;'>"+img("next.gif",14,27,lg("lblNextPortal"))+"</a></td>";
			}
			l_s+="</tr></table>";
		}
		else
		{
			l_s+=lg("lblDisplayErr");
		}
		l_s+="</td></tr></table>";
		navShow("listmod","block");
		navPrint("listmod",l_s);
		navClass("rootdirlist","sellist");
	},
	initDir:function(v_id,v_seq)
	{
		// Initialize modules directory menu
		var l_s="";
		if (__portaldirtype=="module")
		{
			l_s+=admPortals.portalBar(v_id);
		}
		admPortals.activateBtn(2);
		l_s+="<table border='0'><tr>";
		l_s+="<td><div id='level1' class='dirdivi' style='width:230px;'></div></td>";
		l_s+="<td><div id='level2' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level3' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level4' class='dirdivi' style='width:170px;'></div></td>";
		l_s+="</tr></table>"+img("",7,7)+"<br />";
		navShow("listmod","block");
		navPrint("listmod",l_s);
		navPrint("level1","Chargement ...");
		admPortals.getDir(v_id,1);
		navClass("rootdir"+v_id,"sellist");
		return false;
	},
	getDir:function(v_cat,v_level,v_norefresh)
	{
		// Open the modules directory
		if (!v_norefresh) v_norefresh=false;
		admPortals.levCatid[v_level]=v_cat;
		admPortals.currLevel=v_level;
		getXml("xml_portals_dir.php?catid="+v_cat,admPortals.displayDir,new Array(v_level,v_cat,v_norefresh));
	},
	displayDir:function(response,vars)
	{
		var l_s="";
		if (response.getElementsByTagName("dir")[0]||response.getElementsByTagName("portal")[0])
		{
			l_s+="<table cellpadding='0' cellspacing='1' border='0' style='width:90%'>";
			if (response.getElementsByTagName("dir")[0])
			{
				var l_i=0,l_dirid;
				while (response.getElementsByTagName("dir")[l_i])
				{
					var l_result=response.getElementsByTagName("dir")[l_i];
					l_dirid=getXMLval(l_result,"dirid","int",false,0);
					l_dirname=getXMLval(l_result,"dirname","str",false,"...");
					l_s+="<tr><td id='dir"+l_dirid+"' class='catopti' onmouseover='catOptOver(\""+l_dirid+"\")' onmouseout='catOptOut(\""+l_dirid+"\")'> <a href='#' class='menul' onclick='admPortals.catSel(\""+l_dirid+"\",\""+formatString(l_dirname)+"\");admPortals.getDir(\""+l_dirid+"\","+(vars[0]+1)+");return false;'>"+l_dirname+"</a></td></tr>";
					l_i++;
				}
			}
			if (response.getElementsByTagName("portal")[0])
			{
				var l_i=0,l_itemid;
				while (response.getElementsByTagName("portal")[l_i])
				{
					var l_result=response.getElementsByTagName("portal")[l_i];
					l_itemid=getXMLval(l_result,"id","int",false,0);
					l_s+="<tr><td>"+img("portal.gif",16,16,"","imgmid")+" <a href='#' class='menul' onclick='admPortals.loadPortal("+l_itemid+");return false;'>"+getXMLval(l_result,"name","str",false,"--")+"</a></td></tr>";
					l_i++;
				}
			}
			l_s+="</table>";
		}
		else
		{
			l_s+=lg("lblNoPortal");
		}

		navClass("level"+vars[0],"dirdiva");
		navPrint("level"+vars[0],l_s);
		//clear unused div
		if (!vars[2]) {for (var i=vars[0]+1;i<5;i++){navPrint("level"+i,"");navClass("level"+i,"dirdivi");};}
		catOptSel(vars[1],vars[0]-1);
	},
	hideFrame:function()
	{
		p_area.clean(_gel("newmod"));
	},
	loadPortal:function(v_id)
	{
		admPortals.hideFrame();
		navPrint("newmod","<iframe id='frm' src='frm_portal_modify.php?id="+v_id+"' width='980' height='300' frameborder='no' marginwidth='0' marginheight='0' style='border:1px solid #efefef'></iframe>");
	},
	overview:function(v_id)
	{
		navShow("modules","none");
		startLoading();
		navPrint("moduleshdr","Portal overview [<a href='#' onclick='return admPortals.overviewHide();'>Fermer</a>]");
		p_area.load('xml_portal.php?id='+v_id);
	},
	overviewHide:function()
	{
		p_area.clean(p_area.root);
		navPrint("moduleshdr","");
	},
	getNbModule:function()
	{
		getXml("xmlnbportals.php",admPortals.updateVar,"btn0nb");
	},
	getNbValidate:function()
	{
		getXml("xmlnbportals_tovalidate.php",admPortals.updateVar,"btn1nb");
	},
	updateVar:function(response,vars)
	{
		_gel(vars).innerHTML="("+getXMLval(response,"return","str",false,"?")+")";
	},
	refreshGroup:function(v_prev)
	{
		admPortals.init();
	}
}
var admConfig={}
admConfig.theme={
	showAvailThemes:function()
	{
		var l_s="";
		for (var i=0;i<theme.length;i++)
		{
			l_s+="<a href='#' onclick='admConfig.theme.selectAvailTheme("+i+")' style='text-decoration:none;"+(i==selAvailThemeId?"background-color:#c6c3c6;":"")+"'>"+theme[i].name+"</a><br />";
		}
		navPrint("allthemesdiv",l_s);
	},
	showSelectedThemes:function()
	{
		var l_s="",l_input="";
		for (var i=0;i<selTheme.length;i++)
		{
			l_s+=(i==0?img("s.gif",10,11):"<a href='#' onclick='admConfig.theme.moveUp("+i+")'>"+img("ico_up_arrow2.gif",10,11)+"</a> ")+"<a href='#' onclick='admConfig.theme.selectSelectedTheme("+i+")' style='text-decoration:none;"+(i==selThemeId?"background-color:#c6c3c6;":"")+"'>"+selTheme[i].name+"</a><br />";
			l_input+="<input type='hidden' name='theme"+i+"' value='"+selTheme[i].name+"' />";
		}
		navPrint("selthemesdiv",l_s);
		navPrint("themeinputs",l_input);
	},
	selectSelectedTheme:function(v_id)
	{
		selThemeId=v_id;
		admConfig.theme.showSelectedThemes();
		return false;
	},
	selectAvailTheme:function(v_id)
	{
		selAvailThemeId=v_id;
		admConfig.theme.showAvailThemes();
		return false;
	},
	supSelectedTheme:function()
	{
		//suppress a group from user list
		if (selThemeId==-1) return false;
		selTheme.splice(selThemeId,1);
		selThemeId=-1;
		admConfig.theme.showSelectedThemes();
		return false;
	},
	addSelectedTheme:function()
	{
		//add a Theme in the selected theme list
		if (selAvailThemeId==-1) return false;
		//check if group is already added for this user
		for (var i=0;i<selTheme.length;i++)
		{
			if (selTheme[i].name==theme[selAvailThemeId].name) return false;
		}
		selTheme.push(new themeObj(theme[selAvailThemeId].name));
		selAvailThemeId=-1;
		selThemeId=-1;
		admConfig.theme.showSelectedThemes();
		//clean up all groups list
		admConfig.theme.selectAvailTheme(-1);
		return false;
	},
	moveUp:function(v_id)
	{
		var temp=selTheme[v_id].name;
		selTheme[v_id].name=selTheme[v_id-1].name;
		selTheme[v_id-1].name=temp;
		admConfig.theme.showSelectedThemes();
	},
	check:function()
	{
		if (selTheme.length==0)
		{
			alert(lg("noThemeSelected"));
			return false;
		}
		return true;
	}
}
var p_stats={}
p_stats.table={
	col:[],
	container:"",
	init:function(v_div)
	{
		p_stats.table.col=[];
		p_stats.table.container=v_div;
	},
	createCol:function(v_id,v_name)
	{
		p_stats.table.col[v_id]=[];
		p_stats.table.col[v_id][0]=v_name;
	},
	addInCol:function(v_col,v_value)
	{
		p_stats.table.col[v_col].push(v_value);
	},
	create:function()
	{
		var l_s="<table cellpadding='2' cellspacing='0' width='500' style='border:1px solid #000000'>";
		var l_style="color:#ffffff;background-color:#000000;";
		for (var i=0;i<p_stats.table.col[0].length;i++)
		{
			l_s+="<tr>";
			for (var j=0;j<p_stats.table.col.length;j++)
			{
				l_s+="<td style='"+l_style+"'>"+_unesc(p_stats.table.col[j][i])+"</td>";
			}
			l_s+="</tr>";
			l_style=(i%2==1)?"color:#000000;background-color:#ffffff;":"color:#000000;background-color:#efefef;";
		}
		navPrint(p_stats.table.container,l_s);
	}
}
p_stats.chart={
	ord:[],
	maxOrd:0,
	absc:[],
	container:"",
	init:function(v_div,v_ordName,v_abscName)
	{
		p_stats.chart.ord=[];
		p_stats.chart.ord[0]=v_ordName;
		p_stats.chart.absc=[];
		p_stats.chart.absc[0]=v_abscName;
		p_stats.chart.container=v_div;
	},
	addCoord:function(v_ord,v_absc)
	{
		p_stats.chart.ord.push(v_ord);
		p_stats.chart.maxOrd=Math.max(p_stats.chart.maxOrd,v_ord);
		p_stats.chart.absc.push(v_absc);
	},
	create:function()
	{
		var l_measuresNb=p_stats.chart.ord.length;
		var l_s=p_stats.chart.ord[0]+"<br /><table><tr><td><table cellpadding='1' cellspacing='0' style='border-left:1px solid #000000;'>";
		l_s+="<tr><td colspan='"+l_measuresNb+"'>"+p_stats.chart.maxOrd+"</td></tr>";
		l_s+="<tr>";
		for (var i=1;i<l_measuresNb;i++)
		{
			l_s+="<td style='text-align: center;width: 30px;height: 100px;border-bottom: 1px solid #000000;vertical-align: bottom;' onmouseover=\"mouseBox('"+p_stats.chart.ord[i]+"',event)\" onmouseout=\"mouseBox('')\">";
			l_s+=p_stats.chart.ord[i]==0?"&nbsp;":img("bgstat.gif",17,(100*(p_stats.chart.ord[i]/p_stats.chart.maxOrd)),""+p_stats.chart.ord[i])+"<br />";
			//l_s+="<table style='width:100%;height:"+(100*(p_stats.chart.ord[i]/p_stats.chart.maxOrd))+"'><tr><td bgcolor='#ff0000'>&nbsp;</td></tr></table>";
			l_s+="</td>";
		}
		l_s+="</tr>";
		l_s+="<tr>";
		for (var i=1;i<l_measuresNb;i++)
		{
			l_s+="<td style='text-align:center;padding-left:4px;padding-right:4px;'>"+p_stats.chart.absc[i]+"</td>";
		}
		l_s+="</tr>";
		l_s+="</table></td><td style='vertical-align:bottom'>"+p_stats.chart.absc[0]+"</td></tr></table>";
		navPrint(p_stats.chart.container,l_s);
	}
}
function keywordObj(id,priority,name)
{
	this.id=id;
	this.priority=priority;
	this.name=name;
}



/*
this function controls that the form doesn't have any unfilled field
the blank fields get their background's color set to blue 
How to call the function : <form name="" action="" method="" OnSubmit="return formEmptyControl(this.elements.length) " >
n : numbers of forms's fields
*/
function controlEmptyForm(n)
{	
	var i=0;
	var total=0; //numbers of unfilled fields
	for (i=0;i<n;i++)
		{
		if (document.forms['0'].elements[i].value==""){
			document.forms[0].elements[i].style.backgroundColor='lightblue';
			document.forms[0].elements[i].focus();
			total++;}
		else
				{
				if (document.forms[0].elements[i].style.backgroundColor=='lightblue')
					document.forms[0].elements[i].style.backgroundColor='White';
				}
	    }
		if (total!=0)
			{p_alert.show(lg("errorEmptyFieldForm"),3);
			return false;}
		else	
		return true;
}