<?php
/*
 * name: Posh contact form
 * description: Add a contact form to your posh application. Attention : YOU NEED TO REFRESH THE CACHE AFTER INSTALLATION.
 * dependencies: no
 * author: portaneo
 * url: http://www.portaneo.net
 */

register_hook('install_posh_contact/poshcontact','poshcontact_install'); 
register_hook('uninstall_posh_contact/poshcontact','poshcontact_uninstall');
 
register_hook('userinterface_header','poshcontact_display',5,1);
 
function poshcontact_install(){
	global $DB;
	$DB->sql = "SELECT * FROM adm_headlinks WHERE label='contactUs' ";
	$DB->getResults($DB->sql);
	$nbres=$DB->nbResults();
	$DB->freeResults();
	if ($nbres==0){
		$DB->sql = "SELECT id FROM adm_headlinks WHERE label='lblSave' ";
		$DB->getResults($DB->sql);
		$row=$DB->fetch(0);
		$id=$row["id"];
		$DB->freeResults($DB->sql);
		$DB->sql = "UPDATE adm_headlinks SET id=id+1 WHERE id=".$id." ";
		$DB->execute($DB->sql);
		$DB->sql = "INSERT INTO adm_headlinks (id,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) ";
		$DB->sql.= "VALUES (".$id.",'contactUs','','','','pc_contact()','O',0,1,1,0) ";
		$DB->execute($DB->sql);
	}
}

function poshcontact_uninstall(){
	global $DB;
	$DB->sql = "SELECT id FROM adm_headlinks WHERE label='contactUs' ";
	$DB->getResults($DB->sql);
	$row=$DB->fetch(0);
	$id=$row["id"];
	$DB->freeResults();
	$DB->sql = "DELETE FROM adm_headlinks WHERE id=".$id." ";
	$DB->execute($DB->sql);
	$DB->sql = "UPDATE adm_headlinks SET id=id-1 WHERE id>".$id." ";
	$DB->execute($DB->sql);
}

function poshcontact_display($pagename){
	if ($pagename=="portal/mypage.php"){
		echo '<script type="text/javascript">';
		echo 'function pc_contact(){link("../includes/plugins/posh_contact/scripts/contact.php",true);}';
		echo '</script>';
	}
}
?>