<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
#  SESSION management 
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************
session_name("myhomepage");
session_start();

function init_session($id,$user,$type,$lang,$longname)
{
	if (isset($id)){$_SESSION['user_id']=$id;}
	if (isset($user)){$_SESSION['username']=$user;}
	if (isset($type)){$_SESSION['type']=$type;}
	if (isset($lang)){$_SESSION['lang']=$lang;}
	if (isset($longname)){$_SESSION['longname']=$longname;}
}
function close_session()
{
	session_unset();
	session_destroy();
}
// Check that connection level is OK depending on the one requested in page
if($not_access==1)
{
	if ((!is_array($_SESSION) || !array_key_exists("user_id",$_SESSION)) || ($_SESSION['type']<>$granted && $granted!="" && $_SESSION['type']!="A"))
	{
		close_session();
		if (isset($pagename))
		{
			echo '<html><body><div style="position:relative;padding:8px;margin-left:25%;margin-top:150px;padding-top:30px;padding-left:80px;background-color:#efefef;border:1px solid #c6c3c6;font-size:11pt;width:430px;">';
			echo "<form action='".__LOCALFOLDER."/portal/scr_authentif.php' method='post'><b>You have been disconnected</b><br /><br />";
			echo "<table><tr><td>Login : </td><td><input type='text' name='username' /></td></tr>";
			echo "<tr><td>Password : </td><td><input type='password' name='password' /></td></tr>";
			echo "<tr><td></td><td><input type='hidden' name='page' value='".$pagename."' /><input type='submit' value='Connect' /></td></tr></table></form></div>";
			echo "</body></html>";
		}
		else
		{
			header("location:".__LOCALFOLDER."/index.php");
		}
		exit();
	}
}
//language selection
if (isset($_GET["lang"]))
{
	$_SESSION['lang']=$_GET["lang"];
}
if (session_is_registered("lang"))
{
	define("__LANG",$_SESSION['lang']);
}
else
{
	$navAccLg=(isset($_SERVER['HTTP_ACCEPT_LANGUAGE']))?explode(",",$_SERVER['HTTP_ACCEPT_LANGUAGE']):"xx";
	$navLg=strToLower($navAccLg[0]);
	if (in_array ($navLg, $__AVLANGS))
	{
		define("__LANG",$navLg);
	}
	else
	{
		define("__LANG",$__AVLANGS[0]);
	}
}
?>