<?php
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
/* UTF8 encoding : é ô à ù */
function setStep($step,$installType){
	$str = '<'.'?php define("__INSTALLATIONSTEP",'.$step.');';
	$str.= 'define("__INSTALLTYPE",'.$installType.');';
	$str.= '$'.'__AVLANGS=array("en","fr");?'.'>';
	$outfile=new file("../includes/config.inc.php");
	$outfile->write($str);
}
function getParam($DB,$param,$default){
	global $DB,$install_getParam;
	$DB->getResults($install_getParam,$param);
	if ($DB->nbResults()<1){
		$ret=$default;
	} else {
		$row=$DB->fetch(0);
		$ret=$row["value"];
	}
	$DB->freeResults();
	return $ret;
}
function moduleUsed($DB,$moduleId){
	global $DB,$install_checkIfModuleExists;
	$DB->getResults($install_checkIfModuleExists,$moduleId);
	$ret=($DB->nbResults()>0)?true:false;
	$DB->freeResults();
	return $ret;
}
function generateConfigFile($v_final,$v_server,$v_login,$v_pass,$v_db){
	if (!isset($GLOBALS['DB'])){
		if ($v_server!="" AND $v_login!=""){$DB=new connection($v_server,$v_login,$v_pass,$v_db);}
		else {$DB=new connection(__SERVER,__LOGIN,__PASS,__DB);}
	} else {global $DB;}
	global $install_getAllParams,$install_getHeadLinks,$install_getHeadLink;

	$contentjs="";
	$contentphp="<?php".chr(13).chr(10);
	// generate the starting pages
	$DB->getResults($install_getAllParams);
	while ($row = $DB->fetch(0)){
		if ($row["desttype"]=="J" OR $row["desttype"]=="A"){
			switch($row["datatype"]){
				case "int":
					$contentjs.='var __'.$row["parameter"].'='.$row["value"].';'.chr(13).chr(10);
					break;
				case "str":
					$contentjs.='var __'.$row["parameter"].'="'.addslashes($row["value"]).'";'.chr(13).chr(10);
					break;
				case "arr":
					$contentjs.='var __'.$row["parameter"].'=new Array('.$row["value"].');'.chr(13).chr(10);
					break;
			}
		}
		if ($row["desttype"]=="P" OR $row["desttype"]=="A"){
			switch($row["datatype"]){
				case "int":
					$contentphp.='define("__'.$row["parameter"].'",'.$row["value"].');'.chr(13).chr(10);
					break;
				case "str":
					$contentphp.='define("__'.$row["parameter"].'","'.addslashes($row["value"]).'");'.chr(13).chr(10);
					break;
				case "arr":
					$contentphp.='$'.'__'.$row["parameter"].'='.$row["value"].';'.chr(13).chr(10);
					break;
			}
		}
	}
	$DB->freeResults();
	
	$rows = $DB->select(FETCH_ARRAY,$install_getHeadLinks);
	$contentjs.='var __headmenu=new Array(';
	$first=true;
	foreach ($rows as $row){
		if (!$first) $contentjs.=",";
		else $first=false;
		$contentjs.='{"label":lg("'.$row["label"].'"),"comment":lg("'.$row["comment"].'"),"clss":"'.$row["clss"].'","images":"'.$row["images"].'","fct":"'.$row["fct"].'"';
		$contentjs.=',"anonymous":'.$row["anonymous"].',"connected":'.$row["connected"].',"admin":'.$row["admin"];
		$contentjs.=',"options":new Array(';
		
		$DB->getResults($install_getHeadLink,$row["id"]);
	
		$firstOption=true;
		while ($row2=$DB->fetch(0)){
			if (!$firstOption) $contentjs.=",";
			else $firstOption=false;
			$contentjs.='{"label":lg("'.$row2["label"].'"),"comment":lg("'.$row2["comment"].'"),"clss":"'.$row2["clss"].'","images":"'.$row2["images"].'","fct":"'.$row2["fct"].'"';
			$contentjs.=',"anonymous":'.$row2["anonymous"].',"connected":'.$row2["connected"].',"admin":'.$row2["admin"].'}';
		}
		$DB->freeResults();
		
		$contentjs.=')}';
	}
	$contentjs.=');'.chr(13).chr(10);
	$DB->freeResults();

	$DB->close();

//	if (!$v_final) $contentjs.="window.location='../install/';";

	$outfile=new file("../includes/config.js");
	$outfile->write($contentjs);
	$outfile=new file("../includes/config.inc.php");
	$outfile->write($contentphp."?>");
}
?>