<?php
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
$not_access=0;
require_once('confinstall.inc.php');
require_once('includes.php');
require_once('../includes/file.inc.php');
require_once('functions.inc.php');

$appname=trim($_POST["appname"]);
$DB->execute($install_setApname,$DB->quote($appname));
$DB->execute($install_setAppname,$DB->quote($appname));

$managegroups=(isset($_POST["managegroups"]))?"true":"false";
$DB->execute($install_setUseGroup,$DB->quote($managegroups));

$localfolder=trim($_POST["localfolder"]);
if (substr($localfolder,-1)!="/") $localfolder.="/";
// Bug : issue on some servers
//if (@fopen($localfolder."includes/config.js","r")==0){header("location:step3.php?err=1");exit();}
$DB->execute($install_setLocalFolder,$DB->quote($localfolder));

$usermodule=(isset($_POST["usermodule"]))?"I":"A";
$DB->execute($install_setUserModule,$DB->quote($usermodule));

$DB->execute($install_setUserModuleJs,$DB->quote($usermodule));

$DB->execute($install_setStep4);

$DB->execute($install_setMenuPosition,$DB->quote($_POST["menuposition"]));

$useproxy=(isset($_POST["useproxy"]))?"true":"false";
$DB->execute($install_setUseproxy,$DB->quote($useproxy));

//reset the default theme
if ($_POST["resettheme"]=="1")
{
	$DB->execute($install_setDefTheme);

	if (file_exists("../styles/main1.css"))
	{
		unlink("../styles/main1.css");
	}

	if (!copy("../styles/themes/classic_blue.thm", "../styles/main1.css"))
	{
		echo "error in the copy of the theme. Check the access rights of the /styles folder and refresh this page!";
		exit();
	}
}

$poshversion=(defined('__POSHVERSION')?__POSHVERSION:"1.0.0");

//v1.3 - modules icons are no more .gif file, but .ico files
if (version_compare($poshversion, "1.3.2", "<=")){
	$handle=opendir('../modules/pictures/');
	while ($file = readdir($handle)) {
		if (substr($file,0,4)=='box0' && substr($file,-4)=='.gif'){
			$newfile=substr($file,0,strlen($file)-4).".ico";
			copy("../modules/pictures/".$file,"../modules/pictures/".$newfile);
		}
	}
	closedir($handle);
}

//v1.4 - add feed id in RSS module configuration
/*
							$DB->sql = "SELECT user_id,profile_id,uniq,variables FROM module,dir_item ";
							$DB->sql.= "WHERE format='R' AND item_id=dir_item.id ";
							$rows = $DB->select(FETCH_ARRAY);
							foreach ($rows as $row){
								$oldvar=urldecode(urldecode($row["variables"]));
								if (preg_match("/rssurl=([a-zA-Z0-9%.\-:\/,_]+)/i",$oldvar,$parts)){
									$rss=urlencode($parts[1]);
									$pattern = "/(rssurl=)([a-zA-Z0-9%.\-:\/,_]+)()/i";
									$replacement = "\${1}".$rss."\$3";
									$newvar=preg_replace($pattern, $replacement, $oldvar);
									echo $newvar."<br />";

									$DB->sql = "UPDATE module SET variables='".$newvar."' WHERE user_id=".$row["user_id"]." AND profile_id=".$row["profile_id"]." AND uniq=".$row["uniq"]." ";
									$DB->execute();
								}
							}
*/

if (version_compare($poshversion, "1.4.0", "<=")){
	//update variables in users modules
	$rows = $DB->select(FETCH_ARRAY,$install_getRssModules);
	foreach ($rows as $row){
		$oldvar=$row["variables"];
		if (strpos($oldvar,"pfid=")===false){
			if (preg_match("/rssurl=([a-zA-Z0-9%.\-:\/,_]+)/i",$oldvar,$parts)){
				$rss=urldecode($parts[1]);
				$newvar="";
				$DB->getResults($install_getIdOfFeed,$DB->quote($rss));
				if ($DB->nbResults()==1){
					$row2=$DB->fetch(0);
					$rssId=$row2["id"];
					$DB->freeResults();
				} else {
					$DB->freeResults();
					$DB->execute($install_initFeed,$DB->quote($rss));
					$rssId=$DB->getId();
				}
				$newvar=$oldvar."&pfid=".$rssId;
			}
			if ($newvar!=""){
				$DB->execute($install_setRssVars,$DB->quote($newvar),$row["user_id"],$row["profile_id"],$row["uniq"]);
			}
		}
	}
	//update variables in default pages
	$rows = $DB->select(FETCH_ARRAY,$install_getRssInPages);
	foreach ($rows as $row){
		$oldvar=$row["variables"];
		if (strpos($oldvar,"pfid=")===false){
			if (preg_match("/rssurl=([a-zA-Z0-9%.\-:\/,_]+)/i",$oldvar,$parts)){
				$rss=urldecode($parts[1]);
				$newvar="";
				$DB->getResults($install_getIdOfFeed,$DB->quote($rss));
				if ($DB->nbResults()==1){
					$row2=$DB->fetch(0);
					$rssId=$row2["id"];
					$DB->freeResults();
				} else {
					$DB->freeResults();
					$DB->execute($install_initFeed,$DB->quote($rss));
					$rssId=$DB->getId();
				}
				$newvar=$oldvar."&pfid=".$rssId;
			}
			if ($newvar!=""){
				$DB->execute($install_setRssVarInPages,$DB->quote($newvar),$row["page_id"],$row["uniq"]);
			}
		}
	}
	//update variables in directory modules
	$rows2 = $DB->select(FETCH_ARRAY,$install_getRssDirModules);
	foreach ($rows2 as $row){
		$oldvar=$row["defvar"];
		if (strpos($oldvar,"pfid=")===false && !(strpos($oldvar,"rssurl=")===false)){
			if (preg_match("/rssurl=([a-zA-Z0-9%.\-:\/,_]+)/i",$oldvar,$parts)){
				$rss=urldecode($parts[1]);
				$newvar="";
				$DB->getResults($install_getIdOfFeed,$DB->quote($rss));
				if ($DB->nbResults()==1){
					$row2=$DB->fetch(0);
					$rssId=$row2["id"];
					$DB->freeResults();
				} else {
					$DB->freeResults();
					$DB->execute($install_initFeed,$DB->quote($rss));
					$rssId=$DB->getId();
				}
				$newvar=$oldvar."&pfid=".$rssId;
			}
			if ($newvar!=""){
				$DB->execute($install_setRssVarInDir,$DB->quote($newvar),$row["id"]);
			}
		}
	}
}
//widget files name has changed with 1.5.2 version
if (version_compare($poshversion, "1.5.2", "<=")){
	//Update widget type>U for widget that open an external file in a frame
	$DB->execute("UPDATE dir_item SET typ='U' WHERE SUBSTR(url,0,10)!='../modules' ");
	
	// Update widget file name
	$DB->getResults("SELECT url,id FROM dir_item WHERE typ in ('I') AND SUBSTR(url,0,17)='../modules/module' ");
	while ($row=$DB->fetch(0))
	{
		$widgetUrl=replace(".php?",".php",$row["url"]);
		if (is_file($widgetUrl))
			copy($widgetUrl,"../modules/module".$row["id"].".php?");
	}
	$DB->freeResults();
	
	// Update widget param file name
	$DB->getResults("SELECT url,id FROM dir_item WHERE typ in ('I') AND SUBSTR(url,0,17)='../modules/module' ");
	while ($row=$DB->fetch(0))
	{
		$widgetUrl=replace(".php?","_param.xml",$row["url"]);
		if (is_file($widgetUrl))
			copy($widgetUrl,"../modules/module".$row["id"]."_param.xml");
	}
	$DB->freeResults();
	
	//Update url in dir_item ??????????????
	
	// Create param file name for IFRAME URL widget
	$DB->getResults("SELECT url,id FROM dir_item WHERE typ='U' ");
	while ($row=$DB->fetch(0))
	{
		copy("../modules/template_param.xml","../modules/module".$row["id"]."_param.xml");
	}
	$DB->freeResults();
}

// private key can not be empty 
$key=getParam($DB,"KEY","");
if ($key=="")
{
	//generate a private key used in application
	$str = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$pkey="";
	srand((double)microtime()*1000000);
	for($i=0;$i<10;$i++) $pkey.= $str[rand()%62]; 

	$DB->execute($install_setKey,$DB->quote($pkey));
}

//for new installation of enterprise version, activate plugin
if (I_APPLICATION_ID==2 && __INSTALLTYPE==2)
{
	$DB->execute($install_activateEnterprisePlugin);
}

//generate config file
generateConfigFile(false,"","","","");

$DB->close();

header("location:step4.php");
?>