<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# comment rss xml file
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

header("content-type: application/xml");
$folder="../notebook/";
$not_access=0;
$isScript=true;
$isPortal=false;
$useTabs=false;
$pagename="notebook/comments_rss.php";
//includes
require_once('includes.php');
require_once('../l10n/'.__LANG.'/lang.php');
require_once('../l10n/'.__LANG.'/enterprise.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');

$id=$_GET["id"];
$artid=$_GET["artid"];

echo '<'.'?xml version="1.0" encoding="UTF-8"?'.'>';


?>
<rss version="2.0" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
<channel>
<?php


// get the user information for the feed title
$DB->getResults($commentsrss_getArticleInformation,$artid);
if ($DB->nbResults()==0) exit();
$row=$DB->fetch(0);
echo "<title>".$row["title"]."</title>";
$DB->freeResults();

//get the latest comments for this article
$DB->getResults($commentsrss_getRssArticleComments,$artid);
while ($row=$DB->fetch(0))
{
	echo "<item>";
	echo "<title><![CDATA[".$row["long_name"]." : ".substr($row["message"],0,20)."...]]></title>";
	echo "<link><![CDATA[".__LOCALFOLDER."/notebook/detail.php?id=".$id."&artid=".$artid."#comments]]></link>";
	echo "<description><![CDATA[".$row["message"]."]]></description>";
	echo "<pubdate>".$row["pubdate"]."</pubdate>";
	echo "</item>";
}
$DB->freeResults();

$DB->close();


?>
</channel>
</rss>