<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# User notebook
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

$folder="../notebook/";
$not_access=0;
$isScript=false;
$isPortal=false;
$useTabs=false;
$pagename="notebook/detail.php";
//includes
require_once('includes.php');
require_once('../l10n/'.__LANG.'/lang.php');
require_once('../l10n/'.__LANG.'/enterprise.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');

launch_hook('notebook_header',$pagename);

$artid=$_GET["artid"];
$page=isset($_GET["page"])?$_GET["page"]:0;
$user_id=isset($_SESSION['user_id'])?$_SESSION['user_id']:0;

if (isset($_GET["id"]))
{
	$id=$_GET["id"];
}
else
{
	$DB->getResults($detail_getArticleOwner,$artid);
	$row=$DB->fetch(0);
	$id=$row["owner_id"];
	$DB->freeResults();
}

require("profile.inc.php");

// get article information
$DB->getResults($detail_getArticleInfo,$DB->escape($artid));
$row=$DB->fetch(0);
$type=$row["type"];
$title=$row["title"];
$articleStatus=$row["status"];
//security
if ($articleStatus<$notebookAccessLevel) exit();
$notebookArticle= '<div class="notebookarticle3">'
	.'<div class="notebookarticletitle">'.$title.'</div>'
	.'<div class="notebookarticleinfo">'.lg("by").' <a href="index.php?id='.$row["userid"].'" target="_blank">'.$row["long_name"].'</a>, <script type="text/javascript">document.write(formatDateLong(convertDateFromDb("'.$row["pubdate"].'"),true));</script></div>'
	.'<div class="notebookarticledesc">'.$row["description"];
if ($type==4)
	$notebookArticle.= "<br /><br /><a href='../portal/addportaltoapplication.php?id=".$row["linked_id"]."&chk='><img src='../images/ico_add.gif' /> ".lg("useThisPortal")."</a>";
if ($row["keywords"]!="")
	$notebookArticle.= '<br />'.lg("tags").' : '.$row["keywords"];
$notebookArticle.= '</div>';
$DB->freeResults();

//get the trackbacks
$notebookTrackbacks="";
$DB->getResults($detail_getTrackbacks,$DB->escape($artid));
if ($DB->nbResults()!=0)
{
	$notebookTrackbacks.= "<div class='notebookarticletitle'>".lg("theyTakeThisArticle")."</div>"
		."<ul>";
	while ($row=$DB->fetch(0))
	{
		$notebookTrackbacks.= "<li><a href='index.php?id=".$row["user_id"]."' target='_blank'>".$row["long_name"]."</a></li>";
	}
	$notebookTrackbacks.= "</ul>";
}
$DB->freeResults();

//get the comments
$notebookComments="";
$DB->getResults($detail_getComments,$DB->escape($artid));
while ($row=$DB->fetch(0))
{
	$commentId=$row["id"];
	$notebookComments.= '<div id="comment'.$commentId.'" class="notebookcomment"><table><tr>'
		.'<td><img src="'.($row["picture"]==""?"../images/nopicture.gif":$row["picture"]).'" style="width: 40px;float: left;margin-right: 4px;" /></td>'
		.'<td>'.lg("by").' <a href="index.php?id='.$row["user_id"].'" target="_blank">'.$row["long_name"].'</a>, <script type="text/javascript">document.write(formatDateLong(convertDateFromDb("'.$row["pubdate"].'"),true));</script>';
	if ($row["user_id"]==$user_id)
		$notebookComments.= " | <a href='#' onclick='return p_notebook.comment.remove(".$commentId.")'>".lg("suppress")."</a>";
	$notebookComments.= '<br /><br />';
	$notebookComments.= str_replace("\r\n","<br />",$row["message"]);
	$notebookComments.= '</td></tr></table></div>';
}
$DB->freeResults();

//load theme
require_once('../templates/'.__template.'/notebook_detail.php');
?>