<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# User notebook
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

$folder="../notebook/";
$not_access=0;
$isScript=false;
$isPortal=false;
$useTabs=false;
$pagename="notebook/index.php";
//includes
require_once('includes.php');
require_once('../l10n/'.__LANG.'/lang.php');
require_once('../l10n/'.__LANG.'/enterprise.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');

$id=$_GET["id"];
$page=isset($_GET["page"])?$_GET["page"]:0;
$user_id=isset($_SESSION['user_id'])?$_SESSION['user_id']:0;

launch_hook('notebook_header',$pagename);

require("profile.inc.php");

$search="";
$notebookMessage="";
if (isset($_GET["search"]))
{
	$search=$_GET["search"];
	$notebookMessage.= "<h2>".lg("searchResultsFor")." : ".$search."</h2>";
	$notebookMessage.= "<br /><a href='index.php?id=".$id."'>&laquo; ".lg("returnHome")."</a><br /><br />";
}

$notebookContent="";
if ($search=="")
{
	$DB->getResults($index_getNotebookArticles,$id,$notebookAccessLevel,($page*10));
}
else
{
	//search by tag or plaintxt
	if ($_GET["type"]=="plaintxt")
	{
		$DB->getResults($index_getNotebookSearchedArticles,$id,$notebookAccessLevel,$DB->quote("%".$search."%"),$DB->quote("%".$search."%"),($page*10));
	}
	else
	{
		$DB->getResults($index_getNotebookSearchedArticlesTags,$id,$notebookAccessLevel,$DB->escape($_GET["searchid"]),($page*10));
	}
}
$nbarticles=$DB->nbResults();
if ($nbarticles==0)
{
	$notebookContent.= lg("noArticle");
}
else
{
	while ($row=$DB->fetch(0))
	{
		$type=$row["type"];
		$artid=$row["id"];
		$articleStatus=$row["status"];
		$notebookContent.= '<div id="article'.$artid.'" class="notebookarticle'.$articleStatus.'">'
			.'<div class="notebookarticletitle"><a href="detail.php?id='.$id.'&artid='.$row["id"].'">'.$row["title"].'</a></div>'
			.'<div class="notebookarticleinfo"><script type="text/javascript">document.write(formatDateLong(convertDateFromDb("'.$row["pubdate"].'"),true));</script>, '.lg("by").' <a href="index.php?id='.$row["userid"].'" target="_blank">'.$row["long_name"].'</a></div>'
			.'<div class="notebookarticledesc">'.$row["description"];
		if ($type==4)
			$notebookContent.= "<br /><br /><a href='../portal/addportaltoapplication.php?id=".$row["linked_id"]."&chk='><img src='../images/ico_add.gif' /> ".lg("useThisPortal")."</a>";
		if ($row["keywords"]!="")
			$notebookContent.= '<br /><img src="../images/ico_tag.gif" class="imgmid" /> '.lg("tags").' : '.$row["keywords"];
		$notebookContent.= '</div>'
			.'<div class="notebookarticlefooter">';
		if ($notebookAccessLevel==1)
		{
			if ($user_id==$row["userid"])
				$notebookContent.= "<a href='article_modify_add.php?artid=".$artid."'>".lg("modify")."</a> | ";
		}
		else if ($articleStatus=="3" && $user_id!=0)
		{
			$notebookContent.= "<img src='../images/ico_get_article.gif' align='absmiddle' /> <a href='#' onclick='return p_notebook.trackback(".$artid.",".$row["userid"].",".$id.")'>".lg("addOnMyNotebook")."</a> | ";
		}
		$notebookContent.= "<img src='../images/ico_trackback.gif' align='absmiddle' /> <a href='detail.php?id=".$id."&artid=".$artid."#trackbacks'>".$row["trackbacknb"]." ".lg("trackbacks")."</a> | <img src='../images/ico_comment.gif' align='absmiddle' /> <a href='detail.php?id=".$id."&artid=".$artid."#comments'>".$row["commentsnb"]." ".lg("comments")."</a>";
		if ($notebookAccessLevel==1 && $user_id==$row["userid"])
		{
			$notebookContent.= " | <select name='accesslevel' onchange=\"p_notebook.article.setStatus(".$artid.",this.value)\">
			<option value='3'".($articleStatus=="3"?" selected='selected'":"").">".lg("publicArticle")."</option>
			<option value='2'".($articleStatus=="2"?" selected='selected'":"").">".lg("networkArticle")."</option>
			<option value='1'".($articleStatus=="1"?" selected='selected'":"").">".lg("privateArticle")."</option>
			<option value='D'>".lg("removeArticle")."</option>
			</select>";
		}
		$notebookContent.= '</div></div>';
	}
}
$DB->freeResults();

$notebookFooter="";
if ($page>0) $notebookFooter.="<a href='index.php?id=".$id."&page=".($page-1).($search==""?"":"&search=".$search)."'><img src='../images/ico_previous2.gif' valign='absmiddle' /> ".lg("previousPage")."</a>";
if ($nbarticles==11) $notebookFooter.=" &nbsp; <a href='index.php?id=".$id."&page=".($page+1).($search==""?"":"&search=".$search)."'>".lg("nextPage")." <img src='../images/ico_next2.gif' valign='absmiddle' /></a>";

//load theme
require_once('../templates/'.__template.'/notebook_index.php');
?>