<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Update profile information
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$pagename="portal/frm_network_updateprofile.php";
$granted="I";
//includes
require_once('includes.php');
require_once('../includes/image.inc.php');
require_once('../includes/file.inc.php');
require_once('../l10n/'.__LANG.'/lang.php');
require_once('../l10n/'.__LANG.'/enterprise.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');

$error="";
	
if (isset($_POST["act"]))
{

	$usedPicture="";
	$file_loc="";
	$nocache="";

	//format the user picture
	if (isset($_FILES["fichier"]["name"]) AND !empty($_FILES["fichier"]["name"]))
	{
		$nomFichier=$_FILES["fichier"]["name"] ;
		if ($_FILES["fichier"]["size"]>300000) $error= "error : file too big";
		if ($_FILES["fichier"]["error"]>0) $error= "error : ".$_FILES["fichier"]["error"];
		$ext=strtolower(substr($nomFichier,-4));
		if ($ext!=".jpg") $error= "error : picture must be jpg format";
		if (is_uploaded_file($_FILES['fichier']['tmp_name']))
		{
			$usedPicture=$_FILES['fichier']['tmp_name'];
		}
		else
		{
			$error="error : file loading issue";
		}
	}
	if ($usedPicture!="" && $error=="")
	{
		$file_loc="../cache/photo".$_SESSION['user_id'].".jpg";
		$img=new img($usedPicture);
		if ($img->height==128 && $img->width==128)
		{
			copy($usedPicture,$file_loc);
			$decx=0;$decy=0;
		}
		else
		{
			if ($img->height>$img->width)
			{
				$decx=0;
				$decy=($img->height-$img->width)/2;
				$img->height=$img->width;
				$nocache=$decy;
			}
			else
			{
				$decx=($img->width-$img->height)/2;
				$decy=0;
				$img->width=$img->height;
				$nocache=$decx;
			}
			$img->createJpg();
			$img->resize($file_loc,128,128,$decx,$decy);
		}
	}

	//update user profile
	if ($usedPicture=="")
	{
		$DB->execute($frmnetworkupdateprofile_updUser,$DB->noHTML($_POST["desc"]),$_SESSION['user_id']);
	}
	else
	{
		//generate a private key used in application
		$str = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
		$pkey="";
		srand((double)microtime()*1000000);
		for($i=0;$i<10;$i++) $pkey.= $str[rand()%62]; 
		
		$DB->execute($frmnetworkupdateprofile_updUserWPict,$DB->noHTML($_POST["desc"]),$DB->noHtml($file_loc."?rand=".$pkey),$_SESSION['user_id']);
	}
	
	//add keywords
	$DB->execute($frmnetworkupdateprofile_removeKeywords,$_SESSION['user_id']);
	$keyword=explode(",",$_POST["keywords"]);
	$keywordSimplified=explode(",",$_POST["kwformated"]);
	for ($i=0;$i<count($keyword);$i++)
	{
		$selkw=$keywordSimplified[$i];
		$DB->getResults($frmnetworkupdateprofile_getNetwork,$DB->noHTML($selkw));
		if ($DB->nbResults()==0)
		{
			$DB->execute($frmnetworkupdateprofile_addKeyword,$DB->noHTML($keyword[$i]),$DB->noHTML($selkw));
			$kwid=$DB->getId();
		}
		else
		{
			$row = $DB->fetch(0);
			$kwid=$row["id"];
		}
		$DB->freeResults();
	
		$DB->execute($frmnetworkupdateprofile_linkKeyword,$_SESSION['user_id'],$kwid);
	}
}

//get user information
$DB->getResults($frmnetworkupdateprofile_getUser,$_SESSION['user_id']);
$row=$DB->fetch(0);
$picture=($row["picture"]==""?"../images/nopicture.gif":$row["picture"]);
$desc=$row["description"];
$DB->freeResults();
//get user keywords
$DB->getResults($frmnetworkupdateprofile_getKeywords,$_SESSION['user_id']);
$keywords="";
while($row=$DB->fetch(0))
{
	$keywords.=",".$row["label"];
}
$keywords=substr($keywords,1);
$DB->freeResults();

$DB->close();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<link rel="stylesheet" href="../styles/main.css?v=1.5.4" type="text/css" />
	<script type="text/javascript" src="../l10n/<?php echo __LANG;?>/lang.js?v=1.5.4" ></script>
	<script type="text/javascript" src="../includes/config.js?v=1.5.4" ></script>
	<script type="text/javascript" src="../includes/ajax.js?v=1.5.4" ></script>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<script type="text/javascript">
		function profileFormatTags()
		{
			document.forms["f"].kwformated.value=formatSearch(p_tags.formatList(document.forms["f"].keywords.value));
			document.forms["f"].keywords.value=p_tags.formatList(document.forms["f"].keywords.value);
		}
	</script>
</head>
<body bgcolor="#ffffff">
	<div class="maindiv">
	<form name="f" action="" method="post" enctype="multipart/form-data" onsubmit="return profileFormatTags()"><input type="hidden" name="act" value="upd" />
	<table>
		<tr>
		<td width="90" align="center"><img src="<?php echo $picture;?>?nocache=<?php echo $nocache;?>" width="64" height="64" class="picture" /></td>
		<td>
		<?php echo ($error==""?lg("changePicture"):"<font color='#ff0000'><b>".lg("changePicture")."</b></font>") ?>  :<br /><br />
		<input type="hidden" name="MAX_FILE_SIZE" value="300000" /><input type="file" name="fichier" size="50" />
		</td>
		</tr>
	</table>
	<br /><?php echo lg("keywords");?> <script type="text/javascript">document.write(tooltip("helpMyTags"));</script><br /><input type="hidden" name="kwformated" /><input type="text" id="mykeywordsinput" name="keywords" size="90" maxlength="250" value="<?php echo $keywords;?>" onkeyup="p_tags.autocompletion.get('mykeywordsinput')" onblur='p_tags.autocompletion.hide()' /><br />
	<br /><?php echo lg("description");?><br /><textarea name="desc" cols="90" rows="7"><?php echo $desc;?></textarea><br /><br />
	<center><input type="submit" class='submit' value="<?php echo lg("update");?>" /></center>
	</form>
	</div>
</body>
</html>