<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# User subscription
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$user=(isset($_POST["u"]))?$_POST["u"]:exit();
$name=(isset($_POST["l"]) && !empty($_POST["l"]))?$_POST["l"]:$user;
$mail=$user;
$errormsg=" ";
//check the password
if(Empty($_POST["p"])){$errormsg.=lg("passwordNotTyped").".<BR />";}
$password=$_POST["p"];

$folder="";
$not_access=0;
$isScript=true;
$isPortal=false;
$pagename="portal/scr_subscribe.php";
//includes
require_once('includes.php');
require_once('../includes/misc.inc.php');
require_once('../l10n/'.__LANG.'/lang.php');
require_once('../includes/xml.inc.php');

launch_hook('scr_subscribe',$user,$password);

$file=new xmlFile();

$file->header();

//check the email validity
if (__accountType=="mail")
{
	if(!is_email($user))
	{
		$errormsg.=lg("erroneousEmail").".<br />";
	}
}
//check that the user is not yet existing
$DB->getResults($scrsubscribe_checkUser,$DB->noHTML($user));
if ($DB->nbResults()>0)
{
	$errormsg=lg("alreadyMember");
}
$DB->freeResults();
		
//register the new user in the DB
if($errormsg==" ")
{
	launch_hook('register_new_user',$user,$password);
	$key=md5($user.$password);
	$md5pass=md5($password);

	$DB->execute($scrsubscribe_addUser,$DB->noHTML($user),$DB->quote($md5pass),$DB->noHTML($name),$DB->quote($key),$DB->quote(__LANG));
	$id=$DB->getId();
	
	launch_hook('register_more_info_for_user',$id);
	
	//autoconnection
	if (isset($_POST["auto"]))
	{
		setcookie('autoi',$id,time()+31536000);
		setcookie('autop',$md5pass,time()+31536000);
	}

	$DB->execute($scrsubscribe_log,$DB->escape($id));

	if (isset($_POST["n"]))
	{
		if ($DB->execute($scrsubscribe_addNewsletter,$DB->quote($mail))==0)
		{
			$DB->execute($scrsubscribe_updNewsletter,$DB->quote($mail));
		}
	}

	$file->status(1);
	echo '<ret>user';
	//confirm registration by email
	mail($mail,utf8_decode(lg("subscribeConfirmation").__APPNAME),utf8_decode(lg("subscribeConfirmationBody",lg("yourAccount")." : ".$user."\r\n".lg("password")." : ".$password)."\r\n\r\n".__APPNAME."\r\n".__LOCALFOLDER),"From: ".__SUPPORTEMAIL."\r\n");
	echo '</ret>';
	
	//redirect to the appropriate page
	init_session($id,$user,'I',__LANG,$name);
	$_SESSION['mdp']=1;
}
else
{
	$file->status(1);
	$file->error($errormsg);
}

$file->footer();

$DB->close();
?>