<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# RSS modules - Step1 : check feed tags
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$pagename="tutorial/rssaddtodirectory_step2.php";
$isScript=false;
$isPortal=false;

require_once('includes.php');

require('header.inc.php');

$DB->getResults($rssaddtodirectory_addFeed,$_GET["id"]);
$row=$DB->fetch(0);
$rss=$row["url"];
$pfid=$row["id"];
$DB->freeResults();

$auth=isset($_GET["auth"])?$_GET["auth"]:"";

//Check that the feed is not already registered in the DB
$DB->getResults($rssaddtodirectory_getDefvar);
$rssalreadyregistered=false;
while ($row=$DB->fetch(0))
{
	if (strpos($row["defvar"],$rss)>0)$rssalreadyregistered=true;
	if (strpos($row["defvar"],urlencode($rss))>0)$rssalreadyregistered=true;
}
$DB->close();
?>


<div id="modules" valign="top" style='padding: 8pt;'>
<br /><br />
<h1><?php echo lg("addRssFeed");?></h1><br />
<img src="../images/ico_right_arrow.gif" align="absmiddle" /> <b><?php echo lg("rssDirStep1");?></b><br />
<div style="padding:12px"><?php echo $rss;?> <span id="feedstatus"></span> &nbsp; | <a href="rssaddtodirectory.php"><?php echo lg("changeFeed");?></a></div>


<?php
	if ($rssalreadyregistered) echo "<div style='padding:12px'><font color='#ff0000'><b>".lg("rssFeedAlreadyExist")."</b></font></div>";
?>


<div id="step2"><img src='../images/ico_right_arrow.gif' align='absmiddle' /> <b><?php echo lg("rssDirStep2");?></b></div>
<form name="f" method="post" action="scr_rssaddtodirectory.php" onsubmit="p_tutorial.formatKeywords(this);return true;">
<input type="hidden" name="typ" value="<?php echo (isset($_GET["typ"])?$_GET["typ"]:"U");?>" />
<input type="hidden" name="fid" value="<?php echo (isset($_GET["fid"])?$_GET["fid"]:"0");?>" />
<input type="hidden" name="pfid" value="<?php echo $pfid;?>" />
<input type="hidden" name="rssurl" value="<?php echo $rss;?>" />
<div id="loadstat" class="bottomhr">Loading ...</div>
<div style="padding:12px" class="bottomhr">
<input type="checkbox" name="auth" <?php if($auth!="") echo "checked='checked'";?> /> <?php echo lg("authentifiedFeed");?>
</div>
<div style="padding:12px" class="bottomhr">
<!--<b><?php echo lg("defineDirectory");?></b><br /><br />-->


<?php
	if (count($__AVLANGS)>1)
	{
		echo lg("moduleLanguage")." :";
		for ($i=0;$i<count($__AVLANGS);$i++)
		{
			echo "<input type='radio' name='modlang' value='".$__AVLANGS[$i]."'".(__LANG==$__AVLANGS[$i]?" checked='checked'":"")." onclick=\"p_tutorial.showDir(indef,'".$__AVLANGS[$i]."');\" />".$__AVLANGS[$i]." ";
		}
		echo "<br /><br />";
	}
?>


<div id="rootdir"></div>
<div id="directory"></div>
<input type="hidden" name="dirid" value="0" />
</div>
<div style="padding:12px" class="bottomhr" id="icondiv">
</div>
<div style="padding:12px" class="bottomhr">
<input type="checkbox" name="usereader"/> <?php echo lg("openFeedInReader");?>
</div>
<div style="padding:12px" class="bottomhr">
<?php echo lg("keywordsForModule");?> <a href="#" onclick="return p_alert.show(lg('moduleAddingKeywordHlp'))"><img src="../images/ico_help2.gif" /></a><br /><input id="addrsskeywords" type="text" name="keywords" size="120" onkeyup="p_tags.autocompletion.get('addrsskeywords')" onblur='p_tags.autocompletion.hide()' />
</div>
<br /><br />

<input type="submit" value="<?php echo lg("submit");?>" />
</form>
<br />
</div>
<div id="debug" />
<script type="text/javascript">
var RSSauth="<?php echo $auth;?>";
var RSSurl="<?php echo $rss;?>";
if (RSSauth=="")
{
	p_tutorial.rss.getFields(RSSurl);
}
else
{
	if (__useproxy)
	{
		p_tutorial.rss.getFields("../tools/xmltunproxy.php?type=xml&auth="+_esc(RSSauth)+"&url="+RSSurl);
	}
	else
	{
		p_tutorial.rss.getFields("../tools/xmltunauth.php?type=xml&auth="+_esc(RSSauth)+"&url="+RSSurl);
	}
}
</script>
<?php require('footer.inc.php');?>
</body>
</html>