<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# RSS modules - Generate the module and save module information
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$pagename="tutorial/scr_rss_add1.php";

require_once('includes.php');
$folder="";
$not_access=1;
$granted=__USERMODULE;
require_once('../includes/file.inc.php');
require_once('../includes/image.inc.php');

$DB->execute($scrrssadd1_addModule,$DB->noHTML($_POST["title"]),$DB->noHTML($_POST["desc"]),$DB->quote($_POST["typ"]),$DB->noHTML($_POST["website"]),$DB->escape($_SESSION['user_id']),$DB->quote(__LANG));
$id=$DB->getId();

//add the logo
if ($_FILES["fichier"]["error"]<1 && is_uploaded_file($_FILES['fichier']['tmp_name']))
{
	if (isset($_FILES["fichier"]["name"]) AND $_FILES["fichier"]["name"]!="")
	{
		$nomFichier=$_FILES["fichier"]["name"] ;
		$ext=strtolower(substr($nomFichier,-4));
		if ($ext==".gif" OR $ext==".jpg" OR $ext=="jpeg" OR $ext=="png")
		{
			$logoSrc=$_FILES['fichier']['tmp_name'];
			$logoDest="../modules/external/logo".$id.".gif";
			$img=new img($logoSrc);
			if ($img->height<50 || $img->width==150)
			{
				@copy($logoSrc,$logoDest);
			}
			else
			{
				$img->createGif();
				$img->resize($logoDest,150,50,0,0);
			}
		}
	}
}

// module file creation
$cache_file="../modules/module".$id.".php";
$output = "<"."?php header('content-type: application/xml');echo '<'.'?xml version=\"1.0\" encoding=\"UTF-8\"?'.'>';error_reporting(0);$"."url='".$_POST["rssurl"]."';require('../tools/rssparser/rss_fetch.inc');$"."rss = fetch_rss($"."url);?".">";
$output.= "<Module><UserPref name='nb' display_name='Nombre d articles' datatype='enum' default_value='5'><EnumValue value='1' display_value='1'/><EnumValue value='2' display_value='2'/><EnumValue value='3' display_value='3'/><EnumValue value='5' display_value='5'/><EnumValue value='10' display_value='10'/><EnumValue value='15' display_value='15'/></UserPref>";
$output.= "<header><![CDATA[<table width='100%' border='0' cellpadding='0' cellspacing='0' bgcolor='#ffffff'><tr>";
if (isset($logoDest)) $output.="<td width='35%' style='padding:2px'><a href='".$_POST["website"]."' target='_blank'><img src='".$logoDest."' /></a></td>";
$output.= "<td id='otherarea' style='padding:2px;'>";
$output.= stripslashes (str_replace("<"."?","",$_POST["others"]));
$output.= "</td></tr></table>]]></header>";
$output.= "<"."?php if (!$"."item=$"."rss->items[0]){echo '<title>aucun article pour le moment ...</title>';} else {"."$"."minelement=min(20,count($"."rss->items));for($"."inc=0;$"."inc<$"."minelement;$"."inc++){"."$"."item=$"."rss->items[$"."inc];?".">";
$output.= "<item><title><![CDATA[<"."?php echo $"."item['title'];?".">]]></title><desc><![CDATA[<"."?php echo $"."item['description'];?".">]]></desc><image><"."?php echo $"."item['enclosure'][0]['url'];?"."></image><link><![CDATA[<"."?php echo $"."item['link'];?".">]]></link>";
switch($_POST["datetype"])
{
	case 1:
		$output.="<pubdate><![CDATA[<"."?php echo $"."item['pubdate'];?".">]]></pubdate>";
		break;
	case 2:
		$output.="<pubdate><![CDATA[<"."?php echo $"."item['dc']['date'];?".">]]></pubdate>";
		break;
	case 3:
		$output.="<pubdate><![CDATA[<"."?php echo $"."rss->channel['pubdate'];?".">]]></pubdate>";
		break;
	case 4:
		$output.="<pubdate><![CDATA[<"."?php echo $"."rss->channel['lastbuilddate'];?".">]]></pubdate>";
		break;
}
$output.= "</item><"."?php };}; ?".">";
$output.= "</Module>";
$outfile=new file($cache_file);
$outfile->write($output);

// update the DB informations
$DB->execute($scrrssadd1_updateUrl,$DB->escape($id),$DB->escape($id));

//if user feed, map it with module
if ($_POST["fid"]!="0")
{
	$DB->execute($scrrssadd1_addRedactorLink,$DB->escape($id),$DB->escape($_POST["fid"]));
}

$DB->close();

header("location:rss_add2.php?id=".$id);
?>