<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# RSS modules - Generate the module and save module information
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$pagename="tutorial/scr_rssaddtodirectory.php";

require_once('includes.php');

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted=__USERMODULE;

require_once('../includes/file.inc.php');
require_once('../includes/image.inc.php');
require_once('../includes/log.inc.php');
require_once('../l10n/'.__LANG.'/tutorial.lang.php');

// Initialize the module in the DB

$url="../modules/p_rss.php?";
//if ($_POST["auth"]=="1") $url="../modules/p_rss_auth.php?";

// save module parametersé
$DB->execute($scrrssaddtodir_addRssFeed,$DB->quote($url),$DB->quote('nb=5&pfid='.$_POST["pfid"].'&rssurl='.urlencode($_POST["rssurl"]).(isset($_POST["auth"])?"&auth=":"")),$DB->quote($_POST["title"]),$DB->quote($_POST["desc"]),$DB->quote($_POST["typ"]),$DB->quote($_POST["website"]),$DB->escape($_SESSION['user_id']),$DB->quote((isset($_POST["modlang"])?$_POST["modlang"]:__LANG)),$DB->quote($_POST["keywords"]),(isset($_POST["usereader"])?"0":"1"));
$id=$DB->getId();

//save module directory location
$DB->execute($scrrssaddtodir_addRssDir,$DB->escape($id),$DB->escape($_POST["dirid"]));

//add rss information for admin
$log=new log();
$log->write($DB,$_SESSION['longname'].lg("addedNewModule").' : '.$_POST["title"],"A");
$log->generateRss($DB,md5(__KEY));

if ($_POST["icondef"]=="-1"){
	$usedIcon="../modules/pictures/".$_POST["icondefurl"];
} else {
	$usedIcon="../modules/pictures/_deficon".$_POST["icondef"].".gif";
}
$file_loc="../modules/quarantine/icon".$id.".ico";

@copy($usedIcon,$file_loc);

$DB->close();

if ($granted=="I")
{
	header("location:rssaddtodirectory.php?msg=added");
}
else
{
	header("location:../admin/modules_mgmt.php");
}
?>