<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Communication - Information bar
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/communication_infobar.php";
$tabname="comtab";

require_once('includes.php');
set_include_path("../includes/");
require('header.inc.php');

$bartype=0;
$rssinfo="";
$texthtml="";
$barclosing="false";

$DB->getResults($communication_getConfig);
while ($row=$DB->fetch(0))
{
	if ($row["parameter"]=="bartype") $bartype=$row["value"];
	if ($row["parameter"]=="rssinfo") $rssinfo=$row["value"];
	if ($row["parameter"]=="bartexthtml") $texthtml=$row["value"];
	if ($row["parameter"]=="barclosing") $barclosing=$row["value"];
}
$DB->freeResults();

$texthtml=str_replace("<br>","\r\n",$texthtml);
$texthtml=str_replace("&amp;","&",$texthtml);
$texthtml=str_replace("&nbsp; ","  ",$texthtml);
?>


<h1><img src="../images/ico_adm_communication.gif" alt='' /> <?php echo lg("informationBar");?> :</h1>
<p><a href="communication.php"><?php echo lg("backPrevPage");?></a></p>
<p><strong><?php echo lg("chooseInfoBarType");?> :</strong></p>
<form name="f" method="post" action="scr_communication_infobar.php">
<div class="box">
<p><label><input type="radio" name="bartype" value="0"<?php if($bartype==0) echo " checked='checked'";?> /> <b><?php echo lg("nothing");?></b></label></p>
</div>

<div class="box">
<p><label><input type="radio" name="bartype" value="1"<?php if($bartype==1) echo " checked='checked'";?> /> <b><?php echo lg("textHtml");?></b></label></p>
<p><textarea name="bartexthtml" cols="120" rows="6"><?php echo $texthtml;?></textarea></p>
<p><label><input type="checkbox" name="barclosing"<?php if ($barclosing=="true") echo " checked='checked'";?> /> <?php echo lg("allowClosingBar");?></label></p>
</div>

<div class="box">
<p><label><input type="radio" name="bartype" value="2"<?php if($bartype==2) echo " checked='checked'";?> /> <b><?php echo lg("infoFeedUrl");?></b></label></p>
<p><input type="text" name="rssinfo" size="120" maxlength="150" value="<?php echo $rssinfo;?>" /> </p>
</div>
<?php if (is_file("communication_vote.php")) require("communication_vote.php");?>
<p class='submit'><input type="submit" value="<?php echo lg("saveModifications");?>" /></p>
</form>


<?php
write_admin_tabs($tabname);

require('footer.inc.php');
?>