<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Configuration - Lqnguage selection
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/config_lang.php";
$tabname="configstab";

require_once("includes.php");
set_include_path("../includes/");
require('header.inc.php');

?>


	<h1><img src="../images/ico_adm_config.gif" alt='' /> <?php echo lg("langSelection");?> :</h1>
	<p>
	<a href="config.php"><?php echo lg("backPrevPage");?></a>
	</p>
	
	<script type="text/javascript">
		function checkLangSelection()
		{
			var i=0,langs=[];
			while (document.forms["f"].elements["lang"+i])
			{
				if (document.forms["f"].elements["langsel"+i].checked) langs.push(document.forms["f"].elements["lang"+i].value);
				i++;
			}
			if (langs.length==0)
			{
				alert(lg("noLangSelected"));
				return false;
			}
			var selLang=getRadioValue(document.forms["f"].langdefault);
			if (!inArray(langs,selLang))
			{
				alert(lg("noDefaultLangSelected"));
				return false;
			}
			return true;
		}
	</script>

	<form name="f" action="scr_config_lang.php" method="post" onsubmit="return checkLangSelection()">
	<p>
	<table border="1">
		<tr>
		<th width="200"></th>
		<th><?php echo lg("available");?></th>
		<th><?php echo lg("byDefault");?></th>
		</tr>
<?php
$DB->getResults($config_getTemplate);
$row=$DB->fetch(0);
$template=$row["value"];
$DB->freeResults();

$handle=opendir('../l10n/');
$inc=0;

while ($item = readdir($handle))
{
	if ($item!=".." && $item!="." && is_dir('../l10n/'.$item) && strlen($item)==2)
	{
		echo "
			<tr>
				<td>".$item."<input type='hidden' name='lang".$inc."' value='".$item."' /></td>
				<td><input type='checkbox' name='langsel".$inc."' ".(in_array($item,$__AVLANGS)?"checked='checked'":"")." /></td>
				<td><input type='radio' name='langdefault' value='".$item."' ".($__AVLANGS[0]==$item?"checked='checked'":"")." /></td>
			</tr>
		";
		$inc++;
	}
}
closedir($handle);
?>
	</table>

	</p>
	<p><input type="submit" value="<?php echo lg("save");?>" /></p>
	</form>
	
<script type="text/javascript">


<?php
write_admin_tabs($tabname,false);
?>


</script>


<?php
require('footer.inc.php');
?>