<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Configuration - Theme selection
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/config_theme.php";
$tabname="configstab";

require_once("includes.php");
set_include_path("../includes/");
require('header.inc.php');

$currentTheme="";
?>


	<h1><img src="../images/ico_adm_config.gif" alt='' /> <?php echo lg("appThemeConfiguration");?> :</h1>
	<p>
	<a href="config.php"><?php echo lg("backPrevPage");?></a>
	</p>
	<form name="f" action="scr_config_theme.php" method="post">
	<p><strong><?php echo lg("templates");?> :</strong></p>
	<p>


<?php
$DB->getResults($config_getTemplate);
$row=$DB->fetch(0);
$template=$row["value"];
$DB->freeResults();

$handle=opendir('../templates/');

while ($item = readdir($handle))
{
	if ($item!=".." && $item!="." && is_file('../templates/'.$item."/index.php"))
	{
		echo "<input type='radio' name='template' value='".$item."'".($item==$template?" checked='checked'":"")." /> ".$item."<br />";
	}
}
closedir($handle);
?>


	</p>
	<p><input type="submit" value="<?php echo lg("save");?>" /></p>
	</form>
	<div class="box">
		<form name="f" action="scr_config_theme.php" method="post" onsubmit="return admConfig.theme.check()">
		<table>
			<tr>
			<td><strong><?php echo lg("themeSelected");?> :</strong><div id="selthemesdiv" style="width: 200px;height: 100px;overflow: auto;border: 1px solid #c6c3c6;padding: 2px;"></div></td>
			<td><input type="button" value="<" onclick="return admConfig.theme.addSelectedTheme();" style="font-size: 10pt" /><br />
			<input type="button" value=">" onclick="return admConfig.theme.supSelectedTheme();" style="font-size: 10pt" /></td>
			<td><strong><?php echo lg("themeAvailable");?> :</strong>
			<div id="allthemesdiv"><div id="exp0"></div></div></td>
			</tr>
		</table>
		<div id="themeinputs"></div>
		<p class='submit'><input type="submit" value="<?php echo lg("saveModifications");?>" /></p>
		</form>
		<form method="post" action="scr_config_add_theme.php" enctype="multipart/form-data">
		<p><strong><?php echo lg("addTheme");?></strong> :
		<input type="hidden" name="MAX_FILE_SIZE" value="500000" />
		<input type="file" name="fichier" size="30" /> <input type="submit" value="<?php echo lg("Upload");?>" /><br /><br />
		</p>
		<p><?php echo lg("themeReplaceWarning");?> !</p>
		</form>
	</div>
	
<script type="text/javascript">
var selTheme=[];
var theme=[];
var selThemeId=-1;
var selAvailThemeId=-1;

function themeObj(name){
	this.name=name;
}


<?php
$handle=opendir('../styles/themes/');

while ($file = readdir($handle))
{
	if (substr($file,-4)=='.thm')
	{
		$name=substr($file,0,strlen($file)-4);
		echo "theme.push(new themeObj(\"".$name."\"));";
	}
}
closedir($handle);

$DB->getResults($configtheme_getThemes);
while ($row=$DB->fetch(0))
{
	echo "selTheme.push(new themeObj(\"".$row["name"]."\"));";
}
$DB->freeResults();
?>


admConfig.theme.showAvailThemes();
admConfig.theme.showSelectedThemes();


<?php
write_admin_tabs($tabname,false);
?>


</script>


<?php
require('footer.inc.php');
?>