<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Module management - Module modifications form
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/frm_module_modify.php";

$itemid=$_GET["itemid"];

require_once("includes.php");
if (!is_array($_GET) || ! array_key_exists('itemid',$_GET)) exit();
require_once("header_inframe.php");
?>


<script type="text/javascript">
	var dirid=0;
	var dirname;
	function showDir(){
		var l_s="";
		if (dirid==0){
			parent.admModule.initDir(__dimension[0]["id"],__dimension[0]["name"]);
			l_s+="<font color='#ff0000'>"+lg("lblDirModChangeTxt")+" [<a href='#' onclick='return setDir();'>"+lg("lblClickHere")+"</a>]</font>";
		} else {
			l_s+=dirname+" [<a href='#' onclick='return editDir();'>"+lg("lblModify")+"</a>]";
			document.forms["f"].catid.value=dirid;
		}
		navPrint("dirdiv",l_s);
	}
	function setDir(){
		dirid=parent.admModule.catid;
		dirname=parent.admModule.catname;
		showDir();
		return false;
	}
	function editDir(){
		dirid=0;
		showDir();
		return false;
	}
	function suppress_module(){
		document.forms["f"].status.value="S";
		document.forms["f"].submit();
	}
</script>
<table cellpadding="0" cellspacing="10" border="0">
	<tr>
	<td valign="top" width="430">
	
	<form action="scr_module_modify.php" method="post" name="f" accept-charset="UTF-8">
	<table cellpadding="10" cellspacing="0" border="0" width="100%">
		<tr>
		<td>
		<div class='bottomhr'><b><?php echo lg("generalParameter");?></b></div>
		<table>


<?php
//get directory information for this module
$DB->getResults($module_getCategory,$DB->escape($itemid));
if ($DB->nbResults()==0)
{
	$dirid=0;
	$dirname="/";
}
else
{
	$row=$DB->fetch(0);
	$dirid=$row["id"];
	$dirname=$row["name"];
}
$DB->freeResults();

//get module information
$DB->getResults($module_getModule,$DB->escape($itemid));
$row = $DB->fetch(0);
$minwidth=$row["minwidth"];
$typ=$row["typ"];
$status=$row["status"];
$url=$row["url"];
$urlLastCar=substr($url,-1);
if ($urlLastCar=="?" OR $urlLastCar=="&") $url=substr($url,0,-1);
?>


			<tr><td><?php echo lg("title");?> :</td><td><input type="text" name="name" value="<?php echo $row["name"];?>" maxlength="30" /></td></tr>
			<tr><td><?php echo lg("id");?> : </td><td><?php echo $row["id"];?></td></tr>
			<tr><td valign="top"><?php echo lg("description");?> :</td><td><textarea name="desc" cols=30 rows=3><?php echo $row["description"];?></textarea></td></tr>
			<tr><td><?php echo lg("url");?> :</td><td><input type="text" name="url" value="<?php echo $url;?>" size="40" maxlength="250" /></td></tr>
			<tr><td><?php echo lg("website");?> :</td><td><input type="text" name="website" value="<?php echo $row["website"];?>" size="40" maxlength="50" /></td></tr>
			<tr><td><?php echo lg("type");?> :</td><td><select name="typ">

	
<?php
if ($typ=="R")
{
	echo "<option value='R' selected='selected'>RSS Module</option>";
}
else
{
?>
			<option value='E'<?php if ($typ=="E") echo " selected='selected'";?>><?php echo lg("enterprise");?></option>
			<option value='P'<?php if ($typ=="P") echo " selected='selected'";?>>Portaneo</option>
<?php } ?>
			</select>
			</td></tr>
			<tr><td><?php echo lg("status");?> :</td><td><select name="status">
			<option value='O'<?php if ($status=="O") echo " selected='selected'";?>><?php echo lg("active");?>
			<option value='W'<?php if ($status=="W") echo " selected='selected'";?>><?php echo lg("notactive");?>
			<option value='N'<?php if ($status=="N") echo " selected='selected'";?>><?php echo lg("waiting");?>
			<option value='S'<?php if ($status=="S") echo " selected='selected'";?>><?php echo lg("suppressed");?>
			</select>
			</td></tr>
			<tr><td><?php echo lg("height");?> :</td><td><input type="text" name="size" value="<?php echo $row["height"];?>" size="3" maxlength="3" /> <a href="#" onclick="return applyHeight();"><?php if ($row["format"]=="I") echo lg("watch");?></a></td></tr>
			<tr><td><?php echo lg("minWidth");?> :</td><td><input type="text" name="minwidth" value="<?php echo $row["minwidth"];?>" size="3" maxlength="3" /> <a href="#" onclick="return applyWidth();"><?php echo lg("watch");?></a></td></tr>


<?php
//echo "<tr><td>Rubrique :</td><td id='dirdiv'><span id=cname>".$dirname."</span> <a href=# onclick='return admModule.getDirectory()'>[modifier]</a><br /><input type=hidden id=catid name=catid value='".$row["cid"]."' /><input type=hidden name=oldcatid value='".$row["cid"]."' /></td></tr>";
echo "<tr><td>".lg("dir")." :<input type='hidden' name='catid' value='".$dirid."' /><input type='hidden' name='oldcatid' value='".$dirid."' /></td><td id='dirdiv'></td></tr>";
//$moduleStr="tab[0].module[0]=new moduleObj(1,1,1,".$row["height"].",".$row["id"].",'--','--','".$row["defvar"]."','".$minwidth."',1,".$minwidth.",'".$row["url"]."',0,0,1,'".$row["format"]."',".$row["nbvariables"].",1);";
$moduleStr="tab[0].module[0]=new moduleObj(1,1,1,".$row["height"].",".$row["id"].",'--','--','".$row["defvar"]."','1',1,1,'".$row["url"]."',0,0,1,'".$row["format"]."',".$row["nbvariables"].",1);";
$DB->freeResults();
?>


		</table>
		<br /><br />
		<div class='bottomhr'><b><?php echo lg("tags");?></b></div>
		<div id="keywordlist"></div>
		<br /><br />
		<input type="hidden" name="itemid" value="<?php echo $itemid;?>" />
		<input type="submit" value="<?php echo lg("saveModifications");?>" style="width:350px;" /><br /><br /><br /><br />
		<div class='bottomhr'><b><?php echo lg("otherOptions");?></b></div><br />
		<a href="scr_module_duplicate.php?itemid=<?php echo $itemid;?>"><img src="../images/ico_menu_examples.gif" align="absmiddle" /> <?php echo lg("duplicateModule");?></a><br />
		<a href="#" onclick="suppress_module()"><img src="../images/ico_suppress.gif" align="absmiddle" /> <?php echo lg("suppressModule");?></a><br />
		</td>
		</tr>
	</table>
	</form>
	</td>
	
	<td valign="top" width="430">
	<center><a href="#" onclick="alert(lg('msgTestStart'));var col=_gel('col1');p_area.clean(col);tab[0].module[0].create();tab[0].module[0].show();alert(lg('msgTestEnd'));return false;"><?php echo lg("test");?></a> | 
	<a href="#" onclick="tab[0].module[0].refresh();return false;"><?php echo lg("refresh");?></a>
	<br /><table id="tbl1" cellpadding="0" cellspacing="0" border="0" style="width:400px"><tr><td id="col1" style="font-size:1.2em"></td></tr></table>
	</center><br />
	</td>
	<td valign="top" bgcolor='#efefef'>

	</tr>
</table>
</div>
<script type="text/javascript">
p_area.col.nb=1;
pfolder="../portal/";
p_tabs.selId=0;
allowSave=false;
useMod=false;
p_tabs.sel=0;
tab[0]=new tabObj(1);
tab[0].cols[1]=_gel("col1");
tab[0].moduleAlign=true;
<?php echo $moduleStr;?>
tab[0].module[0].create();
tab[0].module[0].show();
function applyWidth(v_width){
	var l_width=v_width==indef?parseInt(document.forms["f"].minwidth.value,10):v_width;
	document.getElementById('tbl1').style.width=l_width+"px";
	return false;
}
applyWidth();
function applyHeight(v_height){
	if (!admModule.isModuleShown) return false;
	var l_height=v_height==indef?document.forms["f"].size.value:v_height;
	tab[0].module[0].setHeight(l_height);
	return false;
}
dirid=<?php echo $dirid;?>;
dirname="<?php echo $dirname;?>";
showDir();
<?php if (isset($_GET["reload"])) echo "parent.admModule.refreshDir();";?>

//initialize keywords
var keys=[];


<?php
$DB->getResults($module_getKeywords,$DB->escape($itemid));
$i=0;
while ($row=$DB->fetch(0))
{
	echo 'keys['.$i.']=new keywordObj('.$row["id"].','.$row["weight"].',"'.$row["label"].'");';
	$i++;
}

$DB->freeResults();

?>


admModule.displayKeywords();
</script>
<div id="debug"></div>
</body>
</html>