<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Module management - Directory root modifications form
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/frm_rootdirectory_modify.php";

require_once("includes.php");
require_once("header_inframe.php");
?>

<script type="text/javascript">
	var catname=[];
	var catid=[];
	var oldcatid=[];
	var oldcatseq=[];
	var catlang=[];
	function showDirectory(){
		var l_s="<table>",i=0;
		for (var i=0;i<catid.length;i++){
			l_s+='<tr><td>Rubrique '+(i+1)+' <input type=text name="catname'+i+'" value="'+catname[i]+'" size=40 maxlength=60 /> <input type=hidden name="catseq'+i+'" value="'+i+'" /><input type=hidden name="oldcatseq'+i+'" value="'+oldcatseq[i]+'" /><INPUT type=hidden name="oldcatid'+i+'" value="'+oldcatid[i]+'" /><INPUT type=hidden name="catid'+i+'" value="'+catid[i]+'" /><INPUT type=text name="catlg'+i+'" value="'+catlang[i]+'" size=2 maxlength=2 /> ';
			if (i>0) l_s+=' <a href=# onclick="return moveDirectory('+i+');" title="'+lg("lblRaiseDir")+'"><img src="../images/ico_up_arrow2.gif" /></a>';
			l_s+='</td><td> <a href=# onclick="return supDirectory('+i+')"><img src="../images/ico_suppress.gif" /> '+lg("lblSuppress")+'</a></td></tr>';
		}
		l_s+="</table>";
		l_s+="<br />"+lg("lblAddDir")+" <input type=text name='newcat' value='' size=20 maxlenth=20 /> "+lg("lblLang")+" <input type=text name='catlg' value='' size=2 maxlength=2 /> <input type=button onclick='addDirectory();' value='"+lg("lblAdd")+"' />";
		navPrint("catdiv",l_s);
	}
	function moveDirectory(v_id){
		var l_catname=catname[v_id];
		var l_catid=catid[v_id];
		var l_oldcatid=oldcatid[v_id];
		var l_oldcatseq=oldcatseq[v_id];
		var l_catlang=catlang[v_id];
		catname[v_id]=catname[(v_id-1)];
		catid[v_id]=catid[(v_id-1)];
		oldcatid[v_id]=oldcatid[(v_id-1)];
		oldcatseq[v_id]=oldcatseq[(v_id-1)];
		catlang[v_id]=catlang[(v_id-1)];
		catname[(v_id-1)]=l_catname;
		catid[(v_id-1)]=l_catid;
		oldcatid[(v_id-1)]=l_oldcatid;
		oldcatseq[(v_id-1)]=l_oldcatseq;
		catlang[(v_id-1)]=l_catlang;
		showDirectory();
		return false;
	}
	function addDirectory(){
		var l_catname=document.forms["f"].newcat.value;
		var l_catlang=document.forms["f"].catlg.value;
		catname.push(l_catname);
		catid.push(0);
		oldcatid.push(0);
		oldcatseq.push(0);
		catlang.push(l_catlang);
		showDirectory();
		return false;
	}
	function supDirectory(v_id){
		if (catid[v_id]==0){
			catname.splice(v_id,1);
			catid.splice(v_id,1);
			oldcatid.splice(v_id,1);
			oldcatseq.splice(v_id,1);
			catlang.splice(v_id,1);
			showDirectory();
			return false;
		} else {
			l_response=confirm(lg("msgDirSupWarn1"));
			if (l_response==1){
				l_response=confirm(lg("msgDirSupWarn2"));
				if (l_response==1){
					window.location="scr_rootdirectory_suppress.php?id="+oldcatid[v_id]+"&seq="+oldcatseq[v_id];
				}
			}
			return false;
		}
	}
</script>
<script type='text/javascript'>//parent.admModule.init(true);</script>
<form name="f" action="scr_rootdirectory_modify.php" method="post">
<?php echo lg("dirManagement");?> :<br /><br />
<div id="catdiv"></div>
<br /><input type="submit" value="<?php echo lg("saveModifications");?>" />
</form>
<script type="text/javascript">


<?php
$DB->getResults($module_getMainDirectory);
while($row = $DB->fetch(0))
{
	echo 'catid.push('.$row["id"].');';
	echo 'oldcatid.push('.$row["id"].');';
	echo 'catname.push("'.$row["name"].'");';
	echo 'oldcatseq.push('.$row["seq"].');';
	echo 'catlang.push("'.$row["lang"].'");';
}
$DB->freeResults();
?>


showDirectory();
</script>
</body>
</html>