<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Administration homepage
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$isScript=false;
$isPortal=false;
$granted="A";
$pagename="admin/index.php";
$tabname="indextab";

require_once("includes.php");
set_include_path("../includes/");
require('header.inc.php');


launch_hook('admin_index_firstbox');


?>
<div class="box">
<form id='f' action="scr_admin_lang.php" method="post">
<table cellpadding="2" cellspacing="0" border="0">
	<tr><td class="label"><?php echo lg("application");?></td><td><b><?php echo __application;?></b></td></tr>
	<tr><td class="label"><?php echo lg("version");?></td><td><b><script type="text/javascript">document.write(p_version);</script></b></td></tr>
	<tr><td class="label"><?php echo lg("followPoshActivity");?></td><td><img src="../images/ico_rss.gif" alt="" /> <?php echo __LOCALFOLDER.'cache/rssadmin'.md5(__KEY).'.xml';?></td></tr>
	<tr><td class="label"><?php echo lg("adminLanguage");?> :</td>
	<td>
		<select name="lang" onchange="document.forms['f'].submit();">
<?php

foreach ($__AVLANGS as $avlang)
{
	echo '<option value="'.$avlang.'"'.(__LANG==$avlang?' selected="selected"':'').'>'.$avlang.'</option>';
}

?>
		</select>
	</td></tr>
</table>
</form>
</div>

<div class="box">
<table cellpadding="2" cellspacing="0" border="0">
	<tr><td colspan="2"><h2><img src="../images/ico_adm_config.gif" alt="" /> <?php echo lg("yourApplication");?></h2></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("appName");?> :</td><td><b><?php echo __APPNAME;?></b> [<a href="config_general.php"><?php echo lg("modify");?></a>]</td></tr>
	<tr><td class="label"><img src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("themeUsed");?> :</td><td><b><script type="text/javascript">document.write(__theme);</script></b> [<a href="config_theme.php"><?php echo lg("modify");?></a>]</td></tr>
</table>
</div>

<div class="box">
<table cellpadding="2" cellspacing="0" border="0">
	<tr><td colspan="2"><h2><img src="../images/ico_adm_module.gif" alt="" /> <?php echo lg("modules");?></h2></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("followModulesActivity");?></td><td><img src="../images/ico_rss.gif" alt="" /> <?php echo __LOCALFOLDER.'admin/rss_modulestovalidate.php?k='.__KEY;?></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("modAvailable");?> :</td>
	<td>


<?php
$DB->getResults($index_getNbOfModules);
$row = $DB->fetch(0);
echo "<b>".$row["nb"]."</b>";
$DB->freeResults();
?>


	</td>
	</tr>
	<tr><td class="label"><img src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("modWaitingVal");?> :</td>
	<td>

	
<?php
$DB->getResults($index_getNbOfModulesToValidate);
$row = $DB->fetch(0);
if ($row["nb"]!=0) echo "<span class='modules_nb'>";
echo "".$row["nb"]."</span>";
$DB->freeResults();
?>


	[<a href='modules.php'><?php echo lg("modMgmt");?></a>]
	</td>
	</tr>
</table>
</div>

<div class="box">
<table cellpadding="2" cellspacing="0" border="0">
	<tr><td colspan="2"><h2><img src="../images/ico_adm_users.gif" alt="" /> <?php echo lg("userss");?></h2></td></tr>
	<tr><td class="label"><img  src="../images/puce.gif" align="absmiddle"" alt="" /> <?php echo lg("userss");?> :</td>
	<td>

	
<?php
$DB->getResults($index_getNbOfUsers);
$row = $DB->fetch(0);
echo "<b>".$row["nb"]."</b> ";
$DB->freeResults();
?>


	[<a href='users.php'><?php echo lg("userMgmt");?></a>]
	</td>
	</tr>
</table>
</div>

<div class="box">
<table id='conf_pages'>
	<tr><td colspan="2"><h2><img src="../images/ico_adm_page.gif" alt="" /> <?php echo lg("pages");?></h2></td></tr>
	<tr><td class="label"><img src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("tabused");?> :</td><td>

	
<?php
$DB->getResults($index_getPagesName);
while ($row = $DB->fetch(0))
{
	echo "<strong>".$row["name"]."</strong> | ";
}
$DB->freeResults();
?>


	[<a href="pages_tabs.php"><?php echo lg("tabMgmt");?></a>]
	</td></tr>
</table>


<?php
$DB->getResults($index_getNbOfPortals);
$row = $DB->fetch(0);
$nb_portals = $row["nb"];
$DB->freeResults();
	
$DB->getResults($index_getNbOfPortalsToValidate);
$row = $DB->fetch(0);
$nb_portals_n= $row["nb"];
$DB->freeResults();
?>


<script type="text/javascript">
/* <![CDATA[ */
if (__useSharing){
	var l_s="";
	l_s+='<tr><td class="label"><img  src="../images/puce.gif" align="absmiddle" alt="" /><?php echo lg("usersPortal") ?> :<\/td><td>';
	l_s += '<?php
	echo "<b>".$nb_portals."<\/b> ";
?>';
	l_s+='<\/td><\/tr>';
	l_s+='<tr><td class="label"><img  src="../images/puce.gif" align="absmiddle" alt="" /> <?php echo lg("usersPortalVal") ?> :<\/td><td>';
	l_s +='<?php
if ($nb_portals_n!=0) 
	echo '<strong class="important">'.$nb_portals_n.'<\/strong>';
?>';
	l_s+='[<a href="pages_portals.php"><?php echo lg("exampleMgmt");?><\/a>]<\/td><\/tr>';
	
	var table =_gel("conf_pages");
	table.innerHtml += l_s;
}
/* ]]> */
</script>
</div>


<?php
launch_hook('admin_index');
?>


<!--<CENTER><INPUT type=button value="Mise à jour du cache" onclick="window.location='scr_cache_update.php'" /></CENTER><br /><br />-->
<p class='submit'>
<?php echo lg("cacheRefreshTxt");?> <input type="button" value="<?php echo lg("cacheRefresh");?>" onclick="window.location='scr_cache_generate_all.php'" />
</p>


<?php
write_admin_tabs($tabname);

require('footer.inc.php');
?>