<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Configuration - send mailing
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted="A";
$pagename="admin/scr_communication_emailing.php";
//includes
require_once("includes.php");


launch_hook('admin_scr_communication_emailing');

//check email
function checkEmail($v_email)
{
	if(strpos($v_email,"@")===false OR strpos($v_email,".")===false OR strpos($v_email," ")===true) return false;
	else return true;
}

//get emails address
$emaillist=array();
if ($_POST["emailtype"]=="1")
{
	$receiver=$_POST["emaillist"];
	$emaillist=explode(",",$receiver);
}
else
{
	$receiver="All";
	//get active users emails
	$DB->getResults($communication_getUsersList);
	while ($row=$DB->fetch(0))
	{
		if (checkEmail($row["username"])) array_push($emaillist,$row["username"]);
	}
	$DB->freeResults();
}
//send email
for ($i=0;$i<count($emaillist);$i++)
{

	launch_hook('admin_communication_send_mail',$emaillist[$i],$_POST["subject"],$_POST["message"],$_POST["sender"]);
	
	mail($emaillist[$i],stripslashes(utf8_decode($_POST["subject"])),stripslashes(utf8_decode($_POST["message"])),"From: ".$_POST["sender"]."\r\n");
}

// save copy
if (isset($_POST["emailcopy"]))
{
	$DB->execute($communication_addSentItem,$DB->quote($_POST["sender"]),$DB->quote($_POST["subject"]),$DB->quote($_POST["message"]),$DB->quote($receiver));
	
	launch_hook('admin_communication_save_mail_copy',$_POST["sender"],$_POST["subject"],$_POST["message"],$receiver);
}


header("location:communication_emailing.php?sent=1");
?>