<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Pages management - Apply tabs changes
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted="A";
$pagename="admin/scr_pages_modify_add.php";
//includes
require_once("includes.php");


launch_hook('admin_scr_pages_modify_add');

$pageid=$_POST["id"];

// Save page information
if ($_POST["act"]=="upd")
{
	$DB->execute($pages_setProperties,$DB->quote($_POST["name"]),$DB->quote($_POST["desc"]),$DB->escape($_POST["mode"]),$DB->escape($_POST["type"]),$DB->quote($_POST["param"]),$DB->escape($pageid));
}
else
{
	$DB->getResults($pages_getMaxSeq,$DB->escape($_POST["group"]));
	$row = $DB->fetch(0);
	$seq=$row["nseq"]==""?0:$row["nseq"];
	$DB->freeResults();

	$DB->execute($pages_addNew,$DB->escape($_POST["group"]),$DB->quote($_POST["name"]),$DB->quote($_POST["desc"]),$DB->escape($_POST["mode"]),$DB->escape($_POST["type"]),$DB->quote($_POST["param"]),$DB->escape($seq));
	$pageid=$DB->getId();
}

//save the modules information for portal creation
if ($_POST["type"]==1)
{
	// page configuration
	$DB->execute($pages_updateSubProperties,$DB->escape($_POST["nbcol"]),$DB->escape($_POST["showtype"]),$DB->escape($_POST["npnb"]),$DB->escape($_POST["style"]),$DB->quote($_POST["modulealign"]),$DB->quote($_POST["controls"]),$DB->escape($pageid));

	// suppress the previous modules selection
	$DB->execute($pages_removeModules,$DB->escape($pageid));

	// create the new modules selection
	$inc=0;
	while (isset($_POST["i".$inc]))
	{
		$DB->execute($pages_addModules,$DB->escape($_POST["i".$inc]),$DB->escape($pageid),$DB->escape($_POST["c".$inc]),$DB->escape($_POST["p".$inc]),$DB->escape($_POST["pj".$inc]),$DB->escape($_POST["x".$inc]),$DB->escape($_POST["y".$inc]),$DB->quote($_POST["v".$inc]),($inc+1),$DB->escape($_POST["b".$inc]),$DB->escape($_POST["m".$inc]));
		$inc++;
	}
}

header("location:pages_tabs.php?group=".$_POST["group"]);
?>