<?php
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
$index_getNbOfModules = "SELECT count(*) AS nb FROM dir_item WHERE status = 'O'";
$index_getNbOfModulesToValidate = "SELECT count(*) AS nb FROM temp_dir_item,temp_dir_cat_item WHERE id=item_id AND status = 'N'";
$index_getNbOfUsers = "SELECT count(*) AS nb FROM users WHERE typ = 'I'";
$index_getPagesName = "SELECT name FROM pages WHERE group_id=0 ORDER BY seq";
$index_getNbOfPortals = "SELECT count(*) AS nb FROM portals WHERE status = 'O'";
$index_getNbOfPortalsToValidate = "SELECT count(id) AS nb FROM portals,portals_category WHERE status = 'N' AND id=portal_id ";
$tabs_getTabs = "SELECT id,name,label,type,param FROM adm_tabs ORDER BY id";
$communication_getConfig = "SELECT parameter,value FROM adm_config ";
$communication_sentEmails = "SELECT id,UNIX_TIMESTAMP(sentdate) AS date,subject,sender,receiver FROM contact_sentitems WHERE status='S' ORDER BY sentdate DESC ";
$communication_sentEmailDetail = "SELECT UNIX_TIMESTAMP(sentdate) AS date,subject,message,sender,receiver FROM contact_sentitems WHERE id=%u ";
$admin_getTabFunctions = "SELECT label,description,link FROM adm_tabs_fct WHERE tabname=%s ";
$plugin_getPluginList = "SELECT name FROM adm_plugins WHERE status='O' ORDER BY name ";
$config_getParameters = "SELECT parameter,value,datatype,desttype FROM adm_config ORDER BY parameter";
$configfeatures_getHeadLinks = "SELECT id,label,comment,clss,images,fct,status,seq,anonymous,connected,admin FROM adm_headlinks ORDER BY id ASC ";
$configfeatures_getParameters = "SELECT parameter,value FROM adm_config ";
$configtheme_getThemes = "SELECT name FROM adm_themes ORDER BY seq ASC ";
$module_getMainDirectory = "SELECT id,name,seq,lang FROM dir_category,dir_cat_properties WHERE parent_id=0 AND category_id=id ORDER BY seq ";
$portals_getPortalsList = "	SELECT portals.name,portals.description,portals.status,category_id,dir_category.name AS name2 FROM portals,portals_category,dir_category 
							WHERE portals.id=portal_id AND dir_category.id=category_id AND portals.id=%u ";
$portals_getModules = "SELECT id,name FROM portals_module, dir_item WHERE item_id=id AND portal_id=%u ";
$module_getTempCategory = "SELECT id,name FROM dir_category, temp_dir_cat_item WHERE item_id=%u AND id=category_id ";
$module_getModulesToValidate = "SELECT temp_dir_item.id,name,url,defvar,username,long_name,temp_dir_item.description,height,keywords,minwidth,sizable,format,website,nbvariables,autorefresh,temp_dir_item.lang FROM temp_dir_item,users 
								WHERE temp_dir_item.id=%u AND status='N' AND editor_id=users.id ";
$module_getCategory = "SELECT id,name FROM dir_category, dir_cat_item WHERE item_id=%u AND id=category_id ";
$module_getModule = "SELECT id,name,url,defvar,description,typ,status,height,minwidth,sizable,format,website,nbvariables,autorefresh FROM dir_item WHERE id=%u ";
$module_getKeywords = "SELECT id, label, weight FROM search_index, search_keyword WHERE kw_id=id AND item_id=%u ORDER BY weight DESC,label ";
$users_groupNumber = "SELECT count(*) FROM users_group WHERE parent_id=%u ";
$users_getUsersNumber = "SELECT count(*) FROM users_group_map WHERE group_id=%u ";
$users_deleteGroup = "DELETE FROM users_group WHERE id=%u ";
$users_getGroupName = "SELECT name FROM users_group WHERE id=%u ";
$module_getSubCategoryNumber = "SELECT count(*) FROM dir_category WHERE parent_id=%u ";
$module_getTempSubCatNumber = "SELECT count(*) FROM dir_cat_item WHERE category_id=%u ";
$module_getParentDirectory = "SELECT parent_id,lang FROM dir_category WHERE id=%u ";
$module_removeDirectory = "DELETE FROM dir_category WHERE id=%u ";
$module_getDirectoryType = "SELECT typ,lang FROM dir_category WHERE id=%u ";
$module_getCategoryName = "SELECT name,lang FROM dir_category WHERE id=%u ";
$users_getUserInformation = "SELECT username,long_name,typ,lang FROM users WHERE id=%u ";
$users_getUserGroup = "SELECT id, name FROM users_group, users_group_map WHERE id=group_id AND user_id=%u ";
$cachewaiting_getModules = "SELECT dir_item.id, dir_item.name FROM dir_item, dir_cat_item, dir_category 
							WHERE dir_item.typ<>'A' AND status='O' AND dir_item.id=item_id AND dir_category.id=category_id AND secured=0 AND first='Y' ORDER BY creation_date DESC, dir_item.id DESC LIMIT 0,6 ";
$pages_getPagesList ="SELECT name,description,position,type,param,nbcol,showtype,npnb,style,modulealign,controls FROM pages WHERE id=%u ";
$pages_getModules = "SELECT item_id,posx,posy,posj,x,y,variables,uniq,height,name,minwidth,sizable,url,format,website,nbvariables,blocked,minimized FROM pages_module,dir_item WHERE item_id=dir_item.id AND page_id=%u ";
$pages_selectMainGroups = "SELECT id, name FROM users_group WHERE parent_id=0 ";
$pages_getTabsList = "	SELECT pages.id,name,description,ref_pages_mode.label AS mode,ref_pages_type.label AS type,param,seq FROM pages,ref_pages_mode,ref_pages_type 
						WHERE ref_pages_mode.id=pages.position AND ref_pages_type.id=type AND group_id=%u ORDER BY seq ";
$communication_setBarType = "UPDATE adm_config SET value=%s WHERE parameter='bartype' ";
$communcation_insertBarType = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('bartype',%s,'int','A') ";
$admin_setLang = "UPDATE users SET lang=%s WHERE id=%u ";
$configfeatures_deleteHeadLinks = "DELETE FROM adm_headlinks ";
$configfeatures_insertHeadLinks = "INSERT INTO adm_headlinks (id,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (%u,%s,%s,%s,%s,%s,'O',%u,%u,%u,%u) ";
$configfeatures_setUseReader = "UPDATE adm_config SET value=%s WHERE parameter='usereader' ";
$configfeatures_insertUseReader = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('usereader',%s,'int','J') ";
$configfeatures_setShowTabIcon = 'UPDATE adm_config SET value=%s WHERE parameter="showtabicon" ';
$configfeatures_insertShowTabIcon = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('showtabicon',%s,'int','J') ";
$configfeatures_setColumnChange = "UPDATE adm_config SET value=%s WHERE parameter='columnchange' ";
$configfeatures_insertColumChange = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('columnchange',%s,'int','J') ";
$configfeatures_setCtrlHiding = "UPDATE adm_config SET value=%s WHERE parameter='ctrlhiding' ";
$configfeatures_insertCtrlHiding = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('ctrlhiding',%s,'int','J') ";
$configfeatures_setDoubleProtection = "UPDATE adm_config SET value=%s WHERE parameter='doubleprotection' ";
$configfeatures_insertDoubleProtection = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('doubleprotection',%s,'int','J') ";
$configfeatures_setShowRssCell = "UPDATE adm_config SET value=%s WHERE parameter='showrsscell' ";
$configfeatures_insertShowRssCell = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('showrsscell',%s,'int','J') ";
$configfeatures_setShowModuleSearch = "UPDATE adm_config SET value=%s WHERE parameter='showModuleSearch' ";
$configfeatures_insertShowModuleSearch = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('showModuleSearch',%s,'int','J') ";
$configfeatures_setShowModuleExpl = "UPDATE adm_config SET value=%s WHERE parameter='showModuleExpl' ";
$configfeatures_insertShowModuleExpl = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('showModuleExpl',%s,'int','J') ";
$cachegeneration_setZeroQuantity = "UPDATE dir_category SET quantity=0 ";
$cachegeneration_removeTempDirectories = "DELETE FROM temp_category ";
$cachegeneration_5thDirectoryLevel = "INSERT INTO temp_category (category_id, quantity, gener1, gener2, gener3, gener4,pass) 
	SELECT category_id, count(*), cat2.id, cat3.id, cat4.id, cat5.id, '1' 
	FROM dir_item, dir_cat_item, dir_category as cat1, dir_category as cat2, dir_category as cat3, dir_category as cat4, dir_category as cat5 
	WHERE cat1.id=category_id AND cat2.id=cat1.parent_id AND cat3.id=cat2.parent_id AND cat4.id=cat3.parent_id AND cat5.id=cat4.parent_id AND cat5.parent_id=0 
	AND dir_item.id=dir_cat_item.item_id AND dir_item.status='O' 
	GROUP BY category_id, cat2.id, cat3.id, cat4.id, cat5.id";
$cachegeneration_4thDirectoryLevel = "INSERT INTO temp_category (category_id, quantity, gener1, gener2, gener3, gener4,pass) 
	SELECT category_id, count(*), cat2.id, cat3.id, cat4.id, 0 as id5, '1' 
	FROM dir_item, dir_cat_item, dir_category as cat1, dir_category as cat2, dir_category as cat3, dir_category as cat4 
	WHERE cat1.id=category_id AND cat2.id=cat1.parent_id AND cat3.id=cat2.parent_id AND cat4.id=cat3.parent_id AND cat4.parent_id=0 
	AND dir_item.id=dir_cat_item.item_id AND dir_item.status='O' 
	GROUP BY category_id, cat2.id, cat3.id, cat4.id, id5 ";
$cachegeneration_3rdDirectoryLevel = "INSERT INTO temp_category (category_id, quantity, gener1, gener2, gener3, gener4,pass) 
	SELECT category_id, count(*), cat2.id, cat3.id, 0 as id4, 0 as id5, '1' 
	FROM dir_item, dir_cat_item, dir_category as cat1, dir_category as cat2, dir_category as cat3 
	WHERE cat1.id=category_id AND cat2.id=cat1.parent_id AND cat3.id=cat2.parent_id AND cat3.parent_id=0 
	AND dir_item.id=dir_cat_item.item_id AND dir_item.status='O' 
	GROUP BY category_id, cat2.id, cat3.id,id4,id5 ";
$cachegeneration_2ndDirectoryLevel = "INSERT INTO temp_category (category_id, quantity, gener1, gener2, gener3, gener4,pass) 
	SELECT category_id, count(*), cat2.id, 0 as id3, 0 as id4, 0 as id5, '1' 
	FROM dir_item, dir_cat_item, dir_category as cat1, dir_category as cat2 
	WHERE cat1.id=category_id AND cat2.id=cat1.parent_id AND cat2.parent_id=0 
	AND dir_item.id=dir_cat_item.item_id AND dir_item.status='O' 
	GROUP BY category_id, cat2.id,id3,id4,id5 ";
$cachegeneration_1stDirectoryLevel = "INSERT INTO temp_category (category_id, quantity, gener1, gener2, gener3, gener4,pass) 
	SELECT category_id, count(*), 0 as id2, 0 as id3, 0 as id4, 0 as id5, '1' 
	FROM dir_item, dir_cat_item, dir_category as cat1 
	WHERE cat1.id=category_id AND cat1.parent_id=0 
	AND dir_item.id=dir_cat_item.item_id AND dir_item.status='O' 
	GROUP BY category_id,id2,id3,id4,id5 ";
$cachegeneration_mystery1stLevel = "INSERT INTO temp_category (category_id, quantity,pass) 
	SELECT gener1, sum(quantity), '2' FROM temp_category WHERE gener1>0 GROUP BY gener1 ";
$cachegeneration_mystery2ndLevel = "INSERT INTO temp_category (category_id, quantity,pass) 
	SELECT gener2, sum(quantity), '2' FROM temp_category WHERE gener2>0 GROUP BY gener2 ";
$cachegeneration_mystery3rdLevel = "INSERT INTO temp_category (category_id, quantity,pass) 
	SELECT gener3, sum(quantity), '2' FROM temp_category WHERE gener3>0 GROUP BY gener3 ";
$cachegeneration_mystery4thLevel = "INSERT INTO temp_category (category_id, quantity,pass) 
	SELECT gener4, sum(quantity), '2' FROM temp_category WHERE gener4>0 GROUP BY gener4 ";
$cachegeneration_mystery5thLevel = "INSERT INTO temp_category (category_id, quantity,pass) 
	SELECT category_id, sum(quantity), '3' FROM temp_category GROUP BY category_id ";
$cachegeneration_updateTempCat = "UPDATE dir_category, temp_category SET dir_category.quantity=temp_category.quantity WHERE dir_category.id=temp_category.category_id AND pass='3' ";
//$cachegeneration_getDirectoryId = "SELECT id,lang FROM dir_category,dir_cat_properties WHERE dir_category.id=dir_cat_properties.category_id ";
$cachegeneration_getDirectoryId = "SELECT id,lang FROM dir_category WHERE secured=0 ";
$cachegeneration_getModuleId = "SELECT dir_item.id FROM dir_item, dir_cat_item, dir_category WHERE dir_item.id=item_id AND dir_category.id=category_id AND secured=0 ";
$cachegeneration_getPortalsId = "SELECT id FROM portals, portals_category WHERE id=portal_id ";
$cachegeneration_getPagesId = "SELECT id FROM pages WHERE position IN (1,3) ORDER BY seq LIMIT 1 ";
$cachegeneration_getPersonalizedPages = "SELECT id FROM pages WHERE type=1 ";
$cacheupdate_getModuleNumber = "SELECT count(id) AS nb FROM dir_item, dir_cat_item WHERE status='O' and id=item_id AND typ<>'A' AND first='Y' AND lang='fr' ";
$communication_getUsersList = "SELECT username FROM users WHERE typ='I' ";
$communication_addSentItem = "INSERT INTO contact_sentitems (sender,subject,message,receiver,sentdate,status) VALUES (%s,%s,%s,%s,CURRENT_DATE,'S') ";
$communication_setRssInfo = "UPDATE adm_config SET value=%s WHERE parameter='rssinfo' ";
$communication_insertRssInfo = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('rssinfo',%s,'str','J') ";
$communication_setInfoBar = "UPDATE adm_config SET value=%s WHERE parameter='barclosing' ";
$communication_insertInfoBar = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('barclosing',%s,'int','J') ";
$communication_setBarTextHtml = "UPDATE adm_config SET value=%s WHERE parameter='bartexthtml' ";
$communication_insertBarTextHtml = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('bartexthtml',%s,'str','J') ";
$users_removeUser = "DELETE FROM users WHERE id=%u ";
$config_setMaxModNb = "UPDATE adm_config SET value=%u WHERE parameter='maxModNb' ";
$config_insertMaxModNb = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('maxModNb',%u,'int','J') ";
$config_setFooter = "UPDATE adm_config SET value=%s WHERE parameter='footer' ";
$config_insertFooter = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('footer',%s,'str','J') ";
$config_setServer = "UPDATE adm_config SET value=%s WHERE parameter='SERVER' ";
$config_insertServer = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('SERVER',%s,'str','P') ";
$config_setDbLogin = "UPDATE adm_config SET value=%s WHERE parameter='LOGIN' ";
$config_insertDbLogin = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('LOGIN',%s,'str','P') ";
$config_setDbPass = "UPDATE adm_config SET value=%s WHERE parameter='PASS' ";
$config_insertDbPass = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('PASS',%s,'str','P') ";
$config_setDb = "UPDATE adm_config SET value=%s WHERE parameter='DB' ";
$config_insertDb = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('DB',%s,'str','P') ";
$config_setLocalfolder = "UPDATE adm_config SET value=%s WHERE parameter='LOCALFOLDER' ";
$config_insertLocalfolder = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('LOCALFOLDER',%s,'str','P') ";
$config_setSupportemail = "UPDATE adm_config SET value=%s WHERE parameter='SUPPORTEMAIL' ";
$config_insertSupportemail = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('SUPPORTEMAIL',%s,'str','P') ";
$config_setAppname = "UPDATE adm_config SET value=%s WHERE parameter='APPNAME' ";
$config_insertAppname = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('APPNAME',%s,'str','P') ";
$config_setApname = "UPDATE adm_config SET value=%s WHERE parameter='apname' ";
$config_insertApname = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('apname',%s,'str','J') ";
$config_setUseGroup = "UPDATE adm_config SET value=%s WHERE parameter='useGroup' ";
$config_insertUseGroup = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('useGroup',%s,'str','A') ";
$config_setUsermodule = "UPDATE adm_config SET value=%s WHERE parameter='USERMODULE' ";
$config_insertUsermodule = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('USERMODULE',%s,'str','P') ";
$config_setUserModuleJs = "UPDATE adm_config SET value=%s WHERE parameter='userModuleJs' ";
$config_insertUserModuleJs = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('userModuleJs',%s,'str','J') ";
$config_setUseConditions = "UPDATE adm_config SET value=%s WHERE parameter='useConditions' ";
$config_insertUseConditions = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('useConditions',%s,'str','J') ";
$config_setShowHomeBar = "UPDATE adm_config SET value=%s WHERE parameter='showHomeBar' ";
$config_insertShowHomeBar = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('showHomeBar',%s,'int','J') ";
$config_setTxtNote = "UPDATE adm_config SET value=%s WHERE parameter='txtnote' ";
$config_insertTxtNote = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('txtnote',%s,'str','J') ";
$config_setMenuPosition = "UPDATE adm_config SET value=%s WHERE parameter='menuposition' ";
$config_insertMenuPosition = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('menuposition',%s,'str','J') ";
$config_setRssRefreshDelay = "UPDATE adm_config SET value=%s WHERE parameter='rssrefreshdelay' ";
$config_insertRssRefreshDelay = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('rssrefreshdelay',%s,'int','J') ";
$config_setDefaultMode = "UPDATE adm_config SET value=%s WHERE parameter='defaultmode' ";
$config_insertDefaultMode = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('defaultmode',%s,'str','P') ";
$config_setUseoverview = "UPDATE adm_config SET value=%s WHERE parameter='useoverview' ";
$config_insertUseoverview = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('useoverview',%s,'int','J') ";
$config_setDisplayrssdesc = "UPDATE adm_config SET value=%s WHERE parameter='displayrssdesc' ";
$config_insertDisplayrssdesc = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('displayrssdesc',%s,'int','J') ";
$config_setShowicon = "UPDATE adm_config SET value=%s WHERE parameter='showicon' ";
$config_insertShowicon = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('showicon',%s,'int','J') ";
$config_setDebugmode = "UPDATE adm_config SET value=%s WHERE parameter='debugmode' ";
$config_insertDebugmode = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('debugmode',%s,'int','J') ";
$config_setProxyServer = "UPDATE adm_config SET value=%s WHERE parameter='PROXYSERVER' ";
$config_insertProxyServer = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('PROXYSERVER',%s,'str','P') ";
$config_setProxyPort = "UPDATE adm_config SET value=%s WHERE parameter='PROXYPORT' ";
$config_insertProxyPort = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('PROXYPORT',%s,'str','P') ";
$config_setProxyConnection = "UPDATE adm_config SET value=%s WHERE parameter='PROXYCONNECTION' ";
$config_insertProxyConnection = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('PROXYCONNECTION',%s,'str','P') ";
$config_setProxyPac = "UPDATE adm_config SET value=%s WHERE parameter='proxypacfile' ";
$config_insertProxyPac = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('proxypacfile',%s,'str','J') ";	
$config_setAccountType = "UPDATE adm_config SET value=%s WHERE parameter='accountType' ";
$config_insertAccountType = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('accountType',%s,'str','A') ";
$config_setBlockedAndRemoval = "UPDATE adm_config SET value=%s WHERE parameter='blockedModulePreventPageRemoval' ";
$config_insertBlockedAndRemoval = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('blockedModulePreventPageRemoval',%s,'int','J') ";
$configgenerate_getParameters = "SELECT parameter,value,datatype,desttype FROM adm_config ";
$configgenerate_getHeadLinks = "SELECT id,label,comment,clss,images,fct,anonymous,connected,admin FROM adm_headlinks WHERE status='O' AND seq=0 ORDER BY id ";
$configgenerate_getHeadLink = "SELECT label,comment,clss,images,fct,anonymous,connected,admin FROM adm_headlinks WHERE status='O' AND id=%u AND seq>0 ORDER BY seq ";
$plugin_removePlugin = 'DELETE FROM adm_plugins WHERE name=%s ';
$plugin_addNewPlugin = "INSERT INTO adm_plugins (name,link,dependency) VALUES (%s,%s,%s) ";
$plugin_getPlugins = "SELECT link FROM adm_plugins WHERE status='O' ";
$configtheme_removeAll = 'DELETE FROM adm_themes ';
$configtheme_addNewTheme = 'INSERT INTO adm_themes (name,seq) VALUES(%s,%u) ';
$configtheme_updateThemeNumber = "UPDATE adm_config SET value=%s WHERE parameter='themeNb' ";
$configtheme_insertThemeNumber = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('themeNb',%s,'int','J') ";
$configtheme_updateDefTheme = "UPDATE adm_config SET value=%s WHERE parameter='theme' ";
$configtheme_insertDefTheme = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('theme',%s,'str','J') ";
$module_addNewDirectory = "INSERT INTO dir_category (name,parent_id,typ,lang,secured) VALUES (%s,%u,%s,%s,%u) ";
$module_updateDirectory = 'UPDATE dir_category SET name=%s,secured=%u WHERE id=%u ';
$module_getDirectoryParent = "SELECT parent_id,lang FROM dir_category where id=%u ";
$module_moveDirectory = "UPDATE dir_category SET parent_id=%u WHERE id=%u ";
$users_addGroup = "INSERT INTO users_group (name,parent_id) VALUES (%s,%u) ";
$module_updateGroupName = "UPDATE users_group SET name=%s WHERE id=%u ";
$users_getGroupParent = "SELECT parent_id FROM users_group where id=%u ";
$users_moveGroup = 'UPDATE users_group SET parent_id=%u WHERE id=%u ';
$module_updateModule = "UPDATE dir_item SET url=%s,name=%s,description=%s,typ=%s,status=%s,height=%u,minwidth=%u,sizable=%u,website=%s,lastmodif_date=CURRENT_DATE,updated='Y' WHERE id=%u ";
$module_updateModuleDirectory = "UPDATE dir_cat_item SET category_id=%u WHERE item_id=%u AND first='Y' ";
$module_removeKeywords = "DELETE FROM search_index WHERE item_id=%u ";
$module_getKeyword = "SELECT id FROM search_keyword WHERE label_simplified=%s";
$module_addKeyword = "INSERT INTO search_keyword (label,label_simplified) VALUES (%s,%s) ";
$module_addModuleKeyword = "INSERT INTO search_index (kw_id, item_id, weight) VALUES (%u,%u,%u) ";
$module_getTempModule = "SELECT format,temp_dir_item.typ,defvar,sizable,logo,username AS edemail, keyword, temp_dir_item.lang FROM temp_dir_item, users WHERE temp_dir_item.id=%u AND editor_id=users.id ";
$module_validateModule = "INSERT into dir_item (url, name, description, defvar, typ, status, height, format, minwidth, sizable, website, editor_id, nbvariables, creation_date, lastmodif_date, lang, usereader, autorefresh) 
	SELECT %s, %s, %s,defvar, typ, 'O', %u, format, %u, sizable, %s, editor_id, nbvariables, creation_date, CURRENT_DATE, lang, usereader, autorefresh FROM temp_dir_item WHERE id=%u ";
$module_removeTempModule = "DELETE FROM temp_dir_item WHERE id=%u ";
$module_addDirectoryTempModule = "INSERT into dir_cat_item (item_id, category_id, first) SELECT %u,category_id, 'N' FROM temp_dir_cat_item WHERE item_id=%u AND first='N' ";
$module_addModuleSubDirectory = "INSERT into dir_cat_item (item_id, category_id, first) SELECT %u,%u, 'Y' FROM temp_dir_cat_item WHERE item_id=%u AND first='Y' ";
$module_addDirectoryModule = "INSERT into dir_cat_item (item_id, category_id, first) VALUES (%u,%u,'N')";
$module_removeTempDirectory = "DELETE FROM temp_dir_cat_item WHERE item_id=%u ";
$module_addRedactorFeed = "INSERT INTO redactor_map_item_feed (item_id,item_url,feed_id) VALUES (%u,'',%u) ";
$module_getValidationKeyword = "SELECT id FROM search_keyword WHERE label_simplified=%s ";
$module_addValidationKeyword = "INSERT INTO search_keyword (label,label_simplified) VALUES (%s,%s) ";
$module_addValidationModuleKeyword = "INSERT INTO search_index (kw_id, item_id, weight) VALUES (%u,%u,%u) ";
$module_removeValidationModule = "UPDATE temp_dir_item SET status='C' WHERE id=%u ";
$pages_getSequence = "SELECT seq FROM pages WHERE id=%u ";
$pages_moveNextSeqLeft = "UPDATE pages SET seq=seq-1 WHERE seq>%u ";
$pages_moveNextSeqRight = "UPDATE pages SET seq=seq+1 WHERE seq>=%u ";
$pages_updateSeq = "UPDATE pages SET seq=%u WHERE id=%u ";
$pages_getPagesId = "SELECT id FROM pages WHERE position IN (1,3) AND group_id=0 ORDER BY seq LIMIT 1 ";
//$oages_getPersonalizedPageId = "SELECT id FROM pages WHERE type=1 AND position=1";
$oages_getPersonalizedPageId = "SELECT id,position FROM pages WHERE type=1";
$pages_getPageSequence = "SELECT seq FROM pages WHERE id=%u ";
$pages_updatePageSeqForGroup = "UPDATE pages SET seq=seq-1 WHERE seq>%u AND group_id=%u ";
$pages_removePage = "DELETE FROM pages WHERE id=%u ";
$rootdirectory_addDirectory = "INSERT INTO dir_category (name,parent_id,typ,quantity,updated,lang) VALUES (%s,0,'O',0,'Y',%s) ";
$rootdirectory_addProperties = "INSERT INTO dir_cat_properties (category_id,seq) VALUES (%u,%u) ";
$rootdirectory_updateSeq = "UPDATE dir_cat_properties SET seq=%s WHERE category_id=%u AND seq=%s ";
$rootdirectory_updateName = "UPDATE dir_category SET name=%s,lang=%s WHERE id=%u ";
$rootdirectory_getDirectory = "SELECT id,name,seq,lang FROM dir_category,dir_cat_properties WHERE parent_id=0 AND category_id=id ORDER BY seq ";
$rootdirectory_getDimension = "UPDATE adm_config SET value=%s WHERE parameter='dimension' ";
$rootdirectory_insertDimension = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('dimension',%s,'arr','J') ";
$pages_setProperties = 'UPDATE pages SET name=%s, description=%s, position=%u, type=%u, param=%s WHERE id=%u ';
$pages_getMaxSeq = 'SELECT (MAX(seq)+1) AS nseq FROM pages WHERE group_id=%u ';
$pages_addNew = "INSERT INTO pages (group_id,name,description,position,type,param,seq) VALUES (%u,%s,%s,%u,%u,%s,%u) ";
$pages_updateSubProperties = "UPDATE pages SET nbcol=%u,showtype=%u,npnb=%u,style=%u,modulealign=%s,controls=%u WHERE id=%u ";
$pages_removeModules = "DELETE FROM pages_module WHERE page_id=%u ";
$pages_addModules = "INSERT INTO pages_module (item_id,page_id,posx,posy,posj,x,y,variables,uniq,blocked,minimized) VALUES (%u,%u,%u,%u,%u,%u,%u,%s,%u,%u,%u) ";
$portal_update = "UPDATE portals SET name=%s,description=%s,status=%s WHERE id=%u ";
$portal_updateDirectory = "UPDATE portals_category SET category_id=%u WHERE portal_id=%u ";
$rootdirectory_removeProperties = "DELETE FROM dir_cat_properties WHERE category_id=%u AND seq=%u ";
$rootdirectory_updateProperties = "UPDATE dir_cat_properties SET seq=CONV(seq,10,10)-1 WHERE seq>%u ";
$users_addNew = "INSERT INTO users (username,pass,long_name,typ,lastconnect_date,md5pass,md5user,lang) VALUES (%s,'',%s,%s,CURRENT_DATE,MD5(%s),%s,%s) ";
$users_logUserAdd = "INSERT INTO log (action,pubdate,param1) VALUES (3,CURRENT_DATE,%u) ";
$users_updateWithPass = "UPDATE users SET username=%s,long_name=%s,typ=%s ,pass='', md5pass=MD5(%s),md5user=%s,lang=%s WHERE id=%u ";
$users_updateWithoutPass = "UPDATE users SET username=%s,long_name=%s,typ=%s,lang=%s WHERE id=%u ";
$user_removeFromGroup = "DELETE FROM users_group_map WHERE user_id=%u ";
$users_addInGroup = "INSERT INTO users_group_map (user_id,group_id) VALUES (%u,%u) ";
$users_updatePassword = "UPDATE users SET md5pass=%s WHERE id=%u ";
$temcache_getLastModules = "SELECT id, name, description FROM dir_item WHERE lang='fr' ORDER BY id DESC LIMIT 0,10 ";
$stats_computeNbOfUsers = "INSERT INTO stats_final (action,treatdate,result1) 
	SELECT action,pubdate,count(param1) FROM log WHERE action=3 AND pubdate!=CURRENT_DATE GROUP BY action,pubdate ";
$stats_computeOpenings = "INSERT INTO stats_final (action,treatdate,result1) 
	SELECT action,pubdate,count(param1) FROM log WHERE action=2 AND pubdate!=CURRENT_DATE GROUP BY action,pubdate ";
$stats_computeVisitors = "INSERT INTO stats_final (action,treatdate,result1) 
	SELECT 6,pubdate,count(distinct param1) FROM log WHERE action=2 AND pubdate!=CURRENT_DATE GROUP BY pubdate ";
$stats_removeOld = "DELETE FROM log WHERE (action!=4 AND pubdate!=CURRENT_DATE) OR (action=4 AND MONTH(pubdate)!=MONTH(CURRENT_DATE)) ";
$stats_getDailyVisitors = "SELECT DAYOFMONTH(treatdate) AS absc,result1 AS ord FROM stats_final WHERE action=6 AND MONTH(treatdate)=%s ORDER BY absc ";
$stats_getMonthlyVisitors = "SELECT MONTH(treatdate) as absc, sum(result1) AS ord FROM stats_final WHERE action=8 AND YEAR(treatdate)=%s GROUP BY absc ORDER BY absc ";
$stats_getDailyNewUsers = "SELECT DAYOFMONTH(treatdate) AS absc,result1 as ord FROM stats_final WHERE action=3 AND MONTH(treatdate)=%s ORDER BY treatdate ";
$stats_getMonthlyNewUsers = "SELECT MONTH(treatdate) as absc, sum(result1) AS ord FROM stats_final WHERE action=3 AND YEAR(treatdate)=%s GROUP BY absc ORDER BY absc ";
$stats_getDailyOpenings = "SELECT DAYOFMONTH(treatdate) AS absc,result1 AS ord FROM stats_final WHERE action=2 AND MONTH(treatdate)=%s ORDER BY absc ";
$stats_getMonthlyOpenings = "SELECT MONTH(treatdate) as absc,sum(result1) AS ord FROM stats_final WHERE action=2 AND YEAR(treatdate)=%s GROUP BY absc ORDER BY absc ";
$widnotes_newNote = "INSERT INTO users_notes (user_id, notes) VALUES (0,%s) ";
$widnotes_updateNote = 'UPDATE users_notes SET notes=%s WHERE id=%u ';	
$widtask_removeTask = "DELETE FROM users_tasks WHERE task_id=%s ";
$widtask_addId = 'INSERT INTO users_tasks_id (status) VALUES("A") ';
$widtask_addTask = "INSERT INTO users_tasks (id,comments,name) VALUES (%u,%s,%s) ";
$widtask_changeStatus = "UPDATE users_tasks SET done=%s WHERE task_id=%u ";
$widlink_removeLink = "DELETE FROM users_favorites WHERE link_id=%u ";
$widlink_addId = 'INSERT INTO users_favorites_id (status) VALUES("A") ';
$widlink_addLink = "INSERT INTO users_favorites (id,name,url) VALUES (%u,%s,%s) ";
$widcal_remove = "DELETE FROM users_calendar WHERE cal_id=%u ";
$widcal_addId = 'INSERT INTO users_calendar_id (status) VALUES("A") ';
$widcal_addEvent = "INSERT INTO users_calendar (id,title,comments,pubdate,time,endtime) VALUES (%u,%s,%s,%s,%s,%s) ";
$widcal_getEvent = "SELECT cal_id, title, comments, time, endtime FROM users_calendar WHERE id=%u AND pubdate=%s ORDER BY time ";
$widcal_getMonthEvents = "SELECT cal_id, DAYOFMONTH(pubdate) as day, title, time, endtime FROM users_calendar WHERE id=%u AND MONTH(pubdate)=%s AND YEAR(pubdate)=%s ORDER BY pubdate,time ";
$users_getAllXml = "SELECT id,username,long_name,typ FROM users WHERE typ in ('I','A','R') ORDER BY username ASC,long_name ASC LIMIT %u,21 ";
$module_searchModule = "SELECT dir_item.id, SUM(weight) AS wei, name FROM search_index, search_keyword, dir_item 
		WHERE dir_item.id=item_id AND search_keyword.id=kw_id AND label_simplified IN (%s) 
		GROUP BY item_id ORDER BY wei DESC,notation DESC LIMIT %u,21 ";
$module_getAllValidXml = "SELECT id, name, status FROM dir_item 
	WHERE status!='S' ORDER BY name ASC, id DESC LIMIT %u,21 ";
$cache_getAllModuleXml = "SELECT id, name, ROUND(notation/20) AS nota, substring(description,1,80) AS descr FROM dir_item 
	WHERE typ<>'A' AND status='O' ORDER BY creation_date DESC, id DESC LIMIT %u,7 ";
$cache_getModule = "SELECT url,dir_item.name,dir_item.description,defvar,height,minwidth,sizable,format,website,ROUND(notation/20) AS nota,nbvariables,usereader,autorefresh,editor_id,long_name,creation_date FROM dir_cat_item,dir_category,dir_item LEFT JOIN users ON users.id=editor_id WHERE dir_item.id=%u AND dir_item.id=item_id AND dir_category.id=category_id AND secured=0 ORDER BY name ";
$cache_getRssModule = "SELECT url,dir_item.name,dir_item.description,defvar,height,minwidth,sizable,format,website,ROUND(notation/20) AS nota,nbvariables,usereader,autorefresh,editor_id,long_name,creation_date FROM dir_item LEFT JOIN users ON users.id=editor_id WHERE dir_item.id=86 ORDER BY name ";
$cache_getPortal = "SELECT name,description,status,author,nbcol,style,position,modulealign FROM portals WHERE id=%u ";
$cache_getPortalModules = "SELECT item_id,name,posx,posy,posj,x,y,variables,height,website,minwidth,sizable,url,format,nbvariables,blocked,minimized,usereader,autorefresh FROM portals_module,dir_item WHERE portal_id=%u AND item_id=id ORDER BY posx,posy,posj ";
$cache_getChildrenDirectory = "SELECT id, name FROM dir_category WHERE parent_id = %u AND secured=0 ORDER BY name ";
$cache_getPortalInformation = "SELECT id, name FROM portals_category,portals WHERE id = portal_id AND category_id = %u AND status = 'O' ";
$module_getChildrenDirectoryXml = "SELECT id, name, quantity, secured FROM dir_category WHERE parent_id = %u ORDER BY name ";
$module_getModuleOfDirectoryXml = "SELECT id, name FROM dir_cat_item, dir_item WHERE id = item_id AND category_id = %u AND status = 'O' ORDER BY sorting ";
$users_getGroupXml = "SELECT name FROM users_group WHERE id = %u ";
$users_getChildrenGroupsXml = "SELECT id, name FROM users_group WHERE parent_id = %u ORDER BY name ";
$users_getUsersOfGroupXml = "SELECT id, username, long_name, typ FROM users_group_map, users WHERE id = user_id AND group_id = %u AND typ in ('I','A') ORDER BY long_name ASC, username ASC ";
$pagegeneration_getPage = "SELECT name,type,param,nbcol,showtype,npnb,style,modulealign,position,controls FROM pages WHERE id=%u ";
$pagegeneration_getPageModules = "SELECT posx,posy,posj,x,y,height,item_id,website,name,variables,minwidth,sizable,url,uniq,format,nbvariables,blocked,minimized,usereader,autorefresh FROM pages_module,dir_item 
	WHERE page_id=%u AND dir_item.id=item_id ORDER BY uniq ";
$users_searchXml = "SELECT id,username,long_name,typ FROM users 
		WHERE typ in ('I','A') AND (username like %s OR long_name like %s) 
		ORDER BY long_name, username LIMIT %u,21 ";
$pages_getConnectedTabs = "SELECT id,name,type,param,seq FROM pages WHERE group_id=0 AND position IN (2,3) ORDER BY seq ";
$pages_getAnonymousTabs = "SELECT id,name,type,param,seq FROM pages WHERE group_id=0 AND position IN (1,3) ORDER BY seq ";
$module_toValidateXml = "SELECT id, name, status FROM temp_dir_item,temp_dir_cat_item WHERE id=item_id AND status='N' ORDER BY name ASC, id DESC LIMIT %u,21 ";
$module_getNbXml ="SELECT count(*) AS nb FROM dir_item WHERE status = 'O'";
$module_getNbToValidateXml ="SELECT count(*) AS nb FROM temp_dir_item,temp_dir_cat_item WHERE id=item_id AND status = 'N'";
$users_getNbXml ="SELECT count(*) AS nb FROM users WHERE typ in ('I','A','R')";
$cache_getDirectoryInformation = "SELECT id, parent_id, name, quantity FROM dir_category WHERE id=%u AND secured=0 ";
$cache_getRootDirectoryChildren = "SELECT id, name, quantity,lang FROM dir_category,dir_cat_properties WHERE parent_id = %u AND id=category_id AND secured=0 ORDER BY seq ASC ";
$cache_getDirectoryChildren = "SELECT id, name, quantity,lang FROM dir_category WHERE parent_id = %u AND secured=0 ORDER BY name ";
$module_getModuleInformationXml = "SELECT id, name, first, ROUND(notation/20) AS nota FROM dir_cat_item, dir_item WHERE id = item_id AND category_id = %u AND status = 'O' ORDER BY sorting,name ";
$refreshcache_setModuleAsUpdated = "UPDATE dir_item SET updated='Y' WHERE id=%u ";
$refreshcache_getLang = "SELECT lang FROM dir_category WHERE id=%u ";
$refreshcache_getModuleNbInDir = "SELECT count(item_id) FROM dir_cat_item,dir_item WHERE category_id=%u AND id=item_id AND status='O' ";
$refreshcache_getSubDirNb = "SELECT sum(quantity) FROM dir_category WHERE parent_id=%u AND secured=0 ";
$refreshcache_setQuantity = "UPDATE dir_category SET quantity=%u,updated='Y' WHERE id=%u ";
$refreshcache_getParentDirectory = "SELECT parent_id FROM dir_category WHERE id=%u ";
$refreshcache_setDirectoryAsUpdated = "UPDATE dir_category SET updated='Y' WHERE id=%u ";
$refreshcache_getPortalLang = "SELECT lang FROM %u WHERE id=%u ";
$refreshcache_getParentId = "SELECT parent_id FROM %u WHERE id=%u ";
$config_saveParamValue = "UPDATE adm_config SET value=%s WHERE parameter=%s";
$stats_computeVisitorsMonth = "INSERT INTO stats_final (action,treatdate,result1) 
	SELECT 8,CONCAT('2007-',MONTH(pubdate),'-01'),count(distinct param1) FROM log WHERE action=4 GROUP BY MONTH(pubdate) ";
$stats_computeArchiveForMonth = "INSERT INTO log (action,pubdate,param1,param2,param3) SELECT '4',pubdate,param1,param2,param3 FROM log WHERE action=2 ";
$configfeatures_setModuleAlign = "UPDATE adm_config SET value=%s WHERE parameter='moduleAlign' ";
$configfeatures_insertModuleAlign = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('moduleAlign',%s,'int','J') ";
$config_setModuleAlignDefault = "UPDATE adm_config SET value=%s WHERE parameter='moduleAlignDefault' ";
$config_insertModuleAlignDefault = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('moduleAlignDefault',%s,'int','J') ";
$scr_modulevalidateall_getItems = "SELECT id,url,name,description,height,minwidth,website,category_id,typ,format,defvar,lang,keywords FROM temp_dir_item,temp_dir_cat_item WHERE item_id=id AND status='N' ";
$directory_addGroup = "INSERT INTO users_group_category_map (group_id,category_id) VALUES (%u,%u)";
$directory_getDirGroups = "SELECT id,name FROM users_group,users_group_category_map WHERE group_id=id AND category_id=%u ";
$directory_removeGroups = "DELETE FROM users_group_category_map WHERE category_id=%u ";
$config_setloadlatestpageonstart = "UPDATE adm_config SET value=%s WHERE parameter='loadlatestpageonstart' ";
$config_insertloadlatestpageonstart = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('loadlatestpageonstart',%s,'int','J') ";
$users_removeFromGroups = "DELETE FROM users_group_map WHERE user_id=%u ";
$logMaintenance = "INSERT INTO adm_log(log,logdate,typ) VALUES ('maintenance done !',CURRENT_DATE,'A') ";
$config_getTemplate = "SELECT value FROM adm_config WHERE parameter='template' ";
$config_setTemplate = "UPDATE adm_config SET value=%s WHERE parameter='template'";
$scr_moduleDuplicate="INSERT INTO dir_item (url,defvar,name,description,typ,status,format,height,minwidth,sizable,website,editor_id,nbvariables,creation_date,lastmodif_date,notation,voter_nb,updated,nbusers,sorting,lang,usereader,autorefresh) SELECT url,defvar,CONCAT(name,' (2)'),description,typ,status,format,height,minwidth,sizable,website,editor_id,nbvariables,creation_date,lastmodif_date,notation,voter_nb,updated,nbusers,sorting,lang,usereader,autorefresh FROM dir_item WHERE id=%u";
$module_getModuleDirectory="SELECT category_id FROM dir_cat_item WHERE item_id=%u";
$module_addModuleDirectory="INSERT INTO dir_cat_item (item_id,category_id,first) VALUES (%u,%u,'Y')";
$config_setMaxPageNb = "UPDATE adm_config SET value=%u WHERE parameter='maxPageNb' ";
$config_insertMaxPageNb = "INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('maxPageNb',%u,'int','J') ";
$module_setNewUrl = "UPDATE dir_item SET url=%s WHERE id=%u";
$users_updatePortalsLanguage = "UPDATE profile SET lang=%s WHERE user_id=%u";
$config_setValue = "UPDATE adm_config SET value=%s WHERE parameter=%s ";
?>