/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Portaneo javascript functions
// é à è ù
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

var excludedKw=new Array;
p_version=__PEEVERSION;

// Sort by module min width
function widthSort(a,b)
{
	if (a.minModSize>b.minModSize) return -1;
	if (a.minModSize<b.minModSize) return 1;
	return 0; 
}
var p_friends={
	avaiList:[],
	selList:[],
	selMenuItem:1,
	/*
		p_friends.items : define a user you can share items with 
		inputs :
			id: user ID
			name : user name
			email : user email
	*/
	item:function(id,name,email)
	{
		this.id=id;
		this.name=name;
		this.email=email;
	},
	/*
		p_friends.menu : display sharing menu
		inputs : 
			v_type : type of the object shared (2=article, 3=widget, 4=portal)
			v_id : id of the object shared
	*/
	menu:function(v_type,v_id)
	{
		p_menu.init();
		var l_s="";
		l_s+="<form name='friend' method='post' onsubmit='return p_friends.valid("+v_type+","+v_id+")'><div class='leftmenuheader'><table cellpadding='0' cellspacing='0' width='100%'><tr><td width='36'>"+img("ico_menu_share.gif",32,32)+"</td><td>"+_uc(lg("lblFriendShareBtn"+v_type))+"</td><td style='text-align:right;padding-right:6px;'><a href='#' onclick='p_menu.hide()'>"+img("ico_close.gif",9,9)+"</a></td></tr></table></div>";
		l_s+="<div class='leftmenucontent'>";
		l_s+="<div class='leftmenuitem' onclick='return p_friends.displayItem(1)'>"+img("ico_myaccount.gif",16,16,"","imgmid")+" "+lg("shareWithSomeUsers")+"</div>";
		l_s+="<div class='leftmenuitemcontent' id='sharediv1'>";
		l_s+=lg("peopleOfYourNetwork")+" :<br /><div id='sharekeywords'></div><div id='sharemynetwork' class='cleardiv' style='width:95%;height:50px;overflow:auto;font-size:0.9em;'></div>";
		l_s+="<br />"+lg("selectedPeople")+" :<br /><div id='sharepeopleselected' class='cleardiv' style='width:95%;height:50px;overflow:auto;font-size:0.9em;'></div>";
		l_s+="</div>";
		l_s+="<div class='leftmenuitem' onclick='return p_friends.displayItem(3)'>"+img("ico_notebook.gif",16,16,"","imgmid")+" "+lg("shareOnNotebook")+"</div>";
		l_s+="<div class='leftmenuitemcontent' id='sharediv3'>";
		l_s+="<div id='sharediv3recommend'>";
		l_s+=lg("title")+" "+tooltip("sharedTitleHlp")+"<br /><input type='text' name='title' size='30' maxlength='40' style='width: 200px' /><br /><br />"; 
		l_s+="<input type='radio' name='access' value='3' checked='checked' />"+lg("public")+"<br />";
		l_s+="<input type='radio' name='access' value='2' />"+lg("myNetwork")+"<br /><br />";
		l_s+=lg("keywords")+" "+tooltip("sharedTagHlp")+"<br /><input type='text' id='sharedTags' name='kw' size='30' maxlength='250' style='width: 200px' onkeyup=\"p_tags.autocompletion.get('sharedTags')\" onblur='p_tags.autocompletion.hide()' /><br /><br />";
		l_s+=lg("desc")+" "+tooltip("SharedDescHlp")+"<br /><textarea name='desc' cols='35' rows='10' style='width: 200px'></textarea>";
		l_s+="</div>";
		l_s+="</div>";
		l_s+="<div class='leftmenuitem'><center><input type='submit' class='btnbig' value='"+lg("lblFriendShareBtn"+v_type)+"' /></center></div>";
		l_s+="</div></form>";
		navPrint("leftmenu",l_s);
		p_friends.displayItem(3);
		navWait("sharemynetwork");
		p_friends.loadKeywords();
		p_friends.loadFriends(0);
		//initialize lists
		p_friends.selList.length=0;
		p_friends.avaiList.length=0;
		p_area.resize();
		p_addContent.leftmenuinit=false;
		p_edit.leftmenuinit=false;
	},
	/*
		p_friends.displayItem : display / hide sharing sub menus
		inputs :
		
	*/
	displayItem:function(v_id)
	{
		p_friends.selMenuItem=v_id;
		if (v_id==1)
		{
			navShow("sharediv1","block");
		}
		else
		{
			navShow("sharediv1","none");
		}
		if (v_id==3)
		{
			navShow("sharediv3","block");
		}
		else
		{
			navShow("sharediv3","none");
		}
	},
	/*
		p_friends.loadKeywords : load keywords linked to my network
	*/
	loadKeywords:function()
	{
		getXml("xmlnetwork_keywords.php",p_friends.showKeywords,"");
	},
	/*
		p_friends.showKeywords : display keywords linked to my network
		inputs : xml return		
	*/
	showKeywords:function(response,vars)
	{
		var i=0,l_s="",l_result=response.getElementsByTagName("keyword");
		l_s+=lg("keywords")+" <select name='keywords' onchange='p_friends.loadFriends(this.value)'><option value='0'>"+lg("all")+"</option>";
		for (var i=0;i<l_result.length;i++)
		{
			l_id=getXMLval(l_result[i],"id","int",false,0);
			l_s+="<option value='"+l_id+"'>"+getXMLval(l_result[i],"label","str",false,"---")+"</option>";
		}
		l_s+="</select>";
		navPrint("sharekeywords",l_s);
	},
	/*
		p_friends.loadFriends : load network list
		inputs : keyword ID (if filtered by keyword)
	*/
	loadFriends:function(v_kwid)
	{
		getXml("xmlnetwork_users.php?kwid="+v_kwid,p_friends.showFriends,"");
	},
	/*
		p_friends.showFriends : display network list
		inputs : xml return
	*/
	showFriends:function(response,vars)
	{
		var l_s="",l_result=response.getElementsByTagName("user");
		p_friends.avaiList.length=0;
		if (l_result.length==0)
		{
			l_s="<a href='#' onclick='p_network.dashboard.load()'>"+lg("addFriend")+"</a>";
		}
		else
		{
			if (l_result.length>1) l_s+="<a href='#' onclick='p_friends.addAllFriends()'>"+lg("addAllFriends")+"</a><br />";
			for (var i=0;i<l_result.length;i++)
			{
				l_id=getXMLval(l_result[i],"id","int",false,0);
				l_name=getXMLval(l_result[i],"longname","str",false,"?");
				l_email=getXMLval(l_result[i],"username","str",false,"");
				p_friends.avaiList.push(new p_friends.item(l_id,l_name,l_email));
				l_s+="<a href='#' onclick=\"p_friends.addFriend("+i+")\">"+l_name+" "+img("ico_add.gif",7,7,lg("add"),"imgmid")+"</a><br />";
			}
		}
		navPrint("sharemynetwork",l_s);
	},
	/*
		p_friends.addAllFriends : add all my network in shared list
	*/
	addAllFriends:function()
	{
		for (var i=0;i<p_friends.avaiList.length;i++)
		{
			p_friends.addFriend(i,false);
		}
		p_friends.showSelected();
	},
	/*
		p_friends.addFriend : add a network item in the shared list
		inputs :
			v_id : user ID in the network list
			v_refresh : refresh network list after process
	*/
	addFriend:function(v_id,v_refresh)
	{
		var l_newItem=new p_friends.item(p_friends.avaiList[v_id].id,p_friends.avaiList[v_id].name,p_friends.avaiList[v_id].email);
		//check if the friend does not exist in the list
		for (var i=0;i<p_friends.selList.length;i++)
		{
			if (p_friends.selList[i].id==l_newItem.id) return;
		}
		p_friends.selList.push(l_newItem);
		
		if (v_refresh==indef || v_refresh) p_friends.showSelected();
	},
	/*
		p_friends.supFriend : suppress network item from shared list
		inputs : user ID in the shared list
	*/
	supFriend:function(v_id)
	{
		p_friends.selList.splice(v_id,1);
		p_friends.showSelected();
	},
	/*
		p_friends.showSelected : refresh the shared list
	*/
	showSelected:function()
	{
		var l_s="";
		for (var i=0;i<p_friends.selList.length;i++)
		{
			l_s+=p_friends.selList[i].name+" <a href='#' onclick='p_friends.supFriend("+i+")'>"+img("ico_suppress.gif",13,10)+"</a><br />";
		}
		navPrint("sharepeopleselected",l_s);
	},
	/*
		p_friends.valid : confirm sharing & launch sharing processes
		inputs :
			v_type : type of the item shared (2=article, 3=widget, 4=portal)
			v_id : id of the item shared
	*/
	valid:function(v_type,v_id)
	{
		// if article, get the array feed id
		if (v_type==2) v_id=p_rss.getId(v_id);
		var l_form=document.forms["friend"];
		var l_kw=p_tags.formatList(l_form.kw.value);
		
		//shared item information
//		var l_objInfo="";
//		if (v_type==3){l_objInfo+="&obj=m&id="+tab[p_tabs.sel].module[v_id].id+"&v="+_esc(tab[p_tabs.sel].module[v_id].vars);}
//		else if (v_type==4) {l_objInfo+="&obj=p&prof="+v_id+"&label="+_esc(tab[p_tabs.sel].label)+"&nbcol="+tab[p_tabs.sel].colnb+"&style="+tab[p_tabs.sel].style+"&mode="+tab[p_tabs.sel].showType;}
//		else if (v_type==2) {l_objInfo+="&obj=a&title="+_esc(p_article.format(tab[p_tabs.sel].feeds[v_id].title))+"&link="+_esc(correctCharEncoding(tab[p_tabs.sel].feeds[v_id].link));}
//		if (v_type==4 && l_form.notebook.checked) l_objInfo+="&portname="+l_form.title.value+"&portdesc="+(l_form.desc.value).substr(0,200)+"&kw="+l_form.kw.value;
		
		if (p_friends.selMenuItem==1)
		{
			if (p_friends.selList.length>0)
			{
				switch (v_type)
				{
					case 2:
						p_friends.shareNews(_esc(removeTags(p_article.format(tab[p_tabs.sel].feeds[v_id].title))),_esc(correctCharEncoding(tab[p_tabs.sel].feeds[v_id].link)));
						break;
					case 3:
						p_friends.shareWidget(tab[p_tabs.sel].module[v_id].id,_esc(tab[p_tabs.sel].module[v_id].vars));
						break;
					case 4:
						p_friends.sharePortal(v_id,_esc(tab[p_tabs.sel].label),tab[p_tabs.sel].colnb,tab[p_tabs.sel].style,tab[p_tabs.sel].showType);
						break;
				}
			}
		}
		else
		{
			var l_title=removeTags(l_form.title.value);
			var l_desc=removeTags(l_form.desc.value);

			switch (v_type)
			{
				case 2:
					p_friends.publishNews(v_id,p_tabs.sel,l_title,l_desc,l_kw,getRadioValue(l_form.access));
					break;
				case 3:
					p_friends.publishWidget(v_id,p_tabs.sel,l_title,l_desc,l_kw,getRadioValue(l_form.access));
					break;
				case 4:
					p_friends.publishPortal(v_id,l_title==""?tab[p_tabs.sel].label:l_title,l_desc,l_kw,getRadioValue(l_form.access),tab[p_tabs.sel].colnb,tab[p_tabs.sel].style,tab[p_tabs.sel].showType);
					break;
			}
		}
		p_menu.hide();
		
//		//share with users
//		if (p_friends.selMenuItem==1)
//		{
//			if (p_friends.selList.length>0)
//			{
//				var l_vars=[];
//				for (var i=0;i<p_friends.selList.length;i++)
//				{
//					l_vars.push("em"+i+"="+p_friends.selList[i].email);
//				}
//				executescr("scr_sendtofriend.php",l_vars.join("&")+l_objInfo,true);
//				p_menu.hide();
//			}
//			else
//			{
//				alert(lg("msgFriendMissing"));
//			}
//		}
//		else
//		{
//		//publish
//			var l_title=l_form.title.value;
//			var l_qs2="pubtitle="+((v_type==2&&l_title=="")?_esc(p_article.format(tab[p_tabs.sel].feeds[v_id].title)):((v_type==3&&l_title=="")?lg("newModule")+" : "+tab[p_tabs.sel].module[v_id].name:_esc(l_title)));
//			var l_desc=l_form.desc.value;
//			var l_icon=(v_type==2?"../modules/pictures/"+tab[p_tabs.sel].module[uniqToId(tab[p_tabs.sel].feeds[v_id].modUniq)].icon:(v_type==3?"../modules/pictures/"+tab[p_tabs.sel].module[v_id].icon:"../images/ico_portal.gif"));
//			if (v_type==2) l_desc+="<br /><br /><div class=notebooklink><a href='"+tab[p_tabs.sel].feeds[v_id].link+"' target='_blank'><img src='"+l_icon+"' align='absmiddle' /> "+removeTags(p_article.format(tab[p_tabs.sel].feeds[v_id].title))+"</a><br />"+tab[p_tabs.sel].module[uniqToId(tab[p_tabs.sel].feeds[v_id].modUniq)].name+" ("+formatDate(tab[p_tabs.sel].feeds[v_id].date)+")</div>";
//			if (v_type==3) l_desc+="<br /><br /><a href='../portal/addtoapplication.php?pid="+tab[p_tabs.sel].module[v_id].id+"&"+tab[p_tabs.sel].module[v_id].vars+"'><img src='../images/ico_menu_add.gif' /> "+lg("addThisModuleInMyPage")+" ("+tab[p_tabs.sel].module[v_id].name+")</a>";
//			l_qs2+="&desc="+_esc(l_desc);
//			l_qs2+="&type="+v_type;
//			l_qs2+="&faid="+(v_type==2?tab[p_tabs.sel].feeds[v_id].id:0);
//			l_qs2+="&oid="+v_id;
//			l_qs2+="&access="+getRadioValue(l_form.access);
			
//			l_qs2+="&linked="+(v_type==2?tab[p_tabs.sel].feeds[v_id].id:(v_type==3?tab[p_tabs.sel].module[v_id].id:v_id));
//			l_qs2+=l_objInfo;
//			l_qs2+="&kw="+l_form.kw.value;
//			l_qs2+="&kwformated="+formatSearch(l_form.kw.value);
//			executescr("scr_notebook_articleadd.php",l_qs2,true,false,p_network.addNews);
//		}
		return false;
	},
	/*
		p_friends.shareNews : share a news with another user
		inputs : 
			v_title : news title
			v_link : news link
	*/
	shareNews:function(v_title,v_link)
	{
		var l_title=p_app.user.name+lg("invitesYouOnArticle")+__apname;
		var l_desc=lg("hello")+",\r\n\r\n "+p_app.user.name+lg("invitesYouOnArticleBody",_unesc(v_title))+lg("invitesYouOnArticleBody2",_unesc(v_link))+__apname+".";

		notifyByEmail(p_friends.emailsArray(),l_title,l_desc,indef);
	},
	/*
		p_friends.shareWidget : share a widget with another user
		inputs : 
			v_id : widget id
			v_vars : widget user configuration
	*/
	shareWidget:function(v_id,v_vars)
	{
		//save widget information
		getXml("scr_shareitem.php",p_friends.sendWidgetNotification,v_id,"xml","obj=m&id="+v_id+"&v="+v_vars+"&secured=1","POST");
	},
	sendWidgetNotification:function(response,vars)
	{
		var l_chk=getXMLval(response,"widgetchk","str",false,"");
		var l_link=__LOCALFOLDER+"portal/addtoapplication.php?id="+vars+"&chk="+l_chk;
		var l_subject=p_app.user.name+lg("invitesYouOn")+__apname;
		var l_body=lg("invitesYouOnBody",p_app.user.name)+lg("invitesYouOnBody2",l_link)+__apname+".";

		notifyByEmail(p_friends.emailsArray(),l_subject,l_body);
	},
	/*
		p_friends.shareWidget : share a widget with another user
		inputs : 
			v_id : portal id
			v_name : portal name
			v_colnb : column number
			v_style : portal style
			v_type : portal display type
	*/
	sharePortal:function(v_id,v_name,v_colnb,v_style,v_type)
	{
		//save portal information
		getXml("scr_shareitem.php",p_friends.sendPortalNotification,"","xml","obj=p&prof="+v_id+"&nbcol="+v_colnb+"&style="+v_style+"&mode="+v_type+"&label="+v_name+"&secured=1","POST");
	},
	sendPortalNotification:function(response,vars)
	{
		var l_chk=getXMLval(response,"portalchk","str",false,"");
		var l_portalid=getXMLval(response,"portalid","str",false,0);
		var l_subject=p_app.user.name+lg("invitesYouOn")+__apname;
		var l_body=lg("invitesYouOnPortalBody",p_app.user.name)+lg("invitesYouOnPortalBody2",__LOCALFOLDER+"/portal/addportaltoapplication.php?id="+l_portalid+"&chk="+l_chk)+__apname+".";

		notifyByEmail(p_friends.emailsArray(),l_subject,l_body);
	},

	/*
		p_friends.publishNews : publish a news
		inputs : 
			v_articleId : ID of the article selected
			v_tab : tab the article is displayed on
			v_title : title of the article
			v_desc : description of the article
			v_keywords : keywords of the article (coma separated)
			v_access : access to the article (3=public 2=my network 1=private)
	*/
	publishNews:function(v_articleId,v_tab,v_title,v_desc,v_keywords,v_access)
	{
		var l_desc=v_desc+"<br /><br /><div class=notebooklink><a href='"+tab[v_tab].feeds[v_articleId].link+"' target='_blank'><img src='../modules/pictures/"+tab[v_tab].module[uniqToId(tab[v_tab].feeds[v_articleId].modUniq)].icon+"' align='absmiddle' /> "+removeTags(p_article.format(tab[v_tab].feeds[v_articleId].title))+"</a><br />"+tab[v_tab].module[uniqToId(tab[v_tab].feeds[v_articleId].modUniq)].name+" ("+formatDate(tab[v_tab].feeds[v_articleId].date)+")</div>";
		if (v_title=="" || v_title==indef) v_title=p_article.format(removeTags(tab[v_tab].feeds[v_articleId].title));
		//add article to notebook
		p_notebook.addArticle(v_title,l_desc,v_keywords,"2",tab[v_tab].feeds[v_articleId].id,tab[v_tab].feeds[v_articleId].id,v_access,v_articleId);
	},
	/*
		p_friends.publishNews : publish a news
		inputs : 
			v_widgetId : ID of the widget selected
			v_tab : tab the widget is displayed on
			v_title : title of the widget
			v_desc : description of the widget
			v_keywords : keywords of the widget (coma separated)
			v_access : access to the widget (3=public 2=my network 1=private)
	*/
	publishWidget:function(v_widgetId,v_tab,v_title,v_desc,v_keywords,v_access)
	{
		//share widget
		if (v_access==1) getXml("scr_shareitem.php",p_friends.sendNotification,"","xml","obj=m&id="+tab[v_tab].module[v_widgetId].id+"&v="+_esc(tab[v_tab].module[v_widgetId].vars)+"&secured=1","POST");
		//add article to notebook
		var l_desc=v_desc+"<br /><br /><a href='../portal/addtoapplication.php?pid="+tab[v_tab].module[v_widgetId].id+"&"+tab[v_tab].module[v_widgetId].vars+"'><img src='../images/ico_menu_add.gif' /> "+lg("addThisModuleInMyPage")+" ("+tab[v_tab].module[v_widgetId].name+")</a>";
		if (v_title=="" || v_title==indef) v_title=lg("newModule");
		p_notebook.addArticle(v_title,l_desc,v_keywords,"3",0,tab[v_tab].module[v_widgetId].id,v_access,v_widgetId);
	},
	/*
		p_friends.publishNews : publish a news
		inputs : 
			v_tab : ID of the tab selected
			v_title : title of the portal
			v_desc : description of the portal
			v_keywords : keywords of the portal (coma separated)
			v_access : access to the portal (3=public 2=my network 1=private)
	*/
	publishPortal:function(v_tab,v_title,v_desc,v_keywords,v_access,v_colnb,v_style,v_type)
	{
		//share portal
		getXml("scr_shareitem.php",p_friends.publishPortalAddArticle,new Array(v_title,v_desc,v_keywords,v_tab,v_access),"xml","obj=p&prof="+v_tab+"&nbcol="+v_colnb+"&style="+v_style+"&mode="+v_type+"&label="+_esc(v_title)+"&secured="+v_access+"&portname="+_esc(v_title)+"&portdesc="+_esc(v_desc),"POST");
	},
	publishPortalAddArticle:function(response,vars)
	{
		var l_portalId=getXMLval(response,"portalid","int",false,0);
		//add article to notebook
		p_notebook.addArticle(vars[0],vars[1],vars[2],"4",0,l_portalId,vars[4],vars[3]);	
	},
	/*
		p_friends.sendNotification : send notification after sharing
		inputs :
			v_emails : object type (m=widget, p=portal)
			v_subject : notification subject
			v_message : notification message
	*/
	sendNotification:function(response,vars)
	{
		var l_subject=getXMLval(response,"subject","str",false,"");
		var l_body=getXMLval(response,"body","str",false,"");

		notifyByEmail(p_friends.emailsArray(),l_subject,l_body,indef);
	},
	/*
		p_friends.emailsArray : list of selected emails
	*/
	emailsArray:function()
	{
		if (p_friends.selList.length==0) return false;
		var l_email=new Array();
		for (var i=0;i<p_friends.selList.length;i++==1)
		{
			l_email[i]=p_friends.selList[i].email;
		}
		return l_email;
	},
	/*
		p_friends.addPortal : add shared portail in my own portal
		inputs :
	*/
	addPortal:function(v_sess){
		if (v_sess){
			var l_form=document.forms["f"];
			p_pages.newExample(l_form.id.value,2,l_form.check.value);
		}
	}
}

// Manage the users' messages
function articleObj(id,title,link,status,source,icon,date,feedArticleId){
	this.id=id;
	this.title=title;
	this.link=link;
	this.status=status;
	this.source=source;
	this.icon=icon;
	this.date=date;
	this.feedArticleId=feedArticleId;
}
var p_article={
	shown:false,
	items:[],
	menu:new Array({"id":1,"title":"articlesToRead","icon":"","fct":"p_article.load()","isLink":false}),
// SUPPRIMER LE DIV MYARTICLE
	/*
		p_article.load : initialize "articles to read" plugin
		inputs : v_start : list of article starts at number v_start
	*/
	load:function(v_start)
	{
		p_plugin.open();
		p_plugin.init(lg("lblArchive"));
		p_app.setState("p_article.load("+v_start+")");
		p_plugin.menu(p_article.menu,2);
		p_article.classify.redirect=true;
		p_plugin.wait();
		p_article.shown=true;
		
		if (v_start==indef) v_start=0;
		
		getXml("xmlarticles.php?start="+v_start+"&nb=10",p_article.get,"");
	},
	/*
		p_article.get : register articles
		inputs : xml response
	*/
	get:function(response,vars)
	{
		var i=0;
		p_article.items.length=0;
		
		while (response.getElementsByTagName("article")[i])
		{
			var l_result=response.getElementsByTagName("article")[i];
			p_article.items.push(new articleObj(getXMLval(l_result,"id","int",false,0),getXMLval(l_result,"title","str",false,"=="),getXMLval(l_result,"link","str",false,""),indef,getXMLval(l_result,"source","str",false,""),getXMLval(l_result,"icon","str",false,""),getXMLval(l_result,"pubdate","str",false,""),getXMLval(l_result,"feedarticle_id","int",false,0)));
			i++;
		}
		
		p_article.display();
	},
	/*
		p_article.display : refresh "articles to read" list
	*/
	display:function()
	{
		var l_s="",l_bg="clear";
		if (p_article.items.length>0)
		{
			l_s+="<table width='100%' class='ftable' cellspacing='0'>";
			for (var i=0;i<p_article.items.length;i++)
			{
				if ((p_article.items[i].title).length>98) p_article.items[i].title+=" ...";
				l_s+="<tr class='"+l_bg+"'><td width='20'>"+img("../modules/pictures/"+p_article.items[i].icon,16,16)+"</td>";
				l_s+="<td><a href='"+p_article.items[i].link+"' target=_blank><b>"+p_article.items[i].title+"</b></a><br />"+p_article.items[i].source+", "+lg("onThe")+" "+formatDateShort(convertDateFromDb(p_article.items[i].date))+"<br />";
				l_s+="<a href='"+p_article.items[i].link+"' target=_blank>"+lg("openLinkedArticle")+"</a> - <a href=# onclick='return p_article.classify.newDocument("+i+")'>"+img("ico_classify.gif",15,15,lg("archive"),"imgmid")+" "+lg("archive")+"</a> - <a href=# onclick='return p_article.suppress("+i+","+p_article.items[i].id+")'>"+img("ico_suppress.gif",13,10,lg("suppress"),"imgmid")+" "+lg("suppress")+"</a><br /><br /></td></tr>";
				l_bg=l_bg=="clear"?"dark":"clear";
			}
			l_s+="</table>";
		}
		else
		{
			l_s+=lg("lblArchEmpty");
		}
		p_plugin.content(l_s);
	},
	/*
		p_article.format : format the articles for display
		inputs : article
	*/
	format:function(v_s)
	{
		return v_s.substr(0,99);
	},
	/*
		p_article.save : save an article from a personalized page
		inputs : article ID
	*/
	save:function(v_id)
	{
		var l_feedid=p_rss.getId(v_id);
		var l_source=_esc(p_article.format(tab[p_tabs.sel].feeds[l_feedid].modName));
		var l_title=_esc(p_article.format(tab[p_tabs.sel].feeds[l_feedid].title));
		var l_link=_esc(tab[p_tabs.sel].feeds[l_feedid].link);
		var l_id=uniqToId(tab[p_tabs.sel].feeds[l_feedid].modUniq);
		var l_icon=tab[p_tabs.sel].module[l_id].icon;
		var l_date=dbDateFormat((tab[p_tabs.sel].feeds[l_feedid].date).getDate(),(tab[p_tabs.sel].feeds[l_feedid].date).getMonth(),(tab[p_tabs.sel].feeds[l_feedid].date).getFullYear());
		
		executescr("scr_savearticle.php","t="+l_title+"&l="+l_link+"&s="+l_source+"&i="+l_icon+"&d="+l_date+"&id="+tab[p_tabs.sel].feeds[l_feedid].id);
		
		p_alert.show(lg("msgSrcSave"));
		
		return false;
	},
	/*
		p_article.hide : close article plugin
	*/
	hide:function()
	{
		p_plugin.hide();
		p_article.shown=false;
	},
	/*
		p_article.suppress : suppress an article from the list
		inputs :
			v_id : article ID (of the javascript list)
			v_dbid : article ID (in the DB)
	*/
	suppress:function(v_id,v_dbid)
	{
		l_input=confirm(lg("msgArchSup"));
		if (l_input==1)
		{
			p_article.items.splice(v_id,1);
			
			executescr("scr_suparticle.php","id="+v_dbid);
			
			p_article.display();
		}
	},
	/*
		p_article.summary :display summary information about saved articles
		inputs :
			v_div : div id to display information
	*/
	summary:function(v_div)
	{
		navPrint(v_div,"<div class='sidebar' id='articlestoread'></div>");
		
		p_article.getUnread();
	},
	/*
		p_article.getUnread : get number of unread articles
	*/
	getUnread:function()
	{
		getXml("xmlnbarticles.php",p_article.displayUnread);
	},
	/*
		p_article.displayUnread: display number of unread articles
		inputs : xml response
	*/
	displayUnread:function(response,vars)
	{
		var l_s="";
		var l_nbarticles=getXMLval(response,"nbarticles","int",false,0);
		if (l_nbarticles!=0)
		{
			l_s+="<div class='sidebartitle'>"+lg("articlesToRead")+"</div>";
			l_s+="<div class='sidebarcontent'><a href='#' onclick='goArchive()'>"+l_nbarticles+lg("nbArticlesToRead")+"</a></div>";
		}
		navPrint("articlestoread",l_s);
	}
}

//send articles to read to the notebook
p_article.classify={
	redirect:true,
	/*
		p_article.classify.newDocument : display classification box for a new article
		inputs : article javascript ID
	*/
	newDocument:function(v_id)
	{
		var l_s="<form onsubmit='return p_article.classify.save(this,true);'><input type='hidden' name='articleurl' value='"+p_article.items[v_id].link+"' /><br />";
		l_s+=p_article.classify.information(p_article.items[v_id].title,p_article.items[v_id].id,"","",3,"../modules/pictures/"+p_article.items[v_id].icon,p_article.items[v_id].source,p_article.items[v_id].date,p_article.items[v_id].feedArticleId);
		l_s+="<br /><center><input type='submit' value='"+lg("add")+"' class='submit' /> <input type='button' value='"+lg("cancel")+"' onclick='p_popup.hide()' /></center>";
		l_s+="</form>";
		
		p_popup.show(l_s,500,400,lg("archiveArticle"));
	},
	/*
		p_article.classify.get : load the selected article information
		inputs :
			v_id : article ID
			v_owner : article owner ID
	*/
//	get:function(v_id,v_owner){
//		getXml("xmlarticles_detail.php?id="+v_id+"&owner="+v_owner,p_article.classify.assign,new Array(v_id,v_owner));
//		return false;
//	},
//	assign:function(response,vars){
//		var l_s="<form onsubmit='return p_article.classify.save(this,true,"+vars[1]+");'><input type='hidden' name='articleurl' value='"+getXMLval(response,"link","str",false,"")+"' /><br />";
//		l_s+=p_article.classify.information(getXMLval(response,"title","str",false,"---"),vars[0],"","",3,"../modules/pictures/"+getXMLval(response,"icon","str",false,""),getXMLval(response,"source","str",false,"---"),getXMLval(response,"pubdate","str",false,"0000-00-00"),getXMLval(response,"feedarticle_id","int",false,"0"));
//		l_s+="<br /><input type='submit' value='"+lg("add")+"' class='submit' /> <input type='button' value='"+lg("cancel")+"' onclick='hidepopup()' />";
//		l_s+="</form>";
		
//		popup(l_s,500,400,lg("archiveArticle"));
//	},
	/*
		p_article.classify.load : load article detail information
		inputs : article ID
	*/
	load:function(v_id)
	{
		getXml("xmlarticles_mydetail.php?id="+v_id,p_article.classify.show,v_id);
	},
	/*
		p_article.classify.show : display article detail information
		inputs : xml response
	*/
	show:function(response,vars)
	{
		var l_s="";
		var l_title=getXMLval(response,"title","str",false,"---");
		var l_link=getXMLval(response,"link","str",false,"");
		var l_private=getXMLval(response,"private","int",false,3);
		var l_desc=getXMLval(response,"description","str",false,"");
		var l_icon="../modules/pictures/"+getXMLval(response,"icon","str",false,"");
		var l_source=getXMLval(response,"source","str",false,"---");
		var l_date=getXMLval(response,"pubdate","str",false,"0000-00-00");
		var l_feedarticleid=getXMLval(response,"feedarticle_id","int",false,0);
		//get user keywords
		var l_kw=[],l_result=response.getElementsByTagName("keyword");
		for (var i=0;i<l_result.length;i++)
		{
			l_kw.push(l_result[i].firstChild.nodeValue);
		}
		l_keywords=l_kw.join(",");
				
		var l_s="<form onsubmit='return p_article.classify.save(this,false);'><input type='hidden' name='articleurl' value='"+l_link+"' /><br />";
		l_s+=p_article.classify.information(l_title,vars,l_keywords,l_desc,l_private,l_icon,l_source,l_date,l_feedarticleid);
		l_s+="<br /><input type='submit' value='"+lg("modify")+"' class='submit' /> <input type='button' value='"+lg("cancel")+"' onclick='p_popup.hide()' />";
		l_s+="</form>";
		
		p_popup.show(l_s,500,400,lg("archiveArticle"));
	},
	/*
		p_article.classify.information : generate the details informaiton about the article
		inputs :
			v_title : article title
			v_id : article ID
			v_keywords : article keywords
			v_description : article description
			v_access : 1=private / 3=public / 2=network
			v_icon : article icon
			v_source : article source
			v_date : article pubdate
			v_feedArticleId : article ID in the feed_article table
	*/
	information:function(v_title,v_id,v_keywords,v_description,v_access,v_icon,v_source,v_date,v_feedArticleId)
	{
		var l_s="<br /><br /><h2>"+img(v_icon,16,16,"","imgmid")+" "+v_title+"</h2><br /><br />";
		l_s+='<input type="hidden" name="aid" value="'+v_id+'" /><input type="hidden" name="title" value="'+v_title+'" /><input type="hidden" name="icon" value="'+v_icon+'" /><input type="hidden" name="source" value="'+v_source+'" /><input type="hidden" name="pubdate" value="'+v_date+'" /><input type="hidden" name="feedarticleid" value="'+v_feedArticleId+'" />';
		l_s+="<center><input type='radio' name='priv' value='3' "+(v_access==3?"checked='checked' ":"")+"/>"+lg("public")+" <input type='radio' name='priv' value='2' "+(v_access==2?"checked='checked' ":"")+"/>"+lg("myNetwork")+" <input type='radio' name='priv' value='1' "+(v_access==1?"checked='checked' ":"")+"/>"+lg("private")+"</center><br />"; 
		l_s+=lg("tags")+" "+tooltip("helpTagsArticle")+"<br /><input type='text' id='articletagsinput' name='keywords' size='90' maxlength='255' value='"+v_keywords+"' onkeyup=\"p_tags.autocompletion.get('articletagsinput')\" onblur='p_tags.autocompletion.hide()' /><br /><br />";
		l_s+=lg("description")+"<br /><textarea name='description' cols='90' rows='5'>"+v_description+"</textarea><br /><br />";
		
		return l_s;
	},
	/*
		p_article.classify.save : classify the article in the notebook
		inputs :
			v_form : form name where classification information is
			v_owner : owner of the article classified
	*/
	save:function(v_form,v_add,v_owner)
	{
		if (v_owner==indef) v_owner=0;
		var l_title=v_form.title.value;
		var l_desc=v_form.description.value;
		var l_link=v_form.articleurl.value;
		var l_source=v_form.source.value;
		var l_date=v_form.pubdate.value;
		var l_feedArticleId=v_form.feedarticleid.value;
		var l_access=getRadioValue(v_form.priv);
		var l_keywords=p_tags.formatList(v_form.keywords.value);

		executescr("scr_article_classify.php","act="+(v_add?"add":"upd")+"&id="+v_form.aid.value+"&faid="+l_feedArticleId+"&owner="+v_owner+"&priv="+l_access+"&kw="+l_keywords+"&kwformated="+formatSearch(l_keywords)+"&title="+_esc(l_title)+"&icon="+v_form.icon.value+"&link="+l_link+"&desc="+l_desc+"&source="+_esc(l_source)+"&dat="+formatDateShort(convertDateFromDb(l_date)),false,false,p_article.classify.close);

		return false;
	},
	/*
		p_article.classify.close : close the classification plugin window
		inputs :
	*/
	close:function(v_act)
	{
		p_popup.hide();
		if (v_act=="add" && p_article.classify.redirect) p_article.load();
	}
}
//p_article.dashboard={
//	filterKw:0,
//	load:function(){
//		p_plugin.clear();
//		p_plugin.menu(p_article.menu,3);
//		p_plugin.wait();
//		p_plugin.content("<div id='keywordsdiv'></div><br /><div id='articlesdiv'></div>");
//		navWait("keywordsdiv");
//		navWait("articlesdiv");
//		p_article.shown=true;
//		p_article.dashboard.getkeywords();
//		p_article.dashboard.getArticles(0);
//	},
//	getkeywords:function(){
//		navWait("keywordsdiv");
//		getXml("xmlarticles_keywords.php",p_article.dashboard.displayKeywords);
//	},
//	displayKeywords:function(response,vars){
//		var l_s=lg("filterBy")+" : "+lg("keywords")+" <select name='keywords' onchange='p_article.dashboard.getArticles(this.value)'><option value='0'>"+lg("all")+"</option>";
//		var result=response.getElementsByTagName("keyword");
//		for (var i=0;i<result.length;i++){
//			l_s+="<option value='"+getXMLval(result[i],"id","int",false,0)+"'>"+getXMLval(result[i],"label","str",false,"...")+"</option>";
//		}
//		l_s+="</select>";
//		navPrint("keywordsdiv",l_s);
//	},
//	getArticles:function(v_keywordId){
//		p_article.dashboard.filterKw=v_keywordId;
//		navWait("articlesdiv");
//		getXml("xmlarticles_listforkeyword.php?kwid="+v_keywordId,p_article.dashboard.displayArticles);
//	},
//	displayArticles:function(response,vars){
//		var l_bg="clear",l_s="<table class='ftable' cellspacing='0' width='95%'><tr><th width='22'></th><th style='text-align: left'>"+lg("links")+"</th><th></th></tr>";
//		var result=response.getElementsByTagName("article");
//		if (result.length==0 && p_article.dashboard.filterKw!=0){p_article.dashboard.load();return;}
//		for (var i=0;i<result.length;i++){
//			var l_icon=getXMLval(result[i],"icon","str",false,"");
//			var l_id=getXMLval(result[i],"id","int",false,0);
//			l_s+="<tr class='"+l_bg+"'><td>"+img("../modules/pictures/"+l_icon,16,16,"","imgmid")+"</td>";
//			l_s+="<td><b>"+getXMLval(result[i],"title","str",false,"...")+"</b><br />"+getXMLval(result[i],"source","str",false,"...")+", "+formatDateLong(convertDateFromDb(getXMLval(result[i],"pubdate","str",false,"")))+" ("+(getXMLval(result[i],"private","str",false,0)==0?lg("public"):lg("private"))+")<br />"+getXMLval(result[i],"desc","str",false,"")+"<br />";
//			l_s+="<a href='"+getXMLval(result[i],"link","str",false,"")+"' target='_blank'>"+lg("openLinkedArticle")+"</a> - <a href='#' onclick='p_article.classify.load("+l_id+")'>"+img("ico_classify.gif",15,15,lg("archive"),"imgmid")+" "+lg("modify")+"</a> - <a href=# onclick='return p_article.dashboard.suppress("+l_id+")'>"+img("ico_suppress.gif",13,10,lg("suppress"),"imgmid")+" "+lg("suppress")+"</a><br /><br /></td></tr>";
//			l_bg=l_bg=="clear"?"dark":"clear";			
//		}
//		l_s+="</table>";
//		navPrint("articlesdiv",l_s);
//	},
//	suppress:function(v_dbid){
//		l_input=confirm(lg("msgArchSup"));
//		if (l_input==1)
//		{
//			executescr("scr_suparticle.php","id="+v_dbid,false,false,p_article.dashboard.refresh);
//		}
//	},
//	refresh:function(){
//		p_article.dashboard.getkeywords();
//		p_article.dashboard.getArticles(p_article.dashboard.filterKw);
//	}
//}

var p_search={
	shown:false,
	searchtxt:"",
	menu:new Array({"id":1,"title":"search","icon":"ico_search.gif","fct":"","isLink":false}),
	/*
		p_search.init : init search plugin
	*/
	init:function()
	{
		p_plugin.open();
		p_plugin.init(lg("search"));
		p_app.setState("p_search.init()");
		p_article.classify.redirect=false;

		//search module allow to create a module, that is linked to a dummy tab
		tab[p_tabs.sel]=new tabObj(-1,"","P","",0,0,0,0,"",0);
		tab[p_tabs.sel].moduleAlign=true;
		p_tabs.selId=0;

		p_plugin.menu(p_search.menu,0);

		var l_s="<br /><br /><center><form name='search' onsubmit='p_search.start(this);return false;'><input type='text' id='searchinput' name='searchtxt' size='50' maxlength='100' onkeyup=\"p_tags.autocompletion.get('searchinput')\" onblur='p_tags.autocompletion.hide()' /> <input type='submit' value='"+lg("search")+"' />";
		l_s+="<br /><br /><input type='checkbox' name='inmypage' checked='checked' /> "+lg("inMyOpenPages");
		l_s+="<input type='checkbox' name='inmyarchives' /> "+lg("inMyArchives");
		l_s+="<input type='checkbox' name='inothersarchives' /> "+lg("inPeopleArchives");
		l_s+="<input type='checkbox' name='inmodules' /> "+lg("inModules");
		l_s+="<input type='checkbox' name='inpeople' /> "+lg("people");
		l_s+="</form></center>";
		l_s+="<br /><br /><div id='searchresults'></div>";
		p_plugin.content(l_s);

		p_search.shown=true;
	},
	/*
		p_search.hide : close the search plugin
	*/
	hide:function()
	{
		p_plugin.hide();
		p_search.shown=false;
	},
	/*
		p_search.start : launch search
		inputs : form containing searched information
	*/
	start:function(v_form)
	{
		var l_s="";
		var searchtxt=_lc(v_form.searchtxt.value);
		if (searchtxt.length<3)
		{
			p_alert.show(lg("lblSrch3car"),2);
			return false;
		}
		if (v_form.inmypage.checked)
		{
			l_s+="<div class='searchtitle'>"+lg("search")+" :: "+lg("inMyOpenPages")+" <a href='#' onclick=\"p_search.close('inmypage','resultsinmypage')\">"+img("ico_close.gif",9,9)+"</a></div><div id='resultsinmypage'></div>";
		}
		if (v_form.inmyarchives.checked)
		{
			l_s+="<div class='searchtitle'>"+lg("search")+" :: "+lg("inMyArchives")+" <a href='#' onclick=\"p_search.close('inmyarchives','resultsinmyarchives')\">"+img("ico_close.gif",9,9)+"</a></div><div id='resultsinmyarchives'></div>";
		}
		if (v_form.inothersarchives.checked)
		{
			l_s+="<div class='searchtitle'>"+lg("search")+" :: "+lg("inPeopleArchives")+" <a href='#' onclick=\"p_search.close('inothersarchives','resultsinothersarchives')\">"+img("ico_close.gif",9,9)+"</a></div><div id='resultsinothersarchives'></div>";
		}
		if (v_form.inmodules.checked)
		{
			l_s+="<div class='searchtitle'>"+lg("search")+" :: "+lg("inModules")+" <a href='#' onclick=\"p_search.close('inmodules','resultsinmymodules')\">"+img("ico_close.gif",9,9)+"</a></div><div id='resultsinmymodules'></div>";
		}
		if (v_form.inpeople.checked)
		{
			l_s+="<div class='searchtitle'>"+lg("search")+" :: "+lg("people")+" <a href='#' onclick=\"p_search.close('inpeople','resultsinpeople')\">"+img("ico_close.gif",9,9)+"</a></div><div id='resultsinpeople'></div>";
		}
		navPrint("searchresults",l_s);

		if (v_form.inmypage.checked)
		{
			navWait("resultsinmypage");
			p_search.page.init(searchtxt);
		}
		if (v_form.inmyarchives.checked)
		{
			navWait("resultsinmyarchives");
			p_search.notebook.load(formatSearch(searchtxt),0,p_app.user.id);
		}
		if (v_form.inothersarchives.checked)
		{
			navWait("resultsinothersarchives");
			p_search.notebook.load(formatSearch(searchtxt),0,0);
		}
		if (v_form.inmodules.checked)
		{
			navWait("resultsinmymodules");
			p_search.module.load(formatSearch(searchtxt),0);
		}
		if (v_form.inpeople.checked)
		{
			navWait("resultsinpeople");
			p_search.network.load(formatSearch(searchtxt),0);
		}
										
	},
	/*
		p_search.close : hide a search window
		inputs :
			v_type : search type to hide
			v_div : div object containing search results
	*/
	close:function(v_type,v_div)
	{
		var l_form=document.forms["search"];
		l_form.elements[v_type].checked=false;
		navPrint(v_div,"");
	}
}
p_search.page={
	nbPerPage:5,
	results:[],
	resultObj:function(tabId,artId,step)
	{
		this.tabId=tabId;
		this.artId=artId;
		this.step=step;
	},
	/*
		p_search.page.init : init search in active pages
		inputs : searched string
	*/
	init:function(v_searchtxt)
	{
		p_search.searchtxt=v_searchtxt;
		p_search.page.results.length=0;
		p_search.page.load(1,0);
	},
	/*
		p_search.page.load : search string in active pages
		inputs :
			v_step : search step
			v_start : start at result nb v_start
	*/
	load:function(v_step,v_start)
	{
		l_searchtxt=p_search.searchtxt;
		if (v_step==indef) v_step=1;
		if (v_start==indef) v_start=0;
		
		if (p_search.page.results.length<v_start+p_search.page.nbPerPage && v_step!=7)
		{
			//search exact sentence in title
			if (v_step==1)
			{
				for (var i=0;i<tab.length;i++)
				{
					if (tab[i].isLoaded)
					{
						for (var j=0;j<tab[i].feeds.length;j++)
						{
							if ((_lc(tab[i].feeds[j].title)).indexOf(l_searchtxt)!=-1)
							{
								p_search.page.results.push(new p_search.page.resultObj(i,j,v_step));
							}
						}
					}
				}
				v_step=2;
			}
		
			//search exact sentence in description
			if (v_step==2 && p_search.page.results.length<=v_start+p_search.page.nbPerPage+1)
			{
				for (var i=0;i<tab.length;i++)
				{
					if (tab[i].isLoaded)
					{
						for (var j=0;j<tab[i].feeds.length;j++)
						{
							if ((_lc(tab[i].feeds[j].desc)).indexOf(l_searchtxt)!=-1)
							{
								if (p_search.page.noDouble(i,j)) p_search.page.results.push(new p_search.page.resultObj(i,j,v_step));
							}
						}
					}
				}
				v_step=3;
			}
			
			if (v_step>2) var keyword=l_searchtxt.split(" ");
			
			//search all the words in title
			if (v_step==3 && p_search.page.results.length<=v_start+p_search.page.nbPerPage+1)
			{
				var l_found;
				for (var i=0;i<tab.length;i++)
				{
					if (tab[i].isLoaded)
					{
						for (var j=0;j<tab[i].feeds.length;j++)
						{
							l_found=true;
							for (var k=0;k<keyword.length;k++)
							{
								if (keyword[k].length>2 && l_found)
								{
									if ((_lc(tab[i].feeds[j].title)).indexOf(keyword[k])==-1) l_found=false;
								}
							}
							if (l_found && p_search.page.noDouble(i,j)) p_search.page.results.push(new p_search.page.resultObj(i,j,v_step));
						}
					}
				}
				v_step=4;
			}
		
			//search all the words in description
			if (v_step==4 && p_search.page.results.length<=v_start+p_search.page.nbPerPage+1)
			{
				var l_found;
				for (var i=0;i<tab.length;i++)
				{
					if (tab[i].isLoaded)
					{
						for (var j=0;j<tab[i].feeds.length;j++)
						{
							l_found=true;
							for (var k=0;k<keyword.length;k++)
							{
								if (keyword[k].length>2 && l_found)
								{
									if ((_lc(tab[i].feeds[j].desc)).indexOf(keyword[k])==-1) l_found=false;
								}
							}
							if (l_found && p_search.page.noDouble(i,j)) p_search.page.results.push(new p_search.page.resultObj(i,j,v_step));
						}
					}
				}
				v_step=5;
			}
		
			//search at least 1 word in title
			if (v_step==5 && p_search.page.results.length<=v_start+p_search.page.nbPerPage+1)
			{
				var l_found;
				for (var i=0;i<tab.length;i++)
				{
					if (tab[i].isLoaded)
					{
						for (var j=0;j<tab[i].feeds.length;j++)
						{
							l_found=false;
							for (var k=0;k<keyword.length;k++)
							{
								if (keyword[k].length>2 && !l_found)
								{
									if ((_lc(tab[i].feeds[j].title)).indexOf(keyword[k])!=-1) l_found=true;
								}
							}
							if (l_found && p_search.page.noDouble(i,j)) p_search.page.results.push(new p_search.page.resultObj(i,j,v_step));
						}
					}
				}
				v_step=6;
			}
		
			//search at least 1 word in description
			if (v_step==6 && p_search.page.results.length<=v_start+p_search.page.nbPerPage+1)
			{
				var l_found;
				for (var i=0;i<tab.length;i++)
				{
					if (tab[i].isLoaded)
					{
						for (var j=0;j<tab[i].feeds.length;j++)
						{
							l_found=false;
							for (var k=0;k<keyword.length;k++)
							{
								if (keyword[k].length>2 && !l_found)
								{
									if ((_lc(tab[i].feeds[j].desc)).indexOf(keyword[k])!=-1) l_found=true;
								}
							}
							if (l_found && p_search.page.noDouble(i,j)) p_search.page.results.push(new p_search.page.resultObj(i,j,v_step));
						}
					}
				}
				v_step=7;
			}
		}
		
		//treat results
		var l_s="<table>",inc=v_start;
		while (inc<p_search.page.results.length && inc<v_start+p_search.page.nbPerPage)
		{
			l_s+="<tr>";
			if (tab[p_search.page.results[inc].tabId].feeds[p_search.page.results[inc].artId].image!="x") l_s+="<td><img"+tab[p_search.page.results[inc].tabId].feeds[p_search.page.results[inc].artId].image+" align='left' style='margin-right:6px;width:100px;' /></td>";
			else l_s+="<td valign='top' style='padding-top: 7px;'>"+img("puce.gif",3,5)+"</td>";
			l_s+="<td valign='top'><a href='"+tab[p_search.page.results[inc].tabId].feeds[p_search.page.results[inc].artId].link+"' target='_blank'><b>"+tab[p_search.page.results[inc].tabId].feeds[p_search.page.results[inc].artId].title+"</b></a><br />"+formatDelai(dateDelai(tab[p_search.page.results[inc].tabId].feeds[p_search.page.results[inc].artId].date))+"</td>";
			l_s+="</tr>";
			inc++;
		}
		l_s+="<tr><td></td><td align='right'>";
		if (v_start>0) l_s+="<a href='#' onclick='return p_search.page.load("+v_step+","+(v_start-p_search.page.nbPerPage)+")'>"+img("ico_previous2.gif",12,11,"","imgmid")+" "+lg("previousResults")+"</a>";
		if (p_search.page.results.length>v_start+p_search.page.nbPerPage) l_s+=" &nbsp; <a href='#' onclick='return p_search.page.load("+v_step+","+(v_start+p_search.page.nbPerPage)+")'>"+lg("nextResults")+" "+img("ico_next2.gif",12,11,"","imgmid")+"</a>";
		l_s+="</td></tr>";
		l_s+="</table>";
		if (p_search.page.results.length==v_start) l_s+=lg("noResultForThisSearch");
		navPrint("resultsinmypage",l_s);
		
		return false;
	},
	/*
		p_search.page.noDouble : remove doubloons from the results
		inputs :
			v_tabId : tab ID where the result was found
			v_articleID : article ID
	*/
	noDouble:function(v_tabId,v_artId)
	{
		for (var inc=0;inc<p_search.page.results.length;inc++)
		{
			if (p_search.page.results[inc].tabId==v_tabId && p_search.page.results[inc].artId==v_artId) return false;
		}
		return true;
	}
}
//p_search.article={
//	load:function(v_search,v_page,v_owner){
//		getXml("xmlarticles_search.php?searchtxt="+v_search+"&p="+v_page+"&owner="+v_owner,p_search.article.display,new Array(v_search,v_page,v_owner));
//		return false;
//	},
//	display:function(response,vars){
//		var l_s="<table>", l_result=response.getElementsByTagName("item");
//		for (var i=0;i<l_result.length;i++){
//			if (i<10){
//				l_s+="<tr>";
//				l_s+="<td valign='top' style='padding-top: 3px;'>"+img("puce.gif",3,5,"","imgmid")+"</td><td valign='top'><a href='"+getXMLval(l_result[i],"link","str",false,"")+"' target='_blank'><b>"+getXMLval(l_result[i],"title","str",false,"")+"</b></a>"+formatDelai(getXMLval(l_result[i],"date","str",false,""));
//				if (vars[2]==0) l_s+="<br />"+lg("sharedBy")+" <a href='../notebook/index.php?id="+getXMLval(l_result[i],"ownerid","int",false,0)+"' target='_blank'>"+getXMLval(l_result[i],"owner","str",false,"")+"</a> | <a href='#' onclick='return p_article.classify.get("+getXMLval(l_result[i],"id","int",false,0)+","+getXMLval(l_result[i],"ownerid","int",false,0)+"),false'>"+lg("saveArticle")+"</a>";
//				l_s+="</td>";
//				l_s+="</tr>";
//			}
//		}
//		l_s+="<tr><td></td><td align='right'>";
//		if (vars[1]>0) l_s+="<a href='#' onclick='return p_search.article.load(\""+vars[0]+"\","+(vars[1]-1)+","+vars[2]+")'>"+img("ico_previous2.gif",12,11,"","imgmid")+" "+lg("previousResults")+"</a>";
//		if (l_result.length==11) l_s+=" &nbsp; <a href='#' onclick='return p_search.article.load(\""+vars[0]+"\","+(vars[1]+1)+","+vars[2]+")'>"+img("ico_next2.gif",12,11,"","imgmid")+" "+lg("nextResults")+"</a>";
//		l_s+="</td></tr>";
//		l_s+="</table>";
//		if (l_result.length==0) l_s+=lg("noResultForThisSearch");
//		navPrint((vars[2]==0?"resultsinothersarchives":"resultsinmyarchives"),l_s);
//	}
//}

//search in notebooks
p_search.notebook={
	/*
		p_search.notebook.load : search in the notebooks
		inputs :
			v_search : searched string
			v_page : results page number
			v_owner : 0 to search in public notebooks, user ID to search in a private notebook
	*/
	load:function(v_search,v_page,v_owner)
	{
		getXml("xmlnotebook_search.php?searchtxt="+v_search+"&p="+v_page+"&owner="+v_owner,p_search.notebook.display,new Array(v_search,v_page,v_owner));
		return false;
	},
	/*
		p_search.notebook.display : display search results
		inputs : xml response
	*/
	display:function(response,vars)
	{
		var l_s="<table>", l_result=response.getElementsByTagName("item");
		for (var i=0;i<l_result.length;i++)
		{
			if (i<10)
			{
				var l_userid=getXMLval(l_result[i],"ownerid","int",false,0);
				var l_id=getXMLval(l_result[i],"id","int",false,0);
				l_s+="<tr>";
				l_s+="<td valign='top' style='padding-top: 3px;'>"+img("puce.gif",3,5,"","imgmid")+"</td><td valign='top'><a href='../notebook/detail.php?id="+l_userid+"&artid="+l_id+"' target='_blank'><b>"+getXMLval(l_result[i],"title","str",false,"")+"</b></a>"+formatDelai(getXMLval(l_result[i],"date","str",false,""));
				//options not displayed if looking in my notebook
				if (vars[2]==0) l_s+="<br />"+lg("sharedBy")+" <a href='../notebook/index.php?id="+l_userid+"' target='_blank'>"+getXMLval(l_result[i],"owner","str",false,"")+"</a>";
				l_s+="</td>";
				l_s+="</tr>";
			}
		}
		l_s+="<tr><td></td><td align='right'>";
		if (vars[1]>0) l_s+="<a href='#' onclick='return p_search.notebook.load(\""+vars[0]+"\","+(vars[1]-1)+"'>"+img("ico_previous2.gif",12,11,"","imgmid")+" "+lg("previousResults")+"</a>";
		if (l_result.length==11) l_s+=" &nbsp; <a href='#' onclick='return p_search.notebook.load(\""+vars[0]+"\","+(vars[1]+1)+"'>"+img("ico_next2.gif",12,11,"","imgmid")+" "+lg("nextResults")+"</a>";
		l_s+="</td></tr>";
		l_s+="</table>";
		if (l_result.length==0) l_s+=lg("noResultForThisSearch");
		
		//results area depend on the notebook I search(mine or others)
		navPrint((vars[2]==0?"resultsinothersarchives":"resultsinmyarchives"),l_s);
	}
}
p_search.network={
	/*
		p_search.network : search in users list
		inputs :
			v_search : search string
			v_page : results page number
	*/
	load:function(v_search,v_page)
	{
		getXml("xmlnetwork_search.php?p="+v_page+"&search="+v_search+"&type=t",p_search.network.display,new Array(v_search,v_page));
	},
	/*
		p_search.network.display : display search results
		inputs : xml response
	*/
	display:function(response,vars)
	{
		var l_s="<table>", l_result=response.getElementsByTagName("user");
		for (var i=0;i<l_result.length;i++)
		{
			if (i<10)
			{
				l_s+="<tr>";
				var l_picture=getXMLval(l_result[i],"picture","str",false,"");
				l_s+="<td valign='top'><img src='"+(l_picture==""?"../images/nopicture.gif":l_picture)+"' width='32' height='32' class='picture' /></td>";
				l_s+="<td valign='top'><a href='#' onclick='p_network.card.load("+getXMLval(l_result[i],"id","int",false,0)+")'><b>"+getXMLval(l_result[i],"name","str",false,"")+"</b></a><br /><a href='../notebook/index.php?id="+getXMLval(l_result[i],"id","int",false,0)+"' target='_blank'>"+lg("seeHisNotebook")+"</a></td>";
				l_s+="</tr>";
			}
		}
		l_s+="<tr><td></td><td align='right'>";
		if (vars[1]>0) l_s+="<a href='#' onclick='return p_search.network.load("+vars[0]+","+(vars[1]-1)+")'>"+img("ico_previous2.gif",12,11,"","imgmid")+" "+lg("previousResults")+"</a>";
		if (l_result.length==11) l_s+=" &nbsp; <a href='#' onclick='return p_search.network.load("+vars[0]+","+(vars[1]+1)+")'>"+img("ico_next2.gif",12,11,"","imgmid")+" "+lg("nextResults")+"</a>";
		l_s+="</td></tr>";
		l_s+="</table>";
		if (l_result.length==0) l_s+=lg("noResultForThisSearch");
		
		navPrint("resultsinpeople",l_s);
	}
}
p_search.module={
	/*
		p_search.module.load : search in widgets list
		inputs :
			v_search : searched string
			v_page : results page number
	*/
	load:function(v_search,v_page)
	{
		getXml("xmlsearch.php?p="+v_page+"&searchtxt="+v_search,p_search.module.display,new Array(v_search,v_page));
	},
	/*
		p_search.module.display : display search results
		inputs : xml response
	*/
	display:function(response,vars)
	{
		var l_s="<table>", l_result=response.getElementsByTagName("item");
		for (var i=0;i<l_result.length;i++)
		{
			if (i<10)
			{
				l_s+="<tr>";
				l_s+="<td valign='top'>"+img("puce.gif",3,5,"","imgmid")+" <a href='#' onclick=\"openmod("+getXMLval(l_result[i],"id","int",false,0)+",'','uniq',"+(getXMLval(l_result[i],"secured","int",false,0)==0?false:true)+")\"><b>"+getXMLval(l_result[i],"name","str",false,"")+"</b></a></td>";
				l_s+="</tr>";
			}
		}
		l_s+="<tr><td></td><td align='right'>";
		if (vars[1]>0) l_s+="<a href='#' onclick='return p_search.module.load("+vars[0]+","+(vars[1]-1)+")'>"+img("ico_previous2.gif",12,11,"","imgmid")+" "+lg("previousResults")+"</a>";
		if (l_result.length==11) l_s+=" &nbsp; <a href='#' onclick='return p_search.module.load("+vars[0]+","+(vars[1]+1)+")'>"+img("ico_next.gif",12,11,"","imgmid")+" "+lg("nextResults")+"</a>";
		l_s+="</td></tr>";
		l_s+="</table>";
		if (l_result.length==0) l_s+=lg("noResultForThisSearch");
		
		navPrint("resultsinmymodules",l_s);
	}
}
p_network.menu.push({"id":2,"title":"myNetwork","icon":"mynetwork.gif","fct":"p_network.dashboard.load()","isLink":true});
p_network.menu.push({"id":3,"title":"iAmIntheirNetwork","icon":"","fct":"p_network.dashboard.initFollowers()","isLink":true});
p_network.menu.push({"id":4,"title":"usersDirectory","icon":"","fct":"p_network.dashboard.initDirectory()","isLink":true});
p_network.menu.push({"id":5,"title":"newOfYourNetwork","icon":"","fct":"p_network.dashboard.initNetworkNews()","isLink":true});
p_network.menu.push({"id":6,"title":"myNews","icon":"","fct":"p_network.information.myNews()","isLink":true});
/*
	p_network.addNews : feed users NEWS FEED
	inputs : xml return from scr_notebook_articleadd.php
*/
p_network.addNews=function(v_vars)
{
	var l_vars=v_vars.split(/_/);
	var l_s="type="+l_vars[0];
	l_s+="&access="+getRadioValue(document.forms["friend"]);
	if (l_vars[0]==2)
	{
		l_s+="&title="+_esc(removeTags(p_article.format(tab[p_tabs.sel].feeds[l_vars[1]].title)));
		l_s+="&link="+_esc("../notebook/detail.php?id="+p_app.user.id+"&artid="+l_vars[2]);
	}
	if (l_vars[0]==3)
	{
		l_s+="&title="+_esc(tab[p_tabs.sel].module[l_vars[1]].name);
		l_s+="&link="+_esc("../portal/addtoapplication.php?pid="+tab[p_tabs.sel].module[l_vars[1]].id+"&"+tab[p_tabs.sel].module[l_vars[1]].vars);
	}
	if (l_vars[0]==4)
	{
		l_s+="&title="+_esc(tab[p_tabs.sel].label);
		l_s+="&link="+_esc("../portal/addportaltoapplication.php?id="+l_vars[2]+"&chk=");
	}
	executescr("scr_network_news.php",l_s,true);
	p_menu.hide();
}
p_network.dashboard={
	filterKw:0,
	/*
		p_network.dashboard.buildElement : build user card
		inputs :
			v_id : user ID
			v_img : user picture
			v_name : user name
			v_email : user email
			v_status : user status
			v_keywords : user keywords
			v_options : actions available for this user
	*/
	buildElement:function(v_id,v_img,v_name,v_email,v_status,v_description,v_keywords,v_options)
	{
		var l_s="<li>";
		l_s+="<div class='card-inner'>";
		l_s+="<div class='card-bar'><b>"+v_name+"</b></div>";
		l_s+="<div class='card-content'><table cellpadding='8'><tr><td valign='top'><a href='#' onclick='p_network.card.load("+v_id+")'>"+img(v_img,64,64,"","picture")+"</a></td>";
		l_s+="<td valign='top'>"+v_email+"<br /><br /><a href='../notebook/index.php?id="+v_id+"' target='_blank'>"+img("ico_notebook.gif",16,16,lg("seeHisNotebook"),"imgmid")+" "+lg("seeHisNotebook")+"</a></td></tr></table>";
		l_s+="<div style='padding: 0 6px 3px 6px;'>";
		if (v_status!="")l_s+="<b>"+lg("status")+"</b> : "+v_status+"<br />";
		if (v_description!="")l_s+="<b>"+lg("description")+"</b> : "+v_description+"<br />";
		if (v_keywords!="")l_s+="<b>"+lg("tags")+"</b> : "+v_keywords;
		l_s+="</div></div>";
		l_s+="<div class='card-foot'>"+v_options+"</div>";
		l_s+="</div></li>";
		
		return l_s;
	},
	/*
		p_network.dashboard.load : init network dashboard plugin
	*/
	load:function(){
		p_network.init();
		p_app.setState("p_network.dashboard.load()");
		p_plugin.menu(p_network.menu,2);
		p_plugin.page="mynetwork";
		
		var l_s="<div id='keywordsdiv' style='width: 95%;text-align: right;'></div>";
		l_s+="<br /><br /><div id='usersdiv'></div>";
		p_plugin.content(l_s);

		p_network.shown=true;
		p_network.dashboard.getkeywords();
		p_network.dashboard.getUsers(0);
	},
	/*
		p_network.dashboard.getkeywords : load user keywords
	*/
	getkeywords:function()
	{
		navWait("keywordsdiv");
		getXml("xmlnetwork_keywords.php",p_network.dashboard.displayKeywords);
	},
	/*
		p_network.dashboard.displayKeywords : display user keywords
		inputs : xml response
	*/
	displayKeywords:function(response,vars)
	{
		var l_s="<a href='#' onclick='p_network.add.input()'><b>"+img("ico_friend_add.gif",16,16,"","imgmid")+lg("addFriend")+"</b></a> | <font"+(p_network.dashboard.filterKw==0?"":" color='#ff0000'")+">"+lg("filterBy")+" : "+lg("keywords")+"</font> <select name='keywords' onchange='p_network.dashboard.getUsers(this.value)'><option value='0'>"+lg("all")+"</option>";
		var result=response.getElementsByTagName("keyword");
		for (var i=0;i<result.length;i++)
		{
			var l_id=getXMLval(result[i],"id","int",false,0);
			l_s+="<option value='"+l_id+"'"+(p_network.dashboard.filterKw==l_id?" selected='selected'":"")+">"+getXMLval(result[i],"label","str",false,"...")+"</option>";
		}
		l_s+="</select>";
		
		navPrint("keywordsdiv",l_s);
	},
	/*
		p_network.dashboard.getUsers : load users of my network
		inputs : keyword id (if filtered by keyword)
	*/
	getUsers:function(v_keywordId)
	{
		p_network.dashboard.filterKw=v_keywordId;
		navWait("usersdiv");
		
		getXml("xmlnetwork_users.php?kwid="+v_keywordId,p_network.dashboard.displayUsers,new Array(lg("peopleIAddedToMyNetwork"),true,true,true,false));
	},
	/*
		p_network.dashboard.initFollowers : init network followers page
	*/
	initFollowers:function()
	{
		p_network.init();
		p_plugin.menu(p_network.menu,3);
		p_plugin.page="followers";
		
		var l_s="<br /><br /><div id='usersdiv'></div>";
		p_plugin.content(l_s);
		
		p_network.shown=true;
		p_network.dashboard.loadFollowers(0);
	},
	/*
		p_network.dashboard.loadFollowers : load my followers
	*/
	loadFollowers:function()
	{
		navWait("usersdiv");
		
		getXml("xmlnetwork_followers.php",p_network.dashboard.displayUsers,new Array(lg("peopleThatAddMeInTheirNetwork"),false,true,false,true));
	},
	/*
		p_network.dashboard.initDirectory : init users directory page
	*/
	initDirectory:function()
	{
		p_network.init();
		p_plugin.menu(p_network.menu,4);
		p_plugin.page="directory";
		
		var l_s="";
		l_s+="<a href='#' style='font-size:16px;' onclick=\"return p_network.dashboard.loadDirectory();\">.</a> ";
		for (var i=0;i<26;i++) l_s+="<a href='#' style='font-size:16px;' onclick=\"return p_network.dashboard.loadDirectory('"+String.fromCharCode(97+i)+"');\">"+String.fromCharCode(97+i)+"</a> ";
		l_s+="<br /><br /><div id='usersdiv'></div>";
		p_plugin.content(l_s);
		
		p_network.shown=true;
		p_network.dashboard.loadDirectory();
	},
	/*
		p_network.dashboard.loadDirectory : load users directory
		inputs : user first letter (if filtered by first letter)
	*/
	loadDirectory:function(v_initial)
	{
		navWait("usersdiv");
		
		getXml("xmlnetwork_directory.php"+(v_initial==indef?"":"?i="+v_initial),p_network.dashboard.displayUsers,new Array(lg("usersDirectory"),false,true,false,true));
		
		return false;
	},
	/*
		p_network.dashboard.initNetworkNews : init network NEWS FEED page
	*/
	initNetworkNews:function()
	{
		p_network.init();
		p_plugin.menu(p_network.menu,5);
		p_plugin.page="news";
		
		var l_s="";
		l_s+="<div id='usersdiv'></div>";
		p_plugin.content(l_s);
		
		p_network.shown=true;
		p_network.information.summaryLoad();
	},
	/*
		p_network.dashboard.displayUsers : display users list
		inputs : xml response
	*/
	displayUsers:function(response,vars)
	{
		var l_s="";
		var result=response.getElementsByTagName("user");
		if (result.length==0 && p_network.dashboard.filterKw!=0){p_network.dashboard.load();return;}
		l_s+="<div class='subtitle'>"+vars[0]+"</div>";
		l_s+="<ul class='card-outer'>";
		
		if (result.length==0)
		{
			l_s+=lg("emptyList");
		}
		else
		{
			for (var i=0;i<result.length;i++)
			{
				var l_id=getXMLval(result[i],"id","int",false,0);
				var l_picture=getXMLval(result[i],"picture","str",false,"");
				if (l_picture=="") l_picture="nopicture.gif";
				var l_options="";
				if (vars[1]) l_options+="<a href='#' onclick='p_network.card.load("+l_id+",false)'>"+lg("modify")+"</a> &nbsp; ";
				if (vars[4]) l_options+="<a href='#' onclick='p_network.card.load("+l_id+")'>"+lg("add")+"/"+lg("modify")+" </a> &nbsp; ";
				if (vars[3]) l_options+="<a href='#' onclick='return p_network.suppress("+l_id+")'>"+img("ico_suppress.gif",13,10,lg("suppress"),"imgmid")+" "+lg("suppress")+"</a>";
				l_s+=p_network.dashboard.buildElement(l_id,l_picture,getXMLval(result[i],"longname","str",false,"..."),getXMLval(result[i],"username","str",false,"..."),getXMLval(result[i],"stat","str",false,""),getXMLval(result[i],"description","str",false,""),getXMLval(result[i],"keywords","str",false,""),l_options);
			}
		}
		l_s+="</ul><div style='clear: both;float: none;'></div>";
		
		navPrint("usersdiv",l_s);
	},
	/*
		p_network.dashboard.refresh : refresh users list
	*/
	refresh:function(){
		p_network.dashboard.getkeywords();
		p_network.dashboard.getUsers(p_network.dashboard.filterKw);
	}
}
p_network.add={
	/*
		p_network.add.input : display add user popup
	*/
	input:function()
	{
		var l_s="<form onsubmit='return p_network.add.search(this)'>";
		l_s+="<br /><br />";
		l_s+="<b>"+lg("inputEmailOrNameOrTag")+" :</b><br /><br />";
		l_s+="<input type='text' name='searchtxt' size='40' /> <input type='submit' value='"+lg("search")+"' />";
		l_s+="</form><br /><br /><br />";
		
		p_popup.show(l_s,500,indef,lg("addPeopleToMyNetwork"));
	},
	/*
		p_network.add.search : search user
		inputs : form containing searched string
	*/
	search:function(v_form)
	{
		var l_email=_lc(v_form.searchtxt.value);
		if (l_email.length<4) return false;
		
		getXml("xmlnetwork_search.php?p=0&type="+(checkEmail(l_email)?"m":"t")+"&search="+l_email,p_network.add.results,"");
		
		return false;
	},
	/*
		p_network.add.results : display searched user results
		inputs : xml response
	*/
	results:function(response,vars)
	{
		var l_result=response.getElementsByTagName("user");
		if (l_result.length==0)
		{
			p_alert.show(lg("noResultForThisSearch"));
		}
		else if (l_result.length==1)
		{
			p_network.card.load(getXMLval(l_result[0],"id","int",false,0));
		}
		else
		{
			var l_s="";
			l_s+="<br /><div style='"+(l_result.length>10?"overflow:auto;height:100px;width:100%;":"")+"'><ul>";
			for (var i=0;i<l_result.length;i++)
			{
				l_user=l_result[i];
				l_s+="<li><a href='#' onclick='p_network.card.load("+getXMLval(l_user,"id","int",false,0)+")'>"+getXMLval(l_user,"name","str",false,"no name")+"</a></li>";
			}
			l_s+="</ul></div><br /><a href='#' onclick='p_popup.hide()'>"+lg("cancel")+"</a>";
			navPrint("popupcontent",l_s);
		}
	}
}
p_network.card={
	/*
		p_network.card.load : load user information
		inputs :
			v_id : user ID
			v_add : true=the user is not yet in my network, false=the user is in my network
	*/
	load:function(v_id,v_add)
	{
		getXml("xmlnetwork_userdetail.php?id="+v_id,p_network.card.show,new Array(v_id,v_add));
	},
	/*
		p_network.card.show : display user information in popup
		inputs : xml response
	*/
	show:function(response,vars)
	{
		var l_s="",l_name=getXMLval(response,"longname","str",false,"no name");
		if (vars[1]==indef) var l_add=getXMLval(response,"new","int",false,1);
		var l_picture=getXMLval(response,"picture","str",false,"");
		if (l_picture=="") l_picture="nopicture.gif";
		l_s+="<br /><table><tr><td valign='top'>"+img(l_picture,64,64,"","picture")+"</td><td valign='top'>"+getXMLval(response,"username","str",false,"")+"<br /><br /><a href='../notebook/index.php?id="+vars[0]+"' target='_blank'>"+img("ico_notebook.gif",16,16,"","imgmid")+" "+lg("seeHisNotebook")+"</a></td></table>";
		
		//get user keywords
		var l_kw=[],l_result=response.getElementsByTagName("keyword");
		for (var i=0;i<l_result.length;i++)
		{
			l_kw.push(l_result[i].firstChild.nodeValue);
		}
		
		l_s+="<br /><form onsubmit='return p_network.card.save(this,"+l_add+")'><input type='hidden' name='uid' value='"+vars[0]+"' />";
		l_s+=lg("tags")+" "+tooltip("helpTagsPeople")+"<br /><input type='text' id='networktagsinput' name='keywords' maxlength='250' value=\""+l_kw.join(",")+"\" onkeyup=\"p_tags.autocompletion.get('networktagsinput')\" onblur='p_tags.autocompletion.hide()' style='width: 470px' /><br /><br />";
		l_s+=lg("description")+"<br /><textarea name='description' style='width: 470px' rows='6'>"+getXMLval(response,"description","str",false,"")+"</textarea><br /><br />";
		l_s+="<center><input type='submit' value='"+(l_add==1?lg("addToMyNetwork"):lg("modify"))+"' class='submit' /> <input type='button' onclick='p_popup.hide()' value='"+lg("cancel")+"' /></center>";
		l_s+="</form><br /><br />";
		if (_gel("popupcontent")==null)
		{
			p_popup.show(l_s,500,indef,l_name);
		}
		else
		{
			navPrint("popupcontent",l_s);
		}
	},
	/*
		p_network.card.save : save network user changes
		inputs :
			v_form : form containing updated information
			v_add : is the user new or not in my network
	*/
	save:function(v_form,v_add)
	{
		var l_keywords=p_tags.formatList(v_form.keywords.value);
		executescr("scr_network_adduser.php","act="+(v_add==1?"add":"upd")+"&id="+v_form.uid.value+"&kw="+l_keywords+"&kwformated="+formatSearch(l_keywords)+"&desc="+v_form.description.value,false,false,(v_add==1?p_network.card.addSuccess:p_network.card.close));
		
		return false;
	},
	/*
		p_network.card.addSuccess : user has been added successfully in network
		inputs :
			v_form : form containing updated information
			v_add : is the user new or not in my network
	*/
	addSuccess:function()
	{
		p_alert.show(lg("peopleAddedToNetwork"));
		
		p_network.card.close();
	},
	/*
		p_network.card.close : close user card
		inputs : user ID
	*/
	close:function(v_id)
	{
		p_popup.hide();
		if (p_plugin.page=="mynetwork")p_network.dashboard.refresh();
	}
}

/*
	p_network.suppress : suppress a user from my network
	inputs : user ID
*/
p_network.suppress=function(v_id)
{
	executescr("scr_network_removeuser.php","id="+v_id,false,false,p_network.dashboard.refresh);
	return false;
}
p_network.profile={
	/*
		p_network.profile.load : load my profile
	*/
	load:function()
	{
		navWait("myprofile");
		
		getXml("xmlnetwork_myprofile.php",p_network.profile.display);
	},
	/*
		p_network.profile.display : display my profile
		inputs : xml response
	*/
	display:function(response,vars)
	{
		var l_s="<div class='notebooksidecontent'>";
		var l_name=getXMLval(response,"longname","str",false,"---");
		l_s+="<h1>"+l_name+"</h1>";
		l_s+="<table cellpadding='0' cellspacing='0'><tr><td>";
		var l_picture=getXMLval(response,"picture","str",false,"");
		l_s+="<img src='"+(l_picture==""?"../images/nopicture.gif":setParamInUrl(l_picture,"nocache",rand))+"' width='64' height='64' class='picture' />";
		l_s+="</td>";
		l_s+="<td valign='top' style='padding-left: 6px'>";
		var l_email=getXMLval(response,"username","str",false,"");
		l_s+="<a href='mailto:"+l_email+"'>"+l_email+"</a><br />";
		
		//get keywords
		var l_kw=[],l_result=response.getElementsByTagName("keyword");
		for (var i=0;i<l_result.length;i++)
		{
			l_kw.push(l_result[i].firstChild.nodeValue);
		}
		
		l_s+="<b>"+lg("keywords")+"</b> : "+l_kw.join(", ");
		l_s+="</td></tr></table>";
		l_s+="<br /><div id='notebookdesc' style='vertical-align: top;'></div>";
		l_s+="<br /><a href='#' onclick='p_network.profile.modify()'>"+img("ico_myaccount_update.gif",16,16,"","imgmid")+" "+lg("modifyProfile")+"</a><br /><a href='../notebook/index.php?id="+p_app.user.id+"' target='_blank'>"+img("ico_notebook.gif",16,16,"","imgmid")+" "+lg("myNotebook")+"</a>";
		
		l_s+="<br /><br /><form onsubmit=\"return p_network.profile.updateStatus(this)\"><b>"+lg("myStatus")+"</b> "+tooltip("myStatusHelp")+"<br /><input class='thinbox' type='text' name='stat' value=\""+getXMLval(response,"stat","str",false,"")+"\" size='26' maxlength='200' /> <input type='submit' value='"+lg("lblBtnSend")+"' />";
		
		l_s+="</div>";

		navPrint("myprofile",l_s);
		
		p_notebook.profile.desc=getXMLval(response,"desc","str",false,lg("noDescription"));
		p_notebook.profile.getDesc(true);
	},
	/*
		p_network.profile.modify : profile modification popup
	*/
	modify:function()
	{
		var l_s="<br /><iframe src='frm_network_updateprofile.php' width='484' height='310' frameborder='no' marginwidth='0' marginheight='0' scrolling='no'></iframe>";
		l_s+="<br /><br /><a href='#' onclick='p_popup.hide();reset_rand();p_network.profile.load();'>"+lg("close")+"</a>";

		p_popup.show(l_s,500,indef,lg("modifyProfile"),false);
	},
	/*
		p_network.profile.updateStatus : update my status
		inputs : form containing status information
	*/
	updateStatus:function(v_form)
	{
		executescr("scr_network_updatemyprofile.php","stat="+_esc(v_form.stat.value),false,false,p_network.profile.updateStatusSuccess);
		
		return false;
	},
	/*
		p_network.profile.updateStatusSuccess : action when my status is updated
	*/
	updateStatusSuccess:function()
	{
		p_alert.show(lg("yourStatusIsUpdated"));
	},
	/*
		p_network.profile.summary : profile summary information
		inputs : summary div container
	*/
	summary:function(v_div)
	{
		var l_s="<div class='sidebar'><div id='myprofile'></div></div>";
		navPrint(v_div,l_s);
		
		p_network.profile.load();
	}
}
p_network.information={
	/*
		p_network.information.summary : init NEWS FEED
		inputs : container for summary information
	*/
	summary:function(v_div)
	{
		var l_s="";
		l_s+="<div id='usersdiv'></div>";
		navPrint(v_div,l_s);

		p_network.information.summaryLoadNetwork();
	},
	/*
		p_network.information.summaryLoad : load my profile
	*/
	summaryLoad:function()
	{
		getXml("xmlnetwork_myprofile.php",p_network.information.profile);
	},
	/*
		p_network.information.profile : display my profile
		inputs : xml response
	*/
	profile:function(response,vars)
	{
		var l_picture=getXMLval(response,"picture","str",false,"");
		navPrint("mypicture","<img src='"+(l_picture==""?"../images/nopicture.gif":l_picture)+"' width='36' height='36' class='picture' /></td>");
		if (document.forms["stats"])
		{
			var l_status=getXMLval(response,"stat","str",false,"");
			if (l_status=="") l_status=lg("myStatus")+" ...";
			document.forms["stats"].stat.value=l_status;
		}
		p_network.information.summaryLoadNetwork();
	},
	/*
		p_network.information.summaryLoadNetwork : load network NEWS FEED
	*/
	summaryLoadNetwork:function()
	{
		getXml("xmlnetwork_summary.php",p_network.information.summaryDisplay);
	},
	/*
		p_network.information.summaryDisplay : display NEWS FEED
		inputs : xml response
	*/
	summaryDisplay:function(response,vars)
	{
		var l_s="";
		var l_result=response.getElementsByTagName("update");
		if (l_result.length>0)
		{
			var l_previousDate,l_currentDate;
			for (var i=0;i<l_result.length;i++)
			{
				l_currentDate=formatDateLong(convertDateFromDb(getXMLval(l_result[i],"pubdate","str",false,"")));
				if (l_previousDate!=l_currentDate)
				{
					l_s+="<div class='subtitle' style='clear: left;margin: 6px 0 4px 0;'>"+l_currentDate+"</div>";
					l_previousDate=l_currentDate;
				}
				var l_picture=getXMLval(l_result[i],"picture","str",false,"");
				if (l_picture=="") l_picture="nopicture.gif";
				var l_id=getXMLval(l_result[i],"userid","int",false,0);
				var l_type=getXMLval(l_result[i],"type","int",false,2);
				var l_link=getXMLval(l_result[i],"link","str",false,"");
				l_s+="<div style='clear: both;float: none;'>";
				l_s+="<div style='margin: 2px;float: left;'><a href='#' onclick='p_network.card.load("+l_id+",false)'>"+img(l_picture,36,36,"","picture")+"</a></div>";
				l_s+="<a href='#' onclick='p_network.card.load("+l_id+",false)'><b>"+getXMLval(l_result[i],"long_name","str",false,"???")+"</b></a> "+lg("txtNetSummary"+l_type)+" "+(l_link==""?"":"<a href='"+l_link+"'"+((l_type==1||l_type==2)?" target='_blank'":"")+">")+"<b>"+getXMLval(l_result[i],"title","str",false,"...")+"</b>"+(l_link==""?"":"</a>");
				l_s+="</div>";
			}
		}
		else
		{
			l_s+="<b>"+lg("noNewsOfYourNetwork")+"</b>";
		}
		l_s+="<div style='clear: both;float: none;'></div>";
		navPrint("usersdiv",l_s);
	},
	myNews:function()
	{
		p_network.init();
		p_plugin.menu(p_network.menu,6);
		p_plugin.page="mynews";
		
		var l_s="<div id='mynewsdiv'></div>";
		p_plugin.content(l_s);
		p_network.shown=true;
		
		getXml("xmlnetwork_mysummary.php",p_network.information.myNewsDisplay);
		return false;
	},
	myNewsDisplay:function(response,vars)
	{
		var l_s="";
		var l_result=response.getElementsByTagName("update");
		if (l_result.length>0)
		{
			l_s+="<table>";			
			for (var i=0;i<l_result.length;i++)
			{
				var l_picture=getXMLval(l_result[i],"picture","str",false,"");
				if (l_picture=="") l_picture="nopicture.gif";
				var l_id=getXMLval(l_result[i],"id","int",false,0);
				var l_type=getXMLval(l_result[i],"type","int",false,2);
				var l_link=getXMLval(l_result[i],"link","str",false,"");
				l_s+="<tr><td valign='top'>"+img(l_picture,36,36,"","picture")+"</td>";
				l_s+="<td valign='top'>";
				l_s+="<p class='comment'>"+formatDateLong(convertDateFromDb(getXMLval(l_result[i],"pubdate","str",false,"")),true)+" :</p>";
				l_s+="<b>"+p_app.user.name+"</b> "+lg("txtNetSummary"+l_type)+" "+(l_link==""?"":"<a href='"+l_link+"'"+(l_type==2?" target='_blank'":"")+">")+"<b>"+getXMLval(l_result[i],"title","str",false,"...")+"</b>"+(l_link==""?"":"</a>")+" <a href='#' onclick='p_network.information.suppress("+l_id+")'><img src='../images/ico_suppress.gif' /></a></td></tr>";

			}
			l_s+="</table>";
		} else {l_s+="<b>"+lg("noNews")+"</b>";}
		
		navPrint("mynewsdiv",l_s);
	},
	/*
		p_network.information.suppress : suppress a network news
		input : 
			v_id : id of the news to suppress
	*/
	suppress:function(v_id){
		l_input=confirm(lg("areYouSureToSuppressNews"));
		if (l_input==1)
		{
			executescr("scr_supnews.php","id="+v_id,true,true,p_network.information.myNews);
		}	
	}
}
var p_notebook={
	/*
		p_notebook.addArticle : add an article to notebook
		inputs :
			v_title : article title
			v_desc : article description
			v_keywords : article keywords list (coma separated)
			v_type : article type (2=standard, 3=module 4=portal)
			v_articleid : article id (from feed_articles table, if applicable)
			v_linkedObjId : id of linked object (widget id, portal id, article id, ..., if applicable)
			v_access : access code (3=public, 2=my network 1=private)
			v_objectId : 
	*/
	addArticle:function(v_title,v_desc,v_keywords,v_type,v_articleId,v_linkedObjId,v_access,v_objectId)
	{
		v_keywords=p_tags.formatList(v_keywords);
		var l_kwformated=formatSearch(v_keywords);
		
		//save article and call p_network.addNews with xml response
		executescr("scr_notebook_articleadd.php","pubtitle="+_esc(v_title)+"&desc="+_esc(v_desc)+"&faid="+v_articleId+"&type="+v_type+"&linked="+v_linkedObjId+"&access="+v_access+"&kw="+v_keywords+"&kwformated="+l_kwformated+"&oid="+v_objectId,true,false,p_network.addNews);
	},
	/*
		p_notebook.trackback : get an article in my own notebook
	*/
	trackback:function(v_articleid,v_ownerid,v_sourceid)
	{
		executescr("../notebook/scr_notebook_trackback.php","artid="+v_articleid+"&owner="+v_ownerid+"&source="+v_sourceid,true,true,p_notebook.trackbackSuccess);
		
		return false;
	},
	/*
		p_notebook.trackbackSuccess : message when the article is saved in my notebook
	*/
	trackbackSuccess:function()
	{
		p_alert.show(lg("trackbackSuccess"));
	},
	/*
		p_notebook.open : open my notebook
	*/
	open:function()
	{
		link('../notebook/index.php?id='+p_app.user.id,true);
	},
	/*
		p_notebook.summary : get notebook summary
	*/
	summary:function(v_div)
	{
		navPrint(v_div,"<div class='sidebar'><div class='sidebartitle'>"+lg("commentsOnMyNotebook")+"</div><div id='notebook_comments' class='sidebarcontent'></div></div>");
		
		getXml("xmlmycomments.php",p_notebook.displaySummary,"");
	},
	/*
		p_notebook.displaySummary: display notebook summary
	*/
	displaySummary:function(response,vars)
	{
		var l_s="";
		if (response.getElementsByTagName("item")[0])
		{
			var i=0;
			l_s+="<ul>";
			while (response.getElementsByTagName("item")[i])
			{
				var l_result=response.getElementsByTagName("item")[i];
				l_s+="<li><a href='../notebook/detail.php?id="+getXMLval(l_result,"userid","int",false,0)+"&artid="+getXMLval(l_result,"articleid","int",false,0)+"#comments' target='_blank'>"+getXMLval(l_result,"user","str",false,"???")+" : "+getXMLval(l_result,"message","str",false,"???")+"</a></li>";
				i++;
			}
			l_s+="</ul>";
		}
		navPrint("notebook_comments",l_s);
	}
}
p_notebook.profile={
	desc:"",
	/*
		p_notebook.profile.getDesc : display my profile formated description 
		inputs : define if the description is truncated or not
	*/
	getDesc:function(v_trunc)
	{
		var l_desc=(v_trunc && p_notebook.profile.desc.length>150)?p_notebook.profile.desc.substr(0,150)+" ...[<a href='#' onclick='p_notebook.profile.getDesc(false);return false;'>"+lg("readMore")+"</a>]":p_notebook.profile.desc;
		navPrint("notebookdesc",l_desc);
	}
}
p_notebook.article={
	/*
		p_notebook.article.setStatus : set access type to notebook articles
		inputs
			v_id: article id
			v_status : new status
	*/
	setStatus:function(v_id,v_status)
	{
		if (v_status=="D")
		{
			var response=confirm(lg("msgArchSup"));
			if (response!=1) return false;
		}
		if (v_status!="D" || (v_status=="D" && response==1))
		{
			executescr("../notebook/scr_notebook_changearticlestatus.php","id="+v_id+"&status="+v_status,true,true,p_notebook.article.setStatusApplied);
		}
	},
	/*
		p_notebook.article.setStatusApplied :
		input : xml file return
	*/
	setStatusApplied:function(v_ret)
	{
		p_alert.show(lg("modificationApplied"));
		var l_ret=v_ret.split("_");
		navClass("article"+l_ret[0],"notebookarticle"+l_ret[1]);
	}
}
p_notebook.comment={
	/*
		p_notebook.comment.remove : remove comment
		inputs
			v_id: comment id
	*/
	remove:function(v_id)
	{
		var response=confirm(lg("readyToSuppressComment"));
		if (response!=1) return false;
		executescr("../notebook/scr_notebook_removecomment.php","id="+v_id,true,true,p_notebook.comment.confirmRemove);
		return false;
	},
	/*
		p_notebook.comment.confirmRemove : confirm comment suppression
		input : xml file return
	*/
	confirmRemove:function(v_ret)
	{
		if (v_ret!=indef)
		{
			p_alert.show(lg("modificationApplied"));
			navShow("comment"+v_ret,"none");
		}
	}
}

var p_help={
	menu:new Array({"id":1,"title":"lblHelp","icon":"ico_help.gif","fct":"","isLink":false}),
	open:function()
	{
		p_plugin.open();
		p_plugin.init(lg("lblHelp"));
		p_plugin.application="help";
		p_plugin.page="help";
		p_plugin.menu(p_help.menu,1);
		p_app.setState("p_help.open()");
		
		var l_s="<div class='subtitle'>"+lg("guides")+"</div><br />";
		l_s+="<a href='../docs/"+__lang+"/guide_de_l_utilisateur.pdf' target='_blank'>"+lg("userGuide")+"</a><br />"
		l_s+="<br /><div class='subtitle'>"+lg("contacts")+"</div><br />";
		l_s+="<a href='mailto:"+__SUPPORTEMAIL+"'>"+__SUPPORTEMAIL+"</a><br />";
		l_s+="<br /><div class='subtitle'>"+lg("credits")+"</div><br />";
		l_s+="<br />icons : FamFamFam<br />";
		l_s+="<br />&copy; Portaneo";
		p_plugin.content(l_s);
	}
}

// Manage the users' messages
function messageObj(id,title,description,status,sender,senddate){
	this.id=id;
	this.title=title;
	this.description=description;
	this.status=status;
	this.sender=sender;
	this.senddate=senddate;
}
var p_msg={
	shown:false,
	items:[],
	nbPerPage:10,
	sel:0,
	nbUnread:-1,
	init:function(){
		p_plugin.open();
		//p_tabs.create(indef,false,false,-1);
		var l_s="<div class='addonbar'>"+lg("receivedMessages")+" | <a href=''>"+lg("sentMessage")+"</a> | <a href='#' onclick='p_msg.write();'>"+img("ico_mail_write.gif",16,16,"","imgmid")+" "+lg("sendANewMessage")+"</a> | <a href='#' onclick='p_msg.load()'>"+img("ico_refresh.gif",13,9,"","imgmid")+" "+lg("refresh")+"</a></div><br />";
		l_s+="<table width='100%'><tr><td id='messageslist' width='500' valign='top'>";
		l_s+="</td><td valign='top'>";
		l_s+="<a href='#' onclick=\"p_msg.write('','Fw: '+p_msg.items[p_msg.sel].title,'================================'+p_msg.items[p_msg.sel].description)\">"+img("ico_mail_transfert.gif",16,16,"","imgmid")+" "+lg("transfert")+"</a> | <a href='#' onclick=\"p_msg.write(p_msg.items[p_msg.sel].sender,'Re: '+p_msg.items[p_msg.sel].title,'================================'+p_msg.items[p_msg.sel].description)\">"+img("ico_mail_reply.gif",16,16,"","imgmid")+" "+lg("reply")+"</a> | <a href='#' onclick='p_msg.suppress()'>"+img("ico_suppress.gif",13,10,"","imgmid")+" "+lg("delete")+"</a> | <a href=''>"+lg("getByEmail")+"</a><br />";
		l_s+="<br /><div width='100%' id='messagereadbox'>&nbsp;</div>";
		l_s+="</td></tr></table>";

		l_s+="</td></tr></table>";
		navPrint("messages",l_s);
		navShow("messages","block");
		navWait("messageslist");
		p_msg.shown=true;
		p_msg.load(false);
	},
	load:function(v_alert,v_start){
		if (v_start==indef) v_start=0;
		getXml("xmlmessages.php?start="+v_start+"&nb="+p_msg.nbPerPage,p_msg.get,"");
	},
	get:function(response,vars){
		var i=0;
		p_msg.items.length=0;
		while (response.getElementsByTagName("message")[i]){
			p_msg.items.push(new messageObj(getXMLval(response.getElementsByTagName("message")[i],"id","int",false,0),getXMLval(response.getElementsByTagName("message")[i],"title","str",false,"=="),getXMLval(response.getElementsByTagName("message")[i],"description","str",false,""),getXMLval(response.getElementsByTagName("message")[i],"status","str",false,"U"),getXMLval(response.getElementsByTagName("message")[i],"sender","str",false,"-"),getXMLval(response.getElementsByTagName("message")[i],"senddate","str",false,"")));
			i++;
		}
		p_msg.display();
		p_msg.read(0);
	},
	display:function(){
		var l_s="<br /><table width='100%'>";
		for (var i=0;i<p_msg.items.length;i++){
			if (p_msg.items[i].status=="U"){
				l_s+="<tr><td valign='top' width='22'>"+img("ico_mail_unread.gif",16,16)+"</td><td class='"+(p_msg.sel==i?"selmessage":"message")+"'><b><a href='#' onclick='p_msg.read("+i+")'>"+p_msg.items[i].title+"</a></b>";
			} else {
				l_s+="<tr><td valign='top' width='22'>"+img("ico_mail_read.gif",16,16)+"</td><td class='"+(p_msg.sel==i?"selmessage":"message")+"'><a href='#' onclick='p_msg.read("+i+")'>"+p_msg.items[i].title+"</a>";
			}
			l_s+="<br />sent the "+p_msg.items[i].senddate+" by "+p_msg.items[i].sender+"</td></tr>";
		}
		l_s+="</table>";
		if (i==0) l_s+="<i>"+lg("lblMsgNone")+"</i>";
		navPrint("messageslist",l_s);
		//p_msg.getNb();
	},
	read:function(v_i){
		p_msg.sel=v_i;
		if (p_msg.items[v_i].status=="U"){
			p_msg.items[v_i].status="R";
			//record read status in DB
			executescr("scr_readmessage.php","id="+p_msg.items[v_i].id);
		}
		navPrint("messagereadbox",p_msg.items[v_i].description);
		//navPrint("messagereadbox","toot");
		p_msg.display();
	},
	write:function(v_dest,v_title,v_msg){
		p_plugin.open();
		//p_tabs.create(indef,false,false,-1);
		var l_s="<div class='addonbar'><a href='#' onclick='p_msg.init()'>"+lg("receivedMessages")+"</a> | <a href=''>"+lg("sentMessage")+"</a> | "+img("ico_mail_write.gif",16,16,"","imgmid")+" "+lg("sendANewMessage")+" | <a href='#' onclick='p_msg.load()'>"+img("ico_refresh.gif",13,9,"","imgmid")+" "+lg("refresh")+"</a></div><br />";
		l_s+="<table width='100%'><tr><td valign='top'>";
		l_s+="<form name='f' method='post'>"
		l_s+=lg("sendTo")+" "+lg("selectedPeopleInTheList")+"<br /><input type='text' name='to' size='50' value='"+(v_dest==indef?"":v_dest)+"'/><br /><br />";
		l_s+=lg("title")+"<br /><input type='text' name='title' size='50' value='"+(v_title==indef?"":v_title)+"' /><br /><br />";
		l_s+=lg("message")+"<br /><textarea name='message' cols='50' rows='10'>"+(v_msg==indef?"":v_msg)+"</textarea><br /><br />";
		l_s+="<input type='button' value='"+lg("send")+"' />";
		l_s+="</form>";
		l_s+="</td><td id='mailfriends' valign='top' width='500px'>";
		l_s+="</td></tr></table>";
		navPrint("messages",l_s);
		navShow("messages","block");
		navWait("mailfriends");
		p_msg.shown=true;
		p_msg.friends();
	},
	getNb:function(){
		getXml("xmlnbmessages.php",p_msg.displayNb,"");
	},
	displayNb:function(response,vars){
		var l_nb=getXMLval(response,"nb","int",false,0);
		if (p_msg.nbUnread>=0 && l_nb>p_msg.nbUnread && !p_msg.shown){
			p_alert.show(lg("youHaveReceivedNewMessages"));
		}
		p_msg.nbUnread=l_nb;
	},
	hide:function(){
		navPrint("messages","");
		navShow("messages","none");
		p_msg.shown=false;
	},
	suppress:function(v_id){
		if (v_id==indef) v_id=p_msg.sel;
		var response=confirm(lg("doYouWantToSuppressMessage"));
		if (response==1){
			executescr("scr_supmessage.php","id="+p_msg.items[v_id].id,false,false,p_msg.load);
// a modifier (par recharger a chaque suppression !!)
			//p_msg.getNb();
		}
	},
	friends:function(){
		getXml("xmlfriends.php",p_msg.displayFriends);
	},
	displayFriends:function(response,vars){
		var l_s="";
		if (response.getElementsByTagName("friend")[0]){
			var inc=0;
			while (response.getElementsByTagName("friend")[inc]){
				var l_result=response.getElementsByTagName("friend")[inc];
				l_s+="<a href='#'>"+getXMLval(l_result,"name","str",false,"...")+"</a>";
				inc++;
			}
		}
		else {l_s+=lg("noFriends");}
		navPrint("mailfriends",l_s);
	}
}