// ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
// ***************************************
// Tutorial specific javascript functions 
//
// !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
// ***************************************
var cols=[];
var module=[];
var p_tutorial=
{
	switchColor:function(v_obj,v_color)
	{
		var l_obj=_gel(v_obj);
		l_obj.style.backgroundColor=v_color;
	},
	showDir:function(v_root,v_lang)
	{
		var l_s=lg("defineDirectory")+" : ";
		if (v_lang==indef) v_lang=__lang;
		for (var i=0;i<__dimension.length;i++)
		{
			if (__dimension[i]["id"]!=0)
			{
				if (__dimension[i]["lg"]=="" || __dimension[i]["lg"]==v_lang)
				{
					if (v_root==indef) v_root=__dimension[i]["id"];
					l_s+="<a id='rootdir"+__dimension[i]["seq"]+"' class='"+(v_root==__dimension[i]["id"]?"sellist":"optlist")+"' href=# onclick=\"return p_tutorial.showDir("+__dimension[i]["id"]+",'"+v_lang+"')\">"+__dimension[i]["name"]+"</a> | ";
				}
			}
		}
		l_s+='<a href="#" onclick=\'return p_alert.show(lg("moduleAddingDirectoryHlp"))\'><img src="../images/ico_help2.gif" /></a><br /><br />';
		navPrint("rootdir",l_s);
		p_tutorial.initDir(v_root,v_lang);
		return false;
	},
	returnPortal:function()
	{
		link("scr_defportal.php");
	},
	initDir:function(v_id,v_lang)
	{
		// Initialize modules directory menu
		var l_s="<table border='0'><tr>";
		l_s+="<td><div id='level1' class='dirdivi' style='width:230px;'></div></td>";
		l_s+="<td><div id='level2' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="<td><div id='level3' class='dirdivi' style='width:200px;'></div></td>";
		l_s+="</tr></table>"+img("",7,7)+"<br />";
		navShow("directory","block");
		navPrint("directory",l_s);
		navPrint("level1","Loading ...");
		p_tutorial.getDir(v_id,1,v_lang);
		return false;
	},
	getDir:function(v_cat,v_level,v_lang)
	{
		// Open the modules directory
		document.forms["f"].dirid.value=v_cat;
		//getXml("../cache/cat_"+v_cat+"_"+v_lang+".xml?rand="+rand,p_tutorial.displayDir,new Array(v_level,v_cat,v_lang));
		getXml("../portal/xml_directory.php?catid="+v_cat+"&rand="+rand,p_tutorial.displayDir,new Array(v_level,v_cat,v_lang));
	},
	displayDir:function(response,vars)
	{
		var l_s="";
		if (response.getElementsByTagName("dir")[0])
		{
			if (response.getElementsByTagName("dir")[0])
			{
				var l_i=0,l_dirid;
				l_s+="<table cellpadding=0 cellspacing=1 border=0 style='width:90%'>";
				while (response.getElementsByTagName("dir")[l_i])
				{
					var l_result=response.getElementsByTagName("dir")[l_i];
					l_dirid=getXMLval(l_result,"dirid","int",false,0);
					l_dirname=getXMLval(l_result,"dirname","str",false,"...");
					l_secured=getXMLval(l_result,"secured","int",false,0);
					l_s+="<tr><td id='dir"+l_dirid+"' class='catopt"+(l_secured==0?"":"s")+"i' onmouseover='catOptOver(\""+l_dirid+"\","+l_secured+")' onmouseout='catOptOut(\""+l_dirid+"\","+l_secured+")'> <a href=# class='menul' onclick='p_tutorial.getDir(\""+l_dirid+"\","+(vars[0]+1)+",\""+vars[2]+"\","+l_secured+");return false;'>"+l_dirname+"</a></td></tr>";
					l_i++;
				}
				l_s+="</table>";
			}
		}
		else l_s+=lg("noSubCategory");

		navClass("level"+vars[0],"dirdiva");
		navPrint("level"+vars[0],l_s);
		//clear unused div
		if (!vars[2]) {for (var i=vars[0]+1;i<5;i++){navPrint("level"+i,"");navClass("level"+i,"dirdivi");};}
		catOptSel(vars[1],vars[0]-1);
	},
	iconLoad:function()
	{
		var l_s="<table cellpadding=1><tr>";
		for (var i=0;i<__nbicons;i++)
		{
			l_s+="<td><a href=# id='icon"+i+"' onclick='return p_tutorial.iconSet("+i+")' style='border:2px solid #ffffff;'>"+img("../modules/pictures/_deficon"+i+".gif",16,16)+"</a></td>";
			if (i%30==29) l_s+="</tr><tr>";
		}
		l_s+="</tr></table>";
		navPrint("iconlist",l_s);
	},
	iconSet:function(v_id)
	{
		var i=0;
		while(_gel("icon"+i)!=null)
		{
			(_gel("icon"+i)).style.borderColor=(i==v_id?"#ff0000":"#ffffff");
			i++;
		}
		document.forms["f"].icondef.value=(v_id==__nbicons?-1:v_id);
		return false;
	},
	formatKeywords:function(v_form)
	{
		v_form.keywords.value=p_tags.formatList(v_form.keywords.value);
	}
};
p_tutorial.rss={
	getFields:function(v_rss)
	{
		getXml(v_rss,p_tutorial.rss.checkFeed,v_rss,"html");
	},
	checkFeed:function(response,vars)
	{
		//analyse content of the rss feed
		if (response.indexOf("<?xml")==-1 && response.indexOf("<rss")==-1)
		{
			if (response.indexOf("404")!=-1)
			{
				p_alert.show(lg("invalidRss"));
			}
			else if (response=="")
			{
				p_alert.show(lg("invalidRss"));
			}
			else if (response.indexOf("401")!=-1)
			{
				link("../tutorial/rssaddtodirectory.php?auth=1");
			}
			else
			{
				p_alert.show(lg("msgIncorrectFeed"));
			}
		}
		else
		{
			getXml(vars,p_tutorial.rss.validFields,vars,"xml");
		}
		return false;
	},
	validFields:function(response,vars)
	{
		var gErr=false,l_s="<div style='padding: 12px'>";
		if (!response.getElementsByTagName("title")[0]) gErr=true;
		var title=getXMLval(response,"title","str",false,lg("titleMissing"));
		var desc=getXMLval(response,"description","str",false,lg("descMissing"));
		var website=getXMLval(response,"link","str",false,lg("linkMissing"));
		l_s+="<table cellpadding='0'><tr><td>";
		l_s+="<table cellpadding='0' cellspacing='2'>";
		l_s+='<tr><td>'+lg("title")+' : </td><td><input type="text" name="title" value="'+title+'" size="30" maxlength="30" /> <a href="#" onclick=\'return p_alert.show(lg("rssFeedAddingTitleHlp"))\'><img src="../images/ico_help2.gif" /></a></td></tr>';
		l_s+='<tr><td>'+lg("desc")+' : </td><td><textarea name="desc" cols="30" rows="5">'+desc+'</textarea> <a href="#" onclick=\'return p_alert.show(lg("rssFeedAddingDescHlp"))\'><img src="../images/ico_help2.gif" /></a></td></tr>';
		l_s+='<tr><td>'+lg("siteUrl")+' : </td><td><input type="text" name="website" value="'+website+'" size="30" maxlength="150" /></td></tr>';
		l_s+="</table></td>";

		if (response.getElementsByTagName("item")[0])
		{
			l_s+="<td width='40'></td><td valign='top'>"+lg("latestArticles")+" :<br />";
			var i=0,result;
			while (response.getElementsByTagName("item")[i] && i<5)
			{
				result=response.getElementsByTagName("item")[i];
				l_s+="- "+getXMLval(result,"title","str",false,"--")+"<br />";
				i++;
			}
			l_s+="</td>";
		}
		l_s+="</tr></table></div>";
		if (gErr)
		{
			return;
		}

		navPrint("loadstat",l_s);
		navPrint("feedstatus","<img src='../images/ico_confirm.gif' />");
		p_tutorial.showDir();
		p_tutorial.rss.getIcon(vars);
	},
	getIcon:function(v_rss)
	{
		p_rss.getFeed(new Array(v_rss,indef),p_tutorial.rss.displayIcon);
	},
	displayIcon:function(response,vars)
	{
		var l_s="<input type='hidden' name='icondef' value='"+__nbicons+"' />"+lg("defaultIcon")+" : ";
		if (!response.getElementsByTagName("error")[0])
		{
			l_icon="rss"+getXMLval(response,"id","str",false,"0")+".ico";
			l_s+="<a href='#' id='icon"+__nbicons+"' onclick='return p_tutorial.iconSet("+__nbicons+")' style='border:2px solid #ffffff;'><img src='../modules/pictures/"+l_icon+"' width='16' height='16' /></a><br /><br />"+lg("orChooseIconInList")+" :";
			l_s+="<input type='hidden' name='icondefurl' value='"+l_icon+"' />";
		}
		l_s+="<div id='iconlist'></div>"
		navPrint("icondiv",l_s);
		p_tutorial.iconLoad();
		p_tutorial.iconSet(__nbicons);
	},
	validForm:function(v_step)
	{
		if (v_step!=indef) document.forms["f"].action+="?step="+v_step;
		document.forms["f"].submit();
	},
	showOther:function()
	{
		var l_container=_gel("otherarea");
		var l_content=document.forms["f"].other.value;
		l_container.style.backgroundColor="#ffffff";
		l_container.style.border=0;
		l_container.innerHTML=l_content;
	},
	createMod:function(v_url)
	{
		cols[1]=_gel("col1");
		tab[0].module[0]=new moduleObj(1,1,1,100,86,"--","--","nb=5",280,1,280,v_url,0,0,1,"R",1);
		tab[0].module[0].create();
		tab[0].module[0].show();
	},
	save:function(v_sess)
	{
		if (v_sess)
		{
			document.forms["f"].action="scr_rss_save.php";
			document.forms["f"].submit();
		}
	}
}
p_tutorial.html={
	vars:[],
	validForm:function(v_step)
	{
		if (v_step!=indef) document.forms["f"].action+="?step="+v_step;
		document.forms["f"].submit();
	},
	createMod:function(v_url,v_vars,v_height,v_minsize,v_nbvars)
	{
		cols[1]=_gel("col1");
		tab[0].module[0]=new moduleObj(1,1,1,v_height,1,"--","--",v_vars,220,1,v_minsize,v_url,0,0,1,"I",v_nbvars);
		tab[0].module[0].create();
		tab[0].module[0].show();
	},
	save:function(v_sess)
	{
		if (v_sess)
		{
			document.forms["f"].action="scr_html_save.php";
			document.forms["f"].submit();
		}
	},
	resizeMod:function(v_sign,v_range,v_direction)
	{
		var l_obj=_gel("col1");
		var l_frm=_gel("modfram1");
		var l_size=(v_direction=="h")?l_obj.style.width:l_frm.style.height;
		l_size=parseInt(l_size,10);
		l_size=(v_sign=="+")?l_size+v_range:l_size-v_range;
		if (v_direction=="h"&&l_size<220) l_size=220;
		if (v_direction=="h"&&l_size>400) l_size=400;
		if (v_direction=="v"&&l_size<30) l_size=30;
		if (v_direction=="v"&&l_size>800) l_size=800;
		if (v_direction=="h")
		{
			l_obj.style.width=l_size;
			l_frm.style.width=l_size;
			document.forms["f"].elements["minwidth"].value=l_size;
		}
		else
		{
			l_frm.style.height=l_size;
			document.forms["f"].elements["height"].value=l_size;
		}
		return false;
	},
	newVar:function()
	{
		var l_parent=_gel("vararea");
		var l_obj=document.createElement("TABLE");
		l_s="<TR><TD>nom : <input ";
		l_s+="</TD><TR>";
		l_parent.appendChild(l_obj);
		l_obj.innerHTML=l_s;
		vars.push(l_obj)
	},
	delVar:function(v_id)
	{
		var l_parent=_gel("vararea");
		l_parent.removeChild(vars[v_id]);
	}

}
p_tutorial.expert={
	getFields:function(v_file,v_id)
	{
		getXml(v_file,p_tutorial.expert.validFields,v_id);
	},
	validFields:function(response,vars)
	{
		var result,gErr=false,l_s="<table cellpadding='2' cellspacing='0' border='0'>";
		if (response.getElementsByTagName("ModulePrefs")[0])
		{
			result=response.getElementsByTagName("ModulePrefs")[0];
			var title=getXMLprop(result,"title","str",false,lg("titleMissing"));
			var desc=getXMLprop(result,"description","str",false,lg("descMissing"));
			var height=getXMLprop(result,"height","str",false,"100");
			if (response.getElementsByTagName("Content")[0]) var modType=getXMLprop(response.getElementsByTagName("Content")[0],"type","str",false,"html");
			l_s+="<tr><td>"+img("ico_validated.gif")+"</td><td>"+lg("modCaract")+" :</td></tr>";
			l_s+="<tr><td></td><td><table cellpadding='1'>";
			l_s+='<tr><td>'+lg("title")+' : </td><td><input type="text" name="title" value="'+title+'" size="30" maxlength="30" /></td></tr>';
			l_s+='<tr><td>'+lg("desc")+' : </td><td><textarea name="desc" cols="30" rows="5">'+desc+'</textarea></td></tr>';
			l_s+='<tr><td>'+lg("height")+' : </td><td><input type="text" name="heig" value="'+height+'" size="3" maxlength="3" /></td></tr>';
			l_s+="<tr><td>"+lg("moduleType")+" : </td><td>"+(modType?modType:"html")+"<input type='hidden' name='type' value='"+(modType?modType:"html")+"' /></td></tr>";
			l_s+="</table></td></tr>";
		}
		else
		{
			l_s+="<tr><td>"+img("ico_suppress.gif")+"</td><td>"+lg("propertiesMissing")+"</td></tr>";gErr=true;
		}

		l_s+="<tr><td>&nbsp;</td><td></td></tr>";

		if (response.getElementsByTagName("UserPref")[0])
		{
			l_s+="<tr><td>"+img("ico_validated.gif")+"</td><td>"+lg("someOptions")+" :</td></tr><tr><td></td><td>";
			var i=0,err=false;
			while (response.getElementsByTagName("UserPref")[i])
			{
				result=response.getElementsByTagName("UserPref")[i];
				l_s+="<u>"+lg("variable")+" "+(i+1)+"</u> : ";
				var l_name=getXMLprop(result,"name","str",false,indef);
				if (l_name==indef)
				{
					l_s+=" <font color='#ff0000'>"+lg("varNameMissing")+"</font>";
					err=true;
				}
				else
				{
					l_s+=' '+l_name+'<input type="hidden" name="varname'+i+'" value="'+l_name+'" />';
					var l_dispname=getXMLprop(result,"display_name","str",false,l_name);
					l_s+=' ('+l_dispname+')<input type="hidden" name="vardname'+i+'" value="'+l_dispname+'" />';
					var l_defval=getXMLprop(result,"default_value","str",false,"");
					var l_datatype=getXMLprop(result,"datatype","str",false,"string");
					l_s+=" type:"+l_datatype+"<input type='hidden' name='vartype"+i+"' value='"+l_datatype+"' />";
					if (l_datatype=="enum")
					{
						var j=0,l_enum,result2;
						l_s+=" (";
						while (result.getElementsByTagName("EnumValue")[j])
						{
							result2=result.getElementsByTagName("EnumValue")[j];
							l_enum=getXMLprop(result2,"value","str",false,indef);
							if (l_enum==indef)
							{
								l_s+=" <font color='#ff0000'>"+lg("varValueMissing",(j+1))+"</font>";
								err=true;
							}
							else
							{
								l_s+='<input type="hidden" name="val'+i+'_'+j+'" value="'+l_enum+'" />';
								if (j==0&&l_defval=="") l_defval=l_enum;
								l_s+=(l_enum==l_defval)?"<span style='font-weight:bold'>":"<span>";
								var l_enumd=getXMLprop(result2,"display_value","str",false,l_enum);
								l_s+=l_enumd+'<input type="hidden" name="vald'+i+'_'+j+'" value="'+l_enumd+'" />';
								l_s+="</span>,";
							}
							j++;
						}
						l_s+=")";
					}
					else
					{
						if (l_defval!="") l_s+=" ("+l_defval+")";
					}
					l_s+='<input type="hidden" name="vardef'+i+'" value="'+l_defval+'" />';
				}
				i++;
				l_s+="<br />";
			}
			l_s+="<br /></td></tr>";
			if (err)
			{
				l_s=l_s.replace("ico_validated.gif","ico_suppress.gif");
				gErr=true;
			}
		}
		else
		{
			l_s+="<tr><td>"+img("ico_validated.gif")+"</td><td>"+lg("noOptions")+"</td></tr>";
		}

		l_s+="<tr><td>&nbsp;</td><td></td></tr>";

		if (response.getElementsByTagName("Content")[0])
		{
			l_s+="<tr><td>"+img("ico_validated.gif")+"</td><td>"+lg("contentOk")+"</td></tr>";
			if (modType=="html")
			{
				document.forms["f"].modcontent.value=getXMLval(response,"Content","str",false,"");;
			}
			else
			{
				document.forms["f"].modcontent.value=getXMLprop(response.getElementsByTagName("Content")[0],"href","str",false,"");
			}
		}
		else
		{
			l_s+="<tr><td>"+img("ico_suppress.gif")+"</td><td>"+lg("contentNok")+"</td></tr>";
			gErr=true;
		}

		l_s+="<tr><td>&nbsp;</td><td></td></tr>";

		l_s+="</table><br /><br />";
		if (!gErr) l_s+="<input type='submit' value='"+lg("continue")+" >>>' class='submit' style='width: 300px;' />";
		l_s+=" <a href='#' onclick=\"return link('../tutorial/expert.php?id="+vars+"')\"> "+lg("startAgain")+"</a>";

		navPrint("loadstat",l_s);
	},
	erase:function()
	{
		var l_s='<?xml version="1.0" encoding="UTF-8" ?>\r\n';
		l_s+=' <Module>\r\n';
		l_s+='  <ModulePrefs title="nom de mon module" description="description de mon module" height="200" />\r\n';
		l_s+='  <Content type="html"><![CDATA[\r\nYOUR HTML\r\n';
		l_s+='   <script type="text/javascript">\r\n\r\n';
		l_s+='   </script>\r\n';
		l_s+='  ]]>\r\n';
		l_s+='  </Content>\r\n';
		l_s+='</Module>\r\n';
		document.forms["test"].elements["modcode"].value=l_s;
		return false;
	},
	getCode:function(v_id)
	{
		getXml("../modules/quarantine/module"+v_id+".xml",p_tutorial.expert.showCode,"","html");
	},
	showCode:function(response,vars)
	{
		document.forms["test"].elements["modcode"].value=response;
	}
}
p_tutorial.expert.test={
	open:function()
	{
		(_gel("testdiv")).style.display="block";
		return false;
	},
	close:function()
	{
		(_gel("testdiv")).style.display="none";
		return false;
	},
	check:function()
	{
		var l_s=_trim(document.forms["test"].modcode.value);
		var l_height=200,l_content="No &lt;Content&gt; Tag !! Pas de tag &lt;Content&gt; !!";
		var l_xml;

		if (document.implementation.createDocument)
		{ 
			var parser = new DOMParser(); 
			l_xml = parser.parseFromString(l_s, "text/xml"); 
		}
		else if (window.ActiveXObject)
		{ 
			l_xml = new ActiveXObject("Microsoft.XMLDOM"); 
			l_xml.async="false";
			l_xml.loadXML(l_s);
		}

		if (l_xml.getElementsByTagName("ModulePrefs")[0])
		{
			if (l_xml.getElementsByTagName("ModulePrefs")[0].getAttribute("height"))
			{
				l_height=parseInt(l_xml.getElementsByTagName("ModulePrefs")[0].getAttribute("height"));
			}
		}
		window.open("testmodule_wait.html", "testpage", "height="+(l_height+20)+",width=400,menubar=0,toolbar=0,location=0,status=0,scrollbars=0,resizable=1");

		var i=0,l_vars="";
		while (l_xml.getElementsByTagName("UserPref")[i])
		{
			var result=l_xml.getElementsByTagName("UserPref")[i];
			l_vars+=result.getAttribute("name")+"=";
			if (result.getAttribute("default_value")) l_vars+=result.getAttribute("default_value");
			l_vars+="&";
			i++;
		}
		document.forms["testsend"].testvars.value=l_vars;

		l_content=getXMLval(l_xml,"Content","str",false,"");
		l_contentObj=l_xml.getElementsByTagName("Content")[0];
		l_type=getXMLprop(l_contentObj,"type","str",false,"html");
		if (l_type=="html")
		{
			//l_content=l_content.replace(/\<\?/g,"");
			l_content=l_content.replace(/__MODULE_ID__/g,"0");
		}
		else if (l_type=="url")
		{
			l_url=getXMLprop(l_contentObj,"href","str",false,"");
			l_content="<iframe src='"+l_url+"' frameborder='0' width='100%' height='100%'></iframe>";
		}
		document.forms["testsend"].testcode.value=l_content;
		return true;
	}
}