<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Missing password form
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=0;
$isScript=false;
$isPortal=false;
$pagename="portal/password_missing.php";
//includes
require_once('includes.php');
require_once('../l10n/'.__LANG.'/lang.php');

launch_hook('password_missing_php');
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title>PORTANEO :: Missing password</title>
	<link rel="stylesheet" href="../styles/main.css" type="text/css" />
	<link rel="stylesheet" href="../styles/main1.css" type="text/css" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<script type="text/javascript" src="../l10n/<?php echo __LANG;?>/lang.js?v=1.5.4"></script>
	<script type="text/javascript" src="../includes/config.js?v=1.5.4"></script>
	<script type="text/javascript" src="../includes/ajax.js?v=1.5.4"></script>
<?php 
	launch_hook('userinterface_header',$pagename);
?>
</head>
<body>
<div class="noportal">
<table cellpadding="0" cellspacing="0" border="0" style="width:100%">
	<tr>
	<td id="header">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
		<td id="logo"><img src="../images/s.gif" width="140" height="60" /></td>
		</tr>
	</table>
	</td>
	</tr>
	<tr>
	<td align="center" valign="top">
	<table cellpadding="10" cellspacing="0" border="0" width="100%">
		<tr>
		<td align="left" valign="top" style="padding-top:30px">


<?php
if (isset($_POST["emaillost"]))
{
	//Generate a new password
	$str = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$newpass="";
	srand((double)microtime()*1000000);
	for($i=0;$i<10;$i++) $newpass.= $str[rand()%62]; 
	
	$DB->execute($passwordmissing_updatePass,$DB->quote(md5($newpass)),$DB->quote($_POST["emaillost"]));
	if ($DB->nbaffected()==0)
	{
		echo lg("notMember")." !<br />";
	}
	else
	{
		mail($_POST["emaillost"],utf8_decode(lg("yourAccount")),utf8_decode(lg("passwordMissingBody","email: ".$_POST["emaillost"]."\r\npassword: ".$newpass)),"From: ".__SUPPORTEMAIL." \r\n");
		
		echo "<br /><br />".lg("emailSent").".<a href='#' onclick='javascript:self.close();'>".lg("close")."</a><br /><br />";
	}
	$DB->freeResults();
}
else
{
?>
			<form name="help" method="post" action="password_missing.php">
			<b><?php echo lg("passwordMissing");?>?</b>
			<br /><br /><?php echo lg("passwordMissingTxt");?>.<br />
			<br /><?php echo lg("email");?>: <input type="text" name="emaillost" size="30" maxlength="64" />&nbsp;<input type="submit" class="btn" value="OK" />
			</form>
			<br />
			<script type="text/javascript">
				document.forms["help"].emaillost.focus();
			</script>
<?php
}
?>
		</td>
		</tr>
		<tr>
		<td style="padding:8px">
		<br />
		</td>
		</tr>
	</table>
	</td>
	</tr>
</table>
</div>
<script type="text/javascript">
	if (navigator.appName=="Netscape")
	{	 top.outerWidth=550; top.outerHeight=550;} 
	else top.resizeTo(550,550);
	top.moveTo(30,30);
</script>
</body>
</html>

<?php
	$DB->close();
?>