<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Check feed and add new in DB
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=0;
$pagename="portal/xmcheckfeed.php";
//includes
require_once('includes.php');
require_once('../includes/feed.inc.php');
require_once('../includes/http.inc.php');
require_once('../includes/xml.inc.php');

$file=new xmlFile();

$file->header("checks");

$url=isset($_POST["url"])?$_POST["url"]:exit("no url mentioned");

$DB->getResults($xmlcheckfeed_getIcon,$DB->quote($url));
if ($DB->nbResults()==0)
{
	//add feed in dir_rss
	echo "<log><![CDATA[".$DB->quote($url)."]]></log>";
	$DB->execute($xmlcheckfeed_setUrl,$DB->quote($url));
	$feedid=$DB->getId();
	//check if rss page exists
	$h = new http($url);
	$check=$h->get();
	if (empty($check))
	{
		echo "<error>1</error>";
	}
	else
	{
		//get icon
		$pos=strpos($url,"/",10);
		$icon=substr($url,0,$pos)."/favicon.ico";
		$hi = new http($icon);
		$iconfile=$hi->get();
		$moduleIcon="../modules/pictures/rss".$feedid.".ico";
		//if iconfile empty or http error code return
		if (empty($iconfile) || strlen($iconfile)<4 || substr($iconfile,0,1)==" " || substr($iconfile,0,1)=="<")
		{
			copy("../modules/pictures/rss.gif",$moduleIcon);
		}
		else
		{
			if ($f_w = fopen($moduleIcon,'w+'))
			{
				fwrite($f_w,$iconfile);
				fclose($f_w);
			}
		}
	}
	echo "<id>".$feedid."</id>";
}
else
{
	$row=$DB->fetch(0);
	echo "<id>".$row["id"]."</id>";
}
$DB->freeResults();

$file->footer("checks");

$DB->close();
?>