<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Get feeds articles
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=0;
//$granted="I";
$pagename="portal/xmlfeeds.php";
//includes
//require_once('../includes/config.inc.php');
//require_once('../includes/session.inc.php');
//require_once('../includes/connection_'.__DBTYPE.'.inc.php');
//include('../includes/plugins.inc.php');
require_once('includes.php');
require_once('../includes/feed.inc.php');
require_once('../includes/xml.inc.php');

$file=new xmlFile();

$file->header("Module");
?>
<UserPref name="nb" display_name="Nombre d'articles" datatype="enum" default_value="5">
  <EnumValue value="1" display_value="1"/>
  <EnumValue value="2" display_value="2"/>
  <EnumValue value="3" display_value="3"/>
  <EnumValue value="5" display_value="5"/>
  <EnumValue value="10" display_value="10"/>
  <EnumValue value="15" display_value="15"/>
  <EnumValue value="30" display_value="30"/>
  <EnumValue value="50" display_value="50"/>
</UserPref>
<UserPref name="rssurl" display_name="Flux RSS" datatype="readonly" default_value="" />
<UserPref name="pfid" display_name="." datatype="hidden" default_value="" />
<?php

if (isset($_POST["auth"]))
{
	echo '<UserPref name="auth" display_name="." datatype="hidden" default_value="" />';
	echo '<UserPref name="user" display_name="lblLogin" datatype="string" default_value="" />';
	echo '<UserPref name="pass" display_name="lblPassword" datatype="password" default_value="" />';
}

?>
<header />
<?php

$nb=(isset($_POST["nb"])?$_POST["nb"]:10);
$pfid=$_POST["pfid"];
$refreshDelay=__refreshFeedsDelai;
$rssurl=$_POST["rssurl"];

if (isset($_POST["auth"])) $auth=$_POST["auth"];
if (isset($_POST["user"])) $auth=base64_encode($_POST["user"].":".$_POST["pass"]);
$proxy=isset($_POST["proxy"])?$_POST["proxy"]:"";
if (isset($auth) && empty($auth)){echo "<footer>auth</footer></Module>";exit();}

if (!isset($auth))
{
	require_once('../includes/refreshfeed.inc.php');

	echo "<ftitle><![CDATA[".$title."]]></ftitle>";
	
	if (session_is_registered("user_id"))
	{
		$DB->getResults($xmlfeeds_getItemsWithStatus,$_SESSION['user_id'],$pfid,$_POST["s"],$nb);
	}
	else
	{
		$DB->getResults($xmlfeeds_getItems,$pfid,$_POST["s"],$nb);
	}
	
	while ($row = $DB->fetch(0))
	{
		echo "<item>";
		echo "<id>".$row["id"]."</id>";
		echo "<title><![CDATA[".$row["title"]."]]></title>";
		echo "<link><![CDATA[".$row["link"]."]]></link>";
		echo "<desc><![CDATA[".$row["description"]."]]></desc>";
		echo "<pubdate>".$row["pubdate"]."</pubdate>";
		echo "<read>".$row["status"]."</read>";
		echo "<image>".$row["image"]."</image>";
		echo "<video>".$row["video"]."</video>";
		echo "<audio>".$row["audio"]."</audio>";
		echo "</item>";
	}	
	$DB->freeResults();
}
else
{
	$feed=new feed($rssurl);
	launch_hook('xmlfeeds_headeradditions',$feed,$proxy);
	$feed->auth=$auth;
	$RSSfile=$feed->loadAuth();
	$RSSarticles=$feed->getNewArticles($RSSfile,"","");
	if (count($RSSarticles)!=0)
	{
		$nbArticles=count($RSSarticles);
		for ($i=1;$i<$nbArticles;$i++)
		{
			echo "<item>";
			echo "<title><![CDATA[".$RSSarticles[$i]["title"]."]]></title>";
			echo "<link><![CDATA[".$RSSarticles[$i]["link"]."]]></link>";
			echo "<desc><![CDATA[".$RSSarticles[$i]["desc"]."]]></desc>";
			echo "<pubdate>".$RSSarticles[$i]["date"]."</pubdate>";
			echo "<read>0</read>";
			echo "<image>".(isset($RSSarticles[$i]["image"])?$RSSarticles[$i]["image"]:"")."</image>";
			echo "<video>".(isset($RSSarticles[$i]["video"])?$RSSarticles[$i]["video"]:"")."</video>";
			echo "<audio>".(isset($RSSarticles[$i]["audio"])?$RSSarticles[$i]["audio"]:"")."</audio>";
			echo "</item>";
		}
	}
	echo "<ftitle><![CDATA[".$RSSarticles[0]["title"]."]]></ftitle>";
}

$file->footer("Module");

$DB->close();
?>