<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Expert modules - Step4 : save icon & registration end message
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$pagename="tutorial/expert_add4.php";
$isScript=false;
$isPortal=false;

require_once('../includes/config.inc.php');
$folder="";
$not_access=1;
$granted=__USERMODULE;
require_once('includes.php');
require_once('../includes/image.inc.php');
require_once('../includes/log.inc.php');
require_once('../includes/file.inc.php');
require_once('../l10n/'.__LANG.'/tutorial.lang.php');

if (!isset($_POST["mid"])) exit();
if (!isset($_POST["icondef"])) exit();
$id=$_POST["mid"];
$usedIcon="";

function fileError($id)
{
	header("location:expert_add3.php?mid=".$id."&err=".$id);
	exit();
}

if (!isset($_FILES["fichier"]["name"]) OR empty($_FILES["fichier"]["name"]))
{
	$usedIcon="../modules/pictures/_deficon".$_POST["icondef"].".gif";
}
else
{
	$nomFichier=$_FILES["fichier"]["name"] ;
	if ($_FILES["fichier"]["size"]>30000) fileError(2);
	if ($_FILES["fichier"]["error"]>0) fileError($_FILES["fichier"]["error"]);
	$ext=strtolower(substr($nomFichier,-4));
	if ($ext!=".gif") fileError(3);
	if (is_uploaded_file($_FILES['fichier']['tmp_name']))
	{
		$usedIcon=$_FILES['fichier']['tmp_name'];
	}
	else
	{
		fileError(4);
	}
}

if ($usedIcon!="")
{
	$file_loc="../modules/quarantine/icon".$id.".ico";
	$img=new img($usedIcon);
	if ($img->height==16 && $img->width==16)
	{
		copy($usedIcon,$file_loc);
	}
	else
	{
		$img->createGif();
		$img->resize($file_loc,16,16,0,0);
	}
}

$DB->execute($expertadd4_setStatus,$DB->escape($id),$DB->escape($_SESSION['user_id']));

//add rss information for admin
$log=new log();
$log->write($DB,$_SESSION['longname'].lg("addedNewModule"),"A");
$log->generateRss($DB,md5(__KEY));

$DB->close();

if ($granted=="I")
{
	header("location:expert.php?msg=added");
}
else
{
	header("location:../admin/modules_mgmt.php");
}
?>