<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# RSS modules - Step4 : save icon and registration end msg
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$pagename="tutorial/rss_add4.php";

require_once('includes.php');

require('header.inc.php');
require_once('../includes/image.inc.php');

if (!isset($_POST["mid"])) exit();
if (!isset($_POST["icondef"])) exit();
$id=$_POST["mid"];
$usedIcon="";

function fileError($id)
{
	header("location:rss_add3.php?mid=".$id."&err=".$id);
	exit();
}

if (!isset($_FILES["fichier"]["name"]) OR empty($_FILES["fichier"]["name"]))
{
	$usedIcon="../modules/pictures/_deficon".$_POST["icondef"].".gif";
}
else
{
	$nomFichier=$_FILES["fichier"]["name"] ;
	if ($_FILES["fichier"]["size"]>30000) fileError(2);
	if ($_FILES["fichier"]["error"]>0) fileError($_FILES["fichier"]["error"]);
	$ext=strtolower(substr($nomFichier,-4));
	if ($ext!=".gif") fileError(3);
	if (is_uploaded_file($_FILES['fichier']['tmp_name']))
	{
		$usedIcon=$_FILES['fichier']['tmp_name'];
	}
	else
	{
		fileError(4);
	}
}

if ($usedIcon!="")
{
	$file_loc="../modules/quarantine/icon".$id.".ico";
	$img=new img($usedIcon);
	if ($img->height==16 && $img->width==16)
	{
		copy($usedIcon,$file_loc);
	}
	else
	{
		$img->createGif();
		$img->resize($file_loc,16,16,0,0);
	}
}

$DB->execute($rssadd4_changeModStatus,$DB->escape($id),$DB->escape($_SESSION['user_id']));

$DB->getResults($rssadd4_getModType,$DB->escape($id));
$row=$DB->fetch(0);
$typ=$row["typ"];
$DB->freeResults();
$DB->close();
?>


<table cellpadding="10" cellspacing="0" border="0" width="100%">
	<tr>
	<td>
	<h1><?php echo lg("addYourModRSS");?></h1><br />
	<?php echo lg("addExpertSuccess");?>
	<br /><br />


<?php
if ($typ=="R")
{
	echo '<img src="../images/ico_right_arrow.gif" align="absmiddle" /> <a href="createrss.php">+ '.lg("createNewRSS").'</a><br /><br />';
}
else
{
	echo '<img src="../images/ico_right_arrow.gif" align="absmiddle" /> <a href="rss.php">+ '.lg("addNewRSS").'</a><br /><br />';
}
?>


	</div>
	</td>
	</tr>
</table>
<?php require('footer.inc.php');?>
</body>
</html>