<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Expert modules - Generate the module file and save module information
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$pagename="tutorial/scr_expert_add1.php";

require_once('includes.php');
$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted=__USERMODULE;

require_once('../includes/file.inc.php');

$id=$_POST["mid"];

if ($_POST["type"]=="url")
{
	$url=$_POST["modcontent"];
	if ($url=="")
	{
		exit();
	}
	$url.=(strpos($url,"?")===false)?"?":"&";
	$format="U";
}
else
{
	//$url="../modules/module".$id.".php?";
	$url="../modules/tmp_module".$id.".php?";
	$format="I";
}
// insert new widget
$DB->execute($screxpertadd1_updateModule,$DB->noHTML(htmlspecialchars($_POST["title"],ENT_QUOTES,'UTF-8')),$DB->noHTML(htmlspecialchars($_POST["desc"],ENT_QUOTES,'UTF-8')),$DB->quote($format),$DB->escape($_POST["heig"]),$DB->escape($id),$DB->escape($_SESSION['user_id']));

// update widget url
$DB->execute($screxpertadd1_updateUrl,$DB->noHTML($url),$id);

// Treat the options
$i=0;
$s='<?'.'xml version="1.0" encoding="UTF-8"'.'?><Module>';
$defvar="";
while (isset($_POST["varname".$i]))
{
	$s.= '<UserPref name="'.$_POST["varname".$i].'" datatype="'.$_POST["vartype".$i].'" default_value="'. stripslashes($_POST["vardef".$i]).'" display_name="'.$_POST["vardname".$i].'" >';
	$defvar.=$_POST["varname".$i].'='.$_POST["vardef".$i].'&';
	$j=0;
	while (isset($_POST["val".$i."_".$j]))
	{
		$s.='<EnumValue value="'.$_POST["val".$i."_".$j].'" display_value="'. stripslashes($_POST["vald".$i."_".$j]).'" />';
		$j++;
	}
	$s.= '</UserPref>';
	$i++;
}
$s.="</Module>";

$DB->execute($screxpertadd1_updateVars,$DB->quote($defvar),$i,$id);

//$paramfile=new file("../modules/module".$id."_param.xml");
$paramfile=new file("../modules/tmp_module".$id."_param.xml");
$paramfile->write($s);

// Treat the content
if ($_POST["type"]!="url")
{
	//generate module header
	$s = '<'.'?php $id=$_GET["p"];?'.'>';
	$s.= '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
	$s.= '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">';
	$s.= '<head>';
	$s.= '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />';
	$s.= '<link rel="stylesheet" type="text/css" media="screen" title="default" href="../styles/module.css" />';
	$s.= '<script type="text/javascript" src="../includes/modules.js"></script>';
	$s.= '<script type="text/javascript">var __MODULE_ID__=<'.'?php echo $id;?'.'></script>';
	
	launch_hook('expertmodule_addInModuleHeader');
	
	$s.= '</head>';
	
	//generate module content
	$s.= '<body onload="_IG_AdjustIFrameHeight();">';
	
	$cont= formatWidgetCode($_POST["modcontent"]);
	//only admin can add server scripts in the application 
	$cont = $_SESSION['type']=="A"?$cont:secureWidgetCode($cont);
	// set module id value in widget code
	$cont=str_replace("__MODULE_ID__","<"."?php echo $"."id;?".">",$cont);

	$s.= $cont;
	
	launch_hook('expertmodule_addInModuleFooter');
	
	$s.= '</body></html>';

	//create module file
	$modfile=new file("../modules/tmp_module".$id.".php");
	$modfile->write($s);
	
	@chmod("../modules/tmp_module".$id.".php", 0755);
}

// Default directory place
$DB->execute($screxpertadd1_insertDir,$id);

$DB->close();

header("location:expert_add2.php?id=".$id);
?>